import { Extension } from '@tiptap/core';
import { Node } from 'prosemirror-model';
declare type IndentOptions = {
    types: string[];
    indentLevels: number[];
    defaultIndentLevel: number;
};
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        indent: {
            /**
             * Set the indent attribute
             */
            indent: () => ReturnType;
            /**
             * Unset the indent attribute
             */
            outdent: () => ReturnType;
        };
    }
}
export declare function clamp(val: number, min: number, max: number): number;
export declare enum IndentProps {
    min = 0,
    max = 210,
    more = 30,
    less = -30
}
export declare function isParagraphNode(node: Node): boolean;
export declare function isHeadingNode(node: Node): boolean;
export declare function isBulletListNode(node: Node): boolean;
export declare function isOrderedListNode(node: Node): boolean;
export declare function isTaskListNode(node: Node): boolean;
export declare function isListNode(node: Node): boolean;
export declare const Indent: Extension<IndentOptions>;
export default Indent;
