import { Extension } from '@tiptap/core';
declare type TextColorOptions = {
    types: string[];
};
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        textColor: {
            /**
             * Set the font family
             */
            setTextColor: (textColor: string) => ReturnType;
            /**
             * Unset the font family
             */
            unsetTextColor: () => ReturnType;
        };
    }
}
export declare const TextColor: Extension<TextColorOptions>;
export default TextColor;
