var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
import { defineComponent, ref, onMounted, onBeforeUnmount, h, getCurrentInstance, watchEffect, nextTick, unref, Teleport, shallowRef, markRaw, reactive, provide, customRef, useCssVars, openBlock, createElementBlock, normalizeClass, renderSlot, createElementVNode, computed, resolveComponent, createBlock, withCtx, createVNode, toDisplayString, withModifiers, inject, watch, toRefs, withDirectives, Fragment as Fragment$1, renderList, vModelSelect, onUnmounted, createCommentVNode, resolveDynamicComponent, pushScopeId, popScopeId, createTextVNode, normalizeProps, guardReactiveProps, resolveDirective, onBeforeMount, vModelText, withKeys } from "vue";
import { Extension, isTextSelection, isNodeSelection, posToDOMRect, NodeView, Editor as Editor$1, Node as Node$1, mergeAttributes, wrappingInputRule, Mark as Mark$1, markInputRule, markPasteRule, nodeInputRule } from "@tiptap/core";
import tippy$1 from "tippy.js";
import Highlight from "@tiptap/extension-highlight";
import Typography from "@tiptap/extension-typography";
import TextStyle from "@tiptap/extension-text-style";
import History from "@tiptap/extension-history";
import UnderLine from "@tiptap/extension-underline";
import TaskList from "@tiptap/extension-task-list";
import TaskItem from "@tiptap/extension-task-item";
import Heading from "@tiptap/extension-heading";
import Code from "@tiptap/extension-code";
import Subscript from "@tiptap/extension-subscript";
import Superscript from "@tiptap/extension-superscript";
import TextAlign from "@tiptap/extension-text-align";
import Dropcursor from "@tiptap/extension-dropcursor";
import Gapcursor from "@tiptap/extension-gapcursor";
import Placeholder from "@tiptap/extension-placeholder";
import HardBreak from "@tiptap/extension-hard-break";
import { highlightSpecialChars, drawSelection, keymap, EditorView as EditorView$1 } from "@codemirror/view";
import { EditorState as EditorState$1, Compartment } from "@codemirror/state";
import { history, historyKeymap } from "@codemirror/history";
import { foldGutter, foldKeymap } from "@codemirror/fold";
import { indentOnInput } from "@codemirror/language";
import { lineNumbers } from "@codemirror/gutter";
import { defaultKeymap, indentWithTab } from "@codemirror/commands";
import { bracketMatching } from "@codemirror/matchbrackets";
import { closeBrackets, closeBracketsKeymap } from "@codemirror/closebrackets";
import { commentKeymap } from "@codemirror/comment";
import { rectangularSelection } from "@codemirror/rectangular-selection";
import { defaultHighlightStyle } from "@codemirror/highlight";
import Viewer from "viewerjs";
import Link from "@tiptap/extension-link";
import { WMFJS } from "rtf.js";
import Table from "@tiptap/extension-table";
import TableRow from "@tiptap/extension-table-row";
import TableCell from "@tiptap/extension-table-cell";
import TableHeader from "@tiptap/extension-table-header";
import axios from "axios";
import ColorPicker from "@easylogic/colorpicker";
function findDiffStart(a, b, pos) {
  for (var i = 0; ; i++) {
    if (i == a.childCount || i == b.childCount) {
      return a.childCount == b.childCount ? null : pos;
    }
    var childA = a.child(i), childB = b.child(i);
    if (childA == childB) {
      pos += childA.nodeSize;
      continue;
    }
    if (!childA.sameMarkup(childB)) {
      return pos;
    }
    if (childA.isText && childA.text != childB.text) {
      for (var j = 0; childA.text[j] == childB.text[j]; j++) {
        pos++;
      }
      return pos;
    }
    if (childA.content.size || childB.content.size) {
      var inner = findDiffStart(childA.content, childB.content, pos + 1);
      if (inner != null) {
        return inner;
      }
    }
    pos += childA.nodeSize;
  }
}
function findDiffEnd(a, b, posA, posB) {
  for (var iA = a.childCount, iB = b.childCount; ; ) {
    if (iA == 0 || iB == 0) {
      return iA == iB ? null : { a: posA, b: posB };
    }
    var childA = a.child(--iA), childB = b.child(--iB), size = childA.nodeSize;
    if (childA == childB) {
      posA -= size;
      posB -= size;
      continue;
    }
    if (!childA.sameMarkup(childB)) {
      return { a: posA, b: posB };
    }
    if (childA.isText && childA.text != childB.text) {
      var same = 0, minSize2 = Math.min(childA.text.length, childB.text.length);
      while (same < minSize2 && childA.text[childA.text.length - same - 1] == childB.text[childB.text.length - same - 1]) {
        same++;
        posA--;
        posB--;
      }
      return { a: posA, b: posB };
    }
    if (childA.content.size || childB.content.size) {
      var inner = findDiffEnd(childA.content, childB.content, posA - 1, posB - 1);
      if (inner) {
        return inner;
      }
    }
    posA -= size;
    posB -= size;
  }
}
var Fragment = function Fragment2(content2, size) {
  this.content = content2;
  this.size = size || 0;
  if (size == null) {
    for (var i = 0; i < content2.length; i++) {
      this.size += content2[i].nodeSize;
    }
  }
};
var prototypeAccessors$5 = { firstChild: { configurable: true }, lastChild: { configurable: true }, childCount: { configurable: true } };
Fragment.prototype.nodesBetween = function nodesBetween(from3, to, f, nodeStart, parent) {
  if (nodeStart === void 0)
    nodeStart = 0;
  for (var i = 0, pos = 0; pos < to; i++) {
    var child3 = this.content[i], end2 = pos + child3.nodeSize;
    if (end2 > from3 && f(child3, nodeStart + pos, parent, i) !== false && child3.content.size) {
      var start3 = pos + 1;
      child3.nodesBetween(Math.max(0, from3 - start3), Math.min(child3.content.size, to - start3), f, nodeStart + start3);
    }
    pos = end2;
  }
};
Fragment.prototype.descendants = function descendants(f) {
  this.nodesBetween(0, this.size, f);
};
Fragment.prototype.textBetween = function textBetween(from3, to, blockSeparator, leafText) {
  var text = "", separated = true;
  this.nodesBetween(from3, to, function(node3, pos) {
    if (node3.isText) {
      text += node3.text.slice(Math.max(from3, pos) - pos, to - pos);
      separated = !blockSeparator;
    } else if (node3.isLeaf && leafText) {
      text += leafText;
      separated = !blockSeparator;
    } else if (!separated && node3.isBlock) {
      text += blockSeparator;
      separated = true;
    }
  }, 0);
  return text;
};
Fragment.prototype.append = function append(other) {
  if (!other.size) {
    return this;
  }
  if (!this.size) {
    return other;
  }
  var last = this.lastChild, first = other.firstChild, content2 = this.content.slice(), i = 0;
  if (last.isText && last.sameMarkup(first)) {
    content2[content2.length - 1] = last.withText(last.text + first.text);
    i = 1;
  }
  for (; i < other.content.length; i++) {
    content2.push(other.content[i]);
  }
  return new Fragment(content2, this.size + other.size);
};
Fragment.prototype.cut = function cut(from3, to) {
  if (to == null) {
    to = this.size;
  }
  if (from3 == 0 && to == this.size) {
    return this;
  }
  var result2 = [], size = 0;
  if (to > from3) {
    for (var i = 0, pos = 0; pos < to; i++) {
      var child3 = this.content[i], end2 = pos + child3.nodeSize;
      if (end2 > from3) {
        if (pos < from3 || end2 > to) {
          if (child3.isText) {
            child3 = child3.cut(Math.max(0, from3 - pos), Math.min(child3.text.length, to - pos));
          } else {
            child3 = child3.cut(Math.max(0, from3 - pos - 1), Math.min(child3.content.size, to - pos - 1));
          }
        }
        result2.push(child3);
        size += child3.nodeSize;
      }
      pos = end2;
    }
  }
  return new Fragment(result2, size);
};
Fragment.prototype.cutByIndex = function cutByIndex(from3, to) {
  if (from3 == to) {
    return Fragment.empty;
  }
  if (from3 == 0 && to == this.content.length) {
    return this;
  }
  return new Fragment(this.content.slice(from3, to));
};
Fragment.prototype.replaceChild = function replaceChild(index3, node3) {
  var current = this.content[index3];
  if (current == node3) {
    return this;
  }
  var copy5 = this.content.slice();
  var size = this.size + node3.nodeSize - current.nodeSize;
  copy5[index3] = node3;
  return new Fragment(copy5, size);
};
Fragment.prototype.addToStart = function addToStart(node3) {
  return new Fragment([node3].concat(this.content), this.size + node3.nodeSize);
};
Fragment.prototype.addToEnd = function addToEnd(node3) {
  return new Fragment(this.content.concat(node3), this.size + node3.nodeSize);
};
Fragment.prototype.eq = function eq(other) {
  if (this.content.length != other.content.length) {
    return false;
  }
  for (var i = 0; i < this.content.length; i++) {
    if (!this.content[i].eq(other.content[i])) {
      return false;
    }
  }
  return true;
};
prototypeAccessors$5.firstChild.get = function() {
  return this.content.length ? this.content[0] : null;
};
prototypeAccessors$5.lastChild.get = function() {
  return this.content.length ? this.content[this.content.length - 1] : null;
};
prototypeAccessors$5.childCount.get = function() {
  return this.content.length;
};
Fragment.prototype.child = function child(index3) {
  var found2 = this.content[index3];
  if (!found2) {
    throw new RangeError("Index " + index3 + " out of range for " + this);
  }
  return found2;
};
Fragment.prototype.maybeChild = function maybeChild(index3) {
  return this.content[index3];
};
Fragment.prototype.forEach = function forEach(f) {
  for (var i = 0, p = 0; i < this.content.length; i++) {
    var child3 = this.content[i];
    f(child3, p, i);
    p += child3.nodeSize;
  }
};
Fragment.prototype.findDiffStart = function findDiffStart$1(other, pos) {
  if (pos === void 0)
    pos = 0;
  return findDiffStart(this, other, pos);
};
Fragment.prototype.findDiffEnd = function findDiffEnd$1(other, pos, otherPos) {
  if (pos === void 0)
    pos = this.size;
  if (otherPos === void 0)
    otherPos = other.size;
  return findDiffEnd(this, other, pos, otherPos);
};
Fragment.prototype.findIndex = function findIndex(pos, round) {
  if (round === void 0)
    round = -1;
  if (pos == 0) {
    return retIndex(0, pos);
  }
  if (pos == this.size) {
    return retIndex(this.content.length, pos);
  }
  if (pos > this.size || pos < 0) {
    throw new RangeError("Position " + pos + " outside of fragment (" + this + ")");
  }
  for (var i = 0, curPos = 0; ; i++) {
    var cur = this.child(i), end2 = curPos + cur.nodeSize;
    if (end2 >= pos) {
      if (end2 == pos || round > 0) {
        return retIndex(i + 1, end2);
      }
      return retIndex(i, curPos);
    }
    curPos = end2;
  }
};
Fragment.prototype.toString = function toString() {
  return "<" + this.toStringInner() + ">";
};
Fragment.prototype.toStringInner = function toStringInner() {
  return this.content.join(", ");
};
Fragment.prototype.toJSON = function toJSON() {
  return this.content.length ? this.content.map(function(n) {
    return n.toJSON();
  }) : null;
};
Fragment.fromJSON = function fromJSON(schema, value) {
  if (!value) {
    return Fragment.empty;
  }
  if (!Array.isArray(value)) {
    throw new RangeError("Invalid input for Fragment.fromJSON");
  }
  return new Fragment(value.map(schema.nodeFromJSON));
};
Fragment.fromArray = function fromArray(array) {
  if (!array.length) {
    return Fragment.empty;
  }
  var joined, size = 0;
  for (var i = 0; i < array.length; i++) {
    var node3 = array[i];
    size += node3.nodeSize;
    if (i && node3.isText && array[i - 1].sameMarkup(node3)) {
      if (!joined) {
        joined = array.slice(0, i);
      }
      joined[joined.length - 1] = node3.withText(joined[joined.length - 1].text + node3.text);
    } else if (joined) {
      joined.push(node3);
    }
  }
  return new Fragment(joined || array, size);
};
Fragment.from = function from(nodes) {
  if (!nodes) {
    return Fragment.empty;
  }
  if (nodes instanceof Fragment) {
    return nodes;
  }
  if (Array.isArray(nodes)) {
    return this.fromArray(nodes);
  }
  if (nodes.attrs) {
    return new Fragment([nodes], nodes.nodeSize);
  }
  throw new RangeError("Can not convert " + nodes + " to a Fragment" + (nodes.nodesBetween ? " (looks like multiple versions of prosemirror-model were loaded)" : ""));
};
Object.defineProperties(Fragment.prototype, prototypeAccessors$5);
var found = { index: 0, offset: 0 };
function retIndex(index3, offset2) {
  found.index = index3;
  found.offset = offset2;
  return found;
}
Fragment.empty = new Fragment([], 0);
function compareDeep(a, b) {
  if (a === b) {
    return true;
  }
  if (!(a && typeof a == "object") || !(b && typeof b == "object")) {
    return false;
  }
  var array = Array.isArray(a);
  if (Array.isArray(b) != array) {
    return false;
  }
  if (array) {
    if (a.length != b.length) {
      return false;
    }
    for (var i = 0; i < a.length; i++) {
      if (!compareDeep(a[i], b[i])) {
        return false;
      }
    }
  } else {
    for (var p in a) {
      if (!(p in b) || !compareDeep(a[p], b[p])) {
        return false;
      }
    }
    for (var p$1 in b) {
      if (!(p$1 in a)) {
        return false;
      }
    }
  }
  return true;
}
var Mark = function Mark2(type, attrs) {
  this.type = type;
  this.attrs = attrs;
};
Mark.prototype.addToSet = function addToSet(set2) {
  var copy5, placed = false;
  for (var i = 0; i < set2.length; i++) {
    var other = set2[i];
    if (this.eq(other)) {
      return set2;
    }
    if (this.type.excludes(other.type)) {
      if (!copy5) {
        copy5 = set2.slice(0, i);
      }
    } else if (other.type.excludes(this.type)) {
      return set2;
    } else {
      if (!placed && other.type.rank > this.type.rank) {
        if (!copy5) {
          copy5 = set2.slice(0, i);
        }
        copy5.push(this);
        placed = true;
      }
      if (copy5) {
        copy5.push(other);
      }
    }
  }
  if (!copy5) {
    copy5 = set2.slice();
  }
  if (!placed) {
    copy5.push(this);
  }
  return copy5;
};
Mark.prototype.removeFromSet = function removeFromSet(set2) {
  for (var i = 0; i < set2.length; i++) {
    if (this.eq(set2[i])) {
      return set2.slice(0, i).concat(set2.slice(i + 1));
    }
  }
  return set2;
};
Mark.prototype.isInSet = function isInSet(set2) {
  for (var i = 0; i < set2.length; i++) {
    if (this.eq(set2[i])) {
      return true;
    }
  }
  return false;
};
Mark.prototype.eq = function eq2(other) {
  return this == other || this.type == other.type && compareDeep(this.attrs, other.attrs);
};
Mark.prototype.toJSON = function toJSON2() {
  var obj = { type: this.type.name };
  for (var _ in this.attrs) {
    obj.attrs = this.attrs;
    break;
  }
  return obj;
};
Mark.fromJSON = function fromJSON2(schema, json) {
  if (!json) {
    throw new RangeError("Invalid input for Mark.fromJSON");
  }
  var type = schema.marks[json.type];
  if (!type) {
    throw new RangeError("There is no mark type " + json.type + " in this schema");
  }
  return type.create(json.attrs);
};
Mark.sameSet = function sameSet(a, b) {
  if (a == b) {
    return true;
  }
  if (a.length != b.length) {
    return false;
  }
  for (var i = 0; i < a.length; i++) {
    if (!a[i].eq(b[i])) {
      return false;
    }
  }
  return true;
};
Mark.setFrom = function setFrom(marks2) {
  if (!marks2 || marks2.length == 0) {
    return Mark.none;
  }
  if (marks2 instanceof Mark) {
    return [marks2];
  }
  var copy5 = marks2.slice();
  copy5.sort(function(a, b) {
    return a.type.rank - b.type.rank;
  });
  return copy5;
};
Mark.none = [];
function ReplaceError(message) {
  var err2 = Error.call(this, message);
  err2.__proto__ = ReplaceError.prototype;
  return err2;
}
ReplaceError.prototype = Object.create(Error.prototype);
ReplaceError.prototype.constructor = ReplaceError;
ReplaceError.prototype.name = "ReplaceError";
var Slice = function Slice2(content2, openStart, openEnd) {
  this.content = content2;
  this.openStart = openStart;
  this.openEnd = openEnd;
};
var prototypeAccessors$1$3 = { size: { configurable: true } };
prototypeAccessors$1$3.size.get = function() {
  return this.content.size - this.openStart - this.openEnd;
};
Slice.prototype.insertAt = function insertAt(pos, fragment) {
  var content2 = insertInto(this.content, pos + this.openStart, fragment, null);
  return content2 && new Slice(content2, this.openStart, this.openEnd);
};
Slice.prototype.removeBetween = function removeBetween(from3, to) {
  return new Slice(removeRange(this.content, from3 + this.openStart, to + this.openStart), this.openStart, this.openEnd);
};
Slice.prototype.eq = function eq3(other) {
  return this.content.eq(other.content) && this.openStart == other.openStart && this.openEnd == other.openEnd;
};
Slice.prototype.toString = function toString2() {
  return this.content + "(" + this.openStart + "," + this.openEnd + ")";
};
Slice.prototype.toJSON = function toJSON3() {
  if (!this.content.size) {
    return null;
  }
  var json = { content: this.content.toJSON() };
  if (this.openStart > 0) {
    json.openStart = this.openStart;
  }
  if (this.openEnd > 0) {
    json.openEnd = this.openEnd;
  }
  return json;
};
Slice.fromJSON = function fromJSON3(schema, json) {
  if (!json) {
    return Slice.empty;
  }
  var openStart = json.openStart || 0, openEnd = json.openEnd || 0;
  if (typeof openStart != "number" || typeof openEnd != "number") {
    throw new RangeError("Invalid input for Slice.fromJSON");
  }
  return new Slice(Fragment.fromJSON(schema, json.content), openStart, openEnd);
};
Slice.maxOpen = function maxOpen(fragment, openIsolating) {
  if (openIsolating === void 0)
    openIsolating = true;
  var openStart = 0, openEnd = 0;
  for (var n = fragment.firstChild; n && !n.isLeaf && (openIsolating || !n.type.spec.isolating); n = n.firstChild) {
    openStart++;
  }
  for (var n$1 = fragment.lastChild; n$1 && !n$1.isLeaf && (openIsolating || !n$1.type.spec.isolating); n$1 = n$1.lastChild) {
    openEnd++;
  }
  return new Slice(fragment, openStart, openEnd);
};
Object.defineProperties(Slice.prototype, prototypeAccessors$1$3);
function removeRange(content2, from3, to) {
  var ref2 = content2.findIndex(from3);
  var index3 = ref2.index;
  var offset2 = ref2.offset;
  var child3 = content2.maybeChild(index3);
  var ref$1 = content2.findIndex(to);
  var indexTo = ref$1.index;
  var offsetTo = ref$1.offset;
  if (offset2 == from3 || child3.isText) {
    if (offsetTo != to && !content2.child(indexTo).isText) {
      throw new RangeError("Removing non-flat range");
    }
    return content2.cut(0, from3).append(content2.cut(to));
  }
  if (index3 != indexTo) {
    throw new RangeError("Removing non-flat range");
  }
  return content2.replaceChild(index3, child3.copy(removeRange(child3.content, from3 - offset2 - 1, to - offset2 - 1)));
}
function insertInto(content2, dist, insert, parent) {
  var ref2 = content2.findIndex(dist);
  var index3 = ref2.index;
  var offset2 = ref2.offset;
  var child3 = content2.maybeChild(index3);
  if (offset2 == dist || child3.isText) {
    if (parent && !parent.canReplace(index3, index3, insert)) {
      return null;
    }
    return content2.cut(0, dist).append(insert).append(content2.cut(dist));
  }
  var inner = insertInto(child3.content, dist - offset2 - 1, insert);
  return inner && content2.replaceChild(index3, child3.copy(inner));
}
Slice.empty = new Slice(Fragment.empty, 0, 0);
function replace($from, $to, slice3) {
  if (slice3.openStart > $from.depth) {
    throw new ReplaceError("Inserted content deeper than insertion position");
  }
  if ($from.depth - slice3.openStart != $to.depth - slice3.openEnd) {
    throw new ReplaceError("Inconsistent open depths");
  }
  return replaceOuter($from, $to, slice3, 0);
}
function replaceOuter($from, $to, slice3, depth) {
  var index3 = $from.index(depth), node3 = $from.node(depth);
  if (index3 == $to.index(depth) && depth < $from.depth - slice3.openStart) {
    var inner = replaceOuter($from, $to, slice3, depth + 1);
    return node3.copy(node3.content.replaceChild(index3, inner));
  } else if (!slice3.content.size) {
    return close(node3, replaceTwoWay($from, $to, depth));
  } else if (!slice3.openStart && !slice3.openEnd && $from.depth == depth && $to.depth == depth) {
    var parent = $from.parent, content2 = parent.content;
    return close(parent, content2.cut(0, $from.parentOffset).append(slice3.content).append(content2.cut($to.parentOffset)));
  } else {
    var ref2 = prepareSliceForReplace(slice3, $from);
    var start3 = ref2.start;
    var end2 = ref2.end;
    return close(node3, replaceThreeWay($from, start3, end2, $to, depth));
  }
}
function checkJoin(main, sub) {
  if (!sub.type.compatibleContent(main.type)) {
    throw new ReplaceError("Cannot join " + sub.type.name + " onto " + main.type.name);
  }
}
function joinable($before, $after, depth) {
  var node3 = $before.node(depth);
  checkJoin(node3, $after.node(depth));
  return node3;
}
function addNode(child3, target) {
  var last = target.length - 1;
  if (last >= 0 && child3.isText && child3.sameMarkup(target[last])) {
    target[last] = child3.withText(target[last].text + child3.text);
  } else {
    target.push(child3);
  }
}
function addRange($start, $end, depth, target) {
  var node3 = ($end || $start).node(depth);
  var startIndex = 0, endIndex = $end ? $end.index(depth) : node3.childCount;
  if ($start) {
    startIndex = $start.index(depth);
    if ($start.depth > depth) {
      startIndex++;
    } else if ($start.textOffset) {
      addNode($start.nodeAfter, target);
      startIndex++;
    }
  }
  for (var i = startIndex; i < endIndex; i++) {
    addNode(node3.child(i), target);
  }
  if ($end && $end.depth == depth && $end.textOffset) {
    addNode($end.nodeBefore, target);
  }
}
function close(node3, content2) {
  if (!node3.type.validContent(content2)) {
    throw new ReplaceError("Invalid content for node " + node3.type.name);
  }
  return node3.copy(content2);
}
function replaceThreeWay($from, $start, $end, $to, depth) {
  var openStart = $from.depth > depth && joinable($from, $start, depth + 1);
  var openEnd = $to.depth > depth && joinable($end, $to, depth + 1);
  var content2 = [];
  addRange(null, $from, depth, content2);
  if (openStart && openEnd && $start.index(depth) == $end.index(depth)) {
    checkJoin(openStart, openEnd);
    addNode(close(openStart, replaceThreeWay($from, $start, $end, $to, depth + 1)), content2);
  } else {
    if (openStart) {
      addNode(close(openStart, replaceTwoWay($from, $start, depth + 1)), content2);
    }
    addRange($start, $end, depth, content2);
    if (openEnd) {
      addNode(close(openEnd, replaceTwoWay($end, $to, depth + 1)), content2);
    }
  }
  addRange($to, null, depth, content2);
  return new Fragment(content2);
}
function replaceTwoWay($from, $to, depth) {
  var content2 = [];
  addRange(null, $from, depth, content2);
  if ($from.depth > depth) {
    var type = joinable($from, $to, depth + 1);
    addNode(close(type, replaceTwoWay($from, $to, depth + 1)), content2);
  }
  addRange($to, null, depth, content2);
  return new Fragment(content2);
}
function prepareSliceForReplace(slice3, $along) {
  var extra = $along.depth - slice3.openStart, parent = $along.node(extra);
  var node3 = parent.copy(slice3.content);
  for (var i = extra - 1; i >= 0; i--) {
    node3 = $along.node(i).copy(Fragment.from(node3));
  }
  return {
    start: node3.resolveNoCache(slice3.openStart + extra),
    end: node3.resolveNoCache(node3.content.size - slice3.openEnd - extra)
  };
}
var ResolvedPos = function ResolvedPos2(pos, path, parentOffset) {
  this.pos = pos;
  this.path = path;
  this.depth = path.length / 3 - 1;
  this.parentOffset = parentOffset;
};
var prototypeAccessors$2$1 = { parent: { configurable: true }, doc: { configurable: true }, textOffset: { configurable: true }, nodeAfter: { configurable: true }, nodeBefore: { configurable: true } };
ResolvedPos.prototype.resolveDepth = function resolveDepth(val) {
  if (val == null) {
    return this.depth;
  }
  if (val < 0) {
    return this.depth + val;
  }
  return val;
};
prototypeAccessors$2$1.parent.get = function() {
  return this.node(this.depth);
};
prototypeAccessors$2$1.doc.get = function() {
  return this.node(0);
};
ResolvedPos.prototype.node = function node(depth) {
  return this.path[this.resolveDepth(depth) * 3];
};
ResolvedPos.prototype.index = function index(depth) {
  return this.path[this.resolveDepth(depth) * 3 + 1];
};
ResolvedPos.prototype.indexAfter = function indexAfter(depth) {
  depth = this.resolveDepth(depth);
  return this.index(depth) + (depth == this.depth && !this.textOffset ? 0 : 1);
};
ResolvedPos.prototype.start = function start(depth) {
  depth = this.resolveDepth(depth);
  return depth == 0 ? 0 : this.path[depth * 3 - 1] + 1;
};
ResolvedPos.prototype.end = function end(depth) {
  depth = this.resolveDepth(depth);
  return this.start(depth) + this.node(depth).content.size;
};
ResolvedPos.prototype.before = function before(depth) {
  depth = this.resolveDepth(depth);
  if (!depth) {
    throw new RangeError("There is no position before the top-level node");
  }
  return depth == this.depth + 1 ? this.pos : this.path[depth * 3 - 1];
};
ResolvedPos.prototype.after = function after(depth) {
  depth = this.resolveDepth(depth);
  if (!depth) {
    throw new RangeError("There is no position after the top-level node");
  }
  return depth == this.depth + 1 ? this.pos : this.path[depth * 3 - 1] + this.path[depth * 3].nodeSize;
};
prototypeAccessors$2$1.textOffset.get = function() {
  return this.pos - this.path[this.path.length - 1];
};
prototypeAccessors$2$1.nodeAfter.get = function() {
  var parent = this.parent, index3 = this.index(this.depth);
  if (index3 == parent.childCount) {
    return null;
  }
  var dOff = this.pos - this.path[this.path.length - 1], child3 = parent.child(index3);
  return dOff ? parent.child(index3).cut(dOff) : child3;
};
prototypeAccessors$2$1.nodeBefore.get = function() {
  var index3 = this.index(this.depth);
  var dOff = this.pos - this.path[this.path.length - 1];
  if (dOff) {
    return this.parent.child(index3).cut(0, dOff);
  }
  return index3 == 0 ? null : this.parent.child(index3 - 1);
};
ResolvedPos.prototype.posAtIndex = function posAtIndex(index3, depth) {
  depth = this.resolveDepth(depth);
  var node3 = this.path[depth * 3], pos = depth == 0 ? 0 : this.path[depth * 3 - 1] + 1;
  for (var i = 0; i < index3; i++) {
    pos += node3.child(i).nodeSize;
  }
  return pos;
};
ResolvedPos.prototype.marks = function marks() {
  var parent = this.parent, index3 = this.index();
  if (parent.content.size == 0) {
    return Mark.none;
  }
  if (this.textOffset) {
    return parent.child(index3).marks;
  }
  var main = parent.maybeChild(index3 - 1), other = parent.maybeChild(index3);
  if (!main) {
    var tmp = main;
    main = other;
    other = tmp;
  }
  var marks2 = main.marks;
  for (var i = 0; i < marks2.length; i++) {
    if (marks2[i].type.spec.inclusive === false && (!other || !marks2[i].isInSet(other.marks))) {
      marks2 = marks2[i--].removeFromSet(marks2);
    }
  }
  return marks2;
};
ResolvedPos.prototype.marksAcross = function marksAcross($end) {
  var after2 = this.parent.maybeChild(this.index());
  if (!after2 || !after2.isInline) {
    return null;
  }
  var marks2 = after2.marks, next = $end.parent.maybeChild($end.index());
  for (var i = 0; i < marks2.length; i++) {
    if (marks2[i].type.spec.inclusive === false && (!next || !marks2[i].isInSet(next.marks))) {
      marks2 = marks2[i--].removeFromSet(marks2);
    }
  }
  return marks2;
};
ResolvedPos.prototype.sharedDepth = function sharedDepth(pos) {
  for (var depth = this.depth; depth > 0; depth--) {
    if (this.start(depth) <= pos && this.end(depth) >= pos) {
      return depth;
    }
  }
  return 0;
};
ResolvedPos.prototype.blockRange = function blockRange(other, pred) {
  if (other === void 0)
    other = this;
  if (other.pos < this.pos) {
    return other.blockRange(this);
  }
  for (var d = this.depth - (this.parent.inlineContent || this.pos == other.pos ? 1 : 0); d >= 0; d--) {
    if (other.pos <= this.end(d) && (!pred || pred(this.node(d)))) {
      return new NodeRange(this, other, d);
    }
  }
};
ResolvedPos.prototype.sameParent = function sameParent(other) {
  return this.pos - this.parentOffset == other.pos - other.parentOffset;
};
ResolvedPos.prototype.max = function max(other) {
  return other.pos > this.pos ? other : this;
};
ResolvedPos.prototype.min = function min(other) {
  return other.pos < this.pos ? other : this;
};
ResolvedPos.prototype.toString = function toString3() {
  var str = "";
  for (var i = 1; i <= this.depth; i++) {
    str += (str ? "/" : "") + this.node(i).type.name + "_" + this.index(i - 1);
  }
  return str + ":" + this.parentOffset;
};
ResolvedPos.resolve = function resolve(doc2, pos) {
  if (!(pos >= 0 && pos <= doc2.content.size)) {
    throw new RangeError("Position " + pos + " out of range");
  }
  var path = [];
  var start3 = 0, parentOffset = pos;
  for (var node3 = doc2; ; ) {
    var ref2 = node3.content.findIndex(parentOffset);
    var index3 = ref2.index;
    var offset2 = ref2.offset;
    var rem = parentOffset - offset2;
    path.push(node3, index3, start3 + offset2);
    if (!rem) {
      break;
    }
    node3 = node3.child(index3);
    if (node3.isText) {
      break;
    }
    parentOffset = rem - 1;
    start3 += offset2 + 1;
  }
  return new ResolvedPos(pos, path, parentOffset);
};
ResolvedPos.resolveCached = function resolveCached(doc2, pos) {
  for (var i = 0; i < resolveCache.length; i++) {
    var cached = resolveCache[i];
    if (cached.pos == pos && cached.doc == doc2) {
      return cached;
    }
  }
  var result2 = resolveCache[resolveCachePos] = ResolvedPos.resolve(doc2, pos);
  resolveCachePos = (resolveCachePos + 1) % resolveCacheSize;
  return result2;
};
Object.defineProperties(ResolvedPos.prototype, prototypeAccessors$2$1);
var resolveCache = [], resolveCachePos = 0, resolveCacheSize = 12;
var NodeRange = function NodeRange2($from, $to, depth) {
  this.$from = $from;
  this.$to = $to;
  this.depth = depth;
};
var prototypeAccessors$1$1$1 = { start: { configurable: true }, end: { configurable: true }, parent: { configurable: true }, startIndex: { configurable: true }, endIndex: { configurable: true } };
prototypeAccessors$1$1$1.start.get = function() {
  return this.$from.before(this.depth + 1);
};
prototypeAccessors$1$1$1.end.get = function() {
  return this.$to.after(this.depth + 1);
};
prototypeAccessors$1$1$1.parent.get = function() {
  return this.$from.node(this.depth);
};
prototypeAccessors$1$1$1.startIndex.get = function() {
  return this.$from.index(this.depth);
};
prototypeAccessors$1$1$1.endIndex.get = function() {
  return this.$to.indexAfter(this.depth);
};
Object.defineProperties(NodeRange.prototype, prototypeAccessors$1$1$1);
var emptyAttrs = Object.create(null);
var Node = function Node2(type, attrs, content2, marks2) {
  this.type = type;
  this.attrs = attrs;
  this.content = content2 || Fragment.empty;
  this.marks = marks2 || Mark.none;
};
var prototypeAccessors$3$1 = { nodeSize: { configurable: true }, childCount: { configurable: true }, textContent: { configurable: true }, firstChild: { configurable: true }, lastChild: { configurable: true }, isBlock: { configurable: true }, isTextblock: { configurable: true }, inlineContent: { configurable: true }, isInline: { configurable: true }, isText: { configurable: true }, isLeaf: { configurable: true }, isAtom: { configurable: true } };
prototypeAccessors$3$1.nodeSize.get = function() {
  return this.isLeaf ? 1 : 2 + this.content.size;
};
prototypeAccessors$3$1.childCount.get = function() {
  return this.content.childCount;
};
Node.prototype.child = function child2(index3) {
  return this.content.child(index3);
};
Node.prototype.maybeChild = function maybeChild2(index3) {
  return this.content.maybeChild(index3);
};
Node.prototype.forEach = function forEach2(f) {
  this.content.forEach(f);
};
Node.prototype.nodesBetween = function nodesBetween2(from3, to, f, startPos) {
  if (startPos === void 0)
    startPos = 0;
  this.content.nodesBetween(from3, to, f, startPos, this);
};
Node.prototype.descendants = function descendants2(f) {
  this.nodesBetween(0, this.content.size, f);
};
prototypeAccessors$3$1.textContent.get = function() {
  return this.textBetween(0, this.content.size, "");
};
Node.prototype.textBetween = function textBetween2(from3, to, blockSeparator, leafText) {
  return this.content.textBetween(from3, to, blockSeparator, leafText);
};
prototypeAccessors$3$1.firstChild.get = function() {
  return this.content.firstChild;
};
prototypeAccessors$3$1.lastChild.get = function() {
  return this.content.lastChild;
};
Node.prototype.eq = function eq4(other) {
  return this == other || this.sameMarkup(other) && this.content.eq(other.content);
};
Node.prototype.sameMarkup = function sameMarkup(other) {
  return this.hasMarkup(other.type, other.attrs, other.marks);
};
Node.prototype.hasMarkup = function hasMarkup(type, attrs, marks2) {
  return this.type == type && compareDeep(this.attrs, attrs || type.defaultAttrs || emptyAttrs) && Mark.sameSet(this.marks, marks2 || Mark.none);
};
Node.prototype.copy = function copy(content2) {
  if (content2 === void 0)
    content2 = null;
  if (content2 == this.content) {
    return this;
  }
  return new this.constructor(this.type, this.attrs, content2, this.marks);
};
Node.prototype.mark = function mark(marks2) {
  return marks2 == this.marks ? this : new this.constructor(this.type, this.attrs, this.content, marks2);
};
Node.prototype.cut = function cut2(from3, to) {
  if (from3 == 0 && to == this.content.size) {
    return this;
  }
  return this.copy(this.content.cut(from3, to));
};
Node.prototype.slice = function slice(from3, to, includeParents) {
  if (to === void 0)
    to = this.content.size;
  if (includeParents === void 0)
    includeParents = false;
  if (from3 == to) {
    return Slice.empty;
  }
  var $from = this.resolve(from3), $to = this.resolve(to);
  var depth = includeParents ? 0 : $from.sharedDepth(to);
  var start3 = $from.start(depth), node3 = $from.node(depth);
  var content2 = node3.content.cut($from.pos - start3, $to.pos - start3);
  return new Slice(content2, $from.depth - depth, $to.depth - depth);
};
Node.prototype.replace = function replace$1(from3, to, slice3) {
  return replace(this.resolve(from3), this.resolve(to), slice3);
};
Node.prototype.nodeAt = function nodeAt(pos) {
  for (var node3 = this; ; ) {
    var ref2 = node3.content.findIndex(pos);
    var index3 = ref2.index;
    var offset2 = ref2.offset;
    node3 = node3.maybeChild(index3);
    if (!node3) {
      return null;
    }
    if (offset2 == pos || node3.isText) {
      return node3;
    }
    pos -= offset2 + 1;
  }
};
Node.prototype.childAfter = function childAfter(pos) {
  var ref2 = this.content.findIndex(pos);
  var index3 = ref2.index;
  var offset2 = ref2.offset;
  return { node: this.content.maybeChild(index3), index: index3, offset: offset2 };
};
Node.prototype.childBefore = function childBefore(pos) {
  if (pos == 0) {
    return { node: null, index: 0, offset: 0 };
  }
  var ref2 = this.content.findIndex(pos);
  var index3 = ref2.index;
  var offset2 = ref2.offset;
  if (offset2 < pos) {
    return { node: this.content.child(index3), index: index3, offset: offset2 };
  }
  var node3 = this.content.child(index3 - 1);
  return { node: node3, index: index3 - 1, offset: offset2 - node3.nodeSize };
};
Node.prototype.resolve = function resolve2(pos) {
  return ResolvedPos.resolveCached(this, pos);
};
Node.prototype.resolveNoCache = function resolveNoCache(pos) {
  return ResolvedPos.resolve(this, pos);
};
Node.prototype.rangeHasMark = function rangeHasMark(from3, to, type) {
  var found2 = false;
  if (to > from3) {
    this.nodesBetween(from3, to, function(node3) {
      if (type.isInSet(node3.marks)) {
        found2 = true;
      }
      return !found2;
    });
  }
  return found2;
};
prototypeAccessors$3$1.isBlock.get = function() {
  return this.type.isBlock;
};
prototypeAccessors$3$1.isTextblock.get = function() {
  return this.type.isTextblock;
};
prototypeAccessors$3$1.inlineContent.get = function() {
  return this.type.inlineContent;
};
prototypeAccessors$3$1.isInline.get = function() {
  return this.type.isInline;
};
prototypeAccessors$3$1.isText.get = function() {
  return this.type.isText;
};
prototypeAccessors$3$1.isLeaf.get = function() {
  return this.type.isLeaf;
};
prototypeAccessors$3$1.isAtom.get = function() {
  return this.type.isAtom;
};
Node.prototype.toString = function toString4() {
  if (this.type.spec.toDebugString) {
    return this.type.spec.toDebugString(this);
  }
  var name = this.type.name;
  if (this.content.size) {
    name += "(" + this.content.toStringInner() + ")";
  }
  return wrapMarks(this.marks, name);
};
Node.prototype.contentMatchAt = function contentMatchAt(index3) {
  var match = this.type.contentMatch.matchFragment(this.content, 0, index3);
  if (!match) {
    throw new Error("Called contentMatchAt on a node with invalid content");
  }
  return match;
};
Node.prototype.canReplace = function canReplace(from3, to, replacement, start3, end2) {
  if (replacement === void 0)
    replacement = Fragment.empty;
  if (start3 === void 0)
    start3 = 0;
  if (end2 === void 0)
    end2 = replacement.childCount;
  var one = this.contentMatchAt(from3).matchFragment(replacement, start3, end2);
  var two = one && one.matchFragment(this.content, to);
  if (!two || !two.validEnd) {
    return false;
  }
  for (var i = start3; i < end2; i++) {
    if (!this.type.allowsMarks(replacement.child(i).marks)) {
      return false;
    }
  }
  return true;
};
Node.prototype.canReplaceWith = function canReplaceWith(from3, to, type, marks2) {
  if (marks2 && !this.type.allowsMarks(marks2)) {
    return false;
  }
  var start3 = this.contentMatchAt(from3).matchType(type);
  var end2 = start3 && start3.matchFragment(this.content, to);
  return end2 ? end2.validEnd : false;
};
Node.prototype.canAppend = function canAppend(other) {
  if (other.content.size) {
    return this.canReplace(this.childCount, this.childCount, other.content);
  } else {
    return this.type.compatibleContent(other.type);
  }
};
Node.prototype.check = function check() {
  if (!this.type.validContent(this.content)) {
    throw new RangeError("Invalid content for node " + this.type.name + ": " + this.content.toString().slice(0, 50));
  }
  var copy5 = Mark.none;
  for (var i = 0; i < this.marks.length; i++) {
    copy5 = this.marks[i].addToSet(copy5);
  }
  if (!Mark.sameSet(copy5, this.marks)) {
    throw new RangeError("Invalid collection of marks for node " + this.type.name + ": " + this.marks.map(function(m) {
      return m.type.name;
    }));
  }
  this.content.forEach(function(node3) {
    return node3.check();
  });
};
Node.prototype.toJSON = function toJSON4() {
  var obj = { type: this.type.name };
  for (var _ in this.attrs) {
    obj.attrs = this.attrs;
    break;
  }
  if (this.content.size) {
    obj.content = this.content.toJSON();
  }
  if (this.marks.length) {
    obj.marks = this.marks.map(function(n) {
      return n.toJSON();
    });
  }
  return obj;
};
Node.fromJSON = function fromJSON4(schema, json) {
  if (!json) {
    throw new RangeError("Invalid input for Node.fromJSON");
  }
  var marks2 = null;
  if (json.marks) {
    if (!Array.isArray(json.marks)) {
      throw new RangeError("Invalid mark data for Node.fromJSON");
    }
    marks2 = json.marks.map(schema.markFromJSON);
  }
  if (json.type == "text") {
    if (typeof json.text != "string") {
      throw new RangeError("Invalid text node in JSON");
    }
    return schema.text(json.text, marks2);
  }
  var content2 = Fragment.fromJSON(schema, json.content);
  return schema.nodeType(json.type).create(json.attrs, content2, marks2);
};
Object.defineProperties(Node.prototype, prototypeAccessors$3$1);
function wrapMarks(marks2, str) {
  for (var i = marks2.length - 1; i >= 0; i--) {
    str = marks2[i].type.name + "(" + str + ")";
  }
  return str;
}
var ContentMatch = function ContentMatch2(validEnd) {
  this.validEnd = validEnd;
  this.next = [];
  this.wrapCache = [];
};
var prototypeAccessors$4$1 = { inlineContent: { configurable: true }, defaultType: { configurable: true }, edgeCount: { configurable: true } };
ContentMatch.parse = function parse(string, nodeTypes) {
  var stream = new TokenStream(string, nodeTypes);
  if (stream.next == null) {
    return ContentMatch.empty;
  }
  var expr = parseExpr(stream);
  if (stream.next) {
    stream.err("Unexpected trailing text");
  }
  var match = dfa(nfa(expr));
  checkForDeadEnds(match, stream);
  return match;
};
ContentMatch.prototype.matchType = function matchType(type) {
  for (var i = 0; i < this.next.length; i += 2) {
    if (this.next[i] == type) {
      return this.next[i + 1];
    }
  }
  return null;
};
ContentMatch.prototype.matchFragment = function matchFragment(frag, start3, end2) {
  if (start3 === void 0)
    start3 = 0;
  if (end2 === void 0)
    end2 = frag.childCount;
  var cur = this;
  for (var i = start3; cur && i < end2; i++) {
    cur = cur.matchType(frag.child(i).type);
  }
  return cur;
};
prototypeAccessors$4$1.inlineContent.get = function() {
  var first = this.next[0];
  return first ? first.isInline : false;
};
prototypeAccessors$4$1.defaultType.get = function() {
  for (var i = 0; i < this.next.length; i += 2) {
    var type = this.next[i];
    if (!(type.isText || type.hasRequiredAttrs())) {
      return type;
    }
  }
};
ContentMatch.prototype.compatible = function compatible(other) {
  for (var i = 0; i < this.next.length; i += 2) {
    for (var j = 0; j < other.next.length; j += 2) {
      if (this.next[i] == other.next[j]) {
        return true;
      }
    }
  }
  return false;
};
ContentMatch.prototype.fillBefore = function fillBefore(after2, toEnd, startIndex) {
  if (toEnd === void 0)
    toEnd = false;
  if (startIndex === void 0)
    startIndex = 0;
  var seen = [this];
  function search(match, types) {
    var finished = match.matchFragment(after2, startIndex);
    if (finished && (!toEnd || finished.validEnd)) {
      return Fragment.from(types.map(function(tp) {
        return tp.createAndFill();
      }));
    }
    for (var i = 0; i < match.next.length; i += 2) {
      var type = match.next[i], next = match.next[i + 1];
      if (!(type.isText || type.hasRequiredAttrs()) && seen.indexOf(next) == -1) {
        seen.push(next);
        var found2 = search(next, types.concat(type));
        if (found2) {
          return found2;
        }
      }
    }
  }
  return search(this, []);
};
ContentMatch.prototype.findWrapping = function findWrapping(target) {
  for (var i = 0; i < this.wrapCache.length; i += 2) {
    if (this.wrapCache[i] == target) {
      return this.wrapCache[i + 1];
    }
  }
  var computed2 = this.computeWrapping(target);
  this.wrapCache.push(target, computed2);
  return computed2;
};
ContentMatch.prototype.computeWrapping = function computeWrapping(target) {
  var seen = Object.create(null), active = [{ match: this, type: null, via: null }];
  while (active.length) {
    var current = active.shift(), match = current.match;
    if (match.matchType(target)) {
      var result2 = [];
      for (var obj = current; obj.type; obj = obj.via) {
        result2.push(obj.type);
      }
      return result2.reverse();
    }
    for (var i = 0; i < match.next.length; i += 2) {
      var type = match.next[i];
      if (!type.isLeaf && !type.hasRequiredAttrs() && !(type.name in seen) && (!current.type || match.next[i + 1].validEnd)) {
        active.push({ match: type.contentMatch, type, via: current });
        seen[type.name] = true;
      }
    }
  }
};
prototypeAccessors$4$1.edgeCount.get = function() {
  return this.next.length >> 1;
};
ContentMatch.prototype.edge = function edge(n) {
  var i = n << 1;
  if (i >= this.next.length) {
    throw new RangeError("There's no " + n + "th edge in this content match");
  }
  return { type: this.next[i], next: this.next[i + 1] };
};
ContentMatch.prototype.toString = function toString5() {
  var seen = [];
  function scan(m) {
    seen.push(m);
    for (var i = 1; i < m.next.length; i += 2) {
      if (seen.indexOf(m.next[i]) == -1) {
        scan(m.next[i]);
      }
    }
  }
  scan(this);
  return seen.map(function(m, i) {
    var out = i + (m.validEnd ? "*" : " ") + " ";
    for (var i$1 = 0; i$1 < m.next.length; i$1 += 2) {
      out += (i$1 ? ", " : "") + m.next[i$1].name + "->" + seen.indexOf(m.next[i$1 + 1]);
    }
    return out;
  }).join("\n");
};
Object.defineProperties(ContentMatch.prototype, prototypeAccessors$4$1);
ContentMatch.empty = new ContentMatch(true);
var TokenStream = function TokenStream2(string, nodeTypes) {
  this.string = string;
  this.nodeTypes = nodeTypes;
  this.inline = null;
  this.pos = 0;
  this.tokens = string.split(/\s*(?=\b|\W|$)/);
  if (this.tokens[this.tokens.length - 1] == "") {
    this.tokens.pop();
  }
  if (this.tokens[0] == "") {
    this.tokens.shift();
  }
};
var prototypeAccessors$1$2$1 = { next: { configurable: true } };
prototypeAccessors$1$2$1.next.get = function() {
  return this.tokens[this.pos];
};
TokenStream.prototype.eat = function eat(tok) {
  return this.next == tok && (this.pos++ || true);
};
TokenStream.prototype.err = function err(str) {
  throw new SyntaxError(str + " (in content expression '" + this.string + "')");
};
Object.defineProperties(TokenStream.prototype, prototypeAccessors$1$2$1);
function parseExpr(stream) {
  var exprs = [];
  do {
    exprs.push(parseExprSeq(stream));
  } while (stream.eat("|"));
  return exprs.length == 1 ? exprs[0] : { type: "choice", exprs };
}
function parseExprSeq(stream) {
  var exprs = [];
  do {
    exprs.push(parseExprSubscript(stream));
  } while (stream.next && stream.next != ")" && stream.next != "|");
  return exprs.length == 1 ? exprs[0] : { type: "seq", exprs };
}
function parseExprSubscript(stream) {
  var expr = parseExprAtom(stream);
  for (; ; ) {
    if (stream.eat("+")) {
      expr = { type: "plus", expr };
    } else if (stream.eat("*")) {
      expr = { type: "star", expr };
    } else if (stream.eat("?")) {
      expr = { type: "opt", expr };
    } else if (stream.eat("{")) {
      expr = parseExprRange(stream, expr);
    } else {
      break;
    }
  }
  return expr;
}
function parseNum(stream) {
  if (/\D/.test(stream.next)) {
    stream.err("Expected number, got '" + stream.next + "'");
  }
  var result2 = Number(stream.next);
  stream.pos++;
  return result2;
}
function parseExprRange(stream, expr) {
  var min2 = parseNum(stream), max2 = min2;
  if (stream.eat(",")) {
    if (stream.next != "}") {
      max2 = parseNum(stream);
    } else {
      max2 = -1;
    }
  }
  if (!stream.eat("}")) {
    stream.err("Unclosed braced range");
  }
  return { type: "range", min: min2, max: max2, expr };
}
function resolveName(stream, name) {
  var types = stream.nodeTypes, type = types[name];
  if (type) {
    return [type];
  }
  var result2 = [];
  for (var typeName in types) {
    var type$1 = types[typeName];
    if (type$1.groups.indexOf(name) > -1) {
      result2.push(type$1);
    }
  }
  if (result2.length == 0) {
    stream.err("No node type or group '" + name + "' found");
  }
  return result2;
}
function parseExprAtom(stream) {
  if (stream.eat("(")) {
    var expr = parseExpr(stream);
    if (!stream.eat(")")) {
      stream.err("Missing closing paren");
    }
    return expr;
  } else if (!/\W/.test(stream.next)) {
    var exprs = resolveName(stream, stream.next).map(function(type) {
      if (stream.inline == null) {
        stream.inline = type.isInline;
      } else if (stream.inline != type.isInline) {
        stream.err("Mixing inline and block content");
      }
      return { type: "name", value: type };
    });
    stream.pos++;
    return exprs.length == 1 ? exprs[0] : { type: "choice", exprs };
  } else {
    stream.err("Unexpected token '" + stream.next + "'");
  }
}
function nfa(expr) {
  var nfa2 = [[]];
  connect(compile3(expr, 0), node3());
  return nfa2;
  function node3() {
    return nfa2.push([]) - 1;
  }
  function edge2(from3, to, term) {
    var edge3 = { term, to };
    nfa2[from3].push(edge3);
    return edge3;
  }
  function connect(edges, to) {
    edges.forEach(function(edge3) {
      return edge3.to = to;
    });
  }
  function compile3(expr2, from3) {
    if (expr2.type == "choice") {
      return expr2.exprs.reduce(function(out, expr3) {
        return out.concat(compile3(expr3, from3));
      }, []);
    } else if (expr2.type == "seq") {
      for (var i = 0; ; i++) {
        var next = compile3(expr2.exprs[i], from3);
        if (i == expr2.exprs.length - 1) {
          return next;
        }
        connect(next, from3 = node3());
      }
    } else if (expr2.type == "star") {
      var loop = node3();
      edge2(from3, loop);
      connect(compile3(expr2.expr, loop), loop);
      return [edge2(loop)];
    } else if (expr2.type == "plus") {
      var loop$1 = node3();
      connect(compile3(expr2.expr, from3), loop$1);
      connect(compile3(expr2.expr, loop$1), loop$1);
      return [edge2(loop$1)];
    } else if (expr2.type == "opt") {
      return [edge2(from3)].concat(compile3(expr2.expr, from3));
    } else if (expr2.type == "range") {
      var cur = from3;
      for (var i$1 = 0; i$1 < expr2.min; i$1++) {
        var next$1 = node3();
        connect(compile3(expr2.expr, cur), next$1);
        cur = next$1;
      }
      if (expr2.max == -1) {
        connect(compile3(expr2.expr, cur), cur);
      } else {
        for (var i$2 = expr2.min; i$2 < expr2.max; i$2++) {
          var next$2 = node3();
          edge2(cur, next$2);
          connect(compile3(expr2.expr, cur), next$2);
          cur = next$2;
        }
      }
      return [edge2(cur)];
    } else if (expr2.type == "name") {
      return [edge2(from3, null, expr2.value)];
    }
  }
}
function cmp(a, b) {
  return b - a;
}
function nullFrom(nfa2, node3) {
  var result2 = [];
  scan(node3);
  return result2.sort(cmp);
  function scan(node4) {
    var edges = nfa2[node4];
    if (edges.length == 1 && !edges[0].term) {
      return scan(edges[0].to);
    }
    result2.push(node4);
    for (var i = 0; i < edges.length; i++) {
      var ref2 = edges[i];
      var term = ref2.term;
      var to = ref2.to;
      if (!term && result2.indexOf(to) == -1) {
        scan(to);
      }
    }
  }
}
function dfa(nfa2) {
  var labeled = Object.create(null);
  return explore(nullFrom(nfa2, 0));
  function explore(states) {
    var out = [];
    states.forEach(function(node3) {
      nfa2[node3].forEach(function(ref2) {
        var term = ref2.term;
        var to = ref2.to;
        if (!term) {
          return;
        }
        var known = out.indexOf(term), set2 = known > -1 && out[known + 1];
        nullFrom(nfa2, to).forEach(function(node4) {
          if (!set2) {
            out.push(term, set2 = []);
          }
          if (set2.indexOf(node4) == -1) {
            set2.push(node4);
          }
        });
      });
    });
    var state = labeled[states.join(",")] = new ContentMatch(states.indexOf(nfa2.length - 1) > -1);
    for (var i = 0; i < out.length; i += 2) {
      var states$1 = out[i + 1].sort(cmp);
      state.next.push(out[i], labeled[states$1.join(",")] || explore(states$1));
    }
    return state;
  }
}
function checkForDeadEnds(match, stream) {
  for (var i = 0, work = [match]; i < work.length; i++) {
    var state = work[i], dead = !state.validEnd, nodes = [];
    for (var j = 0; j < state.next.length; j += 2) {
      var node3 = state.next[j], next = state.next[j + 1];
      nodes.push(node3.name);
      if (dead && !(node3.isText || node3.hasRequiredAttrs())) {
        dead = false;
      }
      if (work.indexOf(next) == -1) {
        work.push(next);
      }
    }
    if (dead) {
      stream.err("Only non-generatable nodes (" + nodes.join(", ") + ") in a required position (see https://prosemirror.net/docs/guide/#generatable)");
    }
  }
}
function defaultAttrs(attrs) {
  var defaults = Object.create(null);
  for (var attrName in attrs) {
    var attr = attrs[attrName];
    if (!attr.hasDefault) {
      return null;
    }
    defaults[attrName] = attr.default;
  }
  return defaults;
}
function computeAttrs(attrs, value) {
  var built = Object.create(null);
  for (var name in attrs) {
    var given = value && value[name];
    if (given === void 0) {
      var attr = attrs[name];
      if (attr.hasDefault) {
        given = attr.default;
      } else {
        throw new RangeError("No value supplied for attribute " + name);
      }
    }
    built[name] = given;
  }
  return built;
}
function initAttrs(attrs) {
  var result2 = Object.create(null);
  if (attrs) {
    for (var name in attrs) {
      result2[name] = new Attribute(attrs[name]);
    }
  }
  return result2;
}
var NodeType$1 = function NodeType(name, schema, spec) {
  this.name = name;
  this.schema = schema;
  this.spec = spec;
  this.groups = spec.group ? spec.group.split(" ") : [];
  this.attrs = initAttrs(spec.attrs);
  this.defaultAttrs = defaultAttrs(this.attrs);
  this.contentMatch = null;
  this.markSet = null;
  this.inlineContent = null;
  this.isBlock = !(spec.inline || name == "text");
  this.isText = name == "text";
};
var prototypeAccessors$5$1 = { isInline: { configurable: true }, isTextblock: { configurable: true }, isLeaf: { configurable: true }, isAtom: { configurable: true } };
prototypeAccessors$5$1.isInline.get = function() {
  return !this.isBlock;
};
prototypeAccessors$5$1.isTextblock.get = function() {
  return this.isBlock && this.inlineContent;
};
prototypeAccessors$5$1.isLeaf.get = function() {
  return this.contentMatch == ContentMatch.empty;
};
prototypeAccessors$5$1.isAtom.get = function() {
  return this.isLeaf || this.spec.atom;
};
NodeType$1.prototype.hasRequiredAttrs = function hasRequiredAttrs() {
  for (var n in this.attrs) {
    if (this.attrs[n].isRequired) {
      return true;
    }
  }
  return false;
};
NodeType$1.prototype.compatibleContent = function compatibleContent(other) {
  return this == other || this.contentMatch.compatible(other.contentMatch);
};
NodeType$1.prototype.computeAttrs = function computeAttrs$1(attrs) {
  if (!attrs && this.defaultAttrs) {
    return this.defaultAttrs;
  } else {
    return computeAttrs(this.attrs, attrs);
  }
};
NodeType$1.prototype.create = function create(attrs, content2, marks2) {
  if (this.isText) {
    throw new Error("NodeType.create can't construct text nodes");
  }
  return new Node(this, this.computeAttrs(attrs), Fragment.from(content2), Mark.setFrom(marks2));
};
NodeType$1.prototype.createChecked = function createChecked(attrs, content2, marks2) {
  content2 = Fragment.from(content2);
  if (!this.validContent(content2)) {
    throw new RangeError("Invalid content for node " + this.name);
  }
  return new Node(this, this.computeAttrs(attrs), content2, Mark.setFrom(marks2));
};
NodeType$1.prototype.createAndFill = function createAndFill(attrs, content2, marks2) {
  attrs = this.computeAttrs(attrs);
  content2 = Fragment.from(content2);
  if (content2.size) {
    var before2 = this.contentMatch.fillBefore(content2);
    if (!before2) {
      return null;
    }
    content2 = before2.append(content2);
  }
  var after2 = this.contentMatch.matchFragment(content2).fillBefore(Fragment.empty, true);
  if (!after2) {
    return null;
  }
  return new Node(this, attrs, content2.append(after2), Mark.setFrom(marks2));
};
NodeType$1.prototype.validContent = function validContent(content2) {
  var result2 = this.contentMatch.matchFragment(content2);
  if (!result2 || !result2.validEnd) {
    return false;
  }
  for (var i = 0; i < content2.childCount; i++) {
    if (!this.allowsMarks(content2.child(i).marks)) {
      return false;
    }
  }
  return true;
};
NodeType$1.prototype.allowsMarkType = function allowsMarkType(markType) {
  return this.markSet == null || this.markSet.indexOf(markType) > -1;
};
NodeType$1.prototype.allowsMarks = function allowsMarks(marks2) {
  if (this.markSet == null) {
    return true;
  }
  for (var i = 0; i < marks2.length; i++) {
    if (!this.allowsMarkType(marks2[i].type)) {
      return false;
    }
  }
  return true;
};
NodeType$1.prototype.allowedMarks = function allowedMarks(marks2) {
  if (this.markSet == null) {
    return marks2;
  }
  var copy5;
  for (var i = 0; i < marks2.length; i++) {
    if (!this.allowsMarkType(marks2[i].type)) {
      if (!copy5) {
        copy5 = marks2.slice(0, i);
      }
    } else if (copy5) {
      copy5.push(marks2[i]);
    }
  }
  return !copy5 ? marks2 : copy5.length ? copy5 : Mark.empty;
};
NodeType$1.compile = function compile(nodes, schema) {
  var result2 = Object.create(null);
  nodes.forEach(function(name, spec) {
    return result2[name] = new NodeType$1(name, schema, spec);
  });
  var topType = schema.spec.topNode || "doc";
  if (!result2[topType]) {
    throw new RangeError("Schema is missing its top node type ('" + topType + "')");
  }
  if (!result2.text) {
    throw new RangeError("Every schema needs a 'text' type");
  }
  for (var _ in result2.text.attrs) {
    throw new RangeError("The text node type should not have attributes");
  }
  return result2;
};
Object.defineProperties(NodeType$1.prototype, prototypeAccessors$5$1);
var Attribute = function Attribute2(options) {
  this.hasDefault = Object.prototype.hasOwnProperty.call(options, "default");
  this.default = options.default;
};
var prototypeAccessors$1$3$1 = { isRequired: { configurable: true } };
prototypeAccessors$1$3$1.isRequired.get = function() {
  return !this.hasDefault;
};
Object.defineProperties(Attribute.prototype, prototypeAccessors$1$3$1);
var MarkType = function MarkType2(name, rank, schema, spec) {
  this.name = name;
  this.schema = schema;
  this.spec = spec;
  this.attrs = initAttrs(spec.attrs);
  this.rank = rank;
  this.excluded = null;
  var defaults = defaultAttrs(this.attrs);
  this.instance = defaults && new Mark(this, defaults);
};
MarkType.prototype.create = function create2(attrs) {
  if (!attrs && this.instance) {
    return this.instance;
  }
  return new Mark(this, computeAttrs(this.attrs, attrs));
};
MarkType.compile = function compile2(marks2, schema) {
  var result2 = Object.create(null), rank = 0;
  marks2.forEach(function(name, spec) {
    return result2[name] = new MarkType(name, rank++, schema, spec);
  });
  return result2;
};
MarkType.prototype.removeFromSet = function removeFromSet2(set2) {
  for (var i = 0; i < set2.length; i++) {
    if (set2[i].type == this) {
      set2 = set2.slice(0, i).concat(set2.slice(i + 1));
      i--;
    }
  }
  return set2;
};
MarkType.prototype.isInSet = function isInSet2(set2) {
  for (var i = 0; i < set2.length; i++) {
    if (set2[i].type == this) {
      return set2[i];
    }
  }
};
MarkType.prototype.excludes = function excludes(other) {
  return this.excluded.indexOf(other) > -1;
};
var DOMParser = function DOMParser2(schema, rules) {
  var this$1$1 = this;
  this.schema = schema;
  this.rules = rules;
  this.tags = [];
  this.styles = [];
  rules.forEach(function(rule) {
    if (rule.tag) {
      this$1$1.tags.push(rule);
    } else if (rule.style) {
      this$1$1.styles.push(rule);
    }
  });
  this.normalizeLists = !this.tags.some(function(r) {
    if (!/^(ul|ol)\b/.test(r.tag) || !r.node) {
      return false;
    }
    var node3 = schema.nodes[r.node];
    return node3.contentMatch.matchType(node3);
  });
};
DOMParser.prototype.parse = function parse2(dom, options) {
  if (options === void 0)
    options = {};
  var context = new ParseContext(this, options, false);
  context.addAll(dom, null, options.from, options.to);
  return context.finish();
};
DOMParser.prototype.parseSlice = function parseSlice(dom, options) {
  if (options === void 0)
    options = {};
  var context = new ParseContext(this, options, true);
  context.addAll(dom, null, options.from, options.to);
  return Slice.maxOpen(context.finish());
};
DOMParser.prototype.matchTag = function matchTag(dom, context, after2) {
  for (var i = after2 ? this.tags.indexOf(after2) + 1 : 0; i < this.tags.length; i++) {
    var rule = this.tags[i];
    if (matches(dom, rule.tag) && (rule.namespace === void 0 || dom.namespaceURI == rule.namespace) && (!rule.context || context.matchesContext(rule.context))) {
      if (rule.getAttrs) {
        var result2 = rule.getAttrs(dom);
        if (result2 === false) {
          continue;
        }
        rule.attrs = result2;
      }
      return rule;
    }
  }
};
DOMParser.prototype.matchStyle = function matchStyle(prop, value, context, after2) {
  for (var i = after2 ? this.styles.indexOf(after2) + 1 : 0; i < this.styles.length; i++) {
    var rule = this.styles[i];
    if (rule.style.indexOf(prop) != 0 || rule.context && !context.matchesContext(rule.context) || rule.style.length > prop.length && (rule.style.charCodeAt(prop.length) != 61 || rule.style.slice(prop.length + 1) != value)) {
      continue;
    }
    if (rule.getAttrs) {
      var result2 = rule.getAttrs(value);
      if (result2 === false) {
        continue;
      }
      rule.attrs = result2;
    }
    return rule;
  }
};
DOMParser.schemaRules = function schemaRules(schema) {
  var result2 = [];
  function insert(rule) {
    var priority = rule.priority == null ? 50 : rule.priority, i = 0;
    for (; i < result2.length; i++) {
      var next = result2[i], nextPriority = next.priority == null ? 50 : next.priority;
      if (nextPriority < priority) {
        break;
      }
    }
    result2.splice(i, 0, rule);
  }
  var loop = function(name2) {
    var rules = schema.marks[name2].spec.parseDOM;
    if (rules) {
      rules.forEach(function(rule) {
        insert(rule = copy2(rule));
        rule.mark = name2;
      });
    }
  };
  for (var name in schema.marks)
    loop(name);
  var loop$1 = function(name2) {
    var rules$1 = schema.nodes[name$1].spec.parseDOM;
    if (rules$1) {
      rules$1.forEach(function(rule) {
        insert(rule = copy2(rule));
        rule.node = name$1;
      });
    }
  };
  for (var name$1 in schema.nodes)
    loop$1();
  return result2;
};
DOMParser.fromSchema = function fromSchema(schema) {
  return schema.cached.domParser || (schema.cached.domParser = new DOMParser(schema, DOMParser.schemaRules(schema)));
};
var blockTags = {
  address: true,
  article: true,
  aside: true,
  blockquote: true,
  canvas: true,
  dd: true,
  div: true,
  dl: true,
  fieldset: true,
  figcaption: true,
  figure: true,
  footer: true,
  form: true,
  h1: true,
  h2: true,
  h3: true,
  h4: true,
  h5: true,
  h6: true,
  header: true,
  hgroup: true,
  hr: true,
  li: true,
  noscript: true,
  ol: true,
  output: true,
  p: true,
  pre: true,
  section: true,
  table: true,
  tfoot: true,
  ul: true
};
var ignoreTags = {
  head: true,
  noscript: true,
  object: true,
  script: true,
  style: true,
  title: true
};
var listTags = { ol: true, ul: true };
var OPT_PRESERVE_WS = 1, OPT_PRESERVE_WS_FULL = 2, OPT_OPEN_LEFT = 4;
function wsOptionsFor(preserveWhitespace) {
  return (preserveWhitespace ? OPT_PRESERVE_WS : 0) | (preserveWhitespace === "full" ? OPT_PRESERVE_WS_FULL : 0);
}
var NodeContext = function NodeContext2(type, attrs, marks2, pendingMarks, solid, match, options) {
  this.type = type;
  this.attrs = attrs;
  this.solid = solid;
  this.match = match || (options & OPT_OPEN_LEFT ? null : type.contentMatch);
  this.options = options;
  this.content = [];
  this.marks = marks2;
  this.activeMarks = Mark.none;
  this.pendingMarks = pendingMarks;
  this.stashMarks = [];
};
NodeContext.prototype.findWrapping = function findWrapping2(node3) {
  if (!this.match) {
    if (!this.type) {
      return [];
    }
    var fill = this.type.contentMatch.fillBefore(Fragment.from(node3));
    if (fill) {
      this.match = this.type.contentMatch.matchFragment(fill);
    } else {
      var start3 = this.type.contentMatch, wrap;
      if (wrap = start3.findWrapping(node3.type)) {
        this.match = start3;
        return wrap;
      } else {
        return null;
      }
    }
  }
  return this.match.findWrapping(node3.type);
};
NodeContext.prototype.finish = function finish(openEnd) {
  if (!(this.options & OPT_PRESERVE_WS)) {
    var last = this.content[this.content.length - 1], m;
    if (last && last.isText && (m = /[ \t\r\n\u000c]+$/.exec(last.text))) {
      if (last.text.length == m[0].length) {
        this.content.pop();
      } else {
        this.content[this.content.length - 1] = last.withText(last.text.slice(0, last.text.length - m[0].length));
      }
    }
  }
  var content2 = Fragment.from(this.content);
  if (!openEnd && this.match) {
    content2 = content2.append(this.match.fillBefore(Fragment.empty, true));
  }
  return this.type ? this.type.create(this.attrs, content2, this.marks) : content2;
};
NodeContext.prototype.popFromStashMark = function popFromStashMark(mark2) {
  for (var i = this.stashMarks.length - 1; i >= 0; i--) {
    if (mark2.eq(this.stashMarks[i])) {
      return this.stashMarks.splice(i, 1)[0];
    }
  }
};
NodeContext.prototype.applyPending = function applyPending(nextType) {
  for (var i = 0, pending = this.pendingMarks; i < pending.length; i++) {
    var mark2 = pending[i];
    if ((this.type ? this.type.allowsMarkType(mark2.type) : markMayApply(mark2.type, nextType)) && !mark2.isInSet(this.activeMarks)) {
      this.activeMarks = mark2.addToSet(this.activeMarks);
      this.pendingMarks = mark2.removeFromSet(this.pendingMarks);
    }
  }
};
NodeContext.prototype.inlineContext = function inlineContext(node3) {
  if (this.type) {
    return this.type.inlineContent;
  }
  if (this.content.length) {
    return this.content[0].isInline;
  }
  return node3.parentNode && !blockTags.hasOwnProperty(node3.parentNode.nodeName.toLowerCase());
};
var ParseContext = function ParseContext2(parser, options, open) {
  this.parser = parser;
  this.options = options;
  this.isOpen = open;
  var topNode = options.topNode, topContext;
  var topOptions = wsOptionsFor(options.preserveWhitespace) | (open ? OPT_OPEN_LEFT : 0);
  if (topNode) {
    topContext = new NodeContext(topNode.type, topNode.attrs, Mark.none, Mark.none, true, options.topMatch || topNode.type.contentMatch, topOptions);
  } else if (open) {
    topContext = new NodeContext(null, null, Mark.none, Mark.none, true, null, topOptions);
  } else {
    topContext = new NodeContext(parser.schema.topNodeType, null, Mark.none, Mark.none, true, null, topOptions);
  }
  this.nodes = [topContext];
  this.open = 0;
  this.find = options.findPositions;
  this.needsBlock = false;
};
var prototypeAccessors$6 = { top: { configurable: true }, currentPos: { configurable: true } };
prototypeAccessors$6.top.get = function() {
  return this.nodes[this.open];
};
ParseContext.prototype.addDOM = function addDOM(dom) {
  if (dom.nodeType == 3) {
    this.addTextNode(dom);
  } else if (dom.nodeType == 1) {
    var style = dom.getAttribute("style");
    var marks2 = style ? this.readStyles(parseStyles(style)) : null, top = this.top;
    if (marks2 != null) {
      for (var i = 0; i < marks2.length; i++) {
        this.addPendingMark(marks2[i]);
      }
    }
    this.addElement(dom);
    if (marks2 != null) {
      for (var i$1 = 0; i$1 < marks2.length; i$1++) {
        this.removePendingMark(marks2[i$1], top);
      }
    }
  }
};
ParseContext.prototype.addTextNode = function addTextNode(dom) {
  var value = dom.nodeValue;
  var top = this.top;
  if (top.options & OPT_PRESERVE_WS_FULL || top.inlineContext(dom) || /[^ \t\r\n\u000c]/.test(value)) {
    if (!(top.options & OPT_PRESERVE_WS)) {
      value = value.replace(/[ \t\r\n\u000c]+/g, " ");
      if (/^[ \t\r\n\u000c]/.test(value) && this.open == this.nodes.length - 1) {
        var nodeBefore = top.content[top.content.length - 1];
        var domNodeBefore = dom.previousSibling;
        if (!nodeBefore || domNodeBefore && domNodeBefore.nodeName == "BR" || nodeBefore.isText && /[ \t\r\n\u000c]$/.test(nodeBefore.text)) {
          value = value.slice(1);
        }
      }
    } else if (!(top.options & OPT_PRESERVE_WS_FULL)) {
      value = value.replace(/\r?\n|\r/g, " ");
    } else {
      value = value.replace(/\r\n?/g, "\n");
    }
    if (value) {
      this.insertNode(this.parser.schema.text(value));
    }
    this.findInText(dom);
  } else {
    this.findInside(dom);
  }
};
ParseContext.prototype.addElement = function addElement(dom, matchAfter) {
  var name = dom.nodeName.toLowerCase(), ruleID;
  if (listTags.hasOwnProperty(name) && this.parser.normalizeLists) {
    normalizeList(dom);
  }
  var rule = this.options.ruleFromNode && this.options.ruleFromNode(dom) || (ruleID = this.parser.matchTag(dom, this, matchAfter));
  if (rule ? rule.ignore : ignoreTags.hasOwnProperty(name)) {
    this.findInside(dom);
    this.ignoreFallback(dom);
  } else if (!rule || rule.skip || rule.closeParent) {
    if (rule && rule.closeParent) {
      this.open = Math.max(0, this.open - 1);
    } else if (rule && rule.skip.nodeType) {
      dom = rule.skip;
    }
    var sync2, top = this.top, oldNeedsBlock = this.needsBlock;
    if (blockTags.hasOwnProperty(name)) {
      sync2 = true;
      if (!top.type) {
        this.needsBlock = true;
      }
    } else if (!dom.firstChild) {
      this.leafFallback(dom);
      return;
    }
    this.addAll(dom);
    if (sync2) {
      this.sync(top);
    }
    this.needsBlock = oldNeedsBlock;
  } else {
    this.addElementByRule(dom, rule, rule.consuming === false ? ruleID : null);
  }
};
ParseContext.prototype.leafFallback = function leafFallback(dom) {
  if (dom.nodeName == "BR" && this.top.type && this.top.type.inlineContent) {
    this.addTextNode(dom.ownerDocument.createTextNode("\n"));
  }
};
ParseContext.prototype.ignoreFallback = function ignoreFallback(dom) {
  if (dom.nodeName == "BR" && (!this.top.type || !this.top.type.inlineContent)) {
    this.findPlace(this.parser.schema.text("-"));
  }
};
ParseContext.prototype.readStyles = function readStyles(styles) {
  var marks2 = Mark.none;
  style:
    for (var i = 0; i < styles.length; i += 2) {
      for (var after2 = null; ; ) {
        var rule = this.parser.matchStyle(styles[i], styles[i + 1], this, after2);
        if (!rule) {
          continue style;
        }
        if (rule.ignore) {
          return null;
        }
        marks2 = this.parser.schema.marks[rule.mark].create(rule.attrs).addToSet(marks2);
        if (rule.consuming === false) {
          after2 = rule;
        } else {
          break;
        }
      }
    }
  return marks2;
};
ParseContext.prototype.addElementByRule = function addElementByRule(dom, rule, continueAfter) {
  var this$1$1 = this;
  var sync2, nodeType, markType, mark2;
  if (rule.node) {
    nodeType = this.parser.schema.nodes[rule.node];
    if (!nodeType.isLeaf) {
      sync2 = this.enter(nodeType, rule.attrs, rule.preserveWhitespace);
    } else if (!this.insertNode(nodeType.create(rule.attrs))) {
      this.leafFallback(dom);
    }
  } else {
    markType = this.parser.schema.marks[rule.mark];
    mark2 = markType.create(rule.attrs);
    this.addPendingMark(mark2);
  }
  var startIn = this.top;
  if (nodeType && nodeType.isLeaf) {
    this.findInside(dom);
  } else if (continueAfter) {
    this.addElement(dom, continueAfter);
  } else if (rule.getContent) {
    this.findInside(dom);
    rule.getContent(dom, this.parser.schema).forEach(function(node3) {
      return this$1$1.insertNode(node3);
    });
  } else {
    var contentDOM = rule.contentElement;
    if (typeof contentDOM == "string") {
      contentDOM = dom.querySelector(contentDOM);
    } else if (typeof contentDOM == "function") {
      contentDOM = contentDOM(dom);
    }
    if (!contentDOM) {
      contentDOM = dom;
    }
    this.findAround(dom, contentDOM, true);
    this.addAll(contentDOM, sync2);
  }
  if (sync2) {
    this.sync(startIn);
    this.open--;
  }
  if (mark2) {
    this.removePendingMark(mark2, startIn);
  }
};
ParseContext.prototype.addAll = function addAll(parent, sync2, startIndex, endIndex) {
  var index3 = startIndex || 0;
  for (var dom = startIndex ? parent.childNodes[startIndex] : parent.firstChild, end2 = endIndex == null ? null : parent.childNodes[endIndex]; dom != end2; dom = dom.nextSibling, ++index3) {
    this.findAtPoint(parent, index3);
    this.addDOM(dom);
    if (sync2 && blockTags.hasOwnProperty(dom.nodeName.toLowerCase())) {
      this.sync(sync2);
    }
  }
  this.findAtPoint(parent, index3);
};
ParseContext.prototype.findPlace = function findPlace(node3) {
  var route, sync2;
  for (var depth = this.open; depth >= 0; depth--) {
    var cx = this.nodes[depth];
    var found2 = cx.findWrapping(node3);
    if (found2 && (!route || route.length > found2.length)) {
      route = found2;
      sync2 = cx;
      if (!found2.length) {
        break;
      }
    }
    if (cx.solid) {
      break;
    }
  }
  if (!route) {
    return false;
  }
  this.sync(sync2);
  for (var i = 0; i < route.length; i++) {
    this.enterInner(route[i], null, false);
  }
  return true;
};
ParseContext.prototype.insertNode = function insertNode(node3) {
  if (node3.isInline && this.needsBlock && !this.top.type) {
    var block = this.textblockFromContext();
    if (block) {
      this.enterInner(block);
    }
  }
  if (this.findPlace(node3)) {
    this.closeExtra();
    var top = this.top;
    top.applyPending(node3.type);
    if (top.match) {
      top.match = top.match.matchType(node3.type);
    }
    var marks2 = top.activeMarks;
    for (var i = 0; i < node3.marks.length; i++) {
      if (!top.type || top.type.allowsMarkType(node3.marks[i].type)) {
        marks2 = node3.marks[i].addToSet(marks2);
      }
    }
    top.content.push(node3.mark(marks2));
    return true;
  }
  return false;
};
ParseContext.prototype.enter = function enter(type, attrs, preserveWS) {
  var ok2 = this.findPlace(type.create(attrs));
  if (ok2) {
    this.enterInner(type, attrs, true, preserveWS);
  }
  return ok2;
};
ParseContext.prototype.enterInner = function enterInner(type, attrs, solid, preserveWS) {
  this.closeExtra();
  var top = this.top;
  top.applyPending(type);
  top.match = top.match && top.match.matchType(type, attrs);
  var options = preserveWS == null ? top.options & ~OPT_OPEN_LEFT : wsOptionsFor(preserveWS);
  if (top.options & OPT_OPEN_LEFT && top.content.length == 0) {
    options |= OPT_OPEN_LEFT;
  }
  this.nodes.push(new NodeContext(type, attrs, top.activeMarks, top.pendingMarks, solid, null, options));
  this.open++;
};
ParseContext.prototype.closeExtra = function closeExtra(openEnd) {
  var i = this.nodes.length - 1;
  if (i > this.open) {
    for (; i > this.open; i--) {
      this.nodes[i - 1].content.push(this.nodes[i].finish(openEnd));
    }
    this.nodes.length = this.open + 1;
  }
};
ParseContext.prototype.finish = function finish2() {
  this.open = 0;
  this.closeExtra(this.isOpen);
  return this.nodes[0].finish(this.isOpen || this.options.topOpen);
};
ParseContext.prototype.sync = function sync(to) {
  for (var i = this.open; i >= 0; i--) {
    if (this.nodes[i] == to) {
      this.open = i;
      return;
    }
  }
};
prototypeAccessors$6.currentPos.get = function() {
  this.closeExtra();
  var pos = 0;
  for (var i = this.open; i >= 0; i--) {
    var content2 = this.nodes[i].content;
    for (var j = content2.length - 1; j >= 0; j--) {
      pos += content2[j].nodeSize;
    }
    if (i) {
      pos++;
    }
  }
  return pos;
};
ParseContext.prototype.findAtPoint = function findAtPoint(parent, offset2) {
  if (this.find) {
    for (var i = 0; i < this.find.length; i++) {
      if (this.find[i].node == parent && this.find[i].offset == offset2) {
        this.find[i].pos = this.currentPos;
      }
    }
  }
};
ParseContext.prototype.findInside = function findInside(parent) {
  if (this.find) {
    for (var i = 0; i < this.find.length; i++) {
      if (this.find[i].pos == null && parent.nodeType == 1 && parent.contains(this.find[i].node)) {
        this.find[i].pos = this.currentPos;
      }
    }
  }
};
ParseContext.prototype.findAround = function findAround(parent, content2, before2) {
  if (parent != content2 && this.find) {
    for (var i = 0; i < this.find.length; i++) {
      if (this.find[i].pos == null && parent.nodeType == 1 && parent.contains(this.find[i].node)) {
        var pos = content2.compareDocumentPosition(this.find[i].node);
        if (pos & (before2 ? 2 : 4)) {
          this.find[i].pos = this.currentPos;
        }
      }
    }
  }
};
ParseContext.prototype.findInText = function findInText(textNode) {
  if (this.find) {
    for (var i = 0; i < this.find.length; i++) {
      if (this.find[i].node == textNode) {
        this.find[i].pos = this.currentPos - (textNode.nodeValue.length - this.find[i].offset);
      }
    }
  }
};
ParseContext.prototype.matchesContext = function matchesContext(context) {
  var this$1$1 = this;
  if (context.indexOf("|") > -1) {
    return context.split(/\s*\|\s*/).some(this.matchesContext, this);
  }
  var parts = context.split("/");
  var option = this.options.context;
  var useRoot = !this.isOpen && (!option || option.parent.type == this.nodes[0].type);
  var minDepth = -(option ? option.depth + 1 : 0) + (useRoot ? 0 : 1);
  var match = function(i, depth) {
    for (; i >= 0; i--) {
      var part = parts[i];
      if (part == "") {
        if (i == parts.length - 1 || i == 0) {
          continue;
        }
        for (; depth >= minDepth; depth--) {
          if (match(i - 1, depth)) {
            return true;
          }
        }
        return false;
      } else {
        var next = depth > 0 || depth == 0 && useRoot ? this$1$1.nodes[depth].type : option && depth >= minDepth ? option.node(depth - minDepth).type : null;
        if (!next || next.name != part && next.groups.indexOf(part) == -1) {
          return false;
        }
        depth--;
      }
    }
    return true;
  };
  return match(parts.length - 1, this.open);
};
ParseContext.prototype.textblockFromContext = function textblockFromContext() {
  var $context = this.options.context;
  if ($context) {
    for (var d = $context.depth; d >= 0; d--) {
      var deflt = $context.node(d).contentMatchAt($context.indexAfter(d)).defaultType;
      if (deflt && deflt.isTextblock && deflt.defaultAttrs) {
        return deflt;
      }
    }
  }
  for (var name in this.parser.schema.nodes) {
    var type = this.parser.schema.nodes[name];
    if (type.isTextblock && type.defaultAttrs) {
      return type;
    }
  }
};
ParseContext.prototype.addPendingMark = function addPendingMark(mark2) {
  var found2 = findSameMarkInSet(mark2, this.top.pendingMarks);
  if (found2) {
    this.top.stashMarks.push(found2);
  }
  this.top.pendingMarks = mark2.addToSet(this.top.pendingMarks);
};
ParseContext.prototype.removePendingMark = function removePendingMark(mark2, upto) {
  for (var depth = this.open; depth >= 0; depth--) {
    var level = this.nodes[depth];
    var found2 = level.pendingMarks.lastIndexOf(mark2);
    if (found2 > -1) {
      level.pendingMarks = mark2.removeFromSet(level.pendingMarks);
    } else {
      level.activeMarks = mark2.removeFromSet(level.activeMarks);
      var stashMark = level.popFromStashMark(mark2);
      if (stashMark && level.type && level.type.allowsMarkType(stashMark.type)) {
        level.activeMarks = stashMark.addToSet(level.activeMarks);
      }
    }
    if (level == upto) {
      break;
    }
  }
};
Object.defineProperties(ParseContext.prototype, prototypeAccessors$6);
function normalizeList(dom) {
  for (var child3 = dom.firstChild, prevItem = null; child3; child3 = child3.nextSibling) {
    var name = child3.nodeType == 1 ? child3.nodeName.toLowerCase() : null;
    if (name && listTags.hasOwnProperty(name) && prevItem) {
      prevItem.appendChild(child3);
      child3 = prevItem;
    } else if (name == "li") {
      prevItem = child3;
    } else if (name) {
      prevItem = null;
    }
  }
}
function matches(dom, selector) {
  return (dom.matches || dom.msMatchesSelector || dom.webkitMatchesSelector || dom.mozMatchesSelector).call(dom, selector);
}
function parseStyles(style) {
  var re = /\s*([\w-]+)\s*:\s*([^;]+)/g, m, result2 = [];
  while (m = re.exec(style)) {
    result2.push(m[1], m[2].trim());
  }
  return result2;
}
function copy2(obj) {
  var copy5 = {};
  for (var prop in obj) {
    copy5[prop] = obj[prop];
  }
  return copy5;
}
function markMayApply(markType, nodeType) {
  var nodes = nodeType.schema.nodes;
  var loop = function(name2) {
    var parent = nodes[name2];
    if (!parent.allowsMarkType(markType)) {
      return;
    }
    var seen = [], scan = function(match) {
      seen.push(match);
      for (var i = 0; i < match.edgeCount; i++) {
        var ref2 = match.edge(i);
        var type = ref2.type;
        var next = ref2.next;
        if (type == nodeType) {
          return true;
        }
        if (seen.indexOf(next) < 0 && scan(next)) {
          return true;
        }
      }
    };
    if (scan(parent.contentMatch)) {
      return { v: true };
    }
  };
  for (var name in nodes) {
    var returned = loop(name);
    if (returned)
      return returned.v;
  }
}
function findSameMarkInSet(mark2, set2) {
  for (var i = 0; i < set2.length; i++) {
    if (mark2.eq(set2[i])) {
      return set2[i];
    }
  }
}
var DOMSerializer = function DOMSerializer2(nodes, marks2) {
  this.nodes = nodes || {};
  this.marks = marks2 || {};
};
DOMSerializer.prototype.serializeFragment = function serializeFragment(fragment, options, target) {
  var this$1$1 = this;
  if (options === void 0)
    options = {};
  if (!target) {
    target = doc(options).createDocumentFragment();
  }
  var top = target, active = null;
  fragment.forEach(function(node3) {
    if (active || node3.marks.length) {
      if (!active) {
        active = [];
      }
      var keep = 0, rendered = 0;
      while (keep < active.length && rendered < node3.marks.length) {
        var next = node3.marks[rendered];
        if (!this$1$1.marks[next.type.name]) {
          rendered++;
          continue;
        }
        if (!next.eq(active[keep]) || next.type.spec.spanning === false) {
          break;
        }
        keep += 2;
        rendered++;
      }
      while (keep < active.length) {
        top = active.pop();
        active.pop();
      }
      while (rendered < node3.marks.length) {
        var add2 = node3.marks[rendered++];
        var markDOM = this$1$1.serializeMark(add2, node3.isInline, options);
        if (markDOM) {
          active.push(add2, top);
          top.appendChild(markDOM.dom);
          top = markDOM.contentDOM || markDOM.dom;
        }
      }
    }
    top.appendChild(this$1$1.serializeNodeInner(node3, options));
  });
  return target;
};
DOMSerializer.prototype.serializeNodeInner = function serializeNodeInner(node3, options) {
  if (options === void 0)
    options = {};
  var ref2 = DOMSerializer.renderSpec(doc(options), this.nodes[node3.type.name](node3));
  var dom = ref2.dom;
  var contentDOM = ref2.contentDOM;
  if (contentDOM) {
    if (node3.isLeaf) {
      throw new RangeError("Content hole not allowed in a leaf node spec");
    }
    if (options.onContent) {
      options.onContent(node3, contentDOM, options);
    } else {
      this.serializeFragment(node3.content, options, contentDOM);
    }
  }
  return dom;
};
DOMSerializer.prototype.serializeNode = function serializeNode(node3, options) {
  if (options === void 0)
    options = {};
  var dom = this.serializeNodeInner(node3, options);
  for (var i = node3.marks.length - 1; i >= 0; i--) {
    var wrap = this.serializeMark(node3.marks[i], node3.isInline, options);
    if (wrap) {
      (wrap.contentDOM || wrap.dom).appendChild(dom);
      dom = wrap.dom;
    }
  }
  return dom;
};
DOMSerializer.prototype.serializeMark = function serializeMark(mark2, inline2, options) {
  if (options === void 0)
    options = {};
  var toDOM = this.marks[mark2.type.name];
  return toDOM && DOMSerializer.renderSpec(doc(options), toDOM(mark2, inline2));
};
DOMSerializer.renderSpec = function renderSpec(doc2, structure, xmlNS) {
  if (xmlNS === void 0)
    xmlNS = null;
  if (typeof structure == "string") {
    return { dom: doc2.createTextNode(structure) };
  }
  if (structure.nodeType != null) {
    return { dom: structure };
  }
  if (structure.dom && structure.dom.nodeType != null) {
    return structure;
  }
  var tagName = structure[0], space = tagName.indexOf(" ");
  if (space > 0) {
    xmlNS = tagName.slice(0, space);
    tagName = tagName.slice(space + 1);
  }
  var contentDOM = null, dom = xmlNS ? doc2.createElementNS(xmlNS, tagName) : doc2.createElement(tagName);
  var attrs = structure[1], start3 = 1;
  if (attrs && typeof attrs == "object" && attrs.nodeType == null && !Array.isArray(attrs)) {
    start3 = 2;
    for (var name in attrs) {
      if (attrs[name] != null) {
        var space$1 = name.indexOf(" ");
        if (space$1 > 0) {
          dom.setAttributeNS(name.slice(0, space$1), name.slice(space$1 + 1), attrs[name]);
        } else {
          dom.setAttribute(name, attrs[name]);
        }
      }
    }
  }
  for (var i = start3; i < structure.length; i++) {
    var child3 = structure[i];
    if (child3 === 0) {
      if (i < structure.length - 1 || i > start3) {
        throw new RangeError("Content hole must be the only child of its parent node");
      }
      return { dom, contentDOM: dom };
    } else {
      var ref2 = DOMSerializer.renderSpec(doc2, child3, xmlNS);
      var inner = ref2.dom;
      var innerContent = ref2.contentDOM;
      dom.appendChild(inner);
      if (innerContent) {
        if (contentDOM) {
          throw new RangeError("Multiple content holes");
        }
        contentDOM = innerContent;
      }
    }
  }
  return { dom, contentDOM };
};
DOMSerializer.fromSchema = function fromSchema2(schema) {
  return schema.cached.domSerializer || (schema.cached.domSerializer = new DOMSerializer(this.nodesFromSchema(schema), this.marksFromSchema(schema)));
};
DOMSerializer.nodesFromSchema = function nodesFromSchema(schema) {
  var result2 = gatherToDOM(schema.nodes);
  if (!result2.text) {
    result2.text = function(node3) {
      return node3.text;
    };
  }
  return result2;
};
DOMSerializer.marksFromSchema = function marksFromSchema(schema) {
  return gatherToDOM(schema.marks);
};
function gatherToDOM(obj) {
  var result2 = {};
  for (var name in obj) {
    var toDOM = obj[name].spec.toDOM;
    if (toDOM) {
      result2[name] = toDOM;
    }
  }
  return result2;
}
function doc(options) {
  return options.document || window.document;
}
var lower16 = 65535;
var factor16 = Math.pow(2, 16);
function makeRecover(index3, offset2) {
  return index3 + offset2 * factor16;
}
function recoverIndex(value) {
  return value & lower16;
}
function recoverOffset(value) {
  return (value - (value & lower16)) / factor16;
}
var MapResult = function MapResult2(pos, deleted, recover2) {
  if (deleted === void 0)
    deleted = false;
  if (recover2 === void 0)
    recover2 = null;
  this.pos = pos;
  this.deleted = deleted;
  this.recover = recover2;
};
var StepMap = function StepMap2(ranges, inverted) {
  if (inverted === void 0)
    inverted = false;
  this.ranges = ranges;
  this.inverted = inverted;
};
StepMap.prototype.recover = function recover(value) {
  var diff = 0, index3 = recoverIndex(value);
  if (!this.inverted) {
    for (var i = 0; i < index3; i++) {
      diff += this.ranges[i * 3 + 2] - this.ranges[i * 3 + 1];
    }
  }
  return this.ranges[index3 * 3] + diff + recoverOffset(value);
};
StepMap.prototype.mapResult = function mapResult(pos, assoc) {
  if (assoc === void 0)
    assoc = 1;
  return this._map(pos, assoc, false);
};
StepMap.prototype.map = function map(pos, assoc) {
  if (assoc === void 0)
    assoc = 1;
  return this._map(pos, assoc, true);
};
StepMap.prototype._map = function _map(pos, assoc, simple) {
  var diff = 0, oldIndex = this.inverted ? 2 : 1, newIndex = this.inverted ? 1 : 2;
  for (var i = 0; i < this.ranges.length; i += 3) {
    var start3 = this.ranges[i] - (this.inverted ? diff : 0);
    if (start3 > pos) {
      break;
    }
    var oldSize = this.ranges[i + oldIndex], newSize = this.ranges[i + newIndex], end2 = start3 + oldSize;
    if (pos <= end2) {
      var side = !oldSize ? assoc : pos == start3 ? -1 : pos == end2 ? 1 : assoc;
      var result2 = start3 + diff + (side < 0 ? 0 : newSize);
      if (simple) {
        return result2;
      }
      var recover2 = pos == (assoc < 0 ? start3 : end2) ? null : makeRecover(i / 3, pos - start3);
      return new MapResult(result2, assoc < 0 ? pos != start3 : pos != end2, recover2);
    }
    diff += newSize - oldSize;
  }
  return simple ? pos + diff : new MapResult(pos + diff);
};
StepMap.prototype.touches = function touches(pos, recover2) {
  var diff = 0, index3 = recoverIndex(recover2);
  var oldIndex = this.inverted ? 2 : 1, newIndex = this.inverted ? 1 : 2;
  for (var i = 0; i < this.ranges.length; i += 3) {
    var start3 = this.ranges[i] - (this.inverted ? diff : 0);
    if (start3 > pos) {
      break;
    }
    var oldSize = this.ranges[i + oldIndex], end2 = start3 + oldSize;
    if (pos <= end2 && i == index3 * 3) {
      return true;
    }
    diff += this.ranges[i + newIndex] - oldSize;
  }
  return false;
};
StepMap.prototype.forEach = function forEach3(f) {
  var oldIndex = this.inverted ? 2 : 1, newIndex = this.inverted ? 1 : 2;
  for (var i = 0, diff = 0; i < this.ranges.length; i += 3) {
    var start3 = this.ranges[i], oldStart = start3 - (this.inverted ? diff : 0), newStart = start3 + (this.inverted ? 0 : diff);
    var oldSize = this.ranges[i + oldIndex], newSize = this.ranges[i + newIndex];
    f(oldStart, oldStart + oldSize, newStart, newStart + newSize);
    diff += newSize - oldSize;
  }
};
StepMap.prototype.invert = function invert() {
  return new StepMap(this.ranges, !this.inverted);
};
StepMap.prototype.toString = function toString6() {
  return (this.inverted ? "-" : "") + JSON.stringify(this.ranges);
};
StepMap.offset = function offset(n) {
  return n == 0 ? StepMap.empty : new StepMap(n < 0 ? [0, -n, 0] : [0, 0, n]);
};
StepMap.empty = new StepMap([]);
var Mapping = function Mapping2(maps, mirror, from3, to) {
  this.maps = maps || [];
  this.from = from3 || 0;
  this.to = to == null ? this.maps.length : to;
  this.mirror = mirror;
};
Mapping.prototype.slice = function slice2(from3, to) {
  if (from3 === void 0)
    from3 = 0;
  if (to === void 0)
    to = this.maps.length;
  return new Mapping(this.maps, this.mirror, from3, to);
};
Mapping.prototype.copy = function copy3() {
  return new Mapping(this.maps.slice(), this.mirror && this.mirror.slice(), this.from, this.to);
};
Mapping.prototype.appendMap = function appendMap(map13, mirrors) {
  this.to = this.maps.push(map13);
  if (mirrors != null) {
    this.setMirror(this.maps.length - 1, mirrors);
  }
};
Mapping.prototype.appendMapping = function appendMapping(mapping) {
  for (var i = 0, startSize = this.maps.length; i < mapping.maps.length; i++) {
    var mirr = mapping.getMirror(i);
    this.appendMap(mapping.maps[i], mirr != null && mirr < i ? startSize + mirr : null);
  }
};
Mapping.prototype.getMirror = function getMirror(n) {
  if (this.mirror) {
    for (var i = 0; i < this.mirror.length; i++) {
      if (this.mirror[i] == n) {
        return this.mirror[i + (i % 2 ? -1 : 1)];
      }
    }
  }
};
Mapping.prototype.setMirror = function setMirror(n, m) {
  if (!this.mirror) {
    this.mirror = [];
  }
  this.mirror.push(n, m);
};
Mapping.prototype.appendMappingInverted = function appendMappingInverted(mapping) {
  for (var i = mapping.maps.length - 1, totalSize = this.maps.length + mapping.maps.length; i >= 0; i--) {
    var mirr = mapping.getMirror(i);
    this.appendMap(mapping.maps[i].invert(), mirr != null && mirr > i ? totalSize - mirr - 1 : null);
  }
};
Mapping.prototype.invert = function invert2() {
  var inverse = new Mapping();
  inverse.appendMappingInverted(this);
  return inverse;
};
Mapping.prototype.map = function map2(pos, assoc) {
  if (assoc === void 0)
    assoc = 1;
  if (this.mirror) {
    return this._map(pos, assoc, true);
  }
  for (var i = this.from; i < this.to; i++) {
    pos = this.maps[i].map(pos, assoc);
  }
  return pos;
};
Mapping.prototype.mapResult = function mapResult2(pos, assoc) {
  if (assoc === void 0)
    assoc = 1;
  return this._map(pos, assoc, false);
};
Mapping.prototype._map = function _map2(pos, assoc, simple) {
  var deleted = false;
  for (var i = this.from; i < this.to; i++) {
    var map13 = this.maps[i], result2 = map13.mapResult(pos, assoc);
    if (result2.recover != null) {
      var corr = this.getMirror(i);
      if (corr != null && corr > i && corr < this.to) {
        i = corr;
        pos = this.maps[corr].recover(result2.recover);
        continue;
      }
    }
    if (result2.deleted) {
      deleted = true;
    }
    pos = result2.pos;
  }
  return simple ? pos : new MapResult(pos, deleted);
};
function TransformError(message) {
  var err2 = Error.call(this, message);
  err2.__proto__ = TransformError.prototype;
  return err2;
}
TransformError.prototype = Object.create(Error.prototype);
TransformError.prototype.constructor = TransformError;
TransformError.prototype.name = "TransformError";
var Transform = function Transform2(doc2) {
  this.doc = doc2;
  this.steps = [];
  this.docs = [];
  this.mapping = new Mapping();
};
var prototypeAccessors$4 = { before: { configurable: true }, docChanged: { configurable: true } };
prototypeAccessors$4.before.get = function() {
  return this.docs.length ? this.docs[0] : this.doc;
};
Transform.prototype.step = function step(object) {
  var result2 = this.maybeStep(object);
  if (result2.failed) {
    throw new TransformError(result2.failed);
  }
  return this;
};
Transform.prototype.maybeStep = function maybeStep(step2) {
  var result2 = step2.apply(this.doc);
  if (!result2.failed) {
    this.addStep(step2, result2.doc);
  }
  return result2;
};
prototypeAccessors$4.docChanged.get = function() {
  return this.steps.length > 0;
};
Transform.prototype.addStep = function addStep(step2, doc2) {
  this.docs.push(this.doc);
  this.steps.push(step2);
  this.mapping.appendMap(step2.getMap());
  this.doc = doc2;
};
Object.defineProperties(Transform.prototype, prototypeAccessors$4);
function mustOverride() {
  throw new Error("Override me");
}
var stepsByID = Object.create(null);
var Step = function Step2() {
};
Step.prototype.apply = function apply(_doc) {
  return mustOverride();
};
Step.prototype.getMap = function getMap() {
  return StepMap.empty;
};
Step.prototype.invert = function invert3(_doc) {
  return mustOverride();
};
Step.prototype.map = function map3(_mapping) {
  return mustOverride();
};
Step.prototype.merge = function merge(_other) {
  return null;
};
Step.prototype.toJSON = function toJSON5() {
  return mustOverride();
};
Step.fromJSON = function fromJSON5(schema, json) {
  if (!json || !json.stepType) {
    throw new RangeError("Invalid input for Step.fromJSON");
  }
  var type = stepsByID[json.stepType];
  if (!type) {
    throw new RangeError("No step type " + json.stepType + " defined");
  }
  return type.fromJSON(schema, json);
};
Step.jsonID = function jsonID(id, stepClass) {
  if (id in stepsByID) {
    throw new RangeError("Duplicate use of step JSON ID " + id);
  }
  stepsByID[id] = stepClass;
  stepClass.prototype.jsonID = id;
  return stepClass;
};
var StepResult = function StepResult2(doc2, failed) {
  this.doc = doc2;
  this.failed = failed;
};
StepResult.ok = function ok(doc2) {
  return new StepResult(doc2, null);
};
StepResult.fail = function fail(message) {
  return new StepResult(null, message);
};
StepResult.fromReplace = function fromReplace(doc2, from3, to, slice3) {
  try {
    return StepResult.ok(doc2.replace(from3, to, slice3));
  } catch (e) {
    if (e instanceof ReplaceError) {
      return StepResult.fail(e.message);
    }
    throw e;
  }
};
var ReplaceStep = /* @__PURE__ */ function(Step3) {
  function ReplaceStep2(from3, to, slice3, structure) {
    Step3.call(this);
    this.from = from3;
    this.to = to;
    this.slice = slice3;
    this.structure = !!structure;
  }
  if (Step3)
    ReplaceStep2.__proto__ = Step3;
  ReplaceStep2.prototype = Object.create(Step3 && Step3.prototype);
  ReplaceStep2.prototype.constructor = ReplaceStep2;
  ReplaceStep2.prototype.apply = function apply8(doc2) {
    if (this.structure && contentBetween(doc2, this.from, this.to)) {
      return StepResult.fail("Structure replace would overwrite content");
    }
    return StepResult.fromReplace(doc2, this.from, this.to, this.slice);
  };
  ReplaceStep2.prototype.getMap = function getMap2() {
    return new StepMap([this.from, this.to - this.from, this.slice.size]);
  };
  ReplaceStep2.prototype.invert = function invert4(doc2) {
    return new ReplaceStep2(this.from, this.from + this.slice.size, doc2.slice(this.from, this.to));
  };
  ReplaceStep2.prototype.map = function map13(mapping) {
    var from3 = mapping.mapResult(this.from, 1), to = mapping.mapResult(this.to, -1);
    if (from3.deleted && to.deleted) {
      return null;
    }
    return new ReplaceStep2(from3.pos, Math.max(from3.pos, to.pos), this.slice);
  };
  ReplaceStep2.prototype.merge = function merge2(other) {
    if (!(other instanceof ReplaceStep2) || other.structure || this.structure) {
      return null;
    }
    if (this.from + this.slice.size == other.from && !this.slice.openEnd && !other.slice.openStart) {
      var slice3 = this.slice.size + other.slice.size == 0 ? Slice.empty : new Slice(this.slice.content.append(other.slice.content), this.slice.openStart, other.slice.openEnd);
      return new ReplaceStep2(this.from, this.to + (other.to - other.from), slice3, this.structure);
    } else if (other.to == this.from && !this.slice.openStart && !other.slice.openEnd) {
      var slice$1 = this.slice.size + other.slice.size == 0 ? Slice.empty : new Slice(other.slice.content.append(this.slice.content), other.slice.openStart, this.slice.openEnd);
      return new ReplaceStep2(other.from, this.to, slice$1, this.structure);
    } else {
      return null;
    }
  };
  ReplaceStep2.prototype.toJSON = function toJSON7() {
    var json = { stepType: "replace", from: this.from, to: this.to };
    if (this.slice.size) {
      json.slice = this.slice.toJSON();
    }
    if (this.structure) {
      json.structure = true;
    }
    return json;
  };
  ReplaceStep2.fromJSON = function fromJSON8(schema, json) {
    if (typeof json.from != "number" || typeof json.to != "number") {
      throw new RangeError("Invalid input for ReplaceStep.fromJSON");
    }
    return new ReplaceStep2(json.from, json.to, Slice.fromJSON(schema, json.slice), !!json.structure);
  };
  return ReplaceStep2;
}(Step);
Step.jsonID("replace", ReplaceStep);
var ReplaceAroundStep = /* @__PURE__ */ function(Step3) {
  function ReplaceAroundStep2(from3, to, gapFrom, gapTo, slice3, insert, structure) {
    Step3.call(this);
    this.from = from3;
    this.to = to;
    this.gapFrom = gapFrom;
    this.gapTo = gapTo;
    this.slice = slice3;
    this.insert = insert;
    this.structure = !!structure;
  }
  if (Step3)
    ReplaceAroundStep2.__proto__ = Step3;
  ReplaceAroundStep2.prototype = Object.create(Step3 && Step3.prototype);
  ReplaceAroundStep2.prototype.constructor = ReplaceAroundStep2;
  ReplaceAroundStep2.prototype.apply = function apply8(doc2) {
    if (this.structure && (contentBetween(doc2, this.from, this.gapFrom) || contentBetween(doc2, this.gapTo, this.to))) {
      return StepResult.fail("Structure gap-replace would overwrite content");
    }
    var gap = doc2.slice(this.gapFrom, this.gapTo);
    if (gap.openStart || gap.openEnd) {
      return StepResult.fail("Gap is not a flat range");
    }
    var inserted = this.slice.insertAt(this.insert, gap.content);
    if (!inserted) {
      return StepResult.fail("Content does not fit in gap");
    }
    return StepResult.fromReplace(doc2, this.from, this.to, inserted);
  };
  ReplaceAroundStep2.prototype.getMap = function getMap2() {
    return new StepMap([
      this.from,
      this.gapFrom - this.from,
      this.insert,
      this.gapTo,
      this.to - this.gapTo,
      this.slice.size - this.insert
    ]);
  };
  ReplaceAroundStep2.prototype.invert = function invert4(doc2) {
    var gap = this.gapTo - this.gapFrom;
    return new ReplaceAroundStep2(this.from, this.from + this.slice.size + gap, this.from + this.insert, this.from + this.insert + gap, doc2.slice(this.from, this.to).removeBetween(this.gapFrom - this.from, this.gapTo - this.from), this.gapFrom - this.from, this.structure);
  };
  ReplaceAroundStep2.prototype.map = function map13(mapping) {
    var from3 = mapping.mapResult(this.from, 1), to = mapping.mapResult(this.to, -1);
    var gapFrom = mapping.map(this.gapFrom, -1), gapTo = mapping.map(this.gapTo, 1);
    if (from3.deleted && to.deleted || gapFrom < from3.pos || gapTo > to.pos) {
      return null;
    }
    return new ReplaceAroundStep2(from3.pos, to.pos, gapFrom, gapTo, this.slice, this.insert, this.structure);
  };
  ReplaceAroundStep2.prototype.toJSON = function toJSON7() {
    var json = {
      stepType: "replaceAround",
      from: this.from,
      to: this.to,
      gapFrom: this.gapFrom,
      gapTo: this.gapTo,
      insert: this.insert
    };
    if (this.slice.size) {
      json.slice = this.slice.toJSON();
    }
    if (this.structure) {
      json.structure = true;
    }
    return json;
  };
  ReplaceAroundStep2.fromJSON = function fromJSON8(schema, json) {
    if (typeof json.from != "number" || typeof json.to != "number" || typeof json.gapFrom != "number" || typeof json.gapTo != "number" || typeof json.insert != "number") {
      throw new RangeError("Invalid input for ReplaceAroundStep.fromJSON");
    }
    return new ReplaceAroundStep2(json.from, json.to, json.gapFrom, json.gapTo, Slice.fromJSON(schema, json.slice), json.insert, !!json.structure);
  };
  return ReplaceAroundStep2;
}(Step);
Step.jsonID("replaceAround", ReplaceAroundStep);
function contentBetween(doc2, from3, to) {
  var $from = doc2.resolve(from3), dist = to - from3, depth = $from.depth;
  while (dist > 0 && depth > 0 && $from.indexAfter(depth) == $from.node(depth).childCount) {
    depth--;
    dist--;
  }
  if (dist > 0) {
    var next = $from.node(depth).maybeChild($from.indexAfter(depth));
    while (dist > 0) {
      if (!next || next.isLeaf) {
        return true;
      }
      next = next.firstChild;
      dist--;
    }
  }
  return false;
}
Transform.prototype.lift = function(range, target) {
  var $from = range.$from;
  var $to = range.$to;
  var depth = range.depth;
  var gapStart = $from.before(depth + 1), gapEnd = $to.after(depth + 1);
  var start3 = gapStart, end2 = gapEnd;
  var before2 = Fragment.empty, openStart = 0;
  for (var d = depth, splitting = false; d > target; d--) {
    if (splitting || $from.index(d) > 0) {
      splitting = true;
      before2 = Fragment.from($from.node(d).copy(before2));
      openStart++;
    } else {
      start3--;
    }
  }
  var after2 = Fragment.empty, openEnd = 0;
  for (var d$1 = depth, splitting$1 = false; d$1 > target; d$1--) {
    if (splitting$1 || $to.after(d$1 + 1) < $to.end(d$1)) {
      splitting$1 = true;
      after2 = Fragment.from($to.node(d$1).copy(after2));
      openEnd++;
    } else {
      end2++;
    }
  }
  return this.step(new ReplaceAroundStep(start3, end2, gapStart, gapEnd, new Slice(before2.append(after2), openStart, openEnd), before2.size - openStart, true));
};
Transform.prototype.wrap = function(range, wrappers) {
  var content2 = Fragment.empty;
  for (var i = wrappers.length - 1; i >= 0; i--) {
    content2 = Fragment.from(wrappers[i].type.create(wrappers[i].attrs, content2));
  }
  var start3 = range.start, end2 = range.end;
  return this.step(new ReplaceAroundStep(start3, end2, start3, end2, new Slice(content2, 0, 0), wrappers.length, true));
};
Transform.prototype.setBlockType = function(from3, to, type, attrs) {
  var this$1$1 = this;
  if (to === void 0)
    to = from3;
  if (!type.isTextblock) {
    throw new RangeError("Type given to setBlockType should be a textblock");
  }
  var mapFrom = this.steps.length;
  this.doc.nodesBetween(from3, to, function(node3, pos) {
    if (node3.isTextblock && !node3.hasMarkup(type, attrs) && canChangeType(this$1$1.doc, this$1$1.mapping.slice(mapFrom).map(pos), type)) {
      this$1$1.clearIncompatible(this$1$1.mapping.slice(mapFrom).map(pos, 1), type);
      var mapping = this$1$1.mapping.slice(mapFrom);
      var startM = mapping.map(pos, 1), endM = mapping.map(pos + node3.nodeSize, 1);
      this$1$1.step(new ReplaceAroundStep(startM, endM, startM + 1, endM - 1, new Slice(Fragment.from(type.create(attrs, null, node3.marks)), 0, 0), 1, true));
      return false;
    }
  });
  return this;
};
function canChangeType(doc2, pos, type) {
  var $pos = doc2.resolve(pos), index3 = $pos.index();
  return $pos.parent.canReplaceWith(index3, index3 + 1, type);
}
Transform.prototype.setNodeMarkup = function(pos, type, attrs, marks2) {
  var node3 = this.doc.nodeAt(pos);
  if (!node3) {
    throw new RangeError("No node at given position");
  }
  if (!type) {
    type = node3.type;
  }
  var newNode = type.create(attrs, null, marks2 || node3.marks);
  if (node3.isLeaf) {
    return this.replaceWith(pos, pos + node3.nodeSize, newNode);
  }
  if (!type.validContent(node3.content)) {
    throw new RangeError("Invalid content for node type " + type.name);
  }
  return this.step(new ReplaceAroundStep(pos, pos + node3.nodeSize, pos + 1, pos + node3.nodeSize - 1, new Slice(Fragment.from(newNode), 0, 0), 1, true));
};
Transform.prototype.split = function(pos, depth, typesAfter) {
  if (depth === void 0)
    depth = 1;
  var $pos = this.doc.resolve(pos), before2 = Fragment.empty, after2 = Fragment.empty;
  for (var d = $pos.depth, e = $pos.depth - depth, i = depth - 1; d > e; d--, i--) {
    before2 = Fragment.from($pos.node(d).copy(before2));
    var typeAfter = typesAfter && typesAfter[i];
    after2 = Fragment.from(typeAfter ? typeAfter.type.create(typeAfter.attrs, after2) : $pos.node(d).copy(after2));
  }
  return this.step(new ReplaceStep(pos, pos, new Slice(before2.append(after2), depth, depth), true));
};
Transform.prototype.join = function(pos, depth) {
  if (depth === void 0)
    depth = 1;
  var step2 = new ReplaceStep(pos - depth, pos + depth, Slice.empty, true);
  return this.step(step2);
};
function insertPoint(doc2, pos, nodeType) {
  var $pos = doc2.resolve(pos);
  if ($pos.parent.canReplaceWith($pos.index(), $pos.index(), nodeType)) {
    return pos;
  }
  if ($pos.parentOffset == 0) {
    for (var d = $pos.depth - 1; d >= 0; d--) {
      var index3 = $pos.index(d);
      if ($pos.node(d).canReplaceWith(index3, index3, nodeType)) {
        return $pos.before(d + 1);
      }
      if (index3 > 0) {
        return null;
      }
    }
  }
  if ($pos.parentOffset == $pos.parent.content.size) {
    for (var d$1 = $pos.depth - 1; d$1 >= 0; d$1--) {
      var index$12 = $pos.indexAfter(d$1);
      if ($pos.node(d$1).canReplaceWith(index$12, index$12, nodeType)) {
        return $pos.after(d$1 + 1);
      }
      if (index$12 < $pos.node(d$1).childCount) {
        return null;
      }
    }
  }
}
function dropPoint(doc2, pos, slice3) {
  var $pos = doc2.resolve(pos);
  if (!slice3.content.size) {
    return pos;
  }
  var content2 = slice3.content;
  for (var i = 0; i < slice3.openStart; i++) {
    content2 = content2.firstChild.content;
  }
  for (var pass = 1; pass <= (slice3.openStart == 0 && slice3.size ? 2 : 1); pass++) {
    for (var d = $pos.depth; d >= 0; d--) {
      var bias = d == $pos.depth ? 0 : $pos.pos <= ($pos.start(d + 1) + $pos.end(d + 1)) / 2 ? -1 : 1;
      var insertPos = $pos.index(d) + (bias > 0 ? 1 : 0);
      var parent = $pos.node(d), fits = false;
      if (pass == 1) {
        fits = parent.canReplace(insertPos, insertPos, content2);
      } else {
        var wrapping = parent.contentMatchAt(insertPos).findWrapping(content2.firstChild.type);
        fits = wrapping && parent.canReplaceWith(insertPos, insertPos, wrapping[0]);
      }
      if (fits) {
        return bias == 0 ? $pos.pos : bias < 0 ? $pos.before(d + 1) : $pos.after(d + 1);
      }
    }
  }
  return null;
}
function mapFragment(fragment, f, parent) {
  var mapped = [];
  for (var i = 0; i < fragment.childCount; i++) {
    var child3 = fragment.child(i);
    if (child3.content.size) {
      child3 = child3.copy(mapFragment(child3.content, f, child3));
    }
    if (child3.isInline) {
      child3 = f(child3, parent, i);
    }
    mapped.push(child3);
  }
  return Fragment.fromArray(mapped);
}
var AddMarkStep = /* @__PURE__ */ function(Step3) {
  function AddMarkStep2(from3, to, mark2) {
    Step3.call(this);
    this.from = from3;
    this.to = to;
    this.mark = mark2;
  }
  if (Step3)
    AddMarkStep2.__proto__ = Step3;
  AddMarkStep2.prototype = Object.create(Step3 && Step3.prototype);
  AddMarkStep2.prototype.constructor = AddMarkStep2;
  AddMarkStep2.prototype.apply = function apply8(doc2) {
    var this$1$1 = this;
    var oldSlice = doc2.slice(this.from, this.to), $from = doc2.resolve(this.from);
    var parent = $from.node($from.sharedDepth(this.to));
    var slice3 = new Slice(mapFragment(oldSlice.content, function(node3, parent2) {
      if (!node3.isAtom || !parent2.type.allowsMarkType(this$1$1.mark.type)) {
        return node3;
      }
      return node3.mark(this$1$1.mark.addToSet(node3.marks));
    }, parent), oldSlice.openStart, oldSlice.openEnd);
    return StepResult.fromReplace(doc2, this.from, this.to, slice3);
  };
  AddMarkStep2.prototype.invert = function invert4() {
    return new RemoveMarkStep(this.from, this.to, this.mark);
  };
  AddMarkStep2.prototype.map = function map13(mapping) {
    var from3 = mapping.mapResult(this.from, 1), to = mapping.mapResult(this.to, -1);
    if (from3.deleted && to.deleted || from3.pos >= to.pos) {
      return null;
    }
    return new AddMarkStep2(from3.pos, to.pos, this.mark);
  };
  AddMarkStep2.prototype.merge = function merge2(other) {
    if (other instanceof AddMarkStep2 && other.mark.eq(this.mark) && this.from <= other.to && this.to >= other.from) {
      return new AddMarkStep2(Math.min(this.from, other.from), Math.max(this.to, other.to), this.mark);
    }
  };
  AddMarkStep2.prototype.toJSON = function toJSON7() {
    return {
      stepType: "addMark",
      mark: this.mark.toJSON(),
      from: this.from,
      to: this.to
    };
  };
  AddMarkStep2.fromJSON = function fromJSON8(schema, json) {
    if (typeof json.from != "number" || typeof json.to != "number") {
      throw new RangeError("Invalid input for AddMarkStep.fromJSON");
    }
    return new AddMarkStep2(json.from, json.to, schema.markFromJSON(json.mark));
  };
  return AddMarkStep2;
}(Step);
Step.jsonID("addMark", AddMarkStep);
var RemoveMarkStep = /* @__PURE__ */ function(Step3) {
  function RemoveMarkStep2(from3, to, mark2) {
    Step3.call(this);
    this.from = from3;
    this.to = to;
    this.mark = mark2;
  }
  if (Step3)
    RemoveMarkStep2.__proto__ = Step3;
  RemoveMarkStep2.prototype = Object.create(Step3 && Step3.prototype);
  RemoveMarkStep2.prototype.constructor = RemoveMarkStep2;
  RemoveMarkStep2.prototype.apply = function apply8(doc2) {
    var this$1$1 = this;
    var oldSlice = doc2.slice(this.from, this.to);
    var slice3 = new Slice(mapFragment(oldSlice.content, function(node3) {
      return node3.mark(this$1$1.mark.removeFromSet(node3.marks));
    }), oldSlice.openStart, oldSlice.openEnd);
    return StepResult.fromReplace(doc2, this.from, this.to, slice3);
  };
  RemoveMarkStep2.prototype.invert = function invert4() {
    return new AddMarkStep(this.from, this.to, this.mark);
  };
  RemoveMarkStep2.prototype.map = function map13(mapping) {
    var from3 = mapping.mapResult(this.from, 1), to = mapping.mapResult(this.to, -1);
    if (from3.deleted && to.deleted || from3.pos >= to.pos) {
      return null;
    }
    return new RemoveMarkStep2(from3.pos, to.pos, this.mark);
  };
  RemoveMarkStep2.prototype.merge = function merge2(other) {
    if (other instanceof RemoveMarkStep2 && other.mark.eq(this.mark) && this.from <= other.to && this.to >= other.from) {
      return new RemoveMarkStep2(Math.min(this.from, other.from), Math.max(this.to, other.to), this.mark);
    }
  };
  RemoveMarkStep2.prototype.toJSON = function toJSON7() {
    return {
      stepType: "removeMark",
      mark: this.mark.toJSON(),
      from: this.from,
      to: this.to
    };
  };
  RemoveMarkStep2.fromJSON = function fromJSON8(schema, json) {
    if (typeof json.from != "number" || typeof json.to != "number") {
      throw new RangeError("Invalid input for RemoveMarkStep.fromJSON");
    }
    return new RemoveMarkStep2(json.from, json.to, schema.markFromJSON(json.mark));
  };
  return RemoveMarkStep2;
}(Step);
Step.jsonID("removeMark", RemoveMarkStep);
Transform.prototype.addMark = function(from3, to, mark2) {
  var this$1$1 = this;
  var removed = [], added = [], removing = null, adding = null;
  this.doc.nodesBetween(from3, to, function(node3, pos, parent) {
    if (!node3.isInline) {
      return;
    }
    var marks2 = node3.marks;
    if (!mark2.isInSet(marks2) && parent.type.allowsMarkType(mark2.type)) {
      var start3 = Math.max(pos, from3), end2 = Math.min(pos + node3.nodeSize, to);
      var newSet = mark2.addToSet(marks2);
      for (var i = 0; i < marks2.length; i++) {
        if (!marks2[i].isInSet(newSet)) {
          if (removing && removing.to == start3 && removing.mark.eq(marks2[i])) {
            removing.to = end2;
          } else {
            removed.push(removing = new RemoveMarkStep(start3, end2, marks2[i]));
          }
        }
      }
      if (adding && adding.to == start3) {
        adding.to = end2;
      } else {
        added.push(adding = new AddMarkStep(start3, end2, mark2));
      }
    }
  });
  removed.forEach(function(s) {
    return this$1$1.step(s);
  });
  added.forEach(function(s) {
    return this$1$1.step(s);
  });
  return this;
};
Transform.prototype.removeMark = function(from3, to, mark2) {
  var this$1$1 = this;
  if (mark2 === void 0)
    mark2 = null;
  var matched = [], step2 = 0;
  this.doc.nodesBetween(from3, to, function(node3, pos) {
    if (!node3.isInline) {
      return;
    }
    step2++;
    var toRemove = null;
    if (mark2 instanceof MarkType) {
      var set2 = node3.marks, found2;
      while (found2 = mark2.isInSet(set2)) {
        (toRemove || (toRemove = [])).push(found2);
        set2 = found2.removeFromSet(set2);
      }
    } else if (mark2) {
      if (mark2.isInSet(node3.marks)) {
        toRemove = [mark2];
      }
    } else {
      toRemove = node3.marks;
    }
    if (toRemove && toRemove.length) {
      var end2 = Math.min(pos + node3.nodeSize, to);
      for (var i = 0; i < toRemove.length; i++) {
        var style = toRemove[i], found$1 = void 0;
        for (var j = 0; j < matched.length; j++) {
          var m = matched[j];
          if (m.step == step2 - 1 && style.eq(matched[j].style)) {
            found$1 = m;
          }
        }
        if (found$1) {
          found$1.to = end2;
          found$1.step = step2;
        } else {
          matched.push({ style, from: Math.max(pos, from3), to: end2, step: step2 });
        }
      }
    }
  });
  matched.forEach(function(m) {
    return this$1$1.step(new RemoveMarkStep(m.from, m.to, m.style));
  });
  return this;
};
Transform.prototype.clearIncompatible = function(pos, parentType, match) {
  if (match === void 0)
    match = parentType.contentMatch;
  var node3 = this.doc.nodeAt(pos);
  var delSteps = [], cur = pos + 1;
  for (var i = 0; i < node3.childCount; i++) {
    var child3 = node3.child(i), end2 = cur + child3.nodeSize;
    var allowed = match.matchType(child3.type, child3.attrs);
    if (!allowed) {
      delSteps.push(new ReplaceStep(cur, end2, Slice.empty));
    } else {
      match = allowed;
      for (var j = 0; j < child3.marks.length; j++) {
        if (!parentType.allowsMarkType(child3.marks[j].type)) {
          this.step(new RemoveMarkStep(cur, end2, child3.marks[j]));
        }
      }
    }
    cur = end2;
  }
  if (!match.validEnd) {
    var fill = match.fillBefore(Fragment.empty, true);
    this.replace(cur, cur, new Slice(fill, 0, 0));
  }
  for (var i$1 = delSteps.length - 1; i$1 >= 0; i$1--) {
    this.step(delSteps[i$1]);
  }
  return this;
};
function replaceStep(doc2, from3, to, slice3) {
  if (to === void 0)
    to = from3;
  if (slice3 === void 0)
    slice3 = Slice.empty;
  if (from3 == to && !slice3.size) {
    return null;
  }
  var $from = doc2.resolve(from3), $to = doc2.resolve(to);
  if (fitsTrivially($from, $to, slice3)) {
    return new ReplaceStep(from3, to, slice3);
  }
  return new Fitter($from, $to, slice3).fit();
}
Transform.prototype.replace = function(from3, to, slice3) {
  if (to === void 0)
    to = from3;
  if (slice3 === void 0)
    slice3 = Slice.empty;
  var step2 = replaceStep(this.doc, from3, to, slice3);
  if (step2) {
    this.step(step2);
  }
  return this;
};
Transform.prototype.replaceWith = function(from3, to, content2) {
  return this.replace(from3, to, new Slice(Fragment.from(content2), 0, 0));
};
Transform.prototype.delete = function(from3, to) {
  return this.replace(from3, to, Slice.empty);
};
Transform.prototype.insert = function(pos, content2) {
  return this.replaceWith(pos, pos, content2);
};
function fitsTrivially($from, $to, slice3) {
  return !slice3.openStart && !slice3.openEnd && $from.start() == $to.start() && $from.parent.canReplace($from.index(), $to.index(), slice3.content);
}
var Fitter = function Fitter2($from, $to, slice3) {
  this.$to = $to;
  this.$from = $from;
  this.unplaced = slice3;
  this.frontier = [];
  for (var i = 0; i <= $from.depth; i++) {
    var node3 = $from.node(i);
    this.frontier.push({
      type: node3.type,
      match: node3.contentMatchAt($from.indexAfter(i))
    });
  }
  this.placed = Fragment.empty;
  for (var i$1 = $from.depth; i$1 > 0; i$1--) {
    this.placed = Fragment.from($from.node(i$1).copy(this.placed));
  }
};
var prototypeAccessors$1$2 = { depth: { configurable: true } };
prototypeAccessors$1$2.depth.get = function() {
  return this.frontier.length - 1;
};
Fitter.prototype.fit = function fit() {
  while (this.unplaced.size) {
    var fit2 = this.findFittable();
    if (fit2) {
      this.placeNodes(fit2);
    } else {
      this.openMore() || this.dropNode();
    }
  }
  var moveInline = this.mustMoveInline(), placedSize = this.placed.size - this.depth - this.$from.depth;
  var $from = this.$from, $to = this.close(moveInline < 0 ? this.$to : $from.doc.resolve(moveInline));
  if (!$to) {
    return null;
  }
  var content2 = this.placed, openStart = $from.depth, openEnd = $to.depth;
  while (openStart && openEnd && content2.childCount == 1) {
    content2 = content2.firstChild.content;
    openStart--;
    openEnd--;
  }
  var slice3 = new Slice(content2, openStart, openEnd);
  if (moveInline > -1) {
    return new ReplaceAroundStep($from.pos, moveInline, this.$to.pos, this.$to.end(), slice3, placedSize);
  }
  if (slice3.size || $from.pos != this.$to.pos) {
    return new ReplaceStep($from.pos, $to.pos, slice3);
  }
};
Fitter.prototype.findFittable = function findFittable() {
  for (var pass = 1; pass <= 2; pass++) {
    for (var sliceDepth = this.unplaced.openStart; sliceDepth >= 0; sliceDepth--) {
      var fragment = void 0, parent = void 0;
      if (sliceDepth) {
        parent = contentAt(this.unplaced.content, sliceDepth - 1).firstChild;
        fragment = parent.content;
      } else {
        fragment = this.unplaced.content;
      }
      var first = fragment.firstChild;
      for (var frontierDepth = this.depth; frontierDepth >= 0; frontierDepth--) {
        var ref2 = this.frontier[frontierDepth];
        var type = ref2.type;
        var match = ref2.match;
        var wrap = void 0, inject2 = void 0;
        if (pass == 1 && (first ? match.matchType(first.type) || (inject2 = match.fillBefore(Fragment.from(first), false)) : type.compatibleContent(parent.type))) {
          return { sliceDepth, frontierDepth, parent, inject: inject2 };
        } else if (pass == 2 && first && (wrap = match.findWrapping(first.type))) {
          return { sliceDepth, frontierDepth, parent, wrap };
        }
        if (parent && match.matchType(parent.type)) {
          break;
        }
      }
    }
  }
};
Fitter.prototype.openMore = function openMore() {
  var ref2 = this.unplaced;
  var content2 = ref2.content;
  var openStart = ref2.openStart;
  var openEnd = ref2.openEnd;
  var inner = contentAt(content2, openStart);
  if (!inner.childCount || inner.firstChild.isLeaf) {
    return false;
  }
  this.unplaced = new Slice(content2, openStart + 1, Math.max(openEnd, inner.size + openStart >= content2.size - openEnd ? openStart + 1 : 0));
  return true;
};
Fitter.prototype.dropNode = function dropNode() {
  var ref2 = this.unplaced;
  var content2 = ref2.content;
  var openStart = ref2.openStart;
  var openEnd = ref2.openEnd;
  var inner = contentAt(content2, openStart);
  if (inner.childCount <= 1 && openStart > 0) {
    var openAtEnd = content2.size - openStart <= openStart + inner.size;
    this.unplaced = new Slice(dropFromFragment(content2, openStart - 1, 1), openStart - 1, openAtEnd ? openStart - 1 : openEnd);
  } else {
    this.unplaced = new Slice(dropFromFragment(content2, openStart, 1), openStart, openEnd);
  }
};
Fitter.prototype.placeNodes = function placeNodes(ref2) {
  var sliceDepth = ref2.sliceDepth;
  var frontierDepth = ref2.frontierDepth;
  var parent = ref2.parent;
  var inject2 = ref2.inject;
  var wrap = ref2.wrap;
  while (this.depth > frontierDepth) {
    this.closeFrontierNode();
  }
  if (wrap) {
    for (var i = 0; i < wrap.length; i++) {
      this.openFrontierNode(wrap[i]);
    }
  }
  var slice3 = this.unplaced, fragment = parent ? parent.content : slice3.content;
  var openStart = slice3.openStart - sliceDepth;
  var taken = 0, add2 = [];
  var ref$1 = this.frontier[frontierDepth];
  var match = ref$1.match;
  var type = ref$1.type;
  if (inject2) {
    for (var i$1 = 0; i$1 < inject2.childCount; i$1++) {
      add2.push(inject2.child(i$1));
    }
    match = match.matchFragment(inject2);
  }
  var openEndCount = fragment.size + sliceDepth - (slice3.content.size - slice3.openEnd);
  while (taken < fragment.childCount) {
    var next = fragment.child(taken), matches2 = match.matchType(next.type);
    if (!matches2) {
      break;
    }
    taken++;
    if (taken > 1 || openStart == 0 || next.content.size) {
      match = matches2;
      add2.push(closeNodeStart(next.mark(type.allowedMarks(next.marks)), taken == 1 ? openStart : 0, taken == fragment.childCount ? openEndCount : -1));
    }
  }
  var toEnd = taken == fragment.childCount;
  if (!toEnd) {
    openEndCount = -1;
  }
  this.placed = addToFragment(this.placed, frontierDepth, Fragment.from(add2));
  this.frontier[frontierDepth].match = match;
  if (toEnd && openEndCount < 0 && parent && parent.type == this.frontier[this.depth].type && this.frontier.length > 1) {
    this.closeFrontierNode();
  }
  for (var i$2 = 0, cur = fragment; i$2 < openEndCount; i$2++) {
    var node3 = cur.lastChild;
    this.frontier.push({ type: node3.type, match: node3.contentMatchAt(node3.childCount) });
    cur = node3.content;
  }
  this.unplaced = !toEnd ? new Slice(dropFromFragment(slice3.content, sliceDepth, taken), slice3.openStart, slice3.openEnd) : sliceDepth == 0 ? Slice.empty : new Slice(dropFromFragment(slice3.content, sliceDepth - 1, 1), sliceDepth - 1, openEndCount < 0 ? slice3.openEnd : sliceDepth - 1);
};
Fitter.prototype.mustMoveInline = function mustMoveInline() {
  if (!this.$to.parent.isTextblock || this.$to.end() == this.$to.pos) {
    return -1;
  }
  var top = this.frontier[this.depth], level;
  if (!top.type.isTextblock || !contentAfterFits(this.$to, this.$to.depth, top.type, top.match, false) || this.$to.depth == this.depth && (level = this.findCloseLevel(this.$to)) && level.depth == this.depth) {
    return -1;
  }
  var ref2 = this.$to;
  var depth = ref2.depth;
  var after2 = this.$to.after(depth);
  while (depth > 1 && after2 == this.$to.end(--depth)) {
    ++after2;
  }
  return after2;
};
Fitter.prototype.findCloseLevel = function findCloseLevel($to) {
  scan:
    for (var i = Math.min(this.depth, $to.depth); i >= 0; i--) {
      var ref2 = this.frontier[i];
      var match = ref2.match;
      var type = ref2.type;
      var dropInner = i < $to.depth && $to.end(i + 1) == $to.pos + ($to.depth - (i + 1));
      var fit2 = contentAfterFits($to, i, type, match, dropInner);
      if (!fit2) {
        continue;
      }
      for (var d = i - 1; d >= 0; d--) {
        var ref$1 = this.frontier[d];
        var match$1 = ref$1.match;
        var type$1 = ref$1.type;
        var matches2 = contentAfterFits($to, d, type$1, match$1, true);
        if (!matches2 || matches2.childCount) {
          continue scan;
        }
      }
      return { depth: i, fit: fit2, move: dropInner ? $to.doc.resolve($to.after(i + 1)) : $to };
    }
};
Fitter.prototype.close = function close2($to) {
  var close3 = this.findCloseLevel($to);
  if (!close3) {
    return null;
  }
  while (this.depth > close3.depth) {
    this.closeFrontierNode();
  }
  if (close3.fit.childCount) {
    this.placed = addToFragment(this.placed, close3.depth, close3.fit);
  }
  $to = close3.move;
  for (var d = close3.depth + 1; d <= $to.depth; d++) {
    var node3 = $to.node(d), add2 = node3.type.contentMatch.fillBefore(node3.content, true, $to.index(d));
    this.openFrontierNode(node3.type, node3.attrs, add2);
  }
  return $to;
};
Fitter.prototype.openFrontierNode = function openFrontierNode(type, attrs, content2) {
  var top = this.frontier[this.depth];
  top.match = top.match.matchType(type);
  this.placed = addToFragment(this.placed, this.depth, Fragment.from(type.create(attrs, content2)));
  this.frontier.push({ type, match: type.contentMatch });
};
Fitter.prototype.closeFrontierNode = function closeFrontierNode() {
  var open = this.frontier.pop();
  var add2 = open.match.fillBefore(Fragment.empty, true);
  if (add2.childCount) {
    this.placed = addToFragment(this.placed, this.frontier.length, add2);
  }
};
Object.defineProperties(Fitter.prototype, prototypeAccessors$1$2);
function dropFromFragment(fragment, depth, count) {
  if (depth == 0) {
    return fragment.cutByIndex(count);
  }
  return fragment.replaceChild(0, fragment.firstChild.copy(dropFromFragment(fragment.firstChild.content, depth - 1, count)));
}
function addToFragment(fragment, depth, content2) {
  if (depth == 0) {
    return fragment.append(content2);
  }
  return fragment.replaceChild(fragment.childCount - 1, fragment.lastChild.copy(addToFragment(fragment.lastChild.content, depth - 1, content2)));
}
function contentAt(fragment, depth) {
  for (var i = 0; i < depth; i++) {
    fragment = fragment.firstChild.content;
  }
  return fragment;
}
function closeNodeStart(node3, openStart, openEnd) {
  if (openStart <= 0) {
    return node3;
  }
  var frag = node3.content;
  if (openStart > 1) {
    frag = frag.replaceChild(0, closeNodeStart(frag.firstChild, openStart - 1, frag.childCount == 1 ? openEnd - 1 : 0));
  }
  if (openStart > 0) {
    frag = node3.type.contentMatch.fillBefore(frag).append(frag);
    if (openEnd <= 0) {
      frag = frag.append(node3.type.contentMatch.matchFragment(frag).fillBefore(Fragment.empty, true));
    }
  }
  return node3.copy(frag);
}
function contentAfterFits($to, depth, type, match, open) {
  var node3 = $to.node(depth), index3 = open ? $to.indexAfter(depth) : $to.index(depth);
  if (index3 == node3.childCount && !type.compatibleContent(node3.type)) {
    return null;
  }
  var fit2 = match.fillBefore(node3.content, true, index3);
  return fit2 && !invalidMarks(type, node3.content, index3) ? fit2 : null;
}
function invalidMarks(type, fragment, start3) {
  for (var i = start3; i < fragment.childCount; i++) {
    if (!type.allowsMarks(fragment.child(i).marks)) {
      return true;
    }
  }
  return false;
}
Transform.prototype.replaceRange = function(from3, to, slice3) {
  if (!slice3.size) {
    return this.deleteRange(from3, to);
  }
  var $from = this.doc.resolve(from3), $to = this.doc.resolve(to);
  if (fitsTrivially($from, $to, slice3)) {
    return this.step(new ReplaceStep(from3, to, slice3));
  }
  var targetDepths = coveredDepths($from, this.doc.resolve(to));
  if (targetDepths[targetDepths.length - 1] == 0) {
    targetDepths.pop();
  }
  var preferredTarget = -($from.depth + 1);
  targetDepths.unshift(preferredTarget);
  for (var d = $from.depth, pos = $from.pos - 1; d > 0; d--, pos--) {
    var spec = $from.node(d).type.spec;
    if (spec.defining || spec.isolating) {
      break;
    }
    if (targetDepths.indexOf(d) > -1) {
      preferredTarget = d;
    } else if ($from.before(d) == pos) {
      targetDepths.splice(1, 0, -d);
    }
  }
  var preferredTargetIndex = targetDepths.indexOf(preferredTarget);
  var leftNodes = [], preferredDepth = slice3.openStart;
  for (var content2 = slice3.content, i = 0; ; i++) {
    var node3 = content2.firstChild;
    leftNodes.push(node3);
    if (i == slice3.openStart) {
      break;
    }
    content2 = node3.content;
  }
  if (preferredDepth > 0 && leftNodes[preferredDepth - 1].type.spec.defining && $from.node(preferredTargetIndex).type != leftNodes[preferredDepth - 1].type) {
    preferredDepth -= 1;
  } else if (preferredDepth >= 2 && leftNodes[preferredDepth - 1].isTextblock && leftNodes[preferredDepth - 2].type.spec.defining && $from.node(preferredTargetIndex).type != leftNodes[preferredDepth - 2].type) {
    preferredDepth -= 2;
  }
  for (var j = slice3.openStart; j >= 0; j--) {
    var openDepth = (j + preferredDepth + 1) % (slice3.openStart + 1);
    var insert = leftNodes[openDepth];
    if (!insert) {
      continue;
    }
    for (var i$1 = 0; i$1 < targetDepths.length; i$1++) {
      var targetDepth = targetDepths[(i$1 + preferredTargetIndex) % targetDepths.length], expand = true;
      if (targetDepth < 0) {
        expand = false;
        targetDepth = -targetDepth;
      }
      var parent = $from.node(targetDepth - 1), index3 = $from.index(targetDepth - 1);
      if (parent.canReplaceWith(index3, index3, insert.type, insert.marks)) {
        return this.replace($from.before(targetDepth), expand ? $to.after(targetDepth) : to, new Slice(closeFragment(slice3.content, 0, slice3.openStart, openDepth), openDepth, slice3.openEnd));
      }
    }
  }
  var startSteps = this.steps.length;
  for (var i$2 = targetDepths.length - 1; i$2 >= 0; i$2--) {
    this.replace(from3, to, slice3);
    if (this.steps.length > startSteps) {
      break;
    }
    var depth = targetDepths[i$2];
    if (depth < 0) {
      continue;
    }
    from3 = $from.before(depth);
    to = $to.after(depth);
  }
  return this;
};
function closeFragment(fragment, depth, oldOpen, newOpen, parent) {
  if (depth < oldOpen) {
    var first = fragment.firstChild;
    fragment = fragment.replaceChild(0, first.copy(closeFragment(first.content, depth + 1, oldOpen, newOpen, first)));
  }
  if (depth > newOpen) {
    var match = parent.contentMatchAt(0);
    var start3 = match.fillBefore(fragment).append(fragment);
    fragment = start3.append(match.matchFragment(start3).fillBefore(Fragment.empty, true));
  }
  return fragment;
}
Transform.prototype.replaceRangeWith = function(from3, to, node3) {
  if (!node3.isInline && from3 == to && this.doc.resolve(from3).parent.content.size) {
    var point = insertPoint(this.doc, from3, node3.type);
    if (point != null) {
      from3 = to = point;
    }
  }
  return this.replaceRange(from3, to, new Slice(Fragment.from(node3), 0, 0));
};
Transform.prototype.deleteRange = function(from3, to) {
  var $from = this.doc.resolve(from3), $to = this.doc.resolve(to);
  var covered = coveredDepths($from, $to);
  for (var i = 0; i < covered.length; i++) {
    var depth = covered[i], last = i == covered.length - 1;
    if (last && depth == 0 || $from.node(depth).type.contentMatch.validEnd) {
      return this.delete($from.start(depth), $to.end(depth));
    }
    if (depth > 0 && (last || $from.node(depth - 1).canReplace($from.index(depth - 1), $to.indexAfter(depth - 1)))) {
      return this.delete($from.before(depth), $to.after(depth));
    }
  }
  for (var d = 1; d <= $from.depth && d <= $to.depth; d++) {
    if (from3 - $from.start(d) == $from.depth - d && to > $from.end(d) && $to.end(d) - to != $to.depth - d) {
      return this.delete($from.before(d), to);
    }
  }
  return this.delete(from3, to);
};
function coveredDepths($from, $to) {
  var result2 = [], minDepth = Math.min($from.depth, $to.depth);
  for (var d = minDepth; d >= 0; d--) {
    var start3 = $from.start(d);
    if (start3 < $from.pos - ($from.depth - d) || $to.end(d) > $to.pos + ($to.depth - d) || $from.node(d).type.spec.isolating || $to.node(d).type.spec.isolating) {
      break;
    }
    if (start3 == $to.start(d)) {
      result2.push(d);
    }
  }
  return result2;
}
var classesById = Object.create(null);
var Selection = function Selection2($anchor, $head, ranges) {
  this.ranges = ranges || [new SelectionRange($anchor.min($head), $anchor.max($head))];
  this.$anchor = $anchor;
  this.$head = $head;
};
var prototypeAccessors$3 = { anchor: { configurable: true }, head: { configurable: true }, from: { configurable: true }, to: { configurable: true }, $from: { configurable: true }, $to: { configurable: true }, empty: { configurable: true } };
prototypeAccessors$3.anchor.get = function() {
  return this.$anchor.pos;
};
prototypeAccessors$3.head.get = function() {
  return this.$head.pos;
};
prototypeAccessors$3.from.get = function() {
  return this.$from.pos;
};
prototypeAccessors$3.to.get = function() {
  return this.$to.pos;
};
prototypeAccessors$3.$from.get = function() {
  return this.ranges[0].$from;
};
prototypeAccessors$3.$to.get = function() {
  return this.ranges[0].$to;
};
prototypeAccessors$3.empty.get = function() {
  var ranges = this.ranges;
  for (var i = 0; i < ranges.length; i++) {
    if (ranges[i].$from.pos != ranges[i].$to.pos) {
      return false;
    }
  }
  return true;
};
Selection.prototype.content = function content() {
  return this.$from.node(0).slice(this.from, this.to, true);
};
Selection.prototype.replace = function replace2(tr, content2) {
  if (content2 === void 0)
    content2 = Slice.empty;
  var lastNode = content2.content.lastChild, lastParent = null;
  for (var i = 0; i < content2.openEnd; i++) {
    lastParent = lastNode;
    lastNode = lastNode.lastChild;
  }
  var mapFrom = tr.steps.length, ranges = this.ranges;
  for (var i$1 = 0; i$1 < ranges.length; i$1++) {
    var ref2 = ranges[i$1];
    var $from = ref2.$from;
    var $to = ref2.$to;
    var mapping = tr.mapping.slice(mapFrom);
    tr.replaceRange(mapping.map($from.pos), mapping.map($to.pos), i$1 ? Slice.empty : content2);
    if (i$1 == 0) {
      selectionToInsertionEnd(tr, mapFrom, (lastNode ? lastNode.isInline : lastParent && lastParent.isTextblock) ? -1 : 1);
    }
  }
};
Selection.prototype.replaceWith = function replaceWith(tr, node3) {
  var mapFrom = tr.steps.length, ranges = this.ranges;
  for (var i = 0; i < ranges.length; i++) {
    var ref2 = ranges[i];
    var $from = ref2.$from;
    var $to = ref2.$to;
    var mapping = tr.mapping.slice(mapFrom);
    var from3 = mapping.map($from.pos), to = mapping.map($to.pos);
    if (i) {
      tr.deleteRange(from3, to);
    } else {
      tr.replaceRangeWith(from3, to, node3);
      selectionToInsertionEnd(tr, mapFrom, node3.isInline ? -1 : 1);
    }
  }
};
Selection.findFrom = function findFrom($pos, dir, textOnly) {
  var inner = $pos.parent.inlineContent ? new TextSelection($pos) : findSelectionIn($pos.node(0), $pos.parent, $pos.pos, $pos.index(), dir, textOnly);
  if (inner) {
    return inner;
  }
  for (var depth = $pos.depth - 1; depth >= 0; depth--) {
    var found2 = dir < 0 ? findSelectionIn($pos.node(0), $pos.node(depth), $pos.before(depth + 1), $pos.index(depth), dir, textOnly) : findSelectionIn($pos.node(0), $pos.node(depth), $pos.after(depth + 1), $pos.index(depth) + 1, dir, textOnly);
    if (found2) {
      return found2;
    }
  }
};
Selection.near = function near($pos, bias) {
  if (bias === void 0)
    bias = 1;
  return this.findFrom($pos, bias) || this.findFrom($pos, -bias) || new AllSelection($pos.node(0));
};
Selection.atStart = function atStart(doc2) {
  return findSelectionIn(doc2, doc2, 0, 0, 1) || new AllSelection(doc2);
};
Selection.atEnd = function atEnd(doc2) {
  return findSelectionIn(doc2, doc2, doc2.content.size, doc2.childCount, -1) || new AllSelection(doc2);
};
Selection.fromJSON = function fromJSON6(doc2, json) {
  if (!json || !json.type) {
    throw new RangeError("Invalid input for Selection.fromJSON");
  }
  var cls = classesById[json.type];
  if (!cls) {
    throw new RangeError("No selection type " + json.type + " defined");
  }
  return cls.fromJSON(doc2, json);
};
Selection.jsonID = function jsonID2(id, selectionClass) {
  if (id in classesById) {
    throw new RangeError("Duplicate use of selection JSON ID " + id);
  }
  classesById[id] = selectionClass;
  selectionClass.prototype.jsonID = id;
  return selectionClass;
};
Selection.prototype.getBookmark = function getBookmark() {
  return TextSelection.between(this.$anchor, this.$head).getBookmark();
};
Object.defineProperties(Selection.prototype, prototypeAccessors$3);
Selection.prototype.visible = true;
var SelectionRange = function SelectionRange2($from, $to) {
  this.$from = $from;
  this.$to = $to;
};
var TextSelection = /* @__PURE__ */ function(Selection3) {
  function TextSelection2($anchor, $head) {
    if ($head === void 0)
      $head = $anchor;
    Selection3.call(this, $anchor, $head);
  }
  if (Selection3)
    TextSelection2.__proto__ = Selection3;
  TextSelection2.prototype = Object.create(Selection3 && Selection3.prototype);
  TextSelection2.prototype.constructor = TextSelection2;
  var prototypeAccessors$12 = { $cursor: { configurable: true } };
  prototypeAccessors$12.$cursor.get = function() {
    return this.$anchor.pos == this.$head.pos ? this.$head : null;
  };
  TextSelection2.prototype.map = function map13(doc2, mapping) {
    var $head = doc2.resolve(mapping.map(this.head));
    if (!$head.parent.inlineContent) {
      return Selection3.near($head);
    }
    var $anchor = doc2.resolve(mapping.map(this.anchor));
    return new TextSelection2($anchor.parent.inlineContent ? $anchor : $head, $head);
  };
  TextSelection2.prototype.replace = function replace3(tr, content2) {
    if (content2 === void 0)
      content2 = Slice.empty;
    Selection3.prototype.replace.call(this, tr, content2);
    if (content2 == Slice.empty) {
      var marks2 = this.$from.marksAcross(this.$to);
      if (marks2) {
        tr.ensureMarks(marks2);
      }
    }
  };
  TextSelection2.prototype.eq = function eq12(other) {
    return other instanceof TextSelection2 && other.anchor == this.anchor && other.head == this.head;
  };
  TextSelection2.prototype.getBookmark = function getBookmark2() {
    return new TextBookmark(this.anchor, this.head);
  };
  TextSelection2.prototype.toJSON = function toJSON7() {
    return { type: "text", anchor: this.anchor, head: this.head };
  };
  TextSelection2.fromJSON = function fromJSON8(doc2, json) {
    if (typeof json.anchor != "number" || typeof json.head != "number") {
      throw new RangeError("Invalid input for TextSelection.fromJSON");
    }
    return new TextSelection2(doc2.resolve(json.anchor), doc2.resolve(json.head));
  };
  TextSelection2.create = function create5(doc2, anchor, head) {
    if (head === void 0)
      head = anchor;
    var $anchor = doc2.resolve(anchor);
    return new this($anchor, head == anchor ? $anchor : doc2.resolve(head));
  };
  TextSelection2.between = function between($anchor, $head, bias) {
    var dPos = $anchor.pos - $head.pos;
    if (!bias || dPos) {
      bias = dPos >= 0 ? 1 : -1;
    }
    if (!$head.parent.inlineContent) {
      var found2 = Selection3.findFrom($head, bias, true) || Selection3.findFrom($head, -bias, true);
      if (found2) {
        $head = found2.$head;
      } else {
        return Selection3.near($head, bias);
      }
    }
    if (!$anchor.parent.inlineContent) {
      if (dPos == 0) {
        $anchor = $head;
      } else {
        $anchor = (Selection3.findFrom($anchor, -bias, true) || Selection3.findFrom($anchor, bias, true)).$anchor;
        if ($anchor.pos < $head.pos != dPos < 0) {
          $anchor = $head;
        }
      }
    }
    return new TextSelection2($anchor, $head);
  };
  Object.defineProperties(TextSelection2.prototype, prototypeAccessors$12);
  return TextSelection2;
}(Selection);
Selection.jsonID("text", TextSelection);
var TextBookmark = function TextBookmark2(anchor, head) {
  this.anchor = anchor;
  this.head = head;
};
TextBookmark.prototype.map = function map4(mapping) {
  return new TextBookmark(mapping.map(this.anchor), mapping.map(this.head));
};
TextBookmark.prototype.resolve = function resolve3(doc2) {
  return TextSelection.between(doc2.resolve(this.anchor), doc2.resolve(this.head));
};
var NodeSelection = /* @__PURE__ */ function(Selection3) {
  function NodeSelection2($pos) {
    var node3 = $pos.nodeAfter;
    var $end = $pos.node(0).resolve($pos.pos + node3.nodeSize);
    Selection3.call(this, $pos, $end);
    this.node = node3;
  }
  if (Selection3)
    NodeSelection2.__proto__ = Selection3;
  NodeSelection2.prototype = Object.create(Selection3 && Selection3.prototype);
  NodeSelection2.prototype.constructor = NodeSelection2;
  NodeSelection2.prototype.map = function map13(doc2, mapping) {
    var ref2 = mapping.mapResult(this.anchor);
    var deleted = ref2.deleted;
    var pos = ref2.pos;
    var $pos = doc2.resolve(pos);
    if (deleted) {
      return Selection3.near($pos);
    }
    return new NodeSelection2($pos);
  };
  NodeSelection2.prototype.content = function content2() {
    return new Slice(Fragment.from(this.node), 0, 0);
  };
  NodeSelection2.prototype.eq = function eq12(other) {
    return other instanceof NodeSelection2 && other.anchor == this.anchor;
  };
  NodeSelection2.prototype.toJSON = function toJSON7() {
    return { type: "node", anchor: this.anchor };
  };
  NodeSelection2.prototype.getBookmark = function getBookmark2() {
    return new NodeBookmark(this.anchor);
  };
  NodeSelection2.fromJSON = function fromJSON8(doc2, json) {
    if (typeof json.anchor != "number") {
      throw new RangeError("Invalid input for NodeSelection.fromJSON");
    }
    return new NodeSelection2(doc2.resolve(json.anchor));
  };
  NodeSelection2.create = function create5(doc2, from3) {
    return new this(doc2.resolve(from3));
  };
  NodeSelection2.isSelectable = function isSelectable(node3) {
    return !node3.isText && node3.type.spec.selectable !== false;
  };
  return NodeSelection2;
}(Selection);
NodeSelection.prototype.visible = false;
Selection.jsonID("node", NodeSelection);
var NodeBookmark = function NodeBookmark2(anchor) {
  this.anchor = anchor;
};
NodeBookmark.prototype.map = function map5(mapping) {
  var ref2 = mapping.mapResult(this.anchor);
  var deleted = ref2.deleted;
  var pos = ref2.pos;
  return deleted ? new TextBookmark(pos, pos) : new NodeBookmark(pos);
};
NodeBookmark.prototype.resolve = function resolve4(doc2) {
  var $pos = doc2.resolve(this.anchor), node3 = $pos.nodeAfter;
  if (node3 && NodeSelection.isSelectable(node3)) {
    return new NodeSelection($pos);
  }
  return Selection.near($pos);
};
var AllSelection = /* @__PURE__ */ function(Selection3) {
  function AllSelection2(doc2) {
    Selection3.call(this, doc2.resolve(0), doc2.resolve(doc2.content.size));
  }
  if (Selection3)
    AllSelection2.__proto__ = Selection3;
  AllSelection2.prototype = Object.create(Selection3 && Selection3.prototype);
  AllSelection2.prototype.constructor = AllSelection2;
  AllSelection2.prototype.replace = function replace3(tr, content2) {
    if (content2 === void 0)
      content2 = Slice.empty;
    if (content2 == Slice.empty) {
      tr.delete(0, tr.doc.content.size);
      var sel = Selection3.atStart(tr.doc);
      if (!sel.eq(tr.selection)) {
        tr.setSelection(sel);
      }
    } else {
      Selection3.prototype.replace.call(this, tr, content2);
    }
  };
  AllSelection2.prototype.toJSON = function toJSON7() {
    return { type: "all" };
  };
  AllSelection2.fromJSON = function fromJSON8(doc2) {
    return new AllSelection2(doc2);
  };
  AllSelection2.prototype.map = function map13(doc2) {
    return new AllSelection2(doc2);
  };
  AllSelection2.prototype.eq = function eq12(other) {
    return other instanceof AllSelection2;
  };
  AllSelection2.prototype.getBookmark = function getBookmark2() {
    return AllBookmark;
  };
  return AllSelection2;
}(Selection);
Selection.jsonID("all", AllSelection);
var AllBookmark = {
  map: function map6() {
    return this;
  },
  resolve: function resolve5(doc2) {
    return new AllSelection(doc2);
  }
};
function findSelectionIn(doc2, node3, pos, index3, dir, text) {
  if (node3.inlineContent) {
    return TextSelection.create(doc2, pos);
  }
  for (var i = index3 - (dir > 0 ? 0 : 1); dir > 0 ? i < node3.childCount : i >= 0; i += dir) {
    var child3 = node3.child(i);
    if (!child3.isAtom) {
      var inner = findSelectionIn(doc2, child3, pos + dir, dir < 0 ? child3.childCount : 0, dir, text);
      if (inner) {
        return inner;
      }
    } else if (!text && NodeSelection.isSelectable(child3)) {
      return NodeSelection.create(doc2, pos - (dir < 0 ? child3.nodeSize : 0));
    }
    pos += child3.nodeSize * dir;
  }
}
function selectionToInsertionEnd(tr, startLen, bias) {
  var last = tr.steps.length - 1;
  if (last < startLen) {
    return;
  }
  var step2 = tr.steps[last];
  if (!(step2 instanceof ReplaceStep || step2 instanceof ReplaceAroundStep)) {
    return;
  }
  var map13 = tr.mapping.maps[last], end2;
  map13.forEach(function(_from, _to, _newFrom, newTo) {
    if (end2 == null) {
      end2 = newTo;
    }
  });
  tr.setSelection(Selection.near(tr.doc.resolve(end2), bias));
}
var UPDATED_SEL = 1, UPDATED_MARKS = 2, UPDATED_SCROLL = 4;
var Transaction = /* @__PURE__ */ function(Transform3) {
  function Transaction2(state) {
    Transform3.call(this, state.doc);
    this.time = Date.now();
    this.curSelection = state.selection;
    this.curSelectionFor = 0;
    this.storedMarks = state.storedMarks;
    this.updated = 0;
    this.meta = Object.create(null);
  }
  if (Transform3)
    Transaction2.__proto__ = Transform3;
  Transaction2.prototype = Object.create(Transform3 && Transform3.prototype);
  Transaction2.prototype.constructor = Transaction2;
  var prototypeAccessors2 = { selection: { configurable: true }, selectionSet: { configurable: true }, storedMarksSet: { configurable: true }, isGeneric: { configurable: true }, scrolledIntoView: { configurable: true } };
  prototypeAccessors2.selection.get = function() {
    if (this.curSelectionFor < this.steps.length) {
      this.curSelection = this.curSelection.map(this.doc, this.mapping.slice(this.curSelectionFor));
      this.curSelectionFor = this.steps.length;
    }
    return this.curSelection;
  };
  Transaction2.prototype.setSelection = function setSelection2(selection) {
    if (selection.$from.doc != this.doc) {
      throw new RangeError("Selection passed to setSelection must point at the current document");
    }
    this.curSelection = selection;
    this.curSelectionFor = this.steps.length;
    this.updated = (this.updated | UPDATED_SEL) & ~UPDATED_MARKS;
    this.storedMarks = null;
    return this;
  };
  prototypeAccessors2.selectionSet.get = function() {
    return (this.updated & UPDATED_SEL) > 0;
  };
  Transaction2.prototype.setStoredMarks = function setStoredMarks(marks2) {
    this.storedMarks = marks2;
    this.updated |= UPDATED_MARKS;
    return this;
  };
  Transaction2.prototype.ensureMarks = function ensureMarks(marks2) {
    if (!Mark.sameSet(this.storedMarks || this.selection.$from.marks(), marks2)) {
      this.setStoredMarks(marks2);
    }
    return this;
  };
  Transaction2.prototype.addStoredMark = function addStoredMark(mark2) {
    return this.ensureMarks(mark2.addToSet(this.storedMarks || this.selection.$head.marks()));
  };
  Transaction2.prototype.removeStoredMark = function removeStoredMark(mark2) {
    return this.ensureMarks(mark2.removeFromSet(this.storedMarks || this.selection.$head.marks()));
  };
  prototypeAccessors2.storedMarksSet.get = function() {
    return (this.updated & UPDATED_MARKS) > 0;
  };
  Transaction2.prototype.addStep = function addStep2(step2, doc2) {
    Transform3.prototype.addStep.call(this, step2, doc2);
    this.updated = this.updated & ~UPDATED_MARKS;
    this.storedMarks = null;
  };
  Transaction2.prototype.setTime = function setTime(time) {
    this.time = time;
    return this;
  };
  Transaction2.prototype.replaceSelection = function replaceSelection(slice3) {
    this.selection.replace(this, slice3);
    return this;
  };
  Transaction2.prototype.replaceSelectionWith = function replaceSelectionWith(node3, inheritMarks) {
    var selection = this.selection;
    if (inheritMarks !== false) {
      node3 = node3.mark(this.storedMarks || (selection.empty ? selection.$from.marks() : selection.$from.marksAcross(selection.$to) || Mark.none));
    }
    selection.replaceWith(this, node3);
    return this;
  };
  Transaction2.prototype.deleteSelection = function deleteSelection() {
    this.selection.replace(this);
    return this;
  };
  Transaction2.prototype.insertText = function insertText(text, from3, to) {
    if (to === void 0)
      to = from3;
    var schema = this.doc.type.schema;
    if (from3 == null) {
      if (!text) {
        return this.deleteSelection();
      }
      return this.replaceSelectionWith(schema.text(text), true);
    } else {
      if (!text) {
        return this.deleteRange(from3, to);
      }
      var marks2 = this.storedMarks;
      if (!marks2) {
        var $from = this.doc.resolve(from3);
        marks2 = to == from3 ? $from.marks() : $from.marksAcross(this.doc.resolve(to));
      }
      this.replaceRangeWith(from3, to, schema.text(text, marks2));
      if (!this.selection.empty) {
        this.setSelection(Selection.near(this.selection.$to));
      }
      return this;
    }
  };
  Transaction2.prototype.setMeta = function setMeta(key, value) {
    this.meta[typeof key == "string" ? key : key.key] = value;
    return this;
  };
  Transaction2.prototype.getMeta = function getMeta(key) {
    return this.meta[typeof key == "string" ? key : key.key];
  };
  prototypeAccessors2.isGeneric.get = function() {
    for (var _ in this.meta) {
      return false;
    }
    return true;
  };
  Transaction2.prototype.scrollIntoView = function scrollIntoView() {
    this.updated |= UPDATED_SCROLL;
    return this;
  };
  prototypeAccessors2.scrolledIntoView.get = function() {
    return (this.updated & UPDATED_SCROLL) > 0;
  };
  Object.defineProperties(Transaction2.prototype, prototypeAccessors2);
  return Transaction2;
}(Transform);
function bind(f, self) {
  return !self || !f ? f : f.bind(self);
}
var FieldDesc = function FieldDesc2(name, desc, self) {
  this.name = name;
  this.init = bind(desc.init, self);
  this.apply = bind(desc.apply, self);
};
var baseFields = [
  new FieldDesc("doc", {
    init: function init(config) {
      return config.doc || config.schema.topNodeType.createAndFill();
    },
    apply: function apply2(tr) {
      return tr.doc;
    }
  }),
  new FieldDesc("selection", {
    init: function init2(config, instance2) {
      return config.selection || Selection.atStart(instance2.doc);
    },
    apply: function apply3(tr) {
      return tr.selection;
    }
  }),
  new FieldDesc("storedMarks", {
    init: function init3(config) {
      return config.storedMarks || null;
    },
    apply: function apply4(tr, _marks, _old, state) {
      return state.selection.$cursor ? tr.storedMarks : null;
    }
  }),
  new FieldDesc("scrollToSelection", {
    init: function init4() {
      return 0;
    },
    apply: function apply5(tr, prev) {
      return tr.scrolledIntoView ? prev + 1 : prev;
    }
  })
];
var Configuration = function Configuration2(schema, plugins) {
  var this$1$1 = this;
  this.schema = schema;
  this.fields = baseFields.concat();
  this.plugins = [];
  this.pluginsByKey = Object.create(null);
  if (plugins) {
    plugins.forEach(function(plugin) {
      if (this$1$1.pluginsByKey[plugin.key]) {
        throw new RangeError("Adding different instances of a keyed plugin (" + plugin.key + ")");
      }
      this$1$1.plugins.push(plugin);
      this$1$1.pluginsByKey[plugin.key] = plugin;
      if (plugin.spec.state) {
        this$1$1.fields.push(new FieldDesc(plugin.key, plugin.spec.state, plugin));
      }
    });
  }
};
var EditorState = function EditorState2(config) {
  this.config = config;
};
var prototypeAccessors$1$1 = { schema: { configurable: true }, plugins: { configurable: true }, tr: { configurable: true } };
prototypeAccessors$1$1.schema.get = function() {
  return this.config.schema;
};
prototypeAccessors$1$1.plugins.get = function() {
  return this.config.plugins;
};
EditorState.prototype.apply = function apply6(tr) {
  return this.applyTransaction(tr).state;
};
EditorState.prototype.filterTransaction = function filterTransaction(tr, ignore) {
  if (ignore === void 0)
    ignore = -1;
  for (var i = 0; i < this.config.plugins.length; i++) {
    if (i != ignore) {
      var plugin = this.config.plugins[i];
      if (plugin.spec.filterTransaction && !plugin.spec.filterTransaction.call(plugin, tr, this)) {
        return false;
      }
    }
  }
  return true;
};
EditorState.prototype.applyTransaction = function applyTransaction(rootTr) {
  if (!this.filterTransaction(rootTr)) {
    return { state: this, transactions: [] };
  }
  var trs = [rootTr], newState = this.applyInner(rootTr), seen = null;
  for (; ; ) {
    var haveNew = false;
    for (var i = 0; i < this.config.plugins.length; i++) {
      var plugin = this.config.plugins[i];
      if (plugin.spec.appendTransaction) {
        var n = seen ? seen[i].n : 0, oldState = seen ? seen[i].state : this;
        var tr = n < trs.length && plugin.spec.appendTransaction.call(plugin, n ? trs.slice(n) : trs, oldState, newState);
        if (tr && newState.filterTransaction(tr, i)) {
          tr.setMeta("appendedTransaction", rootTr);
          if (!seen) {
            seen = [];
            for (var j = 0; j < this.config.plugins.length; j++) {
              seen.push(j < i ? { state: newState, n: trs.length } : { state: this, n: 0 });
            }
          }
          trs.push(tr);
          newState = newState.applyInner(tr);
          haveNew = true;
        }
        if (seen) {
          seen[i] = { state: newState, n: trs.length };
        }
      }
    }
    if (!haveNew) {
      return { state: newState, transactions: trs };
    }
  }
};
EditorState.prototype.applyInner = function applyInner(tr) {
  if (!tr.before.eq(this.doc)) {
    throw new RangeError("Applying a mismatched transaction");
  }
  var newInstance = new EditorState(this.config), fields = this.config.fields;
  for (var i = 0; i < fields.length; i++) {
    var field = fields[i];
    newInstance[field.name] = field.apply(tr, this[field.name], this, newInstance);
  }
  for (var i$1 = 0; i$1 < applyListeners.length; i$1++) {
    applyListeners[i$1](this, tr, newInstance);
  }
  return newInstance;
};
prototypeAccessors$1$1.tr.get = function() {
  return new Transaction(this);
};
EditorState.create = function create3(config) {
  var $config = new Configuration(config.doc ? config.doc.type.schema : config.schema, config.plugins);
  var instance2 = new EditorState($config);
  for (var i = 0; i < $config.fields.length; i++) {
    instance2[$config.fields[i].name] = $config.fields[i].init(config, instance2);
  }
  return instance2;
};
EditorState.prototype.reconfigure = function reconfigure(config) {
  var $config = new Configuration(this.schema, config.plugins);
  var fields = $config.fields, instance2 = new EditorState($config);
  for (var i = 0; i < fields.length; i++) {
    var name = fields[i].name;
    instance2[name] = this.hasOwnProperty(name) ? this[name] : fields[i].init(config, instance2);
  }
  return instance2;
};
EditorState.prototype.toJSON = function toJSON6(pluginFields) {
  var result2 = { doc: this.doc.toJSON(), selection: this.selection.toJSON() };
  if (this.storedMarks) {
    result2.storedMarks = this.storedMarks.map(function(m) {
      return m.toJSON();
    });
  }
  if (pluginFields && typeof pluginFields == "object") {
    for (var prop in pluginFields) {
      if (prop == "doc" || prop == "selection") {
        throw new RangeError("The JSON fields `doc` and `selection` are reserved");
      }
      var plugin = pluginFields[prop], state = plugin.spec.state;
      if (state && state.toJSON) {
        result2[prop] = state.toJSON.call(plugin, this[plugin.key]);
      }
    }
  }
  return result2;
};
EditorState.fromJSON = function fromJSON7(config, json, pluginFields) {
  if (!json) {
    throw new RangeError("Invalid input for EditorState.fromJSON");
  }
  if (!config.schema) {
    throw new RangeError("Required config field 'schema' missing");
  }
  var $config = new Configuration(config.schema, config.plugins);
  var instance2 = new EditorState($config);
  $config.fields.forEach(function(field) {
    if (field.name == "doc") {
      instance2.doc = Node.fromJSON(config.schema, json.doc);
    } else if (field.name == "selection") {
      instance2.selection = Selection.fromJSON(instance2.doc, json.selection);
    } else if (field.name == "storedMarks") {
      if (json.storedMarks) {
        instance2.storedMarks = json.storedMarks.map(config.schema.markFromJSON);
      }
    } else {
      if (pluginFields) {
        for (var prop in pluginFields) {
          var plugin = pluginFields[prop], state = plugin.spec.state;
          if (plugin.key == field.name && state && state.fromJSON && Object.prototype.hasOwnProperty.call(json, prop)) {
            instance2[field.name] = state.fromJSON.call(plugin, config, json[prop], instance2);
            return;
          }
        }
      }
      instance2[field.name] = field.init(config, instance2);
    }
  });
  return instance2;
};
EditorState.addApplyListener = function addApplyListener(f) {
  applyListeners.push(f);
};
EditorState.removeApplyListener = function removeApplyListener(f) {
  var found2 = applyListeners.indexOf(f);
  if (found2 > -1) {
    applyListeners.splice(found2, 1);
  }
};
Object.defineProperties(EditorState.prototype, prototypeAccessors$1$1);
var applyListeners = [];
function bindProps(obj, self, target) {
  for (var prop in obj) {
    var val = obj[prop];
    if (val instanceof Function) {
      val = val.bind(self);
    } else if (prop == "handleDOMEvents") {
      val = bindProps(val, self, {});
    }
    target[prop] = val;
  }
  return target;
}
var Plugin = function Plugin2(spec) {
  this.props = {};
  if (spec.props) {
    bindProps(spec.props, this, this.props);
  }
  this.spec = spec;
  this.key = spec.key ? spec.key.key : createKey("plugin");
};
Plugin.prototype.getState = function getState(state) {
  return state[this.key];
};
var keys = Object.create(null);
function createKey(name) {
  if (name in keys) {
    return name + "$" + ++keys[name];
  }
  keys[name] = 0;
  return name + "$";
}
var PluginKey = function PluginKey2(name) {
  if (name === void 0)
    name = "key";
  this.key = createKey(name);
};
PluginKey.prototype.get = function get(state) {
  return state.config.pluginsByKey[this.key];
};
PluginKey.prototype.getState = function getState2(state) {
  return state[this.key];
};
class BubbleMenuView {
  constructor({ editor: editor2, element, view, tippyOptions = {}, shouldShow }) {
    this.preventHide = false;
    this.shouldShow = ({ state, from: from3, to }) => {
      const { doc: doc2, selection } = state;
      const { empty: empty2 } = selection;
      const isEmptyTextBlock = !doc2.textBetween(from3, to).length && isTextSelection(state.selection);
      if (empty2 || isEmptyTextBlock) {
        return false;
      }
      return true;
    };
    this.mousedownHandler = () => {
      this.preventHide = true;
    };
    this.dragstartHandler = () => {
      this.hide();
    };
    this.focusHandler = () => {
      setTimeout(() => this.update(this.editor.view));
    };
    this.blurHandler = ({ event }) => {
      var _a;
      if (this.preventHide) {
        this.preventHide = false;
        return;
      }
      if ((event === null || event === void 0 ? void 0 : event.relatedTarget) && ((_a = this.element.parentNode) === null || _a === void 0 ? void 0 : _a.contains(event.relatedTarget))) {
        return;
      }
      this.hide();
    };
    this.editor = editor2;
    this.element = element;
    this.view = view;
    if (shouldShow) {
      this.shouldShow = shouldShow;
    }
    this.element.addEventListener("mousedown", this.mousedownHandler, { capture: true });
    this.view.dom.addEventListener("dragstart", this.dragstartHandler);
    this.editor.on("focus", this.focusHandler);
    this.editor.on("blur", this.blurHandler);
    this.tippyOptions = tippyOptions;
    this.element.remove();
    this.element.style.visibility = "visible";
  }
  createTooltip() {
    const { element: editorElement } = this.editor.options;
    const editorIsAttached = !!editorElement.parentElement;
    if (this.tippy || !editorIsAttached) {
      return;
    }
    this.tippy = tippy$1(editorElement, __spreadValues({
      duration: 0,
      getReferenceClientRect: null,
      content: this.element,
      interactive: true,
      trigger: "manual",
      placement: "top",
      hideOnClick: "toggle"
    }, this.tippyOptions));
  }
  update(view, oldState) {
    var _a, _b;
    const { state, composing } = view;
    const { doc: doc2, selection } = state;
    const isSame = oldState && oldState.doc.eq(doc2) && oldState.selection.eq(selection);
    if (composing || isSame) {
      return;
    }
    this.createTooltip();
    const { ranges } = selection;
    const from3 = Math.min(...ranges.map((range) => range.$from.pos));
    const to = Math.max(...ranges.map((range) => range.$to.pos));
    const shouldShow = (_a = this.shouldShow) === null || _a === void 0 ? void 0 : _a.call(this, {
      editor: this.editor,
      view,
      state,
      oldState,
      from: from3,
      to
    });
    if (!shouldShow) {
      this.hide();
      return;
    }
    (_b = this.tippy) === null || _b === void 0 ? void 0 : _b.setProps({
      getReferenceClientRect: () => {
        if (isNodeSelection(state.selection)) {
          const node3 = view.nodeDOM(from3);
          if (node3) {
            return node3.getBoundingClientRect();
          }
        }
        return posToDOMRect(view, from3, to);
      }
    });
    this.show();
  }
  show() {
    var _a;
    (_a = this.tippy) === null || _a === void 0 ? void 0 : _a.show();
  }
  hide() {
    var _a;
    (_a = this.tippy) === null || _a === void 0 ? void 0 : _a.hide();
  }
  destroy() {
    var _a;
    (_a = this.tippy) === null || _a === void 0 ? void 0 : _a.destroy();
    this.element.removeEventListener("mousedown", this.mousedownHandler, { capture: true });
    this.view.dom.removeEventListener("dragstart", this.dragstartHandler);
    this.editor.off("focus", this.focusHandler);
    this.editor.off("blur", this.blurHandler);
  }
}
const BubbleMenuPlugin = (options) => {
  return new Plugin({
    key: typeof options.pluginKey === "string" ? new PluginKey(options.pluginKey) : options.pluginKey,
    view: (view) => new BubbleMenuView(__spreadValues({ view }, options))
  });
};
Extension.create({
  name: "bubbleMenu",
  defaultOptions: {
    element: null,
    tippyOptions: {},
    pluginKey: "bubbleMenu",
    shouldShow: null
  },
  addProseMirrorPlugins() {
    if (!this.options.element) {
      return [];
    }
    return [
      BubbleMenuPlugin({
        pluginKey: this.options.pluginKey,
        editor: this.editor,
        element: this.options.element,
        tippyOptions: this.options.tippyOptions,
        shouldShow: this.options.shouldShow
      })
    ];
  }
});
class FloatingMenuView {
  constructor({ editor: editor2, element, view, tippyOptions = {}, shouldShow }) {
    this.preventHide = false;
    this.shouldShow = ({ state }) => {
      const { selection } = state;
      const { $anchor, empty: empty2 } = selection;
      const isRootDepth = $anchor.depth === 1;
      const isEmptyTextBlock = $anchor.parent.isTextblock && !$anchor.parent.type.spec.code && !$anchor.parent.textContent;
      if (!empty2 || !isRootDepth || !isEmptyTextBlock) {
        return false;
      }
      return true;
    };
    this.mousedownHandler = () => {
      this.preventHide = true;
    };
    this.focusHandler = () => {
      setTimeout(() => this.update(this.editor.view));
    };
    this.blurHandler = ({ event }) => {
      var _a;
      if (this.preventHide) {
        this.preventHide = false;
        return;
      }
      if ((event === null || event === void 0 ? void 0 : event.relatedTarget) && ((_a = this.element.parentNode) === null || _a === void 0 ? void 0 : _a.contains(event.relatedTarget))) {
        return;
      }
      this.hide();
    };
    this.editor = editor2;
    this.element = element;
    this.view = view;
    if (shouldShow) {
      this.shouldShow = shouldShow;
    }
    this.element.addEventListener("mousedown", this.mousedownHandler, { capture: true });
    this.editor.on("focus", this.focusHandler);
    this.editor.on("blur", this.blurHandler);
    this.tippyOptions = tippyOptions;
    this.element.remove();
    this.element.style.visibility = "visible";
  }
  createTooltip() {
    const { element: editorElement } = this.editor.options;
    const editorIsAttached = !!editorElement.parentElement;
    if (this.tippy || !editorIsAttached) {
      return;
    }
    this.tippy = tippy$1(editorElement, __spreadValues({
      duration: 0,
      getReferenceClientRect: null,
      content: this.element,
      interactive: true,
      trigger: "manual",
      placement: "right",
      hideOnClick: "toggle"
    }, this.tippyOptions));
  }
  update(view, oldState) {
    var _a, _b;
    const { state, composing } = view;
    const { doc: doc2, selection } = state;
    const { from: from3, to } = selection;
    const isSame = oldState && oldState.doc.eq(doc2) && oldState.selection.eq(selection);
    if (composing || isSame) {
      return;
    }
    this.createTooltip();
    const shouldShow = (_a = this.shouldShow) === null || _a === void 0 ? void 0 : _a.call(this, {
      editor: this.editor,
      view,
      state,
      oldState
    });
    if (!shouldShow) {
      this.hide();
      return;
    }
    (_b = this.tippy) === null || _b === void 0 ? void 0 : _b.setProps({
      getReferenceClientRect: () => posToDOMRect(view, from3, to)
    });
    this.show();
  }
  show() {
    var _a;
    (_a = this.tippy) === null || _a === void 0 ? void 0 : _a.show();
  }
  hide() {
    var _a;
    (_a = this.tippy) === null || _a === void 0 ? void 0 : _a.hide();
  }
  destroy() {
    var _a;
    (_a = this.tippy) === null || _a === void 0 ? void 0 : _a.destroy();
    this.element.removeEventListener("mousedown", this.mousedownHandler, { capture: true });
    this.editor.off("focus", this.focusHandler);
    this.editor.off("blur", this.blurHandler);
  }
}
const FloatingMenuPlugin = (options) => {
  return new Plugin({
    key: typeof options.pluginKey === "string" ? new PluginKey(options.pluginKey) : options.pluginKey,
    view: (view) => new FloatingMenuView(__spreadValues({ view }, options))
  });
};
Extension.create({
  name: "floatingMenu",
  defaultOptions: {
    element: null,
    tippyOptions: {},
    pluginKey: "floatingMenu",
    shouldShow: null
  },
  addProseMirrorPlugins() {
    if (!this.options.element) {
      return [];
    }
    return [
      FloatingMenuPlugin({
        pluginKey: this.options.pluginKey,
        editor: this.editor,
        element: this.options.element,
        tippyOptions: this.options.tippyOptions,
        shouldShow: this.options.shouldShow
      })
    ];
  }
});
const BubbleMenu = defineComponent({
  name: "BubbleMenu",
  props: {
    pluginKey: {
      type: null,
      default: "bubbleMenu"
    },
    editor: {
      type: Object,
      required: true
    },
    tippyOptions: {
      type: Object,
      default: () => ({})
    },
    shouldShow: {
      type: Function,
      default: null
    }
  },
  setup(props, { slots }) {
    const root = ref(null);
    onMounted(() => {
      const { pluginKey: pluginKey2, editor: editor2, tippyOptions, shouldShow } = props;
      editor2.registerPlugin(BubbleMenuPlugin({
        pluginKey: pluginKey2,
        editor: editor2,
        element: root.value,
        tippyOptions,
        shouldShow
      }));
    });
    onBeforeUnmount(() => {
      const { pluginKey: pluginKey2, editor: editor2 } = props;
      editor2.unregisterPlugin(pluginKey2);
    });
    return () => {
      var _a;
      return h("div", { ref: root }, (_a = slots.default) === null || _a === void 0 ? void 0 : _a.call(slots));
    };
  }
});
function useDebouncedRef(value) {
  return customRef((track, trigger) => {
    return {
      get() {
        track();
        return value;
      },
      set(newValue) {
        value = newValue;
        requestAnimationFrame(() => {
          requestAnimationFrame(() => {
            trigger();
          });
        });
      }
    };
  });
}
class Editor extends Editor$1 {
  constructor(options = {}) {
    super(options);
    this.vueRenderers = reactive(new Map());
    this.contentComponent = null;
    this.reactiveState = useDebouncedRef(this.view.state);
    this.on("transaction", () => {
      this.reactiveState.value = this.view.state;
    });
    return markRaw(this);
  }
  get state() {
    return this.reactiveState ? this.reactiveState.value : this.view.state;
  }
  registerPlugin(plugin, handlePlugins) {
    super.registerPlugin(plugin, handlePlugins);
    this.reactiveState.value = this.view.state;
  }
  unregisterPlugin(nameOrPluginKey) {
    super.unregisterPlugin(nameOrPluginKey);
    this.reactiveState.value = this.view.state;
  }
}
const EditorContent$1 = defineComponent({
  name: "EditorContent",
  props: {
    editor: {
      default: null,
      type: Object
    }
  },
  setup(props) {
    const rootEl = ref();
    const instance2 = getCurrentInstance();
    watchEffect(() => {
      const editor2 = props.editor;
      if (editor2 && editor2.options.element && rootEl.value) {
        nextTick(() => {
          if (!rootEl.value || !editor2.options.element.firstChild) {
            return;
          }
          const element = unref(rootEl.value);
          rootEl.value.append(...editor2.options.element.childNodes);
          editor2.contentComponent = instance2.ctx._;
          editor2.setOptions({
            element
          });
          editor2.createNodeViews();
        });
      }
    });
    onBeforeUnmount(() => {
      const editor2 = props.editor;
      if (!editor2) {
        return;
      }
      if (!editor2.isDestroyed) {
        editor2.view.setProps({
          nodeViews: {}
        });
      }
      editor2.contentComponent = null;
      if (!editor2.options.element.firstChild) {
        return;
      }
      const newElement = document.createElement("div");
      newElement.append(...editor2.options.element.childNodes);
      editor2.setOptions({
        element: newElement
      });
    });
    return { rootEl };
  },
  render() {
    const vueRenderers = [];
    if (this.editor) {
      this.editor.vueRenderers.forEach((vueRenderer) => {
        const node3 = h(Teleport, {
          to: vueRenderer.teleportElement,
          key: vueRenderer.id
        }, h(vueRenderer.component, __spreadValues({
          ref: vueRenderer.id
        }, vueRenderer.props)));
        vueRenderers.push(node3);
      });
    }
    return h("div", {
      ref: (el) => {
        this.rootEl = el;
      }
    }, ...vueRenderers);
  }
});
defineComponent({
  name: "FloatingMenu",
  props: {
    pluginKey: {
      type: null,
      default: "floatingMenu"
    },
    editor: {
      type: Object,
      required: true
    },
    tippyOptions: {
      type: Object,
      default: () => ({})
    },
    shouldShow: {
      type: Function,
      default: null
    }
  },
  setup(props, { slots }) {
    const root = ref(null);
    onMounted(() => {
      const { pluginKey: pluginKey2, editor: editor2, tippyOptions, shouldShow } = props;
      editor2.registerPlugin(FloatingMenuPlugin({
        pluginKey: pluginKey2,
        editor: editor2,
        element: root.value,
        tippyOptions,
        shouldShow
      }));
    });
    onBeforeUnmount(() => {
      const { pluginKey: pluginKey2, editor: editor2 } = props;
      editor2.unregisterPlugin(pluginKey2);
    });
    return () => {
      var _a;
      return h("div", { ref: root }, (_a = slots.default) === null || _a === void 0 ? void 0 : _a.call(slots));
    };
  }
});
const useEditor = (options = {}) => {
  const editor2 = shallowRef();
  onMounted(() => {
    editor2.value = new Editor(options);
  });
  onBeforeUnmount(() => {
    var _a;
    (_a = editor2.value) === null || _a === void 0 ? void 0 : _a.destroy();
  });
  return editor2;
};
class VueRenderer {
  constructor(component, { props = {}, editor: editor2 }) {
    this.id = Math.floor(Math.random() * 4294967295).toString();
    this.editor = editor2;
    this.component = markRaw(component);
    this.teleportElement = document.createElement("div");
    this.element = this.teleportElement;
    this.props = reactive(props);
    this.editor.vueRenderers.set(this.id, this);
    if (this.editor.contentComponent) {
      this.editor.contentComponent.update();
      if (this.teleportElement.children.length !== 1) {
        throw Error("VueRenderer doesn\u2019t support multiple child elements.");
      }
      this.element = this.teleportElement.firstElementChild;
    }
  }
  get ref() {
    var _a;
    return (_a = this.editor.contentComponent) === null || _a === void 0 ? void 0 : _a.refs[this.id];
  }
  updateProps(props = {}) {
    Object.entries(props).forEach(([key, value]) => {
      this.props[key] = value;
    });
  }
  destroy() {
    this.editor.vueRenderers.delete(this.id);
  }
}
const nodeViewProps = {
  editor: {
    type: Object,
    required: true
  },
  node: {
    type: Object,
    required: true
  },
  decorations: {
    type: Object,
    required: true
  },
  selected: {
    type: Boolean,
    required: true
  },
  extension: {
    type: Object,
    required: true
  },
  getPos: {
    type: Function,
    required: true
  },
  updateAttributes: {
    type: Function,
    required: true
  },
  deleteNode: {
    type: Function,
    required: true
  }
};
class VueNodeView extends NodeView {
  mount() {
    const props = {
      editor: this.editor,
      node: this.node,
      decorations: this.decorations,
      selected: false,
      extension: this.extension,
      getPos: () => this.getPos(),
      updateAttributes: (attributes = {}) => this.updateAttributes(attributes),
      deleteNode: () => this.deleteNode()
    };
    const onDragStart = this.onDragStart.bind(this);
    this.decorationClasses = ref(this.getDecorationClasses());
    const extendedComponent = defineComponent({
      extends: __spreadValues({}, this.component),
      props: Object.keys(props),
      setup: (reactiveProps) => {
        var _a, _b;
        provide("onDragStart", onDragStart);
        provide("decorationClasses", this.decorationClasses);
        return (_b = (_a = this.component).setup) === null || _b === void 0 ? void 0 : _b.call(_a, reactiveProps, {
          expose: () => void 0
        });
      },
      __scopeId: this.component.__scopeId
    });
    this.renderer = new VueRenderer(extendedComponent, {
      editor: this.editor,
      props
    });
  }
  get dom() {
    if (!this.renderer.element.hasAttribute("data-node-view-wrapper")) {
      throw Error("Please use the NodeViewWrapper component for your node view.");
    }
    return this.renderer.element;
  }
  get contentDOM() {
    if (this.node.isLeaf) {
      return null;
    }
    const contentElement = this.dom.querySelector("[data-node-view-content]");
    return contentElement || this.dom;
  }
  update(node3, decorations) {
    const updateProps = (props) => {
      this.decorationClasses.value = this.getDecorationClasses();
      this.renderer.updateProps(props);
    };
    if (typeof this.options.update === "function") {
      const oldNode = this.node;
      const oldDecorations = this.decorations;
      this.node = node3;
      this.decorations = decorations;
      return this.options.update({
        oldNode,
        oldDecorations,
        newNode: node3,
        newDecorations: decorations,
        updateProps: () => updateProps({ node: node3, decorations })
      });
    }
    if (node3.type !== this.node.type) {
      return false;
    }
    if (node3 === this.node && this.decorations === decorations) {
      return true;
    }
    this.node = node3;
    this.decorations = decorations;
    updateProps({ node: node3, decorations });
    return true;
  }
  selectNode() {
    this.renderer.updateProps({
      selected: true
    });
  }
  deselectNode() {
    this.renderer.updateProps({
      selected: false
    });
  }
  getDecorationClasses() {
    return this.decorations.map((item) => item.type.attrs.class).flat().join(" ");
  }
  destroy() {
    this.renderer.destroy();
  }
}
function VueNodeViewRenderer(component, options) {
  return (props) => {
    if (!props.editor.contentComponent) {
      return {};
    }
    return new VueNodeView(component, props, options);
  };
}
const NodeViewWrapper = defineComponent({
  props: {
    as: {
      type: String,
      default: "div"
    }
  },
  inject: ["onDragStart", "decorationClasses"],
  render() {
    var _a, _b;
    return h(this.as, {
      class: this.decorationClasses.value,
      style: {
        whiteSpace: "normal"
      },
      "data-node-view-wrapper": "",
      onDragStart: this.onDragStart
    }, (_b = (_a = this.$slots).default) === null || _b === void 0 ? void 0 : _b.call(_a));
  }
});
defineComponent({
  props: {
    as: {
      type: String,
      default: "div"
    }
  },
  render() {
    return h(this.as, {
      style: {
        whiteSpace: "pre-wrap"
      },
      "data-node-view-content": ""
    });
  }
});
var icon_vue_vue_type_style_index_0_scoped_true_lang = "";
var _export_sfc = (sfc, props) => {
  for (const [key, val] of props) {
    sfc[key] = val;
  }
  return sfc;
};
const __default__$5 = defineComponent({
  name: "icon",
  props: {
    type: String,
    size: {
      type: String,
      default: "inherit"
    },
    color: {
      type: String,
      default: "inherit"
    },
    disabled: {
      type: Boolean,
      default: false
    }
  },
  setup() {
  }
});
const __injectCSSVars__$5 = () => {
  useCssVars((_ctx) => ({
    "51e257b0": _ctx.size,
    "2ceca4d8": _ctx.color
  }));
};
const __setup__$5 = __default__$5.setup;
__default__$5.setup = __setup__$5 ? (props, ctx) => {
  __injectCSSVars__$5();
  return __setup__$5(props, ctx);
} : __injectCSSVars__$5;
const _sfc_main$E = __default__$5;
const _hoisted_1$A = ["disabled"];
const _hoisted_2$i = { "aria-hidden": "true" };
const _hoisted_3$d = ["xlink:href"];
function _sfc_render$D(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("button", {
    class: normalizeClass(["icon fancy-icon", { disabled: _ctx.disabled }]),
    disabled: _ctx.disabled
  }, [
    renderSlot(_ctx.$slots, "default", {}, () => [
      (openBlock(), createElementBlock("svg", _hoisted_2$i, [
        createElementVNode("use", {
          "xlink:href": `#${_ctx.type}`
        }, null, 8, _hoisted_3$d)
      ]))
    ], true)
  ], 10, _hoisted_1$A);
}
var Icon = /* @__PURE__ */ _export_sfc(_sfc_main$E, [["render", _sfc_render$D], ["__scopeId", "data-v-cb817f1c"]]);
function getFiles(itemList) {
  if (!itemList)
    return [];
  return Array.from(itemList).filter(({ kind }) => kind === "file").reduce((acc, item) => (item.getAsFile(), acc), []);
}
function byteSizeFormat(byteSize) {
  const kbs = byteSize / 1024;
  if (byteSize < 1024 * 1024)
    return `${kbs.toFixed(2)} Kb`;
  return `${Math.floor(kbs / 1024)}.${Math.floor(kbs % 1024 * 100 / 1024 % 100).toString().padStart(2, "0")} M`;
}
function importComponents(modules2) {
  return Object.fromEntries(Object.values(modules2).map(({ default: component }) => [component.name, component]));
}
function downloadByUrl(url, filename) {
  const a = document.createElement("a");
  a.href = url;
  a.download = filename;
  a.style.display = "none";
  document.body.appendChild(a);
  a.click();
  a.remove();
}
function hexToBlob(str) {
  let len = str.length;
  const buf = new ArrayBuffer(Math.floor(len-- / 2));
  const view = new Uint8Array(buf);
  let d = 0;
  for (let i = 0; i < len; i += 2) {
    const val = parseInt(str.substr(i, 2), 16);
    if (isNaN(val)) {
      return null;
    }
    view[d++] = val;
  }
  return buf;
}
var tippy = "";
var tips = "";
let instance;
const tipsDirective = {
  mounted(el, binding) {
    const { modifiers, value: content2 = "" } = binding;
    let placement = "bottom";
    for (let k in modifiers) {
      if (!modifiers[k])
        return;
      placement = k;
      break;
    }
    instance = tippy$1(el, {
      allowHTML: true,
      theme: "tips",
      content: content2,
      placement,
      offset: [0, 14]
    });
  },
  beforeUnmount() {
    instance == null ? void 0 : instance.destroy();
    instance = null;
  }
};
var audio_vue_vue_type_style_index_0_lang = "";
const secondToMinute = (second) => {
  return `${`${Math.floor(second / 60)}`.padStart(2, "0")}:${`${Math.floor(second % 60)}`.padStart(2, "0")}`;
};
const __default__$4 = defineComponent({
  name: "audio",
  components: { NodeViewWrapper, Icon },
  directives: { tips: tipsDirective },
  props: nodeViewProps,
  setup: (props) => {
    const audioRef = ref(), progressRef = ref(), pastRef = ref(), isPlay = ref(false), currentTime = ref(0), durationTime = ref(0), cacheTime = ref(0);
    const src = computed(() => {
      var _a;
      return ((_a = props.node) == null ? void 0 : _a.attrs.src) || "";
    });
    const filename = computed(() => {
      var _a;
      return ((_a = props.node) == null ? void 0 : _a.attrs.filename) || "\u672A\u77E5\u540D\u79F0";
    });
    const fileSize = computed(() => {
      var _a;
      return ((_a = props.node) == null ? void 0 : _a.attrs.fileSize) || "0 MB";
    });
    const currentTimeText = computed(() => secondToMinute(currentTime.value));
    const durationTimeText = computed(() => secondToMinute(durationTime.value));
    const cachePercentage = computed(() => `${cacheTime.value / durationTime.value * 100}%`);
    const currentTimePercentage = computed(() => `${currentTime.value / durationTime.value * 100}%`);
    onMounted(() => {
      if (!audioRef.value)
        return;
      audioRef.value.addEventListener("play", () => {
        isPlay.value = true;
      });
      audioRef.value.addEventListener("pause", () => {
        isPlay.value = false;
      });
      audioRef.value.addEventListener("timeupdate", () => {
        var _a;
        currentTime.value = ((_a = audioRef.value) == null ? void 0 : _a.currentTime) || 0;
      });
      audioRef.value.addEventListener("durationchange", () => {
        var _a;
        durationTime.value = ((_a = audioRef.value) == null ? void 0 : _a.duration) || 0;
      });
      audioRef.value.addEventListener("progress", () => {
        var _a;
        const timeRanges = (_a = audioRef.value) == null ? void 0 : _a.buffered;
        cacheTime.value = timeRanges.end(0);
      });
    });
    const togglePlayState = () => {
      if (!audioRef.value)
        return;
      isPlay.value ? audioRef.value.pause() : audioRef.value.play();
    };
    const updateCurrentTime = (x) => {
      var _a, _b;
      if (!audioRef.value)
        return;
      (_a = audioRef.value) == null ? void 0 : _a.pause();
      const scale = x / (((_b = progressRef.value) == null ? void 0 : _b.clientWidth) || 0);
      audioRef.value.currentTime = durationTime.value * scale;
    };
    const onMouseEvent = (e) => {
      if (!progressRef.value)
        return;
      const { x, width } = progressRef.value.getBoundingClientRect();
      updateCurrentTime(Math.min(e.clientX, x + width) - x);
    };
    const onMouseMove = onMouseEvent;
    const onMouseUp = () => {
      var _a, _b, _c;
      (_a = pastRef.value) == null ? void 0 : _a.style.removeProperty("transition");
      document.removeEventListener("mousemove", onMouseMove);
      document.removeEventListener("mouseup", onMouseUp);
      ((_b = audioRef.value) == null ? void 0 : _b.ended) || ((_c = audioRef.value) == null ? void 0 : _c.play());
    };
    const onMouseDown = () => {
      var _a, _b;
      (_a = pastRef.value) == null ? void 0 : _a.style.setProperty("transition", "none");
      document.addEventListener("mousemove", onMouseMove);
      document.addEventListener("mouseup", onMouseUp);
      (_b = audioRef.value) == null ? void 0 : _b.pause();
    };
    const onClick = (e) => {
      var _a, _b;
      onMouseEvent(e);
      ((_a = audioRef.value) == null ? void 0 : _a.ended) || ((_b = audioRef.value) == null ? void 0 : _b.play());
    };
    const download = () => {
      downloadByUrl(src.value, filename.value);
    };
    return {
      src,
      filename,
      fileSize,
      audioRef,
      pastRef,
      progressRef,
      isPlay,
      currentTimeText,
      durationTimeText,
      cachePercentage,
      currentTimePercentage,
      togglePlayState,
      onClick,
      onMouseDown,
      download
    };
  }
});
const __injectCSSVars__$4 = () => {
  useCssVars((_ctx) => ({
    "bc869d2e": _ctx.currentTimePercentage,
    "46adce76": _ctx.cachePercentage
  }));
};
const __setup__$4 = __default__$4.setup;
__default__$4.setup = __setup__$4 ? (props, ctx) => {
  __injectCSSVars__$4();
  return __setup__$4(props, ctx);
} : __injectCSSVars__$4;
const _sfc_main$D = __default__$4;
const _hoisted_1$z = ["src"];
const _hoisted_2$h = { class: "custom-audio-container" };
const _hoisted_3$c = {
  key: 0,
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg",
  "p-id": "2304"
};
const _hoisted_4$6 = /* @__PURE__ */ createElementVNode("path", { d: "M151.136 31.744h238.848V992.32H151.136V31.68v0.064z m480.64 0h241.088V992.32H631.776V31.68v0.064z" }, null, -1);
const _hoisted_5$3 = [
  _hoisted_4$6
];
const _hoisted_6$3 = {
  key: 1,
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg",
  "p-id": "2274"
};
const _hoisted_7$3 = /* @__PURE__ */ createElementVNode("path", { d: "M807.888 442.432L322.384 71.872c-57.6-43.968-140.672-2.88-140.672 69.632v740.992c0 72.512 83.072 113.6 140.672 69.632l485.504-370.56c38.421-29.358 45.769-84.303 16.411-122.725a87.553 87.553 0 0 0-16.411-16.411z" }, null, -1);
const _hoisted_8$2 = [
  _hoisted_7$3
];
const _hoisted_9$2 = { class: "audio-info" };
const _hoisted_10$2 = { class: "audio-name" };
const _hoisted_11$2 = { class: "audio-size" };
const _hoisted_12$2 = { class: "current-time" };
const _hoisted_13$2 = { class: "player-progress" };
const _hoisted_14$2 = {
  class: "past",
  ref: "pastRef"
};
const _hoisted_15$2 = /* @__PURE__ */ createElementVNode("div", { class: "buffered" }, null, -1);
const _hoisted_16$2 = { class: "duration-time" };
function _sfc_render$C(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _component_node_view_wrapper = resolveComponent("node-view-wrapper");
  return openBlock(), createBlock(_component_node_view_wrapper, null, {
    default: withCtx(() => [
      createElementVNode("audio", {
        ref: "audioRef",
        src: _ctx.src
      }, null, 8, _hoisted_1$z),
      createElementVNode("div", _hoisted_2$h, [
        createElementVNode("div", {
          class: "play-btn",
          onClick: _cache[0] || (_cache[0] = (...args) => _ctx.togglePlayState && _ctx.togglePlayState(...args))
        }, [
          createVNode(_component_icon, null, {
            default: withCtx(() => [
              _ctx.isPlay ? (openBlock(), createElementBlock("svg", _hoisted_3$c, _hoisted_5$3)) : (openBlock(), createElementBlock("svg", _hoisted_6$3, _hoisted_8$2))
            ]),
            _: 1
          })
        ]),
        createElementVNode("div", _hoisted_9$2, [
          createElementVNode("span", _hoisted_10$2, toDisplayString(_ctx.filename), 1),
          createElementVNode("span", _hoisted_11$2, toDisplayString(_ctx.fileSize), 1)
        ]),
        createElementVNode("div", _hoisted_12$2, toDisplayString(_ctx.currentTimeText), 1),
        createElementVNode("div", {
          class: "progress-bar",
          ref: "progressRef",
          onClick: _cache[2] || (_cache[2] = (...args) => _ctx.onClick && _ctx.onClick(...args))
        }, [
          createElementVNode("div", _hoisted_13$2, [
            createElementVNode("div", _hoisted_14$2, [
              createElementVNode("div", {
                class: "shine",
                onMousedown: _cache[1] || (_cache[1] = withModifiers((...args) => _ctx.onMouseDown && _ctx.onMouseDown(...args), ["left"]))
              }, null, 32)
            ], 512),
            _hoisted_15$2
          ])
        ], 512),
        createElementVNode("div", _hoisted_16$2, toDisplayString(_ctx.durationTimeText), 1)
      ])
    ]),
    _: 1
  });
}
var Audio = /* @__PURE__ */ _export_sfc(_sfc_main$D, [["render", _sfc_render$C]]);
let audio;
var index$b = Node$1.create({
  name: "audio",
  defaultOptions: {
    HTMLAttributes: {}
  },
  inline: false,
  group: "block",
  draggable: true,
  selectable: true,
  addAttributes() {
    return {
      src: {
        default: null
      },
      filename: {
        default: null
      },
      fileSize: {
        default: null
      }
    };
  },
  parseHTML() {
    if (!audio)
      audio = document.createElement("audio");
    return [
      {
        tag: "audio[src]"
      }
    ];
  },
  renderHTML({ HTMLAttributes }) {
    return ["audio", mergeAttributes(this.options.HTMLAttributes, HTMLAttributes)];
  },
  addNodeView() {
    return VueNodeViewRenderer(Audio);
  }
});
var __glob_0_0 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": index$b
});
var __glob_0_1 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module"
});
const Document = Node$1.create({
  name: "doc",
  topNode: true,
  content: "block+"
});
const Paragraph = Node$1.create({
  name: "paragraph",
  priority: 1e3,
  defaultOptions: {
    HTMLAttributes: {}
  },
  group: "block",
  content: "inline*",
  parseHTML() {
    return [
      { tag: "p" }
    ];
  },
  renderHTML({ HTMLAttributes }) {
    return ["p", mergeAttributes(this.options.HTMLAttributes, HTMLAttributes), 0];
  },
  addCommands() {
    return {
      setParagraph: () => ({ commands }) => {
        return commands.setNode("paragraph");
      }
    };
  },
  addKeyboardShortcuts() {
    return {
      "Mod-Alt-0": () => this.editor.commands.setParagraph()
    };
  }
});
const Text = Node$1.create({
  name: "text",
  group: "inline"
});
const inputRegex$4 = /^\s*([-+*])\s$/;
const BulletList = Node$1.create({
  name: "bulletList",
  defaultOptions: {
    HTMLAttributes: {}
  },
  group: "block list",
  content: "listItem+",
  parseHTML() {
    return [
      { tag: "ul" }
    ];
  },
  renderHTML({ HTMLAttributes }) {
    return ["ul", mergeAttributes(this.options.HTMLAttributes, HTMLAttributes), 0];
  },
  addCommands() {
    return {
      toggleBulletList: () => ({ commands }) => {
        return commands.toggleList("bulletList", "listItem");
      }
    };
  },
  addKeyboardShortcuts() {
    return {
      "Mod-Shift-8": () => this.editor.commands.toggleBulletList()
    };
  },
  addInputRules() {
    return [
      wrappingInputRule({
        find: inputRegex$4,
        type: this.type
      })
    ];
  }
});
const inputRegex$3 = /^(\d+)\.\s$/;
const OrderedList = Node$1.create({
  name: "orderedList",
  defaultOptions: {
    HTMLAttributes: {}
  },
  group: "block list",
  content: "listItem+",
  addAttributes() {
    return {
      start: {
        default: 1,
        parseHTML: (element) => {
          return element.hasAttribute("start") ? parseInt(element.getAttribute("start") || "", 10) : 1;
        }
      }
    };
  },
  parseHTML() {
    return [
      {
        tag: "ol"
      }
    ];
  },
  renderHTML({ HTMLAttributes }) {
    const _a = HTMLAttributes, { start: start3 } = _a, attributesWithoutStart = __objRest(_a, ["start"]);
    return start3 === 1 ? ["ol", mergeAttributes(this.options.HTMLAttributes, attributesWithoutStart), 0] : ["ol", mergeAttributes(this.options.HTMLAttributes, HTMLAttributes), 0];
  },
  addCommands() {
    return {
      toggleOrderedList: () => ({ commands }) => {
        return commands.toggleList("orderedList", "listItem");
      }
    };
  },
  addKeyboardShortcuts() {
    return {
      "Mod-Shift-7": () => this.editor.commands.toggleOrderedList()
    };
  },
  addInputRules() {
    return [
      wrappingInputRule({
        find: inputRegex$3,
        type: this.type,
        getAttributes: (match) => ({ start: +match[1] }),
        joinPredicate: (match, node3) => node3.childCount + node3.attrs.start === +match[1]
      })
    ];
  }
});
const ListItem = Node$1.create({
  name: "listItem",
  defaultOptions: {
    HTMLAttributes: {}
  },
  content: "paragraph block*",
  defining: true,
  parseHTML() {
    return [
      {
        tag: "li"
      }
    ];
  },
  renderHTML({ HTMLAttributes }) {
    return ["li", mergeAttributes(this.options.HTMLAttributes, HTMLAttributes), 0];
  },
  addKeyboardShortcuts() {
    return {
      Enter: () => this.editor.commands.splitListItem("listItem"),
      Tab: () => this.editor.commands.sinkListItem("listItem"),
      "Shift-Tab": () => this.editor.commands.liftListItem("listItem")
    };
  }
});
const starInputRegex$1 = /(?:^|\s)((?:\*)((?:[^*]+))(?:\*))$/;
const starPasteRegex$1 = /(?:^|\s)((?:\*)((?:[^*]+))(?:\*))/g;
const underscoreInputRegex$1 = /(?:^|\s)((?:_)((?:[^_]+))(?:_))$/;
const underscorePasteRegex$1 = /(?:^|\s)((?:_)((?:[^_]+))(?:_))/g;
const Italic = Mark$1.create({
  name: "italic",
  defaultOptions: {
    HTMLAttributes: {}
  },
  parseHTML() {
    return [
      {
        tag: "em"
      },
      {
        tag: "i",
        getAttrs: (node3) => node3.style.fontStyle !== "normal" && null
      },
      {
        style: "font-style=italic"
      }
    ];
  },
  renderHTML({ HTMLAttributes }) {
    return ["em", mergeAttributes(this.options.HTMLAttributes, HTMLAttributes), 0];
  },
  addCommands() {
    return {
      setItalic: () => ({ commands }) => {
        return commands.setMark("italic");
      },
      toggleItalic: () => ({ commands }) => {
        return commands.toggleMark("italic");
      },
      unsetItalic: () => ({ commands }) => {
        return commands.unsetMark("italic");
      }
    };
  },
  addKeyboardShortcuts() {
    return {
      "Mod-i": () => this.editor.commands.toggleItalic()
    };
  },
  addInputRules() {
    return [
      markInputRule({
        find: starInputRegex$1,
        type: this.type
      }),
      markInputRule({
        find: underscoreInputRegex$1,
        type: this.type
      })
    ];
  },
  addPasteRules() {
    return [
      markPasteRule({
        find: starPasteRegex$1,
        type: this.type
      }),
      markPasteRule({
        find: underscorePasteRegex$1,
        type: this.type
      })
    ];
  }
});
const starInputRegex = /(?:^|\s)((?:\*\*)((?:[^*]+))(?:\*\*))$/;
const starPasteRegex = /(?:^|\s)((?:\*\*)((?:[^*]+))(?:\*\*))/g;
const underscoreInputRegex = /(?:^|\s)((?:__)((?:[^__]+))(?:__))$/;
const underscorePasteRegex = /(?:^|\s)((?:__)((?:[^__]+))(?:__))/g;
const Bold = Mark$1.create({
  name: "bold",
  defaultOptions: {
    HTMLAttributes: {}
  },
  parseHTML() {
    return [
      {
        tag: "strong"
      },
      {
        tag: "b",
        getAttrs: (node3) => node3.style.fontWeight !== "normal" && null
      },
      {
        style: "font-weight",
        getAttrs: (value) => /^(bold(er)?|[5-9]\d{2,})$/.test(value) && null
      }
    ];
  },
  renderHTML({ HTMLAttributes }) {
    return ["strong", mergeAttributes(this.options.HTMLAttributes, HTMLAttributes), 0];
  },
  addCommands() {
    return {
      setBold: () => ({ commands }) => {
        return commands.setMark("bold");
      },
      toggleBold: () => ({ commands }) => {
        return commands.toggleMark("bold");
      },
      unsetBold: () => ({ commands }) => {
        return commands.unsetMark("bold");
      }
    };
  },
  addKeyboardShortcuts() {
    return {
      "Mod-b": () => this.editor.commands.toggleBold()
    };
  },
  addInputRules() {
    return [
      markInputRule({
        find: starInputRegex,
        type: this.type
      }),
      markInputRule({
        find: underscoreInputRegex,
        type: this.type
      })
    ];
  },
  addPasteRules() {
    return [
      markPasteRule({
        find: starPasteRegex,
        type: this.type
      }),
      markPasteRule({
        find: underscorePasteRegex,
        type: this.type
      })
    ];
  }
});
const inputRegex$2 = /^\s*>\s$/;
const Blockquote = Node$1.create({
  name: "blockquote",
  defaultOptions: {
    HTMLAttributes: {}
  },
  content: "block*",
  group: "block",
  defining: true,
  parseHTML() {
    return [
      { tag: "blockquote" }
    ];
  },
  renderHTML({ HTMLAttributes }) {
    return ["blockquote", mergeAttributes(this.options.HTMLAttributes, HTMLAttributes), 0];
  },
  addCommands() {
    return {
      setBlockquote: () => ({ commands }) => {
        return commands.wrapIn("blockquote");
      },
      toggleBlockquote: () => ({ commands }) => {
        return commands.toggleWrap("blockquote");
      },
      unsetBlockquote: () => ({ commands }) => {
        return commands.lift("blockquote");
      }
    };
  },
  addKeyboardShortcuts() {
    return {
      "Mod-Shift-b": () => this.editor.commands.toggleBlockquote()
    };
  },
  addInputRules() {
    return [
      wrappingInputRule({
        find: inputRegex$2,
        type: this.type
      })
    ];
  }
});
const inputRegex$1 = /(?:^|\s)((?:~~)((?:[^~]+))(?:~~))$/;
const pasteRegex = /(?:^|\s)((?:~~)((?:[^~]+))(?:~~))/g;
const Strike = Mark$1.create({
  name: "strike",
  defaultOptions: {
    HTMLAttributes: {}
  },
  parseHTML() {
    return [
      {
        tag: "s"
      },
      {
        tag: "del"
      },
      {
        tag: "strike"
      },
      {
        style: "text-decoration",
        consuming: false,
        getAttrs: (style) => style.includes("line-through") ? {} : false
      }
    ];
  },
  renderHTML({ HTMLAttributes }) {
    return ["s", mergeAttributes(this.options.HTMLAttributes, HTMLAttributes), 0];
  },
  addCommands() {
    return {
      setStrike: () => ({ commands }) => {
        return commands.setMark("strike");
      },
      toggleStrike: () => ({ commands }) => {
        return commands.toggleMark("strike");
      },
      unsetStrike: () => ({ commands }) => {
        return commands.unsetMark("strike");
      }
    };
  },
  addKeyboardShortcuts() {
    return {
      "Mod-Shift-x": () => this.editor.commands.toggleStrike()
    };
  },
  addInputRules() {
    return [
      markInputRule({
        find: inputRegex$1,
        type: this.type
      })
    ];
  },
  addPasteRules() {
    return [
      markPasteRule({
        find: pasteRegex,
        type: this.type
      })
    ];
  }
});
var index$a = Extension.create({
  name: "base",
  addExtensions() {
    return [
      Dropcursor,
      Highlight.configure({ multicolor: true }),
      Typography,
      Document,
      Paragraph,
      Text,
      BulletList,
      OrderedList,
      ListItem,
      Italic,
      History,
      UnderLine,
      TaskList,
      TaskItem,
      Bold,
      TextStyle,
      Blockquote,
      Strike,
      Code,
      Heading,
      HardBreak,
      Placeholder,
      Subscript.extend({
        excludes: "_"
      }),
      Superscript.extend({
        excludes: "_"
      }),
      Gapcursor,
      TextAlign.configure({
        types: ["heading", "paragraph"]
      })
    ];
  },
  addKeyboardShortcuts() {
    return {
      "Mod-\\": () => this.editor.commands.unsetAllMarks()
    };
  }
});
var __glob_0_2 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": index$a
});
const baseExtension = [
  lineNumbers(),
  highlightSpecialChars(),
  history(),
  foldGutter(),
  drawSelection(),
  EditorState$1.allowMultipleSelections.of(true),
  indentOnInput(),
  defaultHighlightStyle.fallback,
  bracketMatching(),
  closeBrackets(),
  rectangularSelection(),
  keymap.of([
    ...closeBracketsKeymap,
    ...defaultKeymap,
    ...historyKeymap,
    ...foldKeymap,
    ...commentKeymap
  ]),
  keymap.of([indentWithTab])
];
const languages = { "./languages/apl.ts": () => import("./apl.js"), "./languages/asciiarmor.ts": () => import("./asciiarmor.js"), "./languages/asn1.ts": () => import("./asn1.js"), "./languages/asterisk.ts": () => import("./asterisk.js"), "./languages/brainfuck.ts": () => import("./brainfuck.js"), "./languages/cassandra.ts": () => import("./cassandra.js"), "./languages/clike.ts": () => import("./clike.js"), "./languages/clojure.ts": () => import("./clojure.js"), "./languages/cmake.ts": () => import("./cmake.js"), "./languages/cobol.ts": () => import("./cobol.js"), "./languages/coffeeScript.ts": () => import("./coffeeScript.js"), "./languages/commonLisp.ts": () => import("./commonLisp.js"), "./languages/cpp.ts": () => import("./cpp.js"), "./languages/crystal.ts": () => import("./crystal.js"), "./languages/css.ts": () => import("./css.js"), "./languages/cypher.ts": () => import("./cypher.js"), "./languages/cython.ts": () => import("./cython.js"), "./languages/d.ts": () => import("./d.js"), "./languages/diff.ts": () => import("./diff.js"), "./languages/dockerFile.ts": () => import("./dockerFile.js"), "./languages/dtd.ts": () => import("./dtd.js"), "./languages/dylan.ts": () => import("./dylan.js"), "./languages/ebnf.ts": () => import("./ebnf.js"), "./languages/ecl.ts": () => import("./ecl.js"), "./languages/eiffel.ts": () => import("./eiffel.js"), "./languages/elm.ts": () => import("./elm.js"), "./languages/erlang.ts": () => import("./erlang.js"), "./languages/esper.ts": () => import("./esper.js"), "./languages/ez80.ts": () => import("./ez80.js"), "./languages/factor.ts": () => import("./factor.js"), "./languages/fcl.ts": () => import("./fcl.js"), "./languages/forth.ts": () => import("./forth.js"), "./languages/fortran.ts": () => import("./fortran.js"), "./languages/fSharp.ts": () => import("./fSharp.js"), "./languages/gas.ts": () => import("./gas.js"), "./languages/gasArm.ts": () => import("./gasArm.js"), "./languages/gherkin.ts": () => import("./gherkin.js"), "./languages/go.ts": () => import("./go.js"), "./languages/gpSQL.ts": () => import("./gpSQL.js"), "./languages/gql.ts": () => import("./gql.js"), "./languages/groovy.ts": () => import("./groovy.js"), "./languages/haskell.ts": () => import("./haskell.js"), "./languages/haxe.ts": () => import("./haxe.js"), "./languages/hive.ts": () => import("./hive.js"), "./languages/html.ts": () => import("./html.js"), "./languages/http.ts": () => import("./http.js"), "./languages/hxml.ts": () => import("./hxml.js"), "./languages/idl.ts": () => import("./idl.js"), "./languages/java.ts": () => import("./java.js"), "./languages/javascript.ts": () => import("./javascript.js"), "./languages/jinja2.ts": () => import("./jinja2.js"), "./languages/json.ts": () => import("./json.js"), "./languages/jsonld.ts": () => import("./jsonld.js"), "./languages/jsx.ts": () => import("./jsx.js"), "./languages/julia.ts": () => import("./julia.js"), "./languages/liveScript.ts": () => import("./liveScript.js"), "./languages/lua.ts": () => import("./lua.js"), "./languages/mariaDB.ts": () => import("./mariaDB.js"), "./languages/markdown.ts": () => import("./markdown.js"), "./languages/mathematica.ts": () => import("./mathematica.js"), "./languages/mbox.ts": () => import("./mbox.js"), "./languages/mirc.ts": () => import("./mirc.js"), "./languages/modelica.ts": () => import("./modelica.js"), "./languages/mscgen.ts": () => import("./mscgen.js"), "./languages/msSQL.ts": () => import("./msSQL.js"), "./languages/mumps.ts": () => import("./mumps.js"), "./languages/mySQL.ts": () => import("./mySQL.js"), "./languages/nginx.ts": () => import("./nginx.js"), "./languages/nsis.ts": () => import("./nsis.js"), "./languages/ntriples.ts": () => import("./ntriples.js"), "./languages/oCaml.ts": () => import("./oCaml.js"), "./languages/octave.ts": () => import("./octave.js"), "./languages/oz.ts": () => import("./oz.js"), "./languages/pascal.ts": () => import("./pascal.js"), "./languages/perl.ts": () => import("./perl.js"), "./languages/pgSQL.ts": () => import("./pgSQL.js"), "./languages/pig.ts": () => import("./pig.js"), "./languages/plSQL.ts": () => import("./plSQL.js"), "./languages/powerShell.ts": () => import("./powerShell.js"), "./languages/properties.ts": () => import("./properties.js"), "./languages/protobuf.ts": () => import("./protobuf.js"), "./languages/puppet.ts": () => import("./puppet.js"), "./languages/python.ts": () => import("./python.js"), "./languages/q.ts": () => import("./q.js"), "./languages/r.ts": () => import("./r.js"), "./languages/rpmChanges.ts": () => import("./rpmChanges.js"), "./languages/rpmSpec.ts": () => import("./rpmSpec.js"), "./languages/ruby.ts": () => import("./ruby.js"), "./languages/sas.ts": () => import("./sas.js"), "./languages/scheme.ts": () => import("./scheme.js"), "./languages/shell.ts": () => import("./shell.js"), "./languages/sieve.ts": () => import("./sieve.js"), "./languages/smalltalk.ts": () => import("./smalltalk.js"), "./languages/sml.ts": () => import("./sml.js"), "./languages/solr.ts": () => import("./solr.js"), "./languages/sparkSQL.ts": () => import("./sparkSQL.js"), "./languages/sparql.ts": () => import("./sparql.js"), "./languages/spreadsheet.ts": () => import("./spreadsheet.js"), "./languages/sql.ts": () => import("./sql2.js"), "./languages/sqlite.ts": () => import("./sqlite.js"), "./languages/standardSQL.ts": () => import("./standardSQL.js"), "./languages/stex.ts": () => import("./stex.js"), "./languages/stexMath.ts": () => import("./stexMath.js"), "./languages/stylus.ts": () => import("./stylus.js"), "./languages/swift.ts": () => import("./swift.js"), "./languages/tcl.ts": () => import("./tcl.js"), "./languages/textile.ts": () => import("./textile.js"), "./languages/tiddlyWiki.ts": () => import("./tiddlyWiki.js"), "./languages/tiki.ts": () => import("./tiki.js"), "./languages/tlv.ts": () => import("./tlv.js"), "./languages/toml.ts": () => import("./toml.js"), "./languages/troff.ts": () => import("./troff.js"), "./languages/tsx.ts": () => import("./tsx.js"), "./languages/ttcn.ts": () => import("./ttcn.js"), "./languages/ttcnCfg.ts": () => import("./ttcnCfg.js"), "./languages/turtle.ts": () => import("./turtle.js"), "./languages/typescript.ts": () => import("./typescript.js"), "./languages/vb.ts": () => import("./vb.js"), "./languages/vbScript.ts": () => import("./vbScript.js"), "./languages/vbScriptASP.ts": () => import("./vbScriptASP.js"), "./languages/velocity.ts": () => import("./velocity.js"), "./languages/verilog.ts": () => import("./verilog2.js"), "./languages/vhdl.ts": () => import("./vhdl.js"), "./languages/wast.ts": () => import("./wast.js"), "./languages/webIDL.ts": () => import("./webIDL.js"), "./languages/xml.ts": () => import("./xml.js"), "./languages/xQuery.ts": () => import("./xQuery.js"), "./languages/yacas.ts": () => import("./yacas.js"), "./languages/yaml.ts": () => import("./yaml.js"), "./languages/z80.ts": () => import("./z802.js") };
const languageKeys = Object.keys(languages).map((key) => key.replace("./languages/", "").replace(".ts", ""));
const languageAlias = new Map([
  ["js", "javascript"],
  ["cjs", "javascript"],
  ["mjs", "javascript"],
  ["ts", "typescript"],
  ["vue", "html"],
  ["c", "cpp"]
]);
const languageTypes = [...languageKeys, ...languageAlias.keys()].sort();
async function getLanguage(name) {
  if (languageAlias.has(name))
    name = languageAlias.get(name);
  const languageModule = languages[`./languages/${name}.ts`];
  if (!languageModule)
    return [];
  return (await languageModule()).default;
}
async function useCodeMirror(codeMirrorContainer, language, code2 = ref(""), updateAttributes) {
  if (!codeMirrorContainer)
    throw new Error("code block \u521D\u59CB\u5316\u5931\u8D25\uFF01");
  const editor2 = inject("editor");
  if (!editor2)
    throw new Error("\u7F16\u8F91\u5668\u521D\u59CB\u5316\u5931\u8D25!");
  const updateModelValue = (view) => {
    if (view.docChanged)
      updateAttributes({ code: [...view.state.doc].join("") });
  };
  const languageConf = new Compartment();
  const extensions2 = [
    baseExtension,
    EditorView$1.editable.of(editor2.value.isEditable),
    EditorView$1.updateListener.of(updateModelValue),
    languageConf.of([])
  ];
  const createNewState = (doc2) => EditorState$1.create({ doc: doc2, extensions: extensions2 });
  const codeMirrorView = new EditorView$1({
    state: createNewState(code2.value),
    parent: codeMirrorContainer
  });
  codeMirrorView.focus();
  watch(language, async (language2) => {
    codeMirrorView.dispatch({ effects: languageConf.reconfigure(await getLanguage(language2) || []) });
  }, { immediate: true });
  watch(code2, (code22) => {
    if (code22 === [...codeMirrorView.state.doc].join(""))
      return;
    codeMirrorView.setState(createNewState(code22));
  });
  return codeMirrorView;
}
var codeBlock_vue_vue_type_style_index_0_lang = "";
const _sfc_main$C = defineComponent({
  name: "code-block",
  components: { NodeViewWrapper },
  props: nodeViewProps,
  setup(props) {
    const { node: node3, updateAttributes } = toRefs(reactive(props));
    const codeBlockRef = ref();
    const code2 = computed(() => {
      var _a;
      return (_a = node3.value) == null ? void 0 : _a.attrs.code;
    });
    const editor2 = inject("editor");
    const language = computed({
      get() {
        var _a;
        return (_a = node3 == null ? void 0 : node3.value) == null ? void 0 : _a.attrs.language;
      },
      set(language2) {
        var _a;
        (_a = updateAttributes == null ? void 0 : updateAttributes.value) == null ? void 0 : _a.call(updateAttributes, { language: language2 });
      }
    });
    const isEditable = computed(() => {
      var _a;
      return (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isEditable;
    });
    onMounted(() => {
      useCodeMirror(codeBlockRef.value, language, code2, updateAttributes == null ? void 0 : updateAttributes.value);
    });
    return { codeBlockRef, language, languageTypes, isEditable };
  }
});
const _hoisted_1$y = {
  ref: "codeBlockRef",
  class: "code-block-container"
};
const _hoisted_2$g = ["disabled"];
const _hoisted_3$b = /* @__PURE__ */ createElementVNode("option", { value: "--" }, "--", -1);
function _sfc_render$B(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_node_view_wrapper = resolveComponent("node-view-wrapper");
  return openBlock(), createBlock(_component_node_view_wrapper, { class: "code-block" }, {
    default: withCtx(() => [
      createElementVNode("div", _hoisted_1$y, [
        withDirectives(createElementVNode("select", {
          disabled: !_ctx.isEditable,
          "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.language = $event)
        }, [
          _hoisted_3$b,
          (openBlock(true), createElementBlock(Fragment$1, null, renderList(_ctx.languageTypes, (languageType) => {
            return openBlock(), createElementBlock("option", { key: languageType }, toDisplayString(languageType), 1);
          }), 128))
        ], 8, _hoisted_2$g), [
          [vModelSelect, _ctx.language]
        ])
      ], 512)
    ]),
    _: 1
  });
}
var CodeBlock = /* @__PURE__ */ _export_sfc(_sfc_main$C, [["render", _sfc_render$B]]);
var index$9 = Node$1.create({
  name: "codeBlock",
  defaultOptions: {
    languageClassPrefix: "language-",
    HTMLAttributes: {}
  },
  code: true,
  group: "block",
  allowGapCursor: true,
  addAttributes() {
    return {
      code: {
        default: null,
        parseHTML: (element) => (element == null ? void 0 : element.textContent) || ""
      },
      language: {
        default: "javascript",
        parseHTML: (element) => {
          var _a;
          const classAttribute = (_a = element.firstElementChild) === null || _a === void 0 ? void 0 : _a.getAttribute("class");
          if (!classAttribute) {
            return null;
          }
          const regexLanguageClassPrefix = new RegExp(`^(${this.options.languageClassPrefix})`);
          return classAttribute.replace(regexLanguageClassPrefix, "");
        },
        renderHTML: (attributes) => {
          if (!attributes.language) {
            return null;
          }
          return {
            class: this.options.languageClassPrefix + attributes.language
          };
        }
      }
    };
  },
  parseHTML() {
    return [
      {
        tag: "pre",
        preserveWhitespace: "full"
      }
    ];
  },
  renderHTML({ HTMLAttributes }) {
    const _a = HTMLAttributes, { code: code2 = "" } = _a, HTMLAttrs = __objRest(_a, ["code"]);
    return ["pre", this.options.HTMLAttributes, ["code", HTMLAttrs, code2]];
  },
  addKeyboardShortcuts() {
    return {
      "Mod-Alt-c": () => this.editor.commands.insertContent({ type: "codeBlock", attrs: { code: "" } }),
      Backspace: () => {
        const { empty: empty2, $anchor } = this.editor.state.selection;
        const isAtStart = $anchor.pos === 1;
        if (!empty2 || $anchor.parent.type.name !== this.name) {
          return false;
        }
        if (isAtStart || !$anchor.parent.textContent.length) {
          return this.editor.commands.clearNodes();
        }
        return false;
      }
    };
  },
  addNodeView() {
    return VueNodeViewRenderer(CodeBlock);
  }
});
var __glob_0_3 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": index$9
});
const EventHandler = Extension.create({
  name: "dropHandler",
  addProseMirrorPlugins() {
    const { editor: editor2 } = this;
    return [
      new Plugin({
        key: new PluginKey("dropHandler"),
        props: {
          handleDrop(view, event) {
            const { dataTransfer, clientX: left, clientY: top } = event;
            const { files } = dataTransfer || {};
            if (!(files == null ? void 0 : files.length))
              return false;
            const pos = view.posAtCoords({ left, top });
            if (!pos)
              return false;
            Array.from(files).forEach((file) => editor2.commands.uploadEffect(file, void 0, pos.pos));
            return true;
          }
        }
      })
    ];
  }
});
var __glob_0_4 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  EventHandler,
  "default": EventHandler
});
var enclosure_vue_vue_type_style_index_0_lang = "";
const _sfc_main$B = defineComponent({
  name: "enclosure",
  props: nodeViewProps,
  components: { Icon, NodeViewWrapper },
  directives: { tips: tipsDirective },
  setup(props) {
    const src = computed(() => {
      var _a, _b;
      return (_b = (_a = props == null ? void 0 : props.node) == null ? void 0 : _a.attrs) == null ? void 0 : _b.src;
    });
    const filename = computed(() => {
      var _a, _b;
      return (_b = (_a = props == null ? void 0 : props.node) == null ? void 0 : _a.attrs) == null ? void 0 : _b.filename;
    });
    const fileSize = computed(() => {
      var _a, _b;
      return (_b = (_a = props == null ? void 0 : props.node) == null ? void 0 : _a.attrs) == null ? void 0 : _b.fileSize;
    });
    return { src, filename, fileSize };
  }
});
const _hoisted_1$x = /* @__PURE__ */ createElementVNode("span", { class: "enclosure-icon" }, "\uE6C3", -1);
const _hoisted_2$f = { class: "enclosure-name" };
const _hoisted_3$a = { class: "enclosure-size" };
function _sfc_render$A(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_node_view_wrapper = resolveComponent("node-view-wrapper");
  return openBlock(), createBlock(_component_node_view_wrapper, {
    class: "enclosure-container",
    as: "span",
    "data-drag-handle": ""
  }, {
    default: withCtx(() => [
      _hoisted_1$x,
      createElementVNode("span", _hoisted_2$f, toDisplayString(_ctx.filename), 1),
      createElementVNode("span", _hoisted_3$a, " [" + toDisplayString(_ctx.fileSize) + "]", 1)
    ]),
    _: 1
  });
}
var Enclosure = /* @__PURE__ */ _export_sfc(_sfc_main$B, [["render", _sfc_render$A]]);
var index$8 = Node$1.create({
  name: "enclosure",
  defaultOptions: {
    HTMLAttributes: {}
  },
  inline: true,
  group: "inline",
  draggable: true,
  addAttributes() {
    return {
      src: {
        default: null
      },
      filename: {
        default: null
      },
      fileSize: {
        default: null
      }
    };
  },
  parseHTML() {
    return [
      {
        tag: "enclosure[src][filename][fileSize]"
      }
    ];
  },
  renderHTML({ HTMLAttributes }) {
    return ["enclosure", mergeAttributes(this.options.HTMLAttributes, HTMLAttributes)];
  },
  addNodeView() {
    return VueNodeViewRenderer(Enclosure);
  }
});
var __glob_0_5 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": index$8
});
const DEFAULT_FONT_SIZE = "15px";
const DEFAULT_FONT_COLOR = "#172b4d";
const DEFAULT_LINE_HEIGHT = "1.92";
const DEFAULT_SHOW_BACKGROUND_COLOR = "#FADB14";
const DEFAULT_SHOW_TABLE_CELL_BACKGROUND_COLOR = "#FFEFD1";
const FontSize = Extension.create({
  name: "fontSize",
  defaultOptions: {
    types: ["textStyle"]
  },
  addGlobalAttributes() {
    return [
      {
        types: this.options.types,
        attributes: {
          fontSize: {
            default: DEFAULT_FONT_SIZE,
            renderHTML: (attributes) => {
              if (!attributes.fontSize) {
                return {};
              }
              return {
                style: `font-size: ${attributes.fontSize}`
              };
            },
            parseHTML: (element) => element.style.fontSize
          }
        }
      }
    ];
  },
  addCommands() {
    return {
      setFontSize: (fontSize) => ({ chain }) => {
        return chain().setMark("textStyle", { fontSize }).run();
      },
      unsetFontSize: () => ({ chain }) => {
        return chain().setMark("textStyle", { fontSize: null }).removeEmptyTextStyle().run();
      }
    };
  }
});
var __glob_0_6 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  FontSize,
  "default": FontSize
});
const HorizontalRule = Node$1.create({
  name: "horizontalRule",
  defaultOptions: {
    HTMLAttributes: {}
  },
  group: "block",
  parseHTML() {
    return [
      { tag: "hr" }
    ];
  },
  renderHTML({ HTMLAttributes }) {
    return ["hr", mergeAttributes(this.options.HTMLAttributes, HTMLAttributes)];
  },
  addCommands() {
    return {
      setHorizontalRule: () => ({ chain }) => {
        return chain().command(({ tr, dispatch: dispatch2 }) => {
          const { selection } = tr;
          const { empty: empty2, $anchor } = selection;
          const isEmptyTextBlock = $anchor.parent.isTextblock && !$anchor.parent.type.spec.code && !$anchor.parent.textContent;
          if (!empty2 || !isEmptyTextBlock || !dispatch2) {
            return true;
          }
          const from3 = $anchor.before();
          const to = $anchor.start();
          tr.deleteRange(from3, to);
          tr.setSelection(TextSelection.create(tr.doc, from3));
          return true;
        }).insertContent({ type: this.name }).command(({ tr, dispatch: dispatch2 }) => {
          var _a;
          if (dispatch2) {
            const { parent, pos } = tr.selection.$from;
            const posAfter = pos + 1;
            const nodeAfter = tr.doc.nodeAt(posAfter);
            if (!nodeAfter) {
              const node3 = (_a = parent.type.contentMatch.defaultType) === null || _a === void 0 ? void 0 : _a.create();
              if (node3) {
                tr.insert(posAfter, node3);
                tr.setSelection(TextSelection.create(tr.doc, posAfter));
              }
            }
            tr.scrollIntoView();
          }
          return true;
        }).run();
      }
    };
  },
  addInputRules() {
    return [
      nodeInputRule({
        find: /^(?:---|—-|___\s|\*\*\*\s)$/,
        type: this.type
      })
    ];
  }
});
var index$7 = HorizontalRule.extend({
  addCommands() {
    return {
      setHorizontalRule: () => ({ chain }) => {
        return chain().insertContent({ type: this.name }).command(({ tr, state, dispatch: dispatch2 }) => {
          var _a;
          if (dispatch2) {
            const { pos } = tr.selection.$from;
            const posAfter = pos + 1;
            const nodeAfter = tr.doc.nodeAt(posAfter);
            if (!nodeAfter) {
              const node3 = (_a = state.schema.nodes["paragraph"]) == null ? void 0 : _a.create();
              if (node3) {
                tr.insert(posAfter, node3);
                tr.setSelection(TextSelection.create(tr.doc, pos));
              }
            }
            tr.scrollIntoView();
          }
          return true;
        }).run();
      }
    };
  }
});
var __glob_0_7 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": index$7
});
var viewer = "";
const viewerMap = new WeakMap();
const init5 = (imgContainer) => {
  if (!imgContainer)
    throw new Error("\u9519\u8BEF\u7684\u5BB9\u5668");
  const gallery = new Viewer(imgContainer, { initialViewIndex: 0 });
  viewerMap.set(imgContainer, {
    update: () => gallery.update(),
    show: (img) => {
      gallery.update();
      const index3 = Array.from(imgContainer.querySelectorAll("img:not(.ProseMirror-separator)")).indexOf(img);
      gallery.view(index3);
    },
    destroy: () => gallery.destroy()
  });
};
const has = (key) => {
  return viewerMap.has(key);
};
const update = ({ value: key }) => {
  var _a;
  if (!has(key))
    init5(key);
  (_a = viewerMap.get(key)) == null ? void 0 : _a.update();
};
const show = ({ value: key }, img) => {
  var _a;
  if (!img)
    return;
  if (!has(key))
    init5(key);
  (_a = viewerMap.get(key)) == null ? void 0 : _a.show(img);
};
const useViewer = (imgContainer) => {
  const curryingUpdate = update.bind(null, imgContainer);
  onMounted(curryingUpdate);
  onUnmounted(curryingUpdate);
  return {
    view: show.bind(null, imgContainer)
  };
};
var image_vue_vue_type_style_index_0_lang = "";
const minSize = 50;
const posPoints = ["left-top", "right-top", "right-bottom", "left-bottom"];
const __default__$3 = defineComponent({
  name: "image",
  props: nodeViewProps,
  components: { NodeViewWrapper, Icon },
  setup(props) {
    var _a, _b, _c, _d, _e;
    const { node: node3, editor: editor2, updateAttributes, deleteNode } = toRefs(reactive(props));
    const container = computed(() => {
      var _a2;
      return (_a2 = editor2.value) == null ? void 0 : _a2.options.element;
    });
    const { view } = useViewer(container), width = ref(((_a = node3.value) == null ? void 0 : _a.attrs.width) || 0), height = ref(((_b = node3.value) == null ? void 0 : _b.attrs.height) || 0), imgSrc = computed(() => {
      var _a2, _b2;
      return (_b2 = (_a2 = node3.value) == null ? void 0 : _a2.attrs) == null ? void 0 : _b2.src;
    }), isEditable = computed(() => {
      var _a2;
      return (_a2 = editor2.value) == null ? void 0 : _a2.isEditable;
    });
    const imgRef = ref(), imgWrapperRef = ref(), imgResizerBoxRef = ref(), resizingInfoRef = ref();
    const isFileProtocol = (_c = imgSrc.value) == null ? void 0 : _c.startsWith("file"), isBlobProtocol = (_d = imgSrc.value) == null ? void 0 : _d.startsWith("blob"), isDataProtocol = (_e = imgSrc.value) == null ? void 0 : _e.startsWith("data");
    if (isFileProtocol)
      nextTick(() => nextTick(() => {
        var _a2;
        return (_a2 = deleteNode.value) == null ? void 0 : _a2.call(deleteNode);
      }));
    if (isBlobProtocol || isDataProtocol) {
      fetch(imgSrc.value).then((res) => res.blob()).then((blob) => {
        var _a2, _b2;
        const fileName = `image.${(_a2 = blob.type.split("/")) == null ? void 0 : _a2[1]}`;
        const imgFile = new File([blob], fileName, { type: blob.type });
        const callback = (src) => {
          var _a3;
          return (_a3 = updateAttributes.value) == null ? void 0 : _a3.call(updateAttributes, { src });
        };
        (_b2 = editor2.value) == null ? void 0 : _b2.chain().upload(imgFile, callback).run();
        isBlobProtocol && URL.revokeObjectURL(imgSrc.value);
      }).catch((err2) => {
        var _a2;
        return (_a2 = deleteNode.value) == null ? void 0 : _a2.call(deleteNode);
      });
    }
    const onImgLoad = () => {
      if (!imgRef.value)
        return;
      if (!width.value)
        width.value = Math.max(imgRef.value.naturalWidth, minSize);
      if (!height.value)
        height.value = Math.max(imgRef.value.naturalHeight, minSize);
      imgRef.value.style.setProperty("width", width.value + "px");
      imgRef.value.style.setProperty("height", height.value + "px");
    };
    let w, h2, x, y, newX, newY, pos, tW, tH, flag = false;
    const onMouseMove = (event) => {
      var _a2, _b2, _c2, _d2;
      newX = event.screenX;
      newY = event.screenY;
      if (!imgResizerBoxRef.value || !resizingInfoRef.value)
        return;
      if (flag) {
        resizingInfoRef.value.style.display = "flex";
        (_a2 = imgResizerBoxRef.value) == null ? void 0 : _a2.style.setProperty("background", "#00000033");
        flag = false;
      }
      switch (pos) {
        case "left-top": {
          w -= newX - x;
          h2 -= newY - y;
          (_b2 = imgResizerBoxRef.value) == null ? void 0 : _b2.style.setProperty("transform", `translate(${Math.min(tW - w, tW - minSize)}px,${Math.min(tH - h2, tH - minSize)}px)`);
          break;
        }
        case "right-top": {
          w += newX - x;
          h2 -= newY - y;
          (_c2 = imgResizerBoxRef.value) == null ? void 0 : _c2.style.setProperty("transform", `translateY(${Math.min(tH - h2, tH - minSize)}px)`);
          break;
        }
        case "right-bottom": {
          w += newX - x;
          h2 += newY - y;
          break;
        }
        case "left-bottom": {
          w -= newX - x;
          h2 += newY - y;
          (_d2 = imgResizerBoxRef.value) == null ? void 0 : _d2.style.setProperty("transform", `translateX(${Math.min(tW - w, tW - minSize)}px)`);
          break;
        }
      }
      x = newX;
      y = newY;
      imgResizerBoxRef.value.style.setProperty("width", (width.value = Math.max(w, minSize)) + "px");
      imgResizerBoxRef.value.style.setProperty("height", (height.value = Math.max(h2, minSize)) + "px");
    };
    const onMouseUp = () => {
      var _a2, _b2, _c2;
      document.removeEventListener("mousemove", onMouseMove);
      document.removeEventListener("mouseup", onMouseUp);
      if (!imgRef.value || !(imgResizerBoxRef == null ? void 0 : imgResizerBoxRef.value))
        return;
      const { width: width2, height: height2 } = imgResizerBoxRef.value.getBoundingClientRect();
      (_a2 = updateAttributes.value) == null ? void 0 : _a2.call(updateAttributes, { width: width2, height: height2 });
      imgRef.value.style.setProperty("width", width2 + "px");
      imgRef.value.style.setProperty("height", height2 + "px");
      imgResizerBoxRef.value.style.removeProperty("width");
      imgResizerBoxRef.value.style.removeProperty("height");
      imgResizerBoxRef.value.style.removeProperty("transform");
      if (!flag) {
        (_b2 = resizingInfoRef.value) == null ? void 0 : _b2.style.removeProperty("display");
        (_c2 = imgResizerBoxRef.value) == null ? void 0 : _c2.style.removeProperty("background");
      }
    };
    const onMouseDown = (event) => {
      var _a2;
      event.preventDefault();
      event.stopPropagation();
      flag = true;
      let target = event == null ? void 0 : event.target;
      if (!target)
        return;
      pos = ((_a2 = target.dataset) == null ? void 0 : _a2.pos) || "";
      x = event.screenX;
      y = event.screenY;
      if (!imgResizerBoxRef.value)
        return;
      const DOMRect2 = imgResizerBoxRef.value.getBoundingClientRect();
      tW = w = DOMRect2.width;
      tH = h2 = DOMRect2.height;
      document.addEventListener("mousemove", onMouseMove);
      document.addEventListener("mouseup", onMouseUp);
    };
    const focus2 = () => {
      if (!imgResizerBoxRef.value)
        return;
      imgResizerBoxRef.value.style.setProperty("display", "block");
    };
    const blur = () => {
      if (!imgResizerBoxRef.value)
        return;
      imgResizerBoxRef.value.style.removeProperty("display");
    };
    const blurProxy = (event) => {
      var _a2;
      if (!((_a2 = imgWrapperRef.value) == null ? void 0 : _a2.$el))
        return;
      const target = event.target;
      if (target === imgWrapperRef.value.$el || imgWrapperRef.value.$el.contains(target))
        return;
      blur();
    };
    onMounted(() => {
      container.value.addEventListener("click", blurProxy);
    });
    onUnmounted(() => {
      container.value.removeEventListener("click", blurProxy);
    });
    return {
      imgRef,
      imgResizerBoxRef,
      resizingInfoRef,
      imgWrapperRef,
      imgSrc,
      isEditable,
      minSize,
      posPoints,
      width,
      height,
      view,
      onImgLoad,
      focus: focus2,
      onMouseDown
    };
  }
});
const __injectCSSVars__$3 = () => {
  useCssVars((_ctx) => ({
    "2678ddbd": _ctx.minSize
  }));
};
const __setup__$3 = __default__$3.setup;
__default__$3.setup = __setup__$3 ? (props, ctx) => {
  __injectCSSVars__$3();
  return __setup__$3(props, ctx);
} : __injectCSSVars__$3;
const _sfc_main$A = __default__$3;
const _hoisted_1$w = {
  key: 0,
  class: "img-resizer-box",
  ref: "imgResizerBoxRef"
};
const _hoisted_2$e = ["data-pos"];
const _hoisted_3$9 = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg",
  "p-id": "2244"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M290 236.4l43.9-43.9c4.7-4.7 1.9-12.8-4.7-13.6L169 160c-5.1-0.6-9.5 3.7-8.9 8.9L179 329.1c0.8 6.6 8.9 9.4 13.6 4.7l43.7-43.7L370 423.7c3.1 3.1 8.2 3.1 11.3 0l42.4-42.3c3.1-3.1 3.1-8.2 0-11.3L290 236.4z m352.7 187.3c3.1 3.1 8.2 3.1 11.3 0l133.7-133.6 43.7 43.7c4.7 4.7 12.8 1.9 13.6-4.7L863.9 169c0.6-5.1-3.7-9.5-8.9-8.9L694.8 179c-6.6 0.8-9.4 8.9-4.7 13.6l43.9 43.9L600.3 370c-3.1 3.1-3.1 8.2 0 11.3l42.4 42.4zM845 694.9c-0.8-6.6-8.9-9.4-13.6-4.7l-43.7 43.7L654 600.3c-3.1-3.1-8.2-3.1-11.3 0l-42.4 42.3c-3.1 3.1-3.1 8.2 0 11.3L734 787.6l-43.9 43.9c-4.7 4.7-1.9 12.8 4.7 13.6L855 864c5.1 0.6 9.5-3.7 8.9-8.9L845 694.9z m-463.7-94.6c-3.1-3.1-8.2-3.1-11.3 0L236.3 733.9l-43.7-43.7c-4.7-4.7-12.8-1.9-13.6 4.7L160.1 855c-0.6 5.1 3.7 9.5 8.9 8.9L329.2 845c6.6-0.8 9.4-8.9 4.7-13.6L290 787.6 423.7 654c3.1-3.1 3.1-8.2 0-11.3l-42.4-42.4z" })
], -1);
const _hoisted_4$5 = ["src"];
function _sfc_render$z(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _component_node_view_wrapper = resolveComponent("node-view-wrapper");
  return openBlock(), createBlock(_component_node_view_wrapper, {
    class: "img-wrapper",
    as: "span",
    ref: "imgWrapperRef",
    onDblclick: _cache[4] || (_cache[4] = ($event) => _ctx.view(_ctx.imgRef)),
    "data-drag-handle": ""
  }, {
    default: withCtx(() => [
      _ctx.isEditable ? (openBlock(), createElementBlock("div", _hoisted_1$w, [
        (openBlock(true), createElementBlock(Fragment$1, null, renderList(_ctx.posPoints, (pos) => {
          return openBlock(), createElementBlock("span", {
            key: pos,
            onMousedown: _cache[0] || (_cache[0] = (...args) => _ctx.onMouseDown && _ctx.onMouseDown(...args)),
            "data-pos": pos
          }, null, 40, _hoisted_2$e);
        }), 128)),
        createElementVNode("div", {
          class: "img-resizing-info",
          ref: "resizingInfoRef"
        }, toDisplayString(_ctx.width) + " \xD7 " + toDisplayString(_ctx.height), 513)
      ], 512)) : createCommentVNode("", true),
      _ctx.imgSrc ? (openBlock(), createBlock(_component_icon, {
        key: 1,
        class: "img-maximize-icon",
        onClick: _cache[1] || (_cache[1] = ($event) => _ctx.view(_ctx.imgRef))
      }, {
        default: withCtx(() => [
          _hoisted_3$9
        ]),
        _: 1
      })) : createCommentVNode("", true),
      createElementVNode("img", {
        ref: "imgRef",
        onLoadOnce: _cache[2] || (_cache[2] = (...args) => _ctx.onImgLoad && _ctx.onImgLoad(...args)),
        src: _ctx.imgSrc,
        onClick: _cache[3] || (_cache[3] = withModifiers((...args) => _ctx.focus && _ctx.focus(...args), ["stop"]))
      }, null, 40, _hoisted_4$5)
    ]),
    _: 1
  }, 512);
}
var Image = /* @__PURE__ */ _export_sfc(_sfc_main$A, [["render", _sfc_render$z]]);
const inputRegex = /!\[(.+|:?)]\((\S+)(?:(?:\s+)["'](\S+)["'])?\)/;
var index$6 = Node$1.create({
  name: "image",
  defaultOptions: {
    HTMLAttributes: {}
  },
  inline: true,
  group: "inline",
  draggable: true,
  addAttributes() {
    return {
      src: {
        default: null
      },
      alt: {
        default: null
      },
      title: {
        default: null
      },
      width: {
        default: null
      },
      height: {
        default: null
      },
      "data-attr-org-src-id": {
        default: null
      }
    };
  },
  parseHTML() {
    return [
      {
        tag: "img[src]"
      }
    ];
  },
  renderHTML({ HTMLAttributes }) {
    return ["img", mergeAttributes(HTMLAttributes)];
  },
  addNodeView() {
    return VueNodeViewRenderer(Image);
  },
  addCommands() {
    return {
      setImage: (options) => ({ commands }) => {
        return commands.insertContent({
          type: this.name,
          attrs: options
        });
      }
    };
  },
  addInputRules() {
    return [
      nodeInputRule({
        find: inputRegex,
        type: this.type,
        getAttributes: (match) => {
          const [, alt, src, title] = match;
          return { src, alt, title };
        }
      })
    ];
  }
});
var __glob_0_8 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": index$6
});
function clamp(val, min2, max2) {
  if (val < min2) {
    return min2;
  }
  if (val > max2) {
    return max2;
  }
  return val;
}
var IndentProps;
(function(IndentProps2) {
  IndentProps2[IndentProps2["min"] = 0] = "min";
  IndentProps2[IndentProps2["max"] = 210] = "max";
  IndentProps2[IndentProps2["more"] = 30] = "more";
  IndentProps2[IndentProps2["less"] = -30] = "less";
})(IndentProps || (IndentProps = {}));
function isParagraphNode(node3) {
  return node3.type.name === "paragraph";
}
function isHeadingNode(node3) {
  return node3.type.name === "heading";
}
function isBulletListNode(node3) {
  return node3.type.name === "bulletList";
}
function isOrderedListNode(node3) {
  return node3.type.name === "orderedList";
}
function isTaskListNode(node3) {
  return node3.type.name === "taskList";
}
function isListNode(node3) {
  return isBulletListNode(node3) || isOrderedListNode(node3) || isTaskListNode(node3);
}
function setNodeIndentMarkup(tr, pos, delta) {
  if (!tr.doc)
    return tr;
  const node3 = tr.doc.nodeAt(pos);
  if (!node3)
    return tr;
  const minIndent = 0;
  const maxIndent = 210;
  const indent = clamp((node3.attrs.indent || 0) + delta, minIndent, maxIndent);
  if (indent === node3.attrs.indent)
    return tr;
  const nodeAttrs = __spreadProps(__spreadValues({}, node3.attrs), {
    indent
  });
  return tr.setNodeMarkup(pos, node3.type, nodeAttrs, node3.marks);
}
function setIndent(tr, delta, isIndent) {
  const { doc: doc2, selection } = tr;
  if (!doc2 || !selection)
    return tr;
  if (!(selection instanceof TextSelection || selection instanceof AllSelection))
    return tr;
  const { from: from3, to } = selection;
  doc2.nodesBetween(from3, to, (node3, pos) => {
    switch (true) {
      case ((isParagraphNode(node3) || isHeadingNode(node3)) && (!selection.empty || !selection.$from.parentOffset)):
        tr = setNodeIndentMarkup(tr, pos, delta);
        return false;
      case isListNode(node3):
        return false;
      default:
        return true;
    }
  });
  return tr;
}
const Indent = Extension.create({
  name: "indent",
  defaultOptions: {
    types: ["heading", "paragraph"],
    indentLevels: [0, 30, 60, 90, 120, 150, 180, 210],
    defaultIndentLevel: 0
  },
  addGlobalAttributes() {
    return [
      {
        types: this.options.types,
        attributes: {
          indent: {
            default: this.options.defaultIndentLevel,
            renderHTML: (attributes) => ({
              style: `margin-left: ${attributes.indent}px !important;`
            }),
            parseHTML: (element) => parseInt(element.style.marginLeft) || this.options.defaultIndentLevel
          }
        }
      }
    ];
  },
  addCommands() {
    return {
      indent: () => ({ tr, state, dispatch: dispatch2 }) => {
        const { selection } = state;
        if (selection.empty && selection.$from.parentOffset) {
          tr.insertText("	");
        } else {
          tr = tr.setSelection(selection);
          tr = setIndent(tr, 30);
        }
        if (tr.docChanged) {
          dispatch2 == null ? void 0 : dispatch2(tr);
          return true;
        }
        return false;
      },
      outdent: () => ({ tr, state, dispatch: dispatch2 }) => {
        const { selection } = state;
        tr = tr.setSelection(selection);
        tr = setIndent(tr, -30);
        if (tr.docChanged) {
          dispatch2 == null ? void 0 : dispatch2(tr);
          return true;
        }
        return false;
      }
    };
  },
  addKeyboardShortcuts() {
    return {
      Tab: () => this.editor.commands.indent(),
      "Shift-Tab": () => this.editor.commands.outdent(),
      "Backspace": () => {
        const { state: { selection }, commands } = this.editor;
        if (!selection.empty || selection.$from.parentOffset)
          return false;
        return commands.outdent();
      }
    };
  }
});
var __glob_0_9 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  clamp,
  get IndentProps() {
    return IndentProps;
  },
  isParagraphNode,
  isHeadingNode,
  isBulletListNode,
  isOrderedListNode,
  isTaskListNode,
  isListNode,
  Indent,
  "default": Indent
});
var index$5 = Link.extend({
  openOnClick: false,
  addProseMirrorPlugins() {
    return [
      new Plugin({
        key: new PluginKey("handleClickLink"),
        props: {
          handleClick: () => {
            if (!this.editor.isActive("link"))
              return false;
            return this.editor.chain().focus().extendMarkRange("link").run();
          }
        }
      })
    ];
  }
});
var __glob_0_10 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": index$5
});
var result = {};
if (typeof navigator != "undefined" && typeof document != "undefined") {
  var ie_edge = /Edge\/(\d+)/.exec(navigator.userAgent);
  var ie_upto10 = /MSIE \d/.test(navigator.userAgent);
  var ie_11up = /Trident\/(?:[7-9]|\d{2,})\..*rv:(\d+)/.exec(navigator.userAgent);
  result.mac = /Mac/.test(navigator.platform);
  var ie = result.ie = !!(ie_upto10 || ie_11up || ie_edge);
  result.ie_version = ie_upto10 ? document.documentMode || 6 : ie_11up ? +ie_11up[1] : ie_edge ? +ie_edge[1] : null;
  result.gecko = !ie && /gecko\/(\d+)/i.test(navigator.userAgent);
  result.gecko_version = result.gecko && +(/Firefox\/(\d+)/.exec(navigator.userAgent) || [0, 0])[1];
  var chrome = !ie && /Chrome\/(\d+)/.exec(navigator.userAgent);
  result.chrome = !!chrome;
  result.chrome_version = chrome && +chrome[1];
  result.safari = !ie && /Apple Computer/.test(navigator.vendor);
  result.ios = result.safari && (/Mobile\/\w+/.test(navigator.userAgent) || navigator.maxTouchPoints > 2);
  result.android = /Android \d/.test(navigator.userAgent);
  result.webkit = "webkitFontSmoothing" in document.documentElement.style;
  result.webkit_version = result.webkit && +(/\bAppleWebKit\/(\d+)/.exec(navigator.userAgent) || [0, 0])[1];
}
var domIndex = function(node3) {
  for (var index3 = 0; ; index3++) {
    node3 = node3.previousSibling;
    if (!node3) {
      return index3;
    }
  }
};
var parentNode = function(node3) {
  var parent = node3.assignedSlot || node3.parentNode;
  return parent && parent.nodeType == 11 ? parent.host : parent;
};
var reusedRange = null;
var textRange = function(node3, from3, to) {
  var range = reusedRange || (reusedRange = document.createRange());
  range.setEnd(node3, to == null ? node3.nodeValue.length : to);
  range.setStart(node3, from3 || 0);
  return range;
};
var isEquivalentPosition = function(node3, off, targetNode, targetOff) {
  return targetNode && (scanFor(node3, off, targetNode, targetOff, -1) || scanFor(node3, off, targetNode, targetOff, 1));
};
var atomElements = /^(img|br|input|textarea|hr)$/i;
function scanFor(node3, off, targetNode, targetOff, dir) {
  for (; ; ) {
    if (node3 == targetNode && off == targetOff) {
      return true;
    }
    if (off == (dir < 0 ? 0 : nodeSize(node3))) {
      var parent = node3.parentNode;
      if (parent.nodeType != 1 || hasBlockDesc(node3) || atomElements.test(node3.nodeName) || node3.contentEditable == "false") {
        return false;
      }
      off = domIndex(node3) + (dir < 0 ? 0 : 1);
      node3 = parent;
    } else if (node3.nodeType == 1) {
      node3 = node3.childNodes[off + (dir < 0 ? -1 : 0)];
      if (node3.contentEditable == "false") {
        return false;
      }
      off = dir < 0 ? nodeSize(node3) : 0;
    } else {
      return false;
    }
  }
}
function nodeSize(node3) {
  return node3.nodeType == 3 ? node3.nodeValue.length : node3.childNodes.length;
}
function isOnEdge(node3, offset2, parent) {
  for (var atStart2 = offset2 == 0, atEnd2 = offset2 == nodeSize(node3); atStart2 || atEnd2; ) {
    if (node3 == parent) {
      return true;
    }
    var index3 = domIndex(node3);
    node3 = node3.parentNode;
    if (!node3) {
      return false;
    }
    atStart2 = atStart2 && index3 == 0;
    atEnd2 = atEnd2 && index3 == nodeSize(node3);
  }
}
function hasBlockDesc(dom) {
  var desc;
  for (var cur = dom; cur; cur = cur.parentNode) {
    if (desc = cur.pmViewDesc) {
      break;
    }
  }
  return desc && desc.node && desc.node.isBlock && (desc.dom == dom || desc.contentDOM == dom);
}
var selectionCollapsed = function(domSel) {
  var collapsed = domSel.isCollapsed;
  if (collapsed && result.chrome && domSel.rangeCount && !domSel.getRangeAt(0).collapsed) {
    collapsed = false;
  }
  return collapsed;
};
function keyEvent(keyCode, key) {
  var event = document.createEvent("Event");
  event.initEvent("keydown", true, true);
  event.keyCode = keyCode;
  event.key = event.code = key;
  return event;
}
function windowRect(doc2) {
  return {
    left: 0,
    right: doc2.documentElement.clientWidth,
    top: 0,
    bottom: doc2.documentElement.clientHeight
  };
}
function getSide(value, side) {
  return typeof value == "number" ? value : value[side];
}
function clientRect(node3) {
  var rect = node3.getBoundingClientRect();
  var scaleX = rect.width / node3.offsetWidth || 1;
  var scaleY = rect.height / node3.offsetHeight || 1;
  return {
    left: rect.left,
    right: rect.left + node3.clientWidth * scaleX,
    top: rect.top,
    bottom: rect.top + node3.clientHeight * scaleY
  };
}
function scrollRectIntoView(view, rect, startDOM) {
  var scrollThreshold = view.someProp("scrollThreshold") || 0, scrollMargin = view.someProp("scrollMargin") || 5;
  var doc2 = view.dom.ownerDocument;
  for (var parent = startDOM || view.dom; ; parent = parentNode(parent)) {
    if (!parent) {
      break;
    }
    if (parent.nodeType != 1) {
      continue;
    }
    var atTop = parent == doc2.body || parent.nodeType != 1;
    var bounding = atTop ? windowRect(doc2) : clientRect(parent);
    var moveX = 0, moveY = 0;
    if (rect.top < bounding.top + getSide(scrollThreshold, "top")) {
      moveY = -(bounding.top - rect.top + getSide(scrollMargin, "top"));
    } else if (rect.bottom > bounding.bottom - getSide(scrollThreshold, "bottom")) {
      moveY = rect.bottom - bounding.bottom + getSide(scrollMargin, "bottom");
    }
    if (rect.left < bounding.left + getSide(scrollThreshold, "left")) {
      moveX = -(bounding.left - rect.left + getSide(scrollMargin, "left"));
    } else if (rect.right > bounding.right - getSide(scrollThreshold, "right")) {
      moveX = rect.right - bounding.right + getSide(scrollMargin, "right");
    }
    if (moveX || moveY) {
      if (atTop) {
        doc2.defaultView.scrollBy(moveX, moveY);
      } else {
        var startX = parent.scrollLeft, startY = parent.scrollTop;
        if (moveY) {
          parent.scrollTop += moveY;
        }
        if (moveX) {
          parent.scrollLeft += moveX;
        }
        var dX = parent.scrollLeft - startX, dY = parent.scrollTop - startY;
        rect = { left: rect.left - dX, top: rect.top - dY, right: rect.right - dX, bottom: rect.bottom - dY };
      }
    }
    if (atTop) {
      break;
    }
  }
}
function storeScrollPos(view) {
  var rect = view.dom.getBoundingClientRect(), startY = Math.max(0, rect.top);
  var refDOM, refTop;
  for (var x = (rect.left + rect.right) / 2, y = startY + 1; y < Math.min(innerHeight, rect.bottom); y += 5) {
    var dom = view.root.elementFromPoint(x, y);
    if (dom == view.dom || !view.dom.contains(dom)) {
      continue;
    }
    var localRect = dom.getBoundingClientRect();
    if (localRect.top >= startY - 20) {
      refDOM = dom;
      refTop = localRect.top;
      break;
    }
  }
  return { refDOM, refTop, stack: scrollStack(view.dom) };
}
function scrollStack(dom) {
  var stack = [], doc2 = dom.ownerDocument;
  for (; dom; dom = parentNode(dom)) {
    stack.push({ dom, top: dom.scrollTop, left: dom.scrollLeft });
    if (dom == doc2) {
      break;
    }
  }
  return stack;
}
function resetScrollPos(ref2) {
  var refDOM = ref2.refDOM;
  var refTop = ref2.refTop;
  var stack = ref2.stack;
  var newRefTop = refDOM ? refDOM.getBoundingClientRect().top : 0;
  restoreScrollStack(stack, newRefTop == 0 ? 0 : newRefTop - refTop);
}
function restoreScrollStack(stack, dTop) {
  for (var i = 0; i < stack.length; i++) {
    var ref2 = stack[i];
    var dom = ref2.dom;
    var top = ref2.top;
    var left = ref2.left;
    if (dom.scrollTop != top + dTop) {
      dom.scrollTop = top + dTop;
    }
    if (dom.scrollLeft != left) {
      dom.scrollLeft = left;
    }
  }
}
var preventScrollSupported = null;
function focusPreventScroll(dom) {
  if (dom.setActive) {
    return dom.setActive();
  }
  if (preventScrollSupported) {
    return dom.focus(preventScrollSupported);
  }
  var stored = scrollStack(dom);
  dom.focus(preventScrollSupported == null ? {
    get preventScroll() {
      preventScrollSupported = { preventScroll: true };
      return true;
    }
  } : void 0);
  if (!preventScrollSupported) {
    preventScrollSupported = false;
    restoreScrollStack(stored, 0);
  }
}
function findOffsetInNode(node3, coords) {
  var closest, dxClosest = 2e8, coordsClosest, offset2 = 0;
  var rowBot = coords.top, rowTop = coords.top;
  for (var child3 = node3.firstChild, childIndex = 0; child3; child3 = child3.nextSibling, childIndex++) {
    var rects = void 0;
    if (child3.nodeType == 1) {
      rects = child3.getClientRects();
    } else if (child3.nodeType == 3) {
      rects = textRange(child3).getClientRects();
    } else {
      continue;
    }
    for (var i = 0; i < rects.length; i++) {
      var rect = rects[i];
      if (rect.top <= rowBot && rect.bottom >= rowTop) {
        rowBot = Math.max(rect.bottom, rowBot);
        rowTop = Math.min(rect.top, rowTop);
        var dx = rect.left > coords.left ? rect.left - coords.left : rect.right < coords.left ? coords.left - rect.right : 0;
        if (dx < dxClosest) {
          closest = child3;
          dxClosest = dx;
          coordsClosest = dx && closest.nodeType == 3 ? { left: rect.right < coords.left ? rect.right : rect.left, top: coords.top } : coords;
          if (child3.nodeType == 1 && dx) {
            offset2 = childIndex + (coords.left >= (rect.left + rect.right) / 2 ? 1 : 0);
          }
          continue;
        }
      }
      if (!closest && (coords.left >= rect.right && coords.top >= rect.top || coords.left >= rect.left && coords.top >= rect.bottom)) {
        offset2 = childIndex + 1;
      }
    }
  }
  if (closest && closest.nodeType == 3) {
    return findOffsetInText(closest, coordsClosest);
  }
  if (!closest || dxClosest && closest.nodeType == 1) {
    return { node: node3, offset: offset2 };
  }
  return findOffsetInNode(closest, coordsClosest);
}
function findOffsetInText(node3, coords) {
  var len = node3.nodeValue.length;
  var range = document.createRange();
  for (var i = 0; i < len; i++) {
    range.setEnd(node3, i + 1);
    range.setStart(node3, i);
    var rect = singleRect(range, 1);
    if (rect.top == rect.bottom) {
      continue;
    }
    if (inRect(coords, rect)) {
      return { node: node3, offset: i + (coords.left >= (rect.left + rect.right) / 2 ? 1 : 0) };
    }
  }
  return { node: node3, offset: 0 };
}
function inRect(coords, rect) {
  return coords.left >= rect.left - 1 && coords.left <= rect.right + 1 && coords.top >= rect.top - 1 && coords.top <= rect.bottom + 1;
}
function targetKludge(dom, coords) {
  var parent = dom.parentNode;
  if (parent && /^li$/i.test(parent.nodeName) && coords.left < dom.getBoundingClientRect().left) {
    return parent;
  }
  return dom;
}
function posFromElement(view, elt, coords) {
  var ref2 = findOffsetInNode(elt, coords);
  var node3 = ref2.node;
  var offset2 = ref2.offset;
  var bias = -1;
  if (node3.nodeType == 1 && !node3.firstChild) {
    var rect = node3.getBoundingClientRect();
    bias = rect.left != rect.right && coords.left > (rect.left + rect.right) / 2 ? 1 : -1;
  }
  return view.docView.posFromDOM(node3, offset2, bias);
}
function posFromCaret(view, node3, offset2, coords) {
  var outside = -1;
  for (var cur = node3; ; ) {
    if (cur == view.dom) {
      break;
    }
    var desc = view.docView.nearestDesc(cur, true);
    if (!desc) {
      return null;
    }
    if (desc.node.isBlock && desc.parent) {
      var rect = desc.dom.getBoundingClientRect();
      if (rect.left > coords.left || rect.top > coords.top) {
        outside = desc.posBefore;
      } else if (rect.right < coords.left || rect.bottom < coords.top) {
        outside = desc.posAfter;
      } else {
        break;
      }
    }
    cur = desc.dom.parentNode;
  }
  return outside > -1 ? outside : view.docView.posFromDOM(node3, offset2);
}
function elementFromPoint(element, coords, box) {
  var len = element.childNodes.length;
  if (len && box.top < box.bottom) {
    for (var startI = Math.max(0, Math.min(len - 1, Math.floor(len * (coords.top - box.top) / (box.bottom - box.top)) - 2)), i = startI; ; ) {
      var child3 = element.childNodes[i];
      if (child3.nodeType == 1) {
        var rects = child3.getClientRects();
        for (var j = 0; j < rects.length; j++) {
          var rect = rects[j];
          if (inRect(coords, rect)) {
            return elementFromPoint(child3, coords, rect);
          }
        }
      }
      if ((i = (i + 1) % len) == startI) {
        break;
      }
    }
  }
  return element;
}
function posAtCoords(view, coords) {
  var assign, assign$1;
  var doc2 = view.dom.ownerDocument, node3, offset2;
  if (doc2.caretPositionFromPoint) {
    try {
      var pos$1 = doc2.caretPositionFromPoint(coords.left, coords.top);
      if (pos$1) {
        assign = pos$1, node3 = assign.offsetNode, offset2 = assign.offset;
      }
    } catch (_) {
    }
  }
  if (!node3 && doc2.caretRangeFromPoint) {
    var range = doc2.caretRangeFromPoint(coords.left, coords.top);
    if (range) {
      assign$1 = range, node3 = assign$1.startContainer, offset2 = assign$1.startOffset;
    }
  }
  var elt = (view.root.elementFromPoint ? view.root : doc2).elementFromPoint(coords.left, coords.top + 1), pos;
  if (!elt || !view.dom.contains(elt.nodeType != 1 ? elt.parentNode : elt)) {
    var box = view.dom.getBoundingClientRect();
    if (!inRect(coords, box)) {
      return null;
    }
    elt = elementFromPoint(view.dom, coords, box);
    if (!elt) {
      return null;
    }
  }
  if (result.safari) {
    for (var p = elt; node3 && p; p = parentNode(p)) {
      if (p.draggable) {
        node3 = offset2 = null;
      }
    }
  }
  elt = targetKludge(elt, coords);
  if (node3) {
    if (result.gecko && node3.nodeType == 1) {
      offset2 = Math.min(offset2, node3.childNodes.length);
      if (offset2 < node3.childNodes.length) {
        var next = node3.childNodes[offset2], box$1;
        if (next.nodeName == "IMG" && (box$1 = next.getBoundingClientRect()).right <= coords.left && box$1.bottom > coords.top) {
          offset2++;
        }
      }
    }
    if (node3 == view.dom && offset2 == node3.childNodes.length - 1 && node3.lastChild.nodeType == 1 && coords.top > node3.lastChild.getBoundingClientRect().bottom) {
      pos = view.state.doc.content.size;
    } else if (offset2 == 0 || node3.nodeType != 1 || node3.childNodes[offset2 - 1].nodeName != "BR") {
      pos = posFromCaret(view, node3, offset2, coords);
    }
  }
  if (pos == null) {
    pos = posFromElement(view, elt, coords);
  }
  var desc = view.docView.nearestDesc(elt, true);
  return { pos, inside: desc ? desc.posAtStart - desc.border : -1 };
}
function singleRect(object, bias) {
  var rects = object.getClientRects();
  return !rects.length ? object.getBoundingClientRect() : rects[bias < 0 ? 0 : rects.length - 1];
}
var BIDI = /[\u0590-\u05f4\u0600-\u06ff\u0700-\u08ac]/;
function coordsAtPos(view, pos, side) {
  var ref2 = view.docView.domFromPos(pos, side < 0 ? -1 : 1);
  var node3 = ref2.node;
  var offset2 = ref2.offset;
  var supportEmptyRange = result.webkit || result.gecko;
  if (node3.nodeType == 3) {
    if (supportEmptyRange && (BIDI.test(node3.nodeValue) || (side < 0 ? !offset2 : offset2 == node3.nodeValue.length))) {
      var rect = singleRect(textRange(node3, offset2, offset2), side);
      if (result.gecko && offset2 && /\s/.test(node3.nodeValue[offset2 - 1]) && offset2 < node3.nodeValue.length) {
        var rectBefore = singleRect(textRange(node3, offset2 - 1, offset2 - 1), -1);
        if (rectBefore.top == rect.top) {
          var rectAfter = singleRect(textRange(node3, offset2, offset2 + 1), -1);
          if (rectAfter.top != rect.top) {
            return flattenV(rectAfter, rectAfter.left < rectBefore.left);
          }
        }
      }
      return rect;
    } else {
      var from3 = offset2, to = offset2, takeSide = side < 0 ? 1 : -1;
      if (side < 0 && !offset2) {
        to++;
        takeSide = -1;
      } else if (side >= 0 && offset2 == node3.nodeValue.length) {
        from3--;
        takeSide = 1;
      } else if (side < 0) {
        from3--;
      } else {
        to++;
      }
      return flattenV(singleRect(textRange(node3, from3, to), takeSide), takeSide < 0);
    }
  }
  if (!view.state.doc.resolve(pos).parent.inlineContent) {
    if (offset2 && (side < 0 || offset2 == nodeSize(node3))) {
      var before2 = node3.childNodes[offset2 - 1];
      if (before2.nodeType == 1) {
        return flattenH(before2.getBoundingClientRect(), false);
      }
    }
    if (offset2 < nodeSize(node3)) {
      var after2 = node3.childNodes[offset2];
      if (after2.nodeType == 1) {
        return flattenH(after2.getBoundingClientRect(), true);
      }
    }
    return flattenH(node3.getBoundingClientRect(), side >= 0);
  }
  if (offset2 && (side < 0 || offset2 == nodeSize(node3))) {
    var before$1 = node3.childNodes[offset2 - 1];
    var target = before$1.nodeType == 3 ? textRange(before$1, nodeSize(before$1) - (supportEmptyRange ? 0 : 1)) : before$1.nodeType == 1 && (before$1.nodeName != "BR" || !before$1.nextSibling) ? before$1 : null;
    if (target) {
      return flattenV(singleRect(target, 1), false);
    }
  }
  if (offset2 < nodeSize(node3)) {
    var after$1 = node3.childNodes[offset2];
    while (after$1.pmViewDesc && after$1.pmViewDesc.ignoreForCoords) {
      after$1 = after$1.nextSibling;
    }
    var target$1 = !after$1 ? null : after$1.nodeType == 3 ? textRange(after$1, 0, supportEmptyRange ? 0 : 1) : after$1.nodeType == 1 ? after$1 : null;
    if (target$1) {
      return flattenV(singleRect(target$1, -1), true);
    }
  }
  return flattenV(singleRect(node3.nodeType == 3 ? textRange(node3) : node3, -side), side >= 0);
}
function flattenV(rect, left) {
  if (rect.width == 0) {
    return rect;
  }
  var x = left ? rect.left : rect.right;
  return { top: rect.top, bottom: rect.bottom, left: x, right: x };
}
function flattenH(rect, top) {
  if (rect.height == 0) {
    return rect;
  }
  var y = top ? rect.top : rect.bottom;
  return { top: y, bottom: y, left: rect.left, right: rect.right };
}
function withFlushedState(view, state, f) {
  var viewState = view.state, active = view.root.activeElement;
  if (viewState != state) {
    view.updateState(state);
  }
  if (active != view.dom) {
    view.focus();
  }
  try {
    return f();
  } finally {
    if (viewState != state) {
      view.updateState(viewState);
    }
    if (active != view.dom && active) {
      active.focus();
    }
  }
}
function endOfTextblockVertical(view, state, dir) {
  var sel = state.selection;
  var $pos = dir == "up" ? sel.$from : sel.$to;
  return withFlushedState(view, state, function() {
    var ref2 = view.docView.domFromPos($pos.pos, dir == "up" ? -1 : 1);
    var dom = ref2.node;
    for (; ; ) {
      var nearest = view.docView.nearestDesc(dom, true);
      if (!nearest) {
        break;
      }
      if (nearest.node.isBlock) {
        dom = nearest.dom;
        break;
      }
      dom = nearest.dom.parentNode;
    }
    var coords = coordsAtPos(view, $pos.pos, 1);
    for (var child3 = dom.firstChild; child3; child3 = child3.nextSibling) {
      var boxes = void 0;
      if (child3.nodeType == 1) {
        boxes = child3.getClientRects();
      } else if (child3.nodeType == 3) {
        boxes = textRange(child3, 0, child3.nodeValue.length).getClientRects();
      } else {
        continue;
      }
      for (var i = 0; i < boxes.length; i++) {
        var box = boxes[i];
        if (box.bottom > box.top + 1 && (dir == "up" ? coords.top - box.top > (box.bottom - coords.top) * 2 : box.bottom - coords.bottom > (coords.bottom - box.top) * 2)) {
          return false;
        }
      }
    }
    return true;
  });
}
var maybeRTL = /[\u0590-\u08ac]/;
function endOfTextblockHorizontal(view, state, dir) {
  var ref2 = state.selection;
  var $head = ref2.$head;
  if (!$head.parent.isTextblock) {
    return false;
  }
  var offset2 = $head.parentOffset, atStart2 = !offset2, atEnd2 = offset2 == $head.parent.content.size;
  var sel = view.root.getSelection();
  if (!maybeRTL.test($head.parent.textContent) || !sel.modify) {
    return dir == "left" || dir == "backward" ? atStart2 : atEnd2;
  }
  return withFlushedState(view, state, function() {
    var oldRange = sel.getRangeAt(0), oldNode = sel.focusNode, oldOff = sel.focusOffset;
    var oldBidiLevel = sel.caretBidiLevel;
    sel.modify("move", dir, "character");
    var parentDOM = $head.depth ? view.docView.domAfterPos($head.before()) : view.dom;
    var result2 = !parentDOM.contains(sel.focusNode.nodeType == 1 ? sel.focusNode : sel.focusNode.parentNode) || oldNode == sel.focusNode && oldOff == sel.focusOffset;
    sel.removeAllRanges();
    sel.addRange(oldRange);
    if (oldBidiLevel != null) {
      sel.caretBidiLevel = oldBidiLevel;
    }
    return result2;
  });
}
var cachedState = null, cachedDir = null, cachedResult = false;
function endOfTextblock(view, state, dir) {
  if (cachedState == state && cachedDir == dir) {
    return cachedResult;
  }
  cachedState = state;
  cachedDir = dir;
  return cachedResult = dir == "up" || dir == "down" ? endOfTextblockVertical(view, state, dir) : endOfTextblockHorizontal(view, state, dir);
}
var NOT_DIRTY = 0, CHILD_DIRTY = 1, CONTENT_DIRTY = 2, NODE_DIRTY = 3;
var ViewDesc = function ViewDesc2(parent, children, dom, contentDOM) {
  this.parent = parent;
  this.children = children;
  this.dom = dom;
  dom.pmViewDesc = this;
  this.contentDOM = contentDOM;
  this.dirty = NOT_DIRTY;
};
var prototypeAccessors = { size: { configurable: true }, border: { configurable: true }, posBefore: { configurable: true }, posAtStart: { configurable: true }, posAfter: { configurable: true }, posAtEnd: { configurable: true }, contentLost: { configurable: true }, domAtom: { configurable: true }, ignoreForCoords: { configurable: true } };
ViewDesc.prototype.matchesWidget = function matchesWidget() {
  return false;
};
ViewDesc.prototype.matchesMark = function matchesMark() {
  return false;
};
ViewDesc.prototype.matchesNode = function matchesNode() {
  return false;
};
ViewDesc.prototype.matchesHack = function matchesHack(_nodeName) {
  return false;
};
ViewDesc.prototype.parseRule = function parseRule() {
  return null;
};
ViewDesc.prototype.stopEvent = function stopEvent() {
  return false;
};
prototypeAccessors.size.get = function() {
  var size = 0;
  for (var i = 0; i < this.children.length; i++) {
    size += this.children[i].size;
  }
  return size;
};
prototypeAccessors.border.get = function() {
  return 0;
};
ViewDesc.prototype.destroy = function destroy() {
  this.parent = null;
  if (this.dom.pmViewDesc == this) {
    this.dom.pmViewDesc = null;
  }
  for (var i = 0; i < this.children.length; i++) {
    this.children[i].destroy();
  }
};
ViewDesc.prototype.posBeforeChild = function posBeforeChild(child3) {
  for (var i = 0, pos = this.posAtStart; i < this.children.length; i++) {
    var cur = this.children[i];
    if (cur == child3) {
      return pos;
    }
    pos += cur.size;
  }
};
prototypeAccessors.posBefore.get = function() {
  return this.parent.posBeforeChild(this);
};
prototypeAccessors.posAtStart.get = function() {
  return this.parent ? this.parent.posBeforeChild(this) + this.border : 0;
};
prototypeAccessors.posAfter.get = function() {
  return this.posBefore + this.size;
};
prototypeAccessors.posAtEnd.get = function() {
  return this.posAtStart + this.size - 2 * this.border;
};
ViewDesc.prototype.localPosFromDOM = function localPosFromDOM(dom, offset2, bias) {
  if (this.contentDOM && this.contentDOM.contains(dom.nodeType == 1 ? dom : dom.parentNode)) {
    if (bias < 0) {
      var domBefore, desc;
      if (dom == this.contentDOM) {
        domBefore = dom.childNodes[offset2 - 1];
      } else {
        while (dom.parentNode != this.contentDOM) {
          dom = dom.parentNode;
        }
        domBefore = dom.previousSibling;
      }
      while (domBefore && !((desc = domBefore.pmViewDesc) && desc.parent == this)) {
        domBefore = domBefore.previousSibling;
      }
      return domBefore ? this.posBeforeChild(desc) + desc.size : this.posAtStart;
    } else {
      var domAfter, desc$1;
      if (dom == this.contentDOM) {
        domAfter = dom.childNodes[offset2];
      } else {
        while (dom.parentNode != this.contentDOM) {
          dom = dom.parentNode;
        }
        domAfter = dom.nextSibling;
      }
      while (domAfter && !((desc$1 = domAfter.pmViewDesc) && desc$1.parent == this)) {
        domAfter = domAfter.nextSibling;
      }
      return domAfter ? this.posBeforeChild(desc$1) : this.posAtEnd;
    }
  }
  var atEnd2;
  if (dom == this.dom && this.contentDOM) {
    atEnd2 = offset2 > domIndex(this.contentDOM);
  } else if (this.contentDOM && this.contentDOM != this.dom && this.dom.contains(this.contentDOM)) {
    atEnd2 = dom.compareDocumentPosition(this.contentDOM) & 2;
  } else if (this.dom.firstChild) {
    if (offset2 == 0) {
      for (var search = dom; ; search = search.parentNode) {
        if (search == this.dom) {
          atEnd2 = false;
          break;
        }
        if (search.parentNode.firstChild != search) {
          break;
        }
      }
    }
    if (atEnd2 == null && offset2 == dom.childNodes.length) {
      for (var search$1 = dom; ; search$1 = search$1.parentNode) {
        if (search$1 == this.dom) {
          atEnd2 = true;
          break;
        }
        if (search$1.parentNode.lastChild != search$1) {
          break;
        }
      }
    }
  }
  return (atEnd2 == null ? bias > 0 : atEnd2) ? this.posAtEnd : this.posAtStart;
};
ViewDesc.prototype.nearestDesc = function nearestDesc(dom, onlyNodes) {
  for (var first = true, cur = dom; cur; cur = cur.parentNode) {
    var desc = this.getDesc(cur);
    if (desc && (!onlyNodes || desc.node)) {
      if (first && desc.nodeDOM && !(desc.nodeDOM.nodeType == 1 ? desc.nodeDOM.contains(dom.nodeType == 1 ? dom : dom.parentNode) : desc.nodeDOM == dom)) {
        first = false;
      } else {
        return desc;
      }
    }
  }
};
ViewDesc.prototype.getDesc = function getDesc(dom) {
  var desc = dom.pmViewDesc;
  for (var cur = desc; cur; cur = cur.parent) {
    if (cur == this) {
      return desc;
    }
  }
};
ViewDesc.prototype.posFromDOM = function posFromDOM(dom, offset2, bias) {
  for (var scan = dom; scan; scan = scan.parentNode) {
    var desc = this.getDesc(scan);
    if (desc) {
      return desc.localPosFromDOM(dom, offset2, bias);
    }
  }
  return -1;
};
ViewDesc.prototype.descAt = function descAt(pos) {
  for (var i = 0, offset2 = 0; i < this.children.length; i++) {
    var child3 = this.children[i], end2 = offset2 + child3.size;
    if (offset2 == pos && end2 != offset2) {
      while (!child3.border && child3.children.length) {
        child3 = child3.children[0];
      }
      return child3;
    }
    if (pos < end2) {
      return child3.descAt(pos - offset2 - child3.border);
    }
    offset2 = end2;
  }
};
ViewDesc.prototype.domFromPos = function domFromPos(pos, side) {
  if (!this.contentDOM) {
    return { node: this.dom, offset: 0 };
  }
  var i = 0, offset2 = 0;
  for (var curPos = 0; i < this.children.length; i++) {
    var child3 = this.children[i], end2 = curPos + child3.size;
    if (end2 > pos || child3 instanceof TrailingHackViewDesc) {
      offset2 = pos - curPos;
      break;
    }
    curPos = end2;
  }
  if (offset2) {
    return this.children[i].domFromPos(offset2 - this.children[i].border, side);
  }
  for (var prev = void 0; i && !(prev = this.children[i - 1]).size && prev instanceof WidgetViewDesc && prev.widget.type.side >= 0; i--) {
  }
  if (side <= 0) {
    var prev$1, enter2 = true;
    for (; ; i--, enter2 = false) {
      prev$1 = i ? this.children[i - 1] : null;
      if (!prev$1 || prev$1.dom.parentNode == this.contentDOM) {
        break;
      }
    }
    if (prev$1 && side && enter2 && !prev$1.border && !prev$1.domAtom) {
      return prev$1.domFromPos(prev$1.size, side);
    }
    return { node: this.contentDOM, offset: prev$1 ? domIndex(prev$1.dom) + 1 : 0 };
  } else {
    var next, enter$1 = true;
    for (; ; i++, enter$1 = false) {
      next = i < this.children.length ? this.children[i] : null;
      if (!next || next.dom.parentNode == this.contentDOM) {
        break;
      }
    }
    if (next && enter$1 && !next.border && !next.domAtom) {
      return next.domFromPos(0, side);
    }
    return { node: this.contentDOM, offset: next ? domIndex(next.dom) : this.contentDOM.childNodes.length };
  }
};
ViewDesc.prototype.parseRange = function parseRange(from3, to, base2) {
  if (base2 === void 0)
    base2 = 0;
  if (this.children.length == 0) {
    return { node: this.contentDOM, from: from3, to, fromOffset: 0, toOffset: this.contentDOM.childNodes.length };
  }
  var fromOffset = -1, toOffset = -1;
  for (var offset2 = base2, i = 0; ; i++) {
    var child3 = this.children[i], end2 = offset2 + child3.size;
    if (fromOffset == -1 && from3 <= end2) {
      var childBase = offset2 + child3.border;
      if (from3 >= childBase && to <= end2 - child3.border && child3.node && child3.contentDOM && this.contentDOM.contains(child3.contentDOM)) {
        return child3.parseRange(from3, to, childBase);
      }
      from3 = offset2;
      for (var j = i; j > 0; j--) {
        var prev = this.children[j - 1];
        if (prev.size && prev.dom.parentNode == this.contentDOM && !prev.emptyChildAt(1)) {
          fromOffset = domIndex(prev.dom) + 1;
          break;
        }
        from3 -= prev.size;
      }
      if (fromOffset == -1) {
        fromOffset = 0;
      }
    }
    if (fromOffset > -1 && (end2 > to || i == this.children.length - 1)) {
      to = end2;
      for (var j$1 = i + 1; j$1 < this.children.length; j$1++) {
        var next = this.children[j$1];
        if (next.size && next.dom.parentNode == this.contentDOM && !next.emptyChildAt(-1)) {
          toOffset = domIndex(next.dom);
          break;
        }
        to += next.size;
      }
      if (toOffset == -1) {
        toOffset = this.contentDOM.childNodes.length;
      }
      break;
    }
    offset2 = end2;
  }
  return { node: this.contentDOM, from: from3, to, fromOffset, toOffset };
};
ViewDesc.prototype.emptyChildAt = function emptyChildAt(side) {
  if (this.border || !this.contentDOM || !this.children.length) {
    return false;
  }
  var child3 = this.children[side < 0 ? 0 : this.children.length - 1];
  return child3.size == 0 || child3.emptyChildAt(side);
};
ViewDesc.prototype.domAfterPos = function domAfterPos(pos) {
  var ref2 = this.domFromPos(pos, 0);
  var node3 = ref2.node;
  var offset2 = ref2.offset;
  if (node3.nodeType != 1 || offset2 == node3.childNodes.length) {
    throw new RangeError("No node after pos " + pos);
  }
  return node3.childNodes[offset2];
};
ViewDesc.prototype.setSelection = function setSelection(anchor, head, root, force) {
  var from3 = Math.min(anchor, head), to = Math.max(anchor, head);
  for (var i = 0, offset2 = 0; i < this.children.length; i++) {
    var child3 = this.children[i], end2 = offset2 + child3.size;
    if (from3 > offset2 && to < end2) {
      return child3.setSelection(anchor - offset2 - child3.border, head - offset2 - child3.border, root, force);
    }
    offset2 = end2;
  }
  var anchorDOM = this.domFromPos(anchor, anchor ? -1 : 1);
  var headDOM = head == anchor ? anchorDOM : this.domFromPos(head, head ? -1 : 1);
  var domSel = root.getSelection();
  var brKludge = false;
  if ((result.gecko || result.safari) && anchor == head) {
    var node3 = anchorDOM.node;
    var offset$1 = anchorDOM.offset;
    if (node3.nodeType == 3) {
      brKludge = offset$1 && node3.nodeValue[offset$1 - 1] == "\n";
      if (brKludge && offset$1 == node3.nodeValue.length) {
        for (var scan = node3, after2 = void 0; scan; scan = scan.parentNode) {
          if (after2 = scan.nextSibling) {
            if (after2.nodeName == "BR") {
              anchorDOM = headDOM = { node: after2.parentNode, offset: domIndex(after2) + 1 };
            }
            break;
          }
          var desc = scan.pmViewDesc;
          if (desc && desc.node && desc.node.isBlock) {
            break;
          }
        }
      }
    } else {
      var prev = node3.childNodes[offset$1 - 1];
      brKludge = prev && (prev.nodeName == "BR" || prev.contentEditable == "false");
    }
  }
  if (result.gecko && domSel.focusNode && domSel.focusNode != headDOM.node && domSel.focusNode.nodeType == 1) {
    var after$1 = domSel.focusNode.childNodes[domSel.focusOffset];
    if (after$1 && after$1.contentEditable == "false") {
      force = true;
    }
  }
  if (!(force || brKludge && result.safari) && isEquivalentPosition(anchorDOM.node, anchorDOM.offset, domSel.anchorNode, domSel.anchorOffset) && isEquivalentPosition(headDOM.node, headDOM.offset, domSel.focusNode, domSel.focusOffset)) {
    return;
  }
  var domSelExtended = false;
  if ((domSel.extend || anchor == head) && !brKludge) {
    domSel.collapse(anchorDOM.node, anchorDOM.offset);
    try {
      if (anchor != head) {
        domSel.extend(headDOM.node, headDOM.offset);
      }
      domSelExtended = true;
    } catch (err2) {
      if (!(err2 instanceof DOMException)) {
        throw err2;
      }
    }
  }
  if (!domSelExtended) {
    if (anchor > head) {
      var tmp = anchorDOM;
      anchorDOM = headDOM;
      headDOM = tmp;
    }
    var range = document.createRange();
    range.setEnd(headDOM.node, headDOM.offset);
    range.setStart(anchorDOM.node, anchorDOM.offset);
    domSel.removeAllRanges();
    domSel.addRange(range);
  }
};
ViewDesc.prototype.ignoreMutation = function ignoreMutation(mutation) {
  return !this.contentDOM && mutation.type != "selection";
};
prototypeAccessors.contentLost.get = function() {
  return this.contentDOM && this.contentDOM != this.dom && !this.dom.contains(this.contentDOM);
};
ViewDesc.prototype.markDirty = function markDirty(from3, to) {
  for (var offset2 = 0, i = 0; i < this.children.length; i++) {
    var child3 = this.children[i], end2 = offset2 + child3.size;
    if (offset2 == end2 ? from3 <= end2 && to >= offset2 : from3 < end2 && to > offset2) {
      var startInside = offset2 + child3.border, endInside = end2 - child3.border;
      if (from3 >= startInside && to <= endInside) {
        this.dirty = from3 == offset2 || to == end2 ? CONTENT_DIRTY : CHILD_DIRTY;
        if (from3 == startInside && to == endInside && (child3.contentLost || child3.dom.parentNode != this.contentDOM)) {
          child3.dirty = NODE_DIRTY;
        } else {
          child3.markDirty(from3 - startInside, to - startInside);
        }
        return;
      } else {
        child3.dirty = child3.dom == child3.contentDOM && child3.dom.parentNode == this.contentDOM ? CONTENT_DIRTY : NODE_DIRTY;
      }
    }
    offset2 = end2;
  }
  this.dirty = CONTENT_DIRTY;
};
ViewDesc.prototype.markParentsDirty = function markParentsDirty() {
  var level = 1;
  for (var node3 = this.parent; node3; node3 = node3.parent, level++) {
    var dirty = level == 1 ? CONTENT_DIRTY : CHILD_DIRTY;
    if (node3.dirty < dirty) {
      node3.dirty = dirty;
    }
  }
};
prototypeAccessors.domAtom.get = function() {
  return false;
};
prototypeAccessors.ignoreForCoords.get = function() {
  return false;
};
Object.defineProperties(ViewDesc.prototype, prototypeAccessors);
var nothing = [];
var WidgetViewDesc = /* @__PURE__ */ function(ViewDesc3) {
  function WidgetViewDesc2(parent, widget2, view, pos) {
    var self, dom = widget2.type.toDOM;
    if (typeof dom == "function") {
      dom = dom(view, function() {
        if (!self) {
          return pos;
        }
        if (self.parent) {
          return self.parent.posBeforeChild(self);
        }
      });
    }
    if (!widget2.type.spec.raw) {
      if (dom.nodeType != 1) {
        var wrap = document.createElement("span");
        wrap.appendChild(dom);
        dom = wrap;
      }
      dom.contentEditable = false;
      dom.classList.add("ProseMirror-widget");
    }
    ViewDesc3.call(this, parent, nothing, dom, null);
    this.widget = widget2;
    self = this;
  }
  if (ViewDesc3)
    WidgetViewDesc2.__proto__ = ViewDesc3;
  WidgetViewDesc2.prototype = Object.create(ViewDesc3 && ViewDesc3.prototype);
  WidgetViewDesc2.prototype.constructor = WidgetViewDesc2;
  var prototypeAccessors$12 = { domAtom: { configurable: true } };
  WidgetViewDesc2.prototype.matchesWidget = function matchesWidget2(widget2) {
    return this.dirty == NOT_DIRTY && widget2.type.eq(this.widget.type);
  };
  WidgetViewDesc2.prototype.parseRule = function parseRule2() {
    return { ignore: true };
  };
  WidgetViewDesc2.prototype.stopEvent = function stopEvent2(event) {
    var stop2 = this.widget.spec.stopEvent;
    return stop2 ? stop2(event) : false;
  };
  WidgetViewDesc2.prototype.ignoreMutation = function ignoreMutation2(mutation) {
    return mutation.type != "selection" || this.widget.spec.ignoreSelection;
  };
  prototypeAccessors$12.domAtom.get = function() {
    return true;
  };
  Object.defineProperties(WidgetViewDesc2.prototype, prototypeAccessors$12);
  return WidgetViewDesc2;
}(ViewDesc);
var CompositionViewDesc = /* @__PURE__ */ function(ViewDesc3) {
  function CompositionViewDesc2(parent, dom, textDOM, text) {
    ViewDesc3.call(this, parent, nothing, dom, null);
    this.textDOM = textDOM;
    this.text = text;
  }
  if (ViewDesc3)
    CompositionViewDesc2.__proto__ = ViewDesc3;
  CompositionViewDesc2.prototype = Object.create(ViewDesc3 && ViewDesc3.prototype);
  CompositionViewDesc2.prototype.constructor = CompositionViewDesc2;
  var prototypeAccessors$22 = { size: { configurable: true } };
  prototypeAccessors$22.size.get = function() {
    return this.text.length;
  };
  CompositionViewDesc2.prototype.localPosFromDOM = function localPosFromDOM2(dom, offset2) {
    if (dom != this.textDOM) {
      return this.posAtStart + (offset2 ? this.size : 0);
    }
    return this.posAtStart + offset2;
  };
  CompositionViewDesc2.prototype.domFromPos = function domFromPos2(pos) {
    return { node: this.textDOM, offset: pos };
  };
  CompositionViewDesc2.prototype.ignoreMutation = function ignoreMutation2(mut) {
    return mut.type === "characterData" && mut.target.nodeValue == mut.oldValue;
  };
  Object.defineProperties(CompositionViewDesc2.prototype, prototypeAccessors$22);
  return CompositionViewDesc2;
}(ViewDesc);
var MarkViewDesc = /* @__PURE__ */ function(ViewDesc3) {
  function MarkViewDesc2(parent, mark2, dom, contentDOM) {
    ViewDesc3.call(this, parent, [], dom, contentDOM);
    this.mark = mark2;
  }
  if (ViewDesc3)
    MarkViewDesc2.__proto__ = ViewDesc3;
  MarkViewDesc2.prototype = Object.create(ViewDesc3 && ViewDesc3.prototype);
  MarkViewDesc2.prototype.constructor = MarkViewDesc2;
  MarkViewDesc2.create = function create5(parent, mark2, inline2, view) {
    var custom = view.nodeViews[mark2.type.name];
    var spec = custom && custom(mark2, view, inline2);
    if (!spec || !spec.dom) {
      spec = DOMSerializer.renderSpec(document, mark2.type.spec.toDOM(mark2, inline2));
    }
    return new MarkViewDesc2(parent, mark2, spec.dom, spec.contentDOM || spec.dom);
  };
  MarkViewDesc2.prototype.parseRule = function parseRule2() {
    return { mark: this.mark.type.name, attrs: this.mark.attrs, contentElement: this.contentDOM };
  };
  MarkViewDesc2.prototype.matchesMark = function matchesMark2(mark2) {
    return this.dirty != NODE_DIRTY && this.mark.eq(mark2);
  };
  MarkViewDesc2.prototype.markDirty = function markDirty2(from3, to) {
    ViewDesc3.prototype.markDirty.call(this, from3, to);
    if (this.dirty != NOT_DIRTY) {
      var parent = this.parent;
      while (!parent.node) {
        parent = parent.parent;
      }
      if (parent.dirty < this.dirty) {
        parent.dirty = this.dirty;
      }
      this.dirty = NOT_DIRTY;
    }
  };
  MarkViewDesc2.prototype.slice = function slice3(from3, to, view) {
    var copy5 = MarkViewDesc2.create(this.parent, this.mark, true, view);
    var nodes = this.children, size = this.size;
    if (to < size) {
      nodes = replaceNodes(nodes, to, size, view);
    }
    if (from3 > 0) {
      nodes = replaceNodes(nodes, 0, from3, view);
    }
    for (var i = 0; i < nodes.length; i++) {
      nodes[i].parent = copy5;
    }
    copy5.children = nodes;
    return copy5;
  };
  return MarkViewDesc2;
}(ViewDesc);
var NodeViewDesc = /* @__PURE__ */ function(ViewDesc3) {
  function NodeViewDesc2(parent, node3, outerDeco, innerDeco, dom, contentDOM, nodeDOM2, view, pos) {
    ViewDesc3.call(this, parent, node3.isLeaf ? nothing : [], dom, contentDOM);
    this.nodeDOM = nodeDOM2;
    this.node = node3;
    this.outerDeco = outerDeco;
    this.innerDeco = innerDeco;
    if (contentDOM) {
      this.updateChildren(view, pos);
    }
  }
  if (ViewDesc3)
    NodeViewDesc2.__proto__ = ViewDesc3;
  NodeViewDesc2.prototype = Object.create(ViewDesc3 && ViewDesc3.prototype);
  NodeViewDesc2.prototype.constructor = NodeViewDesc2;
  var prototypeAccessors$32 = { size: { configurable: true }, border: { configurable: true }, domAtom: { configurable: true } };
  NodeViewDesc2.create = function create5(parent, node3, outerDeco, innerDeco, view, pos) {
    var assign;
    var custom = view.nodeViews[node3.type.name], descObj;
    var spec = custom && custom(node3, view, function() {
      if (!descObj) {
        return pos;
      }
      if (descObj.parent) {
        return descObj.parent.posBeforeChild(descObj);
      }
    }, outerDeco, innerDeco);
    var dom = spec && spec.dom, contentDOM = spec && spec.contentDOM;
    if (node3.isText) {
      if (!dom) {
        dom = document.createTextNode(node3.text);
      } else if (dom.nodeType != 3) {
        throw new RangeError("Text must be rendered as a DOM text node");
      }
    } else if (!dom) {
      assign = DOMSerializer.renderSpec(document, node3.type.spec.toDOM(node3)), dom = assign.dom, contentDOM = assign.contentDOM;
    }
    if (!contentDOM && !node3.isText && dom.nodeName != "BR") {
      if (!dom.hasAttribute("contenteditable")) {
        dom.contentEditable = false;
      }
      if (node3.type.spec.draggable) {
        dom.draggable = true;
      }
    }
    var nodeDOM2 = dom;
    dom = applyOuterDeco(dom, outerDeco, node3);
    if (spec) {
      return descObj = new CustomNodeViewDesc(parent, node3, outerDeco, innerDeco, dom, contentDOM, nodeDOM2, spec, view, pos + 1);
    } else if (node3.isText) {
      return new TextViewDesc(parent, node3, outerDeco, innerDeco, dom, nodeDOM2, view);
    } else {
      return new NodeViewDesc2(parent, node3, outerDeco, innerDeco, dom, contentDOM, nodeDOM2, view, pos + 1);
    }
  };
  NodeViewDesc2.prototype.parseRule = function parseRule2() {
    var this$1$1 = this;
    if (this.node.type.spec.reparseInView) {
      return null;
    }
    var rule = { node: this.node.type.name, attrs: this.node.attrs };
    if (this.node.type.spec.code) {
      rule.preserveWhitespace = "full";
    }
    if (this.contentDOM && !this.contentLost) {
      rule.contentElement = this.contentDOM;
    } else {
      rule.getContent = function() {
        return this$1$1.contentDOM ? Fragment.empty : this$1$1.node.content;
      };
    }
    return rule;
  };
  NodeViewDesc2.prototype.matchesNode = function matchesNode2(node3, outerDeco, innerDeco) {
    return this.dirty == NOT_DIRTY && node3.eq(this.node) && sameOuterDeco(outerDeco, this.outerDeco) && innerDeco.eq(this.innerDeco);
  };
  prototypeAccessors$32.size.get = function() {
    return this.node.nodeSize;
  };
  prototypeAccessors$32.border.get = function() {
    return this.node.isLeaf ? 0 : 1;
  };
  NodeViewDesc2.prototype.updateChildren = function updateChildren(view, pos) {
    var this$1$1 = this;
    var inline2 = this.node.inlineContent, off = pos;
    var composition = view.composing && this.localCompositionInfo(view, pos);
    var localComposition = composition && composition.pos > -1 ? composition : null;
    var compositionInChild = composition && composition.pos < 0;
    var updater = new ViewTreeUpdater(this, localComposition && localComposition.node);
    iterDeco(this.node, this.innerDeco, function(widget2, i, insideNode) {
      if (widget2.spec.marks) {
        updater.syncToMarks(widget2.spec.marks, inline2, view);
      } else if (widget2.type.side >= 0 && !insideNode) {
        updater.syncToMarks(i == this$1$1.node.childCount ? Mark.none : this$1$1.node.child(i).marks, inline2, view);
      }
      updater.placeWidget(widget2, view, off);
    }, function(child3, outerDeco, innerDeco, i) {
      updater.syncToMarks(child3.marks, inline2, view);
      var compIndex;
      if (updater.findNodeMatch(child3, outerDeco, innerDeco, i))
        ;
      else if (compositionInChild && view.state.selection.from > off && view.state.selection.to < off + child3.nodeSize && (compIndex = updater.findIndexWithChild(composition.node)) > -1 && updater.updateNodeAt(child3, outerDeco, innerDeco, compIndex, view))
        ;
      else if (updater.updateNextNode(child3, outerDeco, innerDeco, view, i))
        ;
      else {
        updater.addNode(child3, outerDeco, innerDeco, view, off);
      }
      off += child3.nodeSize;
    });
    updater.syncToMarks(nothing, inline2, view);
    if (this.node.isTextblock) {
      updater.addTextblockHacks();
    }
    updater.destroyRest();
    if (updater.changed || this.dirty == CONTENT_DIRTY) {
      if (localComposition) {
        this.protectLocalComposition(view, localComposition);
      }
      renderDescs(this.contentDOM, this.children, view);
      if (result.ios) {
        iosHacks(this.dom);
      }
    }
  };
  NodeViewDesc2.prototype.localCompositionInfo = function localCompositionInfo(view, pos) {
    var ref2 = view.state.selection;
    var from3 = ref2.from;
    var to = ref2.to;
    if (!(view.state.selection instanceof TextSelection) || from3 < pos || to > pos + this.node.content.size) {
      return;
    }
    var sel = view.root.getSelection();
    var textNode = nearbyTextNode(sel.focusNode, sel.focusOffset);
    if (!textNode || !this.dom.contains(textNode.parentNode)) {
      return;
    }
    if (this.node.inlineContent) {
      var text = textNode.nodeValue;
      var textPos = findTextInFragment(this.node.content, text, from3 - pos, to - pos);
      return textPos < 0 ? null : { node: textNode, pos: textPos, text };
    } else {
      return { node: textNode, pos: -1 };
    }
  };
  NodeViewDesc2.prototype.protectLocalComposition = function protectLocalComposition(view, ref2) {
    var node3 = ref2.node;
    var pos = ref2.pos;
    var text = ref2.text;
    if (this.getDesc(node3)) {
      return;
    }
    var topNode = node3;
    for (; ; topNode = topNode.parentNode) {
      if (topNode.parentNode == this.contentDOM) {
        break;
      }
      while (topNode.previousSibling) {
        topNode.parentNode.removeChild(topNode.previousSibling);
      }
      while (topNode.nextSibling) {
        topNode.parentNode.removeChild(topNode.nextSibling);
      }
      if (topNode.pmViewDesc) {
        topNode.pmViewDesc = null;
      }
    }
    var desc = new CompositionViewDesc(this, topNode, node3, text);
    view.compositionNodes.push(desc);
    this.children = replaceNodes(this.children, pos, pos + text.length, view, desc);
  };
  NodeViewDesc2.prototype.update = function update3(node3, outerDeco, innerDeco, view) {
    if (this.dirty == NODE_DIRTY || !node3.sameMarkup(this.node)) {
      return false;
    }
    this.updateInner(node3, outerDeco, innerDeco, view);
    return true;
  };
  NodeViewDesc2.prototype.updateInner = function updateInner(node3, outerDeco, innerDeco, view) {
    this.updateOuterDeco(outerDeco);
    this.node = node3;
    this.innerDeco = innerDeco;
    if (this.contentDOM) {
      this.updateChildren(view, this.posAtStart);
    }
    this.dirty = NOT_DIRTY;
  };
  NodeViewDesc2.prototype.updateOuterDeco = function updateOuterDeco(outerDeco) {
    if (sameOuterDeco(outerDeco, this.outerDeco)) {
      return;
    }
    var needsWrap = this.nodeDOM.nodeType != 1;
    var oldDOM = this.dom;
    this.dom = patchOuterDeco(this.dom, this.nodeDOM, computeOuterDeco(this.outerDeco, this.node, needsWrap), computeOuterDeco(outerDeco, this.node, needsWrap));
    if (this.dom != oldDOM) {
      oldDOM.pmViewDesc = null;
      this.dom.pmViewDesc = this;
    }
    this.outerDeco = outerDeco;
  };
  NodeViewDesc2.prototype.selectNode = function selectNode() {
    this.nodeDOM.classList.add("ProseMirror-selectednode");
    if (this.contentDOM || !this.node.type.spec.draggable) {
      this.dom.draggable = true;
    }
  };
  NodeViewDesc2.prototype.deselectNode = function deselectNode() {
    this.nodeDOM.classList.remove("ProseMirror-selectednode");
    if (this.contentDOM || !this.node.type.spec.draggable) {
      this.dom.removeAttribute("draggable");
    }
  };
  prototypeAccessors$32.domAtom.get = function() {
    return this.node.isAtom;
  };
  Object.defineProperties(NodeViewDesc2.prototype, prototypeAccessors$32);
  return NodeViewDesc2;
}(ViewDesc);
function docViewDesc(doc2, outerDeco, innerDeco, dom, view) {
  applyOuterDeco(dom, outerDeco, doc2);
  return new NodeViewDesc(null, doc2, outerDeco, innerDeco, dom, dom, dom, view, 0);
}
var TextViewDesc = /* @__PURE__ */ function(NodeViewDesc2) {
  function TextViewDesc2(parent, node3, outerDeco, innerDeco, dom, nodeDOM2, view) {
    NodeViewDesc2.call(this, parent, node3, outerDeco, innerDeco, dom, null, nodeDOM2, view);
  }
  if (NodeViewDesc2)
    TextViewDesc2.__proto__ = NodeViewDesc2;
  TextViewDesc2.prototype = Object.create(NodeViewDesc2 && NodeViewDesc2.prototype);
  TextViewDesc2.prototype.constructor = TextViewDesc2;
  var prototypeAccessors$42 = { domAtom: { configurable: true } };
  TextViewDesc2.prototype.parseRule = function parseRule2() {
    var skip = this.nodeDOM.parentNode;
    while (skip && skip != this.dom && !skip.pmIsDeco) {
      skip = skip.parentNode;
    }
    return { skip: skip || true };
  };
  TextViewDesc2.prototype.update = function update3(node3, outerDeco, _, view) {
    if (this.dirty == NODE_DIRTY || this.dirty != NOT_DIRTY && !this.inParent() || !node3.sameMarkup(this.node)) {
      return false;
    }
    this.updateOuterDeco(outerDeco);
    if ((this.dirty != NOT_DIRTY || node3.text != this.node.text) && node3.text != this.nodeDOM.nodeValue) {
      this.nodeDOM.nodeValue = node3.text;
      if (view.trackWrites == this.nodeDOM) {
        view.trackWrites = null;
      }
    }
    this.node = node3;
    this.dirty = NOT_DIRTY;
    return true;
  };
  TextViewDesc2.prototype.inParent = function inParent() {
    var parentDOM = this.parent.contentDOM;
    for (var n = this.nodeDOM; n; n = n.parentNode) {
      if (n == parentDOM) {
        return true;
      }
    }
    return false;
  };
  TextViewDesc2.prototype.domFromPos = function domFromPos2(pos) {
    return { node: this.nodeDOM, offset: pos };
  };
  TextViewDesc2.prototype.localPosFromDOM = function localPosFromDOM2(dom, offset2, bias) {
    if (dom == this.nodeDOM) {
      return this.posAtStart + Math.min(offset2, this.node.text.length);
    }
    return NodeViewDesc2.prototype.localPosFromDOM.call(this, dom, offset2, bias);
  };
  TextViewDesc2.prototype.ignoreMutation = function ignoreMutation2(mutation) {
    return mutation.type != "characterData" && mutation.type != "selection";
  };
  TextViewDesc2.prototype.slice = function slice3(from3, to, view) {
    var node3 = this.node.cut(from3, to), dom = document.createTextNode(node3.text);
    return new TextViewDesc2(this.parent, node3, this.outerDeco, this.innerDeco, dom, dom, view);
  };
  TextViewDesc2.prototype.markDirty = function markDirty2(from3, to) {
    NodeViewDesc2.prototype.markDirty.call(this, from3, to);
    if (this.dom != this.nodeDOM && (from3 == 0 || to == this.nodeDOM.nodeValue.length)) {
      this.dirty = NODE_DIRTY;
    }
  };
  prototypeAccessors$42.domAtom.get = function() {
    return false;
  };
  Object.defineProperties(TextViewDesc2.prototype, prototypeAccessors$42);
  return TextViewDesc2;
}(NodeViewDesc);
var TrailingHackViewDesc = /* @__PURE__ */ function(ViewDesc3) {
  function TrailingHackViewDesc2() {
    ViewDesc3.apply(this, arguments);
  }
  if (ViewDesc3)
    TrailingHackViewDesc2.__proto__ = ViewDesc3;
  TrailingHackViewDesc2.prototype = Object.create(ViewDesc3 && ViewDesc3.prototype);
  TrailingHackViewDesc2.prototype.constructor = TrailingHackViewDesc2;
  var prototypeAccessors$52 = { domAtom: { configurable: true }, ignoreForCoords: { configurable: true } };
  TrailingHackViewDesc2.prototype.parseRule = function parseRule2() {
    return { ignore: true };
  };
  TrailingHackViewDesc2.prototype.matchesHack = function matchesHack2(nodeName) {
    return this.dirty == NOT_DIRTY && this.dom.nodeName == nodeName;
  };
  prototypeAccessors$52.domAtom.get = function() {
    return true;
  };
  prototypeAccessors$52.ignoreForCoords.get = function() {
    return this.dom.nodeName == "IMG";
  };
  Object.defineProperties(TrailingHackViewDesc2.prototype, prototypeAccessors$52);
  return TrailingHackViewDesc2;
}(ViewDesc);
var CustomNodeViewDesc = /* @__PURE__ */ function(NodeViewDesc2) {
  function CustomNodeViewDesc2(parent, node3, outerDeco, innerDeco, dom, contentDOM, nodeDOM2, spec, view, pos) {
    NodeViewDesc2.call(this, parent, node3, outerDeco, innerDeco, dom, contentDOM, nodeDOM2, view, pos);
    this.spec = spec;
  }
  if (NodeViewDesc2)
    CustomNodeViewDesc2.__proto__ = NodeViewDesc2;
  CustomNodeViewDesc2.prototype = Object.create(NodeViewDesc2 && NodeViewDesc2.prototype);
  CustomNodeViewDesc2.prototype.constructor = CustomNodeViewDesc2;
  CustomNodeViewDesc2.prototype.update = function update3(node3, outerDeco, innerDeco, view) {
    if (this.dirty == NODE_DIRTY) {
      return false;
    }
    if (this.spec.update) {
      var result2 = this.spec.update(node3, outerDeco, innerDeco);
      if (result2) {
        this.updateInner(node3, outerDeco, innerDeco, view);
      }
      return result2;
    } else if (!this.contentDOM && !node3.isLeaf) {
      return false;
    } else {
      return NodeViewDesc2.prototype.update.call(this, node3, outerDeco, innerDeco, view);
    }
  };
  CustomNodeViewDesc2.prototype.selectNode = function selectNode() {
    this.spec.selectNode ? this.spec.selectNode() : NodeViewDesc2.prototype.selectNode.call(this);
  };
  CustomNodeViewDesc2.prototype.deselectNode = function deselectNode() {
    this.spec.deselectNode ? this.spec.deselectNode() : NodeViewDesc2.prototype.deselectNode.call(this);
  };
  CustomNodeViewDesc2.prototype.setSelection = function setSelection2(anchor, head, root, force) {
    this.spec.setSelection ? this.spec.setSelection(anchor, head, root) : NodeViewDesc2.prototype.setSelection.call(this, anchor, head, root, force);
  };
  CustomNodeViewDesc2.prototype.destroy = function destroy3() {
    if (this.spec.destroy) {
      this.spec.destroy();
    }
    NodeViewDesc2.prototype.destroy.call(this);
  };
  CustomNodeViewDesc2.prototype.stopEvent = function stopEvent2(event) {
    return this.spec.stopEvent ? this.spec.stopEvent(event) : false;
  };
  CustomNodeViewDesc2.prototype.ignoreMutation = function ignoreMutation2(mutation) {
    return this.spec.ignoreMutation ? this.spec.ignoreMutation(mutation) : NodeViewDesc2.prototype.ignoreMutation.call(this, mutation);
  };
  return CustomNodeViewDesc2;
}(NodeViewDesc);
function renderDescs(parentDOM, descs, view) {
  var dom = parentDOM.firstChild, written = false;
  for (var i = 0; i < descs.length; i++) {
    var desc = descs[i], childDOM = desc.dom;
    if (childDOM.parentNode == parentDOM) {
      while (childDOM != dom) {
        dom = rm(dom);
        written = true;
      }
      dom = dom.nextSibling;
    } else {
      written = true;
      parentDOM.insertBefore(childDOM, dom);
    }
    if (desc instanceof MarkViewDesc) {
      var pos = dom ? dom.previousSibling : parentDOM.lastChild;
      renderDescs(desc.contentDOM, desc.children, view);
      dom = pos ? pos.nextSibling : parentDOM.firstChild;
    }
  }
  while (dom) {
    dom = rm(dom);
    written = true;
  }
  if (written && view.trackWrites == parentDOM) {
    view.trackWrites = null;
  }
}
function OuterDecoLevel(nodeName) {
  if (nodeName) {
    this.nodeName = nodeName;
  }
}
OuterDecoLevel.prototype = Object.create(null);
var noDeco = [new OuterDecoLevel()];
function computeOuterDeco(outerDeco, node3, needsWrap) {
  if (outerDeco.length == 0) {
    return noDeco;
  }
  var top = needsWrap ? noDeco[0] : new OuterDecoLevel(), result2 = [top];
  for (var i = 0; i < outerDeco.length; i++) {
    var attrs = outerDeco[i].type.attrs;
    if (!attrs) {
      continue;
    }
    if (attrs.nodeName) {
      result2.push(top = new OuterDecoLevel(attrs.nodeName));
    }
    for (var name in attrs) {
      var val = attrs[name];
      if (val == null) {
        continue;
      }
      if (needsWrap && result2.length == 1) {
        result2.push(top = new OuterDecoLevel(node3.isInline ? "span" : "div"));
      }
      if (name == "class") {
        top.class = (top.class ? top.class + " " : "") + val;
      } else if (name == "style") {
        top.style = (top.style ? top.style + ";" : "") + val;
      } else if (name != "nodeName") {
        top[name] = val;
      }
    }
  }
  return result2;
}
function patchOuterDeco(outerDOM, nodeDOM2, prevComputed, curComputed) {
  if (prevComputed == noDeco && curComputed == noDeco) {
    return nodeDOM2;
  }
  var curDOM = nodeDOM2;
  for (var i = 0; i < curComputed.length; i++) {
    var deco = curComputed[i], prev = prevComputed[i];
    if (i) {
      var parent = void 0;
      if (prev && prev.nodeName == deco.nodeName && curDOM != outerDOM && (parent = curDOM.parentNode) && parent.tagName.toLowerCase() == deco.nodeName) {
        curDOM = parent;
      } else {
        parent = document.createElement(deco.nodeName);
        parent.pmIsDeco = true;
        parent.appendChild(curDOM);
        prev = noDeco[0];
        curDOM = parent;
      }
    }
    patchAttributes(curDOM, prev || noDeco[0], deco);
  }
  return curDOM;
}
function patchAttributes(dom, prev, cur) {
  for (var name in prev) {
    if (name != "class" && name != "style" && name != "nodeName" && !(name in cur)) {
      dom.removeAttribute(name);
    }
  }
  for (var name$1 in cur) {
    if (name$1 != "class" && name$1 != "style" && name$1 != "nodeName" && cur[name$1] != prev[name$1]) {
      dom.setAttribute(name$1, cur[name$1]);
    }
  }
  if (prev.class != cur.class) {
    var prevList = prev.class ? prev.class.split(" ").filter(Boolean) : nothing;
    var curList = cur.class ? cur.class.split(" ").filter(Boolean) : nothing;
    for (var i = 0; i < prevList.length; i++) {
      if (curList.indexOf(prevList[i]) == -1) {
        dom.classList.remove(prevList[i]);
      }
    }
    for (var i$1 = 0; i$1 < curList.length; i$1++) {
      if (prevList.indexOf(curList[i$1]) == -1) {
        dom.classList.add(curList[i$1]);
      }
    }
  }
  if (prev.style != cur.style) {
    if (prev.style) {
      var prop = /\s*([\w\-\xa1-\uffff]+)\s*:(?:"(?:\\.|[^"])*"|'(?:\\.|[^'])*'|\(.*?\)|[^;])*/g, m;
      while (m = prop.exec(prev.style)) {
        dom.style.removeProperty(m[1]);
      }
    }
    if (cur.style) {
      dom.style.cssText += cur.style;
    }
  }
}
function applyOuterDeco(dom, deco, node3) {
  return patchOuterDeco(dom, dom, noDeco, computeOuterDeco(deco, node3, dom.nodeType != 1));
}
function sameOuterDeco(a, b) {
  if (a.length != b.length) {
    return false;
  }
  for (var i = 0; i < a.length; i++) {
    if (!a[i].type.eq(b[i].type)) {
      return false;
    }
  }
  return true;
}
function rm(dom) {
  var next = dom.nextSibling;
  dom.parentNode.removeChild(dom);
  return next;
}
var ViewTreeUpdater = function ViewTreeUpdater2(top, lockedNode) {
  this.top = top;
  this.lock = lockedNode;
  this.index = 0;
  this.stack = [];
  this.changed = false;
  this.preMatch = preMatch(top.node.content, top.children);
};
ViewTreeUpdater.prototype.destroyBetween = function destroyBetween(start3, end2) {
  if (start3 == end2) {
    return;
  }
  for (var i = start3; i < end2; i++) {
    this.top.children[i].destroy();
  }
  this.top.children.splice(start3, end2 - start3);
  this.changed = true;
};
ViewTreeUpdater.prototype.destroyRest = function destroyRest() {
  this.destroyBetween(this.index, this.top.children.length);
};
ViewTreeUpdater.prototype.syncToMarks = function syncToMarks(marks2, inline2, view) {
  var keep = 0, depth = this.stack.length >> 1;
  var maxKeep = Math.min(depth, marks2.length);
  while (keep < maxKeep && (keep == depth - 1 ? this.top : this.stack[keep + 1 << 1]).matchesMark(marks2[keep]) && marks2[keep].type.spec.spanning !== false) {
    keep++;
  }
  while (keep < depth) {
    this.destroyRest();
    this.top.dirty = NOT_DIRTY;
    this.index = this.stack.pop();
    this.top = this.stack.pop();
    depth--;
  }
  while (depth < marks2.length) {
    this.stack.push(this.top, this.index + 1);
    var found2 = -1;
    for (var i = this.index; i < Math.min(this.index + 3, this.top.children.length); i++) {
      if (this.top.children[i].matchesMark(marks2[depth])) {
        found2 = i;
        break;
      }
    }
    if (found2 > -1) {
      if (found2 > this.index) {
        this.changed = true;
        this.destroyBetween(this.index, found2);
      }
      this.top = this.top.children[this.index];
    } else {
      var markDesc = MarkViewDesc.create(this.top, marks2[depth], inline2, view);
      this.top.children.splice(this.index, 0, markDesc);
      this.top = markDesc;
      this.changed = true;
    }
    this.index = 0;
    depth++;
  }
};
ViewTreeUpdater.prototype.findNodeMatch = function findNodeMatch(node3, outerDeco, innerDeco, index3) {
  var children = this.top.children, found2 = -1;
  if (index3 >= this.preMatch.index) {
    for (var i = this.index; i < children.length; i++) {
      if (children[i].matchesNode(node3, outerDeco, innerDeco)) {
        found2 = i;
        break;
      }
    }
  } else {
    for (var i$1 = this.index, e = Math.min(children.length, i$1 + 1); i$1 < e; i$1++) {
      var child3 = children[i$1];
      if (child3.matchesNode(node3, outerDeco, innerDeco) && !this.preMatch.matched.has(child3)) {
        found2 = i$1;
        break;
      }
    }
  }
  if (found2 < 0) {
    return false;
  }
  this.destroyBetween(this.index, found2);
  this.index++;
  return true;
};
ViewTreeUpdater.prototype.updateNodeAt = function updateNodeAt(node3, outerDeco, innerDeco, index3, view) {
  var child3 = this.top.children[index3];
  if (!child3.update(node3, outerDeco, innerDeco, view)) {
    return false;
  }
  this.destroyBetween(this.index, index3);
  this.index = index3 + 1;
  return true;
};
ViewTreeUpdater.prototype.findIndexWithChild = function findIndexWithChild(domNode) {
  for (; ; ) {
    var parent = domNode.parentNode;
    if (!parent) {
      return -1;
    }
    if (parent == this.top.contentDOM) {
      var desc = domNode.pmViewDesc;
      if (desc) {
        for (var i = this.index; i < this.top.children.length; i++) {
          if (this.top.children[i] == desc) {
            return i;
          }
        }
      }
      return -1;
    }
    domNode = parent;
  }
};
ViewTreeUpdater.prototype.updateNextNode = function updateNextNode(node3, outerDeco, innerDeco, view, index3) {
  for (var i = this.index; i < this.top.children.length; i++) {
    var next = this.top.children[i];
    if (next instanceof NodeViewDesc) {
      var preMatch2 = this.preMatch.matched.get(next);
      if (preMatch2 != null && preMatch2 != index3) {
        return false;
      }
      var nextDOM = next.dom;
      var locked = this.lock && (nextDOM == this.lock || nextDOM.nodeType == 1 && nextDOM.contains(this.lock.parentNode)) && !(node3.isText && next.node && next.node.isText && next.nodeDOM.nodeValue == node3.text && next.dirty != NODE_DIRTY && sameOuterDeco(outerDeco, next.outerDeco));
      if (!locked && next.update(node3, outerDeco, innerDeco, view)) {
        this.destroyBetween(this.index, i);
        if (next.dom != nextDOM) {
          this.changed = true;
        }
        this.index++;
        return true;
      }
      break;
    }
  }
  return false;
};
ViewTreeUpdater.prototype.addNode = function addNode2(node3, outerDeco, innerDeco, view, pos) {
  this.top.children.splice(this.index++, 0, NodeViewDesc.create(this.top, node3, outerDeco, innerDeco, view, pos));
  this.changed = true;
};
ViewTreeUpdater.prototype.placeWidget = function placeWidget(widget2, view, pos) {
  var next = this.index < this.top.children.length ? this.top.children[this.index] : null;
  if (next && next.matchesWidget(widget2) && (widget2 == next.widget || !next.widget.type.toDOM.parentNode)) {
    this.index++;
  } else {
    var desc = new WidgetViewDesc(this.top, widget2, view, pos);
    this.top.children.splice(this.index++, 0, desc);
    this.changed = true;
  }
};
ViewTreeUpdater.prototype.addTextblockHacks = function addTextblockHacks() {
  var lastChild = this.top.children[this.index - 1];
  while (lastChild instanceof MarkViewDesc) {
    lastChild = lastChild.children[lastChild.children.length - 1];
  }
  if (!lastChild || !(lastChild instanceof TextViewDesc) || /\n$/.test(lastChild.node.text)) {
    if ((result.safari || result.chrome) && lastChild && lastChild.dom.contentEditable == "false") {
      this.addHackNode("IMG");
    }
    this.addHackNode("BR");
  }
};
ViewTreeUpdater.prototype.addHackNode = function addHackNode(nodeName) {
  if (this.index < this.top.children.length && this.top.children[this.index].matchesHack(nodeName)) {
    this.index++;
  } else {
    var dom = document.createElement(nodeName);
    if (nodeName == "IMG") {
      dom.className = "ProseMirror-separator";
    }
    if (nodeName == "BR") {
      dom.className = "ProseMirror-trailingBreak";
    }
    this.top.children.splice(this.index++, 0, new TrailingHackViewDesc(this.top, nothing, dom, null));
    this.changed = true;
  }
};
function preMatch(frag, descs) {
  var fI = frag.childCount, dI = descs.length, matched = new Map();
  for (; fI > 0 && dI > 0; dI--) {
    var desc = descs[dI - 1], node3 = desc.node;
    if (!node3) {
      continue;
    }
    if (node3 != frag.child(fI - 1)) {
      break;
    }
    --fI;
    matched.set(desc, fI);
  }
  return { index: fI, matched };
}
function compareSide(a, b) {
  return a.type.side - b.type.side;
}
function iterDeco(parent, deco, onWidget, onNode) {
  var locals3 = deco.locals(parent), offset2 = 0;
  if (locals3.length == 0) {
    for (var i = 0; i < parent.childCount; i++) {
      var child3 = parent.child(i);
      onNode(child3, locals3, deco.forChild(offset2, child3), i);
      offset2 += child3.nodeSize;
    }
    return;
  }
  var decoIndex = 0, active = [], restNode = null;
  for (var parentIndex = 0; ; ) {
    if (decoIndex < locals3.length && locals3[decoIndex].to == offset2) {
      var widget2 = locals3[decoIndex++], widgets = void 0;
      while (decoIndex < locals3.length && locals3[decoIndex].to == offset2) {
        (widgets || (widgets = [widget2])).push(locals3[decoIndex++]);
      }
      if (widgets) {
        widgets.sort(compareSide);
        for (var i$1 = 0; i$1 < widgets.length; i$1++) {
          onWidget(widgets[i$1], parentIndex, !!restNode);
        }
      } else {
        onWidget(widget2, parentIndex, !!restNode);
      }
    }
    var child$1 = void 0, index3 = void 0;
    if (restNode) {
      index3 = -1;
      child$1 = restNode;
      restNode = null;
    } else if (parentIndex < parent.childCount) {
      index3 = parentIndex;
      child$1 = parent.child(parentIndex++);
    } else {
      break;
    }
    for (var i$2 = 0; i$2 < active.length; i$2++) {
      if (active[i$2].to <= offset2) {
        active.splice(i$2--, 1);
      }
    }
    while (decoIndex < locals3.length && locals3[decoIndex].from <= offset2 && locals3[decoIndex].to > offset2) {
      active.push(locals3[decoIndex++]);
    }
    var end2 = offset2 + child$1.nodeSize;
    if (child$1.isText) {
      var cutAt = end2;
      if (decoIndex < locals3.length && locals3[decoIndex].from < cutAt) {
        cutAt = locals3[decoIndex].from;
      }
      for (var i$3 = 0; i$3 < active.length; i$3++) {
        if (active[i$3].to < cutAt) {
          cutAt = active[i$3].to;
        }
      }
      if (cutAt < end2) {
        restNode = child$1.cut(cutAt - offset2);
        child$1 = child$1.cut(0, cutAt - offset2);
        end2 = cutAt;
        index3 = -1;
      }
    }
    var outerDeco = !active.length ? nothing : child$1.isInline && !child$1.isLeaf ? active.filter(function(d) {
      return !d.inline;
    }) : active.slice();
    onNode(child$1, outerDeco, deco.forChild(offset2, child$1), index3);
    offset2 = end2;
  }
}
function iosHacks(dom) {
  if (dom.nodeName == "UL" || dom.nodeName == "OL") {
    var oldCSS = dom.style.cssText;
    dom.style.cssText = oldCSS + "; list-style: square !important";
    window.getComputedStyle(dom).listStyle;
    dom.style.cssText = oldCSS;
  }
}
function nearbyTextNode(node3, offset2) {
  for (; ; ) {
    if (node3.nodeType == 3) {
      return node3;
    }
    if (node3.nodeType == 1 && offset2 > 0) {
      if (node3.childNodes.length > offset2 && node3.childNodes[offset2].nodeType == 3) {
        return node3.childNodes[offset2];
      }
      node3 = node3.childNodes[offset2 - 1];
      offset2 = nodeSize(node3);
    } else if (node3.nodeType == 1 && offset2 < node3.childNodes.length) {
      node3 = node3.childNodes[offset2];
      offset2 = 0;
    } else {
      return null;
    }
  }
}
function findTextInFragment(frag, text, from3, to) {
  for (var i = 0, pos = 0; i < frag.childCount && pos <= to; ) {
    var child3 = frag.child(i++), childStart = pos;
    pos += child3.nodeSize;
    if (!child3.isText) {
      continue;
    }
    var str = child3.text;
    while (i < frag.childCount) {
      var next = frag.child(i++);
      pos += next.nodeSize;
      if (!next.isText) {
        break;
      }
      str += next.text;
    }
    if (pos >= from3) {
      var found2 = str.lastIndexOf(text, to - childStart);
      if (found2 >= 0 && found2 + text.length + childStart >= from3) {
        return childStart + found2;
      }
    }
  }
  return -1;
}
function replaceNodes(nodes, from3, to, view, replacement) {
  var result2 = [];
  for (var i = 0, off = 0; i < nodes.length; i++) {
    var child3 = nodes[i], start3 = off, end2 = off += child3.size;
    if (start3 >= to || end2 <= from3) {
      result2.push(child3);
    } else {
      if (start3 < from3) {
        result2.push(child3.slice(0, from3 - start3, view));
      }
      if (replacement) {
        result2.push(replacement);
        replacement = null;
      }
      if (end2 > to) {
        result2.push(child3.slice(to - start3, child3.size, view));
      }
    }
  }
  return result2;
}
function selectionFromDOM(view, origin) {
  var domSel = view.root.getSelection(), doc2 = view.state.doc;
  if (!domSel.focusNode) {
    return null;
  }
  var nearestDesc2 = view.docView.nearestDesc(domSel.focusNode), inWidget = nearestDesc2 && nearestDesc2.size == 0;
  var head = view.docView.posFromDOM(domSel.focusNode, domSel.focusOffset);
  if (head < 0) {
    return null;
  }
  var $head = doc2.resolve(head), $anchor, selection;
  if (selectionCollapsed(domSel)) {
    $anchor = $head;
    while (nearestDesc2 && !nearestDesc2.node) {
      nearestDesc2 = nearestDesc2.parent;
    }
    if (nearestDesc2 && nearestDesc2.node.isAtom && NodeSelection.isSelectable(nearestDesc2.node) && nearestDesc2.parent && !(nearestDesc2.node.isInline && isOnEdge(domSel.focusNode, domSel.focusOffset, nearestDesc2.dom))) {
      var pos = nearestDesc2.posBefore;
      selection = new NodeSelection(head == pos ? $head : doc2.resolve(pos));
    }
  } else {
    var anchor = view.docView.posFromDOM(domSel.anchorNode, domSel.anchorOffset);
    if (anchor < 0) {
      return null;
    }
    $anchor = doc2.resolve(anchor);
  }
  if (!selection) {
    var bias = origin == "pointer" || view.state.selection.head < $head.pos && !inWidget ? 1 : -1;
    selection = selectionBetween(view, $anchor, $head, bias);
  }
  return selection;
}
function editorOwnsSelection(view) {
  return view.editable ? view.hasFocus() : hasSelection(view) && document.activeElement && document.activeElement.contains(view.dom);
}
function selectionToDOM(view, force) {
  var sel = view.state.selection;
  syncNodeSelection(view, sel);
  if (!editorOwnsSelection(view)) {
    return;
  }
  if (!force && view.mouseDown && view.mouseDown.allowDefault) {
    view.mouseDown.delayedSelectionSync = true;
    view.domObserver.setCurSelection();
    return;
  }
  view.domObserver.disconnectSelection();
  if (view.cursorWrapper) {
    selectCursorWrapper(view);
  } else {
    var anchor = sel.anchor;
    var head = sel.head;
    var resetEditableFrom, resetEditableTo;
    if (brokenSelectBetweenUneditable && !(sel instanceof TextSelection)) {
      if (!sel.$from.parent.inlineContent) {
        resetEditableFrom = temporarilyEditableNear(view, sel.from);
      }
      if (!sel.empty && !sel.$from.parent.inlineContent) {
        resetEditableTo = temporarilyEditableNear(view, sel.to);
      }
    }
    view.docView.setSelection(anchor, head, view.root, force);
    if (brokenSelectBetweenUneditable) {
      if (resetEditableFrom) {
        resetEditable(resetEditableFrom);
      }
      if (resetEditableTo) {
        resetEditable(resetEditableTo);
      }
    }
    if (sel.visible) {
      view.dom.classList.remove("ProseMirror-hideselection");
    } else {
      view.dom.classList.add("ProseMirror-hideselection");
      if ("onselectionchange" in document) {
        removeClassOnSelectionChange(view);
      }
    }
  }
  view.domObserver.setCurSelection();
  view.domObserver.connectSelection();
}
var brokenSelectBetweenUneditable = result.safari || result.chrome && result.chrome_version < 63;
function temporarilyEditableNear(view, pos) {
  var ref2 = view.docView.domFromPos(pos, 0);
  var node3 = ref2.node;
  var offset2 = ref2.offset;
  var after2 = offset2 < node3.childNodes.length ? node3.childNodes[offset2] : null;
  var before2 = offset2 ? node3.childNodes[offset2 - 1] : null;
  if (result.safari && after2 && after2.contentEditable == "false") {
    return setEditable(after2);
  }
  if ((!after2 || after2.contentEditable == "false") && (!before2 || before2.contentEditable == "false")) {
    if (after2) {
      return setEditable(after2);
    } else if (before2) {
      return setEditable(before2);
    }
  }
}
function setEditable(element) {
  element.contentEditable = "true";
  if (result.safari && element.draggable) {
    element.draggable = false;
    element.wasDraggable = true;
  }
  return element;
}
function resetEditable(element) {
  element.contentEditable = "false";
  if (element.wasDraggable) {
    element.draggable = true;
    element.wasDraggable = null;
  }
}
function removeClassOnSelectionChange(view) {
  var doc2 = view.dom.ownerDocument;
  doc2.removeEventListener("selectionchange", view.hideSelectionGuard);
  var domSel = view.root.getSelection();
  var node3 = domSel.anchorNode, offset2 = domSel.anchorOffset;
  doc2.addEventListener("selectionchange", view.hideSelectionGuard = function() {
    if (domSel.anchorNode != node3 || domSel.anchorOffset != offset2) {
      doc2.removeEventListener("selectionchange", view.hideSelectionGuard);
      setTimeout(function() {
        if (!editorOwnsSelection(view) || view.state.selection.visible) {
          view.dom.classList.remove("ProseMirror-hideselection");
        }
      }, 20);
    }
  });
}
function selectCursorWrapper(view) {
  var domSel = view.root.getSelection(), range = document.createRange();
  var node3 = view.cursorWrapper.dom, img = node3.nodeName == "IMG";
  if (img) {
    range.setEnd(node3.parentNode, domIndex(node3) + 1);
  } else {
    range.setEnd(node3, 0);
  }
  range.collapse(false);
  domSel.removeAllRanges();
  domSel.addRange(range);
  if (!img && !view.state.selection.visible && result.ie && result.ie_version <= 11) {
    node3.disabled = true;
    node3.disabled = false;
  }
}
function syncNodeSelection(view, sel) {
  if (sel instanceof NodeSelection) {
    var desc = view.docView.descAt(sel.from);
    if (desc != view.lastSelectedViewDesc) {
      clearNodeSelection(view);
      if (desc) {
        desc.selectNode();
      }
      view.lastSelectedViewDesc = desc;
    }
  } else {
    clearNodeSelection(view);
  }
}
function clearNodeSelection(view) {
  if (view.lastSelectedViewDesc) {
    if (view.lastSelectedViewDesc.parent) {
      view.lastSelectedViewDesc.deselectNode();
    }
    view.lastSelectedViewDesc = null;
  }
}
function selectionBetween(view, $anchor, $head, bias) {
  return view.someProp("createSelectionBetween", function(f) {
    return f(view, $anchor, $head);
  }) || TextSelection.between($anchor, $head, bias);
}
function hasFocusAndSelection(view) {
  if (view.editable && view.root.activeElement != view.dom) {
    return false;
  }
  return hasSelection(view);
}
function hasSelection(view) {
  var sel = view.root.getSelection();
  if (!sel.anchorNode) {
    return false;
  }
  try {
    return view.dom.contains(sel.anchorNode.nodeType == 3 ? sel.anchorNode.parentNode : sel.anchorNode) && (view.editable || view.dom.contains(sel.focusNode.nodeType == 3 ? sel.focusNode.parentNode : sel.focusNode));
  } catch (_) {
    return false;
  }
}
function anchorInRightPlace(view) {
  var anchorDOM = view.docView.domFromPos(view.state.selection.anchor, 0);
  var domSel = view.root.getSelection();
  return isEquivalentPosition(anchorDOM.node, anchorDOM.offset, domSel.anchorNode, domSel.anchorOffset);
}
function moveSelectionBlock(state, dir) {
  var ref2 = state.selection;
  var $anchor = ref2.$anchor;
  var $head = ref2.$head;
  var $side = dir > 0 ? $anchor.max($head) : $anchor.min($head);
  var $start = !$side.parent.inlineContent ? $side : $side.depth ? state.doc.resolve(dir > 0 ? $side.after() : $side.before()) : null;
  return $start && Selection.findFrom($start, dir);
}
function apply7(view, sel) {
  view.dispatch(view.state.tr.setSelection(sel).scrollIntoView());
  return true;
}
function selectHorizontally(view, dir, mods) {
  var sel = view.state.selection;
  if (sel instanceof TextSelection) {
    if (!sel.empty || mods.indexOf("s") > -1) {
      return false;
    } else if (view.endOfTextblock(dir > 0 ? "right" : "left")) {
      var next = moveSelectionBlock(view.state, dir);
      if (next && next instanceof NodeSelection) {
        return apply7(view, next);
      }
      return false;
    } else if (!(result.mac && mods.indexOf("m") > -1)) {
      var $head = sel.$head, node3 = $head.textOffset ? null : dir < 0 ? $head.nodeBefore : $head.nodeAfter, desc;
      if (!node3 || node3.isText) {
        return false;
      }
      var nodePos = dir < 0 ? $head.pos - node3.nodeSize : $head.pos;
      if (!(node3.isAtom || (desc = view.docView.descAt(nodePos)) && !desc.contentDOM)) {
        return false;
      }
      if (NodeSelection.isSelectable(node3)) {
        return apply7(view, new NodeSelection(dir < 0 ? view.state.doc.resolve($head.pos - node3.nodeSize) : $head));
      } else if (result.webkit) {
        return apply7(view, new TextSelection(view.state.doc.resolve(dir < 0 ? nodePos : nodePos + node3.nodeSize)));
      } else {
        return false;
      }
    }
  } else if (sel instanceof NodeSelection && sel.node.isInline) {
    return apply7(view, new TextSelection(dir > 0 ? sel.$to : sel.$from));
  } else {
    var next$1 = moveSelectionBlock(view.state, dir);
    if (next$1) {
      return apply7(view, next$1);
    }
    return false;
  }
}
function nodeLen(node3) {
  return node3.nodeType == 3 ? node3.nodeValue.length : node3.childNodes.length;
}
function isIgnorable(dom) {
  var desc = dom.pmViewDesc;
  return desc && desc.size == 0 && (dom.nextSibling || dom.nodeName != "BR");
}
function skipIgnoredNodesLeft(view) {
  var sel = view.root.getSelection();
  var node3 = sel.focusNode, offset2 = sel.focusOffset;
  if (!node3) {
    return;
  }
  var moveNode, moveOffset, force = false;
  if (result.gecko && node3.nodeType == 1 && offset2 < nodeLen(node3) && isIgnorable(node3.childNodes[offset2])) {
    force = true;
  }
  for (; ; ) {
    if (offset2 > 0) {
      if (node3.nodeType != 1) {
        break;
      } else {
        var before2 = node3.childNodes[offset2 - 1];
        if (isIgnorable(before2)) {
          moveNode = node3;
          moveOffset = --offset2;
        } else if (before2.nodeType == 3) {
          node3 = before2;
          offset2 = node3.nodeValue.length;
        } else {
          break;
        }
      }
    } else if (isBlockNode(node3)) {
      break;
    } else {
      var prev = node3.previousSibling;
      while (prev && isIgnorable(prev)) {
        moveNode = node3.parentNode;
        moveOffset = domIndex(prev);
        prev = prev.previousSibling;
      }
      if (!prev) {
        node3 = node3.parentNode;
        if (node3 == view.dom) {
          break;
        }
        offset2 = 0;
      } else {
        node3 = prev;
        offset2 = nodeLen(node3);
      }
    }
  }
  if (force) {
    setSelFocus(view, sel, node3, offset2);
  } else if (moveNode) {
    setSelFocus(view, sel, moveNode, moveOffset);
  }
}
function skipIgnoredNodesRight(view) {
  var sel = view.root.getSelection();
  var node3 = sel.focusNode, offset2 = sel.focusOffset;
  if (!node3) {
    return;
  }
  var len = nodeLen(node3);
  var moveNode, moveOffset;
  for (; ; ) {
    if (offset2 < len) {
      if (node3.nodeType != 1) {
        break;
      }
      var after2 = node3.childNodes[offset2];
      if (isIgnorable(after2)) {
        moveNode = node3;
        moveOffset = ++offset2;
      } else {
        break;
      }
    } else if (isBlockNode(node3)) {
      break;
    } else {
      var next = node3.nextSibling;
      while (next && isIgnorable(next)) {
        moveNode = next.parentNode;
        moveOffset = domIndex(next) + 1;
        next = next.nextSibling;
      }
      if (!next) {
        node3 = node3.parentNode;
        if (node3 == view.dom) {
          break;
        }
        offset2 = len = 0;
      } else {
        node3 = next;
        offset2 = 0;
        len = nodeLen(node3);
      }
    }
  }
  if (moveNode) {
    setSelFocus(view, sel, moveNode, moveOffset);
  }
}
function isBlockNode(dom) {
  var desc = dom.pmViewDesc;
  return desc && desc.node && desc.node.isBlock;
}
function setSelFocus(view, sel, node3, offset2) {
  if (selectionCollapsed(sel)) {
    var range = document.createRange();
    range.setEnd(node3, offset2);
    range.setStart(node3, offset2);
    sel.removeAllRanges();
    sel.addRange(range);
  } else if (sel.extend) {
    sel.extend(node3, offset2);
  }
  view.domObserver.setCurSelection();
  var state = view.state;
  setTimeout(function() {
    if (view.state == state) {
      selectionToDOM(view);
    }
  }, 50);
}
function selectVertically(view, dir, mods) {
  var sel = view.state.selection;
  if (sel instanceof TextSelection && !sel.empty || mods.indexOf("s") > -1) {
    return false;
  }
  if (result.mac && mods.indexOf("m") > -1) {
    return false;
  }
  var $from = sel.$from;
  var $to = sel.$to;
  if (!$from.parent.inlineContent || view.endOfTextblock(dir < 0 ? "up" : "down")) {
    var next = moveSelectionBlock(view.state, dir);
    if (next && next instanceof NodeSelection) {
      return apply7(view, next);
    }
  }
  if (!$from.parent.inlineContent) {
    var side = dir < 0 ? $from : $to;
    var beyond = sel instanceof AllSelection ? Selection.near(side, dir) : Selection.findFrom(side, dir);
    return beyond ? apply7(view, beyond) : false;
  }
  return false;
}
function stopNativeHorizontalDelete(view, dir) {
  if (!(view.state.selection instanceof TextSelection)) {
    return true;
  }
  var ref2 = view.state.selection;
  var $head = ref2.$head;
  var $anchor = ref2.$anchor;
  var empty2 = ref2.empty;
  if (!$head.sameParent($anchor)) {
    return true;
  }
  if (!empty2) {
    return false;
  }
  if (view.endOfTextblock(dir > 0 ? "forward" : "backward")) {
    return true;
  }
  var nextNode = !$head.textOffset && (dir < 0 ? $head.nodeBefore : $head.nodeAfter);
  if (nextNode && !nextNode.isText) {
    var tr = view.state.tr;
    if (dir < 0) {
      tr.delete($head.pos - nextNode.nodeSize, $head.pos);
    } else {
      tr.delete($head.pos, $head.pos + nextNode.nodeSize);
    }
    view.dispatch(tr);
    return true;
  }
  return false;
}
function switchEditable(view, node3, state) {
  view.domObserver.stop();
  node3.contentEditable = state;
  view.domObserver.start();
}
function safariDownArrowBug(view) {
  if (!result.safari || view.state.selection.$head.parentOffset > 0) {
    return;
  }
  var ref2 = view.root.getSelection();
  var focusNode = ref2.focusNode;
  var focusOffset = ref2.focusOffset;
  if (focusNode && focusNode.nodeType == 1 && focusOffset == 0 && focusNode.firstChild && focusNode.firstChild.contentEditable == "false") {
    var child3 = focusNode.firstChild;
    switchEditable(view, child3, true);
    setTimeout(function() {
      return switchEditable(view, child3, false);
    }, 20);
  }
}
function getMods(event) {
  var result2 = "";
  if (event.ctrlKey) {
    result2 += "c";
  }
  if (event.metaKey) {
    result2 += "m";
  }
  if (event.altKey) {
    result2 += "a";
  }
  if (event.shiftKey) {
    result2 += "s";
  }
  return result2;
}
function captureKeyDown(view, event) {
  var code2 = event.keyCode, mods = getMods(event);
  if (code2 == 8 || result.mac && code2 == 72 && mods == "c") {
    return stopNativeHorizontalDelete(view, -1) || skipIgnoredNodesLeft(view);
  } else if (code2 == 46 || result.mac && code2 == 68 && mods == "c") {
    return stopNativeHorizontalDelete(view, 1) || skipIgnoredNodesRight(view);
  } else if (code2 == 13 || code2 == 27) {
    return true;
  } else if (code2 == 37) {
    return selectHorizontally(view, -1, mods) || skipIgnoredNodesLeft(view);
  } else if (code2 == 39) {
    return selectHorizontally(view, 1, mods) || skipIgnoredNodesRight(view);
  } else if (code2 == 38) {
    return selectVertically(view, -1, mods) || skipIgnoredNodesLeft(view);
  } else if (code2 == 40) {
    return safariDownArrowBug(view) || selectVertically(view, 1, mods) || skipIgnoredNodesRight(view);
  } else if (mods == (result.mac ? "m" : "c") && (code2 == 66 || code2 == 73 || code2 == 89 || code2 == 90)) {
    return true;
  }
  return false;
}
function parseBetween(view, from_, to_) {
  var ref2 = view.docView.parseRange(from_, to_);
  var parent = ref2.node;
  var fromOffset = ref2.fromOffset;
  var toOffset = ref2.toOffset;
  var from3 = ref2.from;
  var to = ref2.to;
  var domSel = view.root.getSelection(), find2 = null, anchor = domSel.anchorNode;
  if (anchor && view.dom.contains(anchor.nodeType == 1 ? anchor : anchor.parentNode)) {
    find2 = [{ node: anchor, offset: domSel.anchorOffset }];
    if (!selectionCollapsed(domSel)) {
      find2.push({ node: domSel.focusNode, offset: domSel.focusOffset });
    }
  }
  if (result.chrome && view.lastKeyCode === 8) {
    for (var off = toOffset; off > fromOffset; off--) {
      var node3 = parent.childNodes[off - 1], desc = node3.pmViewDesc;
      if (node3.nodeName == "BR" && !desc) {
        toOffset = off;
        break;
      }
      if (!desc || desc.size) {
        break;
      }
    }
  }
  var startDoc = view.state.doc;
  var parser = view.someProp("domParser") || DOMParser.fromSchema(view.state.schema);
  var $from = startDoc.resolve(from3);
  var sel = null, doc2 = parser.parse(parent, {
    topNode: $from.parent,
    topMatch: $from.parent.contentMatchAt($from.index()),
    topOpen: true,
    from: fromOffset,
    to: toOffset,
    preserveWhitespace: $from.parent.type.spec.code ? "full" : true,
    editableContent: true,
    findPositions: find2,
    ruleFromNode,
    context: $from
  });
  if (find2 && find2[0].pos != null) {
    var anchor$1 = find2[0].pos, head = find2[1] && find2[1].pos;
    if (head == null) {
      head = anchor$1;
    }
    sel = { anchor: anchor$1 + from3, head: head + from3 };
  }
  return { doc: doc2, sel, from: from3, to };
}
function ruleFromNode(dom) {
  var desc = dom.pmViewDesc;
  if (desc) {
    return desc.parseRule();
  } else if (dom.nodeName == "BR" && dom.parentNode) {
    if (result.safari && /^(ul|ol)$/i.test(dom.parentNode.nodeName)) {
      var skip = document.createElement("div");
      skip.appendChild(document.createElement("li"));
      return { skip };
    } else if (dom.parentNode.lastChild == dom || result.safari && /^(tr|table)$/i.test(dom.parentNode.nodeName)) {
      return { ignore: true };
    }
  } else if (dom.nodeName == "IMG" && dom.getAttribute("mark-placeholder")) {
    return { ignore: true };
  }
}
function readDOMChange(view, from3, to, typeOver, addedNodes) {
  if (from3 < 0) {
    var origin = view.lastSelectionTime > Date.now() - 50 ? view.lastSelectionOrigin : null;
    var newSel = selectionFromDOM(view, origin);
    if (newSel && !view.state.selection.eq(newSel)) {
      var tr$1 = view.state.tr.setSelection(newSel);
      if (origin == "pointer") {
        tr$1.setMeta("pointer", true);
      } else if (origin == "key") {
        tr$1.scrollIntoView();
      }
      view.dispatch(tr$1);
    }
    return;
  }
  var $before = view.state.doc.resolve(from3);
  var shared = $before.sharedDepth(to);
  from3 = $before.before(shared + 1);
  to = view.state.doc.resolve(to).after(shared + 1);
  var sel = view.state.selection;
  var parse3 = parseBetween(view, from3, to);
  if (result.chrome && view.cursorWrapper && parse3.sel && parse3.sel.anchor == view.cursorWrapper.deco.from) {
    var text = view.cursorWrapper.deco.type.toDOM.nextSibling;
    var size = text && text.nodeValue ? text.nodeValue.length : 1;
    parse3.sel = { anchor: parse3.sel.anchor + size, head: parse3.sel.anchor + size };
  }
  var doc2 = view.state.doc, compare = doc2.slice(parse3.from, parse3.to);
  var preferredPos, preferredSide;
  if (view.lastKeyCode === 8 && Date.now() - 100 < view.lastKeyCodeTime) {
    preferredPos = view.state.selection.to;
    preferredSide = "end";
  } else {
    preferredPos = view.state.selection.from;
    preferredSide = "start";
  }
  view.lastKeyCode = null;
  var change = findDiff(compare.content, parse3.doc.content, parse3.from, preferredPos, preferredSide);
  if (!change) {
    if (typeOver && sel instanceof TextSelection && !sel.empty && sel.$head.sameParent(sel.$anchor) && !view.composing && !(parse3.sel && parse3.sel.anchor != parse3.sel.head)) {
      change = { start: sel.from, endA: sel.to, endB: sel.to };
    } else if ((result.ios && view.lastIOSEnter > Date.now() - 225 || result.android) && addedNodes.some(function(n) {
      return n.nodeName == "DIV" || n.nodeName == "P";
    }) && view.someProp("handleKeyDown", function(f) {
      return f(view, keyEvent(13, "Enter"));
    })) {
      view.lastIOSEnter = 0;
      return;
    } else {
      if (parse3.sel) {
        var sel$1 = resolveSelection(view, view.state.doc, parse3.sel);
        if (sel$1 && !sel$1.eq(view.state.selection)) {
          view.dispatch(view.state.tr.setSelection(sel$1));
        }
      }
      return;
    }
  }
  view.domChangeCount++;
  if (view.state.selection.from < view.state.selection.to && change.start == change.endB && view.state.selection instanceof TextSelection) {
    if (change.start > view.state.selection.from && change.start <= view.state.selection.from + 2) {
      change.start = view.state.selection.from;
    } else if (change.endA < view.state.selection.to && change.endA >= view.state.selection.to - 2) {
      change.endB += view.state.selection.to - change.endA;
      change.endA = view.state.selection.to;
    }
  }
  if (result.ie && result.ie_version <= 11 && change.endB == change.start + 1 && change.endA == change.start && change.start > parse3.from && parse3.doc.textBetween(change.start - parse3.from - 1, change.start - parse3.from + 1) == " \xA0") {
    change.start--;
    change.endA--;
    change.endB--;
  }
  var $from = parse3.doc.resolveNoCache(change.start - parse3.from);
  var $to = parse3.doc.resolveNoCache(change.endB - parse3.from);
  var inlineChange = $from.sameParent($to) && $from.parent.inlineContent;
  var nextSel;
  if ((result.ios && view.lastIOSEnter > Date.now() - 225 && (!inlineChange || addedNodes.some(function(n) {
    return n.nodeName == "DIV" || n.nodeName == "P";
  })) || !inlineChange && $from.pos < parse3.doc.content.size && (nextSel = Selection.findFrom(parse3.doc.resolve($from.pos + 1), 1, true)) && nextSel.head == $to.pos) && view.someProp("handleKeyDown", function(f) {
    return f(view, keyEvent(13, "Enter"));
  })) {
    view.lastIOSEnter = 0;
    return;
  }
  if (view.state.selection.anchor > change.start && looksLikeJoin(doc2, change.start, change.endA, $from, $to) && view.someProp("handleKeyDown", function(f) {
    return f(view, keyEvent(8, "Backspace"));
  })) {
    if (result.android && result.chrome) {
      view.domObserver.suppressSelectionUpdates();
    }
    return;
  }
  if (result.chrome && result.android && change.toB == change.from) {
    view.lastAndroidDelete = Date.now();
  }
  if (result.android && !inlineChange && $from.start() != $to.start() && $to.parentOffset == 0 && $from.depth == $to.depth && parse3.sel && parse3.sel.anchor == parse3.sel.head && parse3.sel.head == change.endA) {
    change.endB -= 2;
    $to = parse3.doc.resolveNoCache(change.endB - parse3.from);
    setTimeout(function() {
      view.someProp("handleKeyDown", function(f) {
        return f(view, keyEvent(13, "Enter"));
      });
    }, 20);
  }
  var chFrom = change.start, chTo = change.endA;
  var tr, storedMarks, markChange, $from1;
  if (inlineChange) {
    if ($from.pos == $to.pos) {
      if (result.ie && result.ie_version <= 11 && $from.parentOffset == 0) {
        view.domObserver.suppressSelectionUpdates();
        setTimeout(function() {
          return selectionToDOM(view);
        }, 20);
      }
      tr = view.state.tr.delete(chFrom, chTo);
      storedMarks = doc2.resolve(change.start).marksAcross(doc2.resolve(change.endA));
    } else if (change.endA == change.endB && ($from1 = doc2.resolve(change.start)) && (markChange = isMarkChange($from.parent.content.cut($from.parentOffset, $to.parentOffset), $from1.parent.content.cut($from1.parentOffset, change.endA - $from1.start())))) {
      tr = view.state.tr;
      if (markChange.type == "add") {
        tr.addMark(chFrom, chTo, markChange.mark);
      } else {
        tr.removeMark(chFrom, chTo, markChange.mark);
      }
    } else if ($from.parent.child($from.index()).isText && $from.index() == $to.index() - ($to.textOffset ? 0 : 1)) {
      var text$1 = $from.parent.textBetween($from.parentOffset, $to.parentOffset);
      if (view.someProp("handleTextInput", function(f) {
        return f(view, chFrom, chTo, text$1);
      })) {
        return;
      }
      tr = view.state.tr.insertText(text$1, chFrom, chTo);
    }
  }
  if (!tr) {
    tr = view.state.tr.replace(chFrom, chTo, parse3.doc.slice(change.start - parse3.from, change.endB - parse3.from));
  }
  if (parse3.sel) {
    var sel$2 = resolveSelection(view, tr.doc, parse3.sel);
    if (sel$2 && !(result.chrome && result.android && view.composing && sel$2.empty && (change.start != change.endB || view.lastAndroidDelete < Date.now() - 100) && (sel$2.head == chFrom || sel$2.head == tr.mapping.map(chTo) - 1) || result.ie && sel$2.empty && sel$2.head == chFrom)) {
      tr.setSelection(sel$2);
    }
  }
  if (storedMarks) {
    tr.ensureMarks(storedMarks);
  }
  view.dispatch(tr.scrollIntoView());
}
function resolveSelection(view, doc2, parsedSel) {
  if (Math.max(parsedSel.anchor, parsedSel.head) > doc2.content.size) {
    return null;
  }
  return selectionBetween(view, doc2.resolve(parsedSel.anchor), doc2.resolve(parsedSel.head));
}
function isMarkChange(cur, prev) {
  var curMarks = cur.firstChild.marks, prevMarks = prev.firstChild.marks;
  var added = curMarks, removed = prevMarks, type, mark2, update3;
  for (var i = 0; i < prevMarks.length; i++) {
    added = prevMarks[i].removeFromSet(added);
  }
  for (var i$1 = 0; i$1 < curMarks.length; i$1++) {
    removed = curMarks[i$1].removeFromSet(removed);
  }
  if (added.length == 1 && removed.length == 0) {
    mark2 = added[0];
    type = "add";
    update3 = function(node3) {
      return node3.mark(mark2.addToSet(node3.marks));
    };
  } else if (added.length == 0 && removed.length == 1) {
    mark2 = removed[0];
    type = "remove";
    update3 = function(node3) {
      return node3.mark(mark2.removeFromSet(node3.marks));
    };
  } else {
    return null;
  }
  var updated = [];
  for (var i$2 = 0; i$2 < prev.childCount; i$2++) {
    updated.push(update3(prev.child(i$2)));
  }
  if (Fragment.from(updated).eq(cur)) {
    return { mark: mark2, type };
  }
}
function looksLikeJoin(old, start3, end2, $newStart, $newEnd) {
  if (!$newStart.parent.isTextblock || end2 - start3 <= $newEnd.pos - $newStart.pos || skipClosingAndOpening($newStart, true, false) < $newEnd.pos) {
    return false;
  }
  var $start = old.resolve(start3);
  if ($start.parentOffset < $start.parent.content.size || !$start.parent.isTextblock) {
    return false;
  }
  var $next = old.resolve(skipClosingAndOpening($start, true, true));
  if (!$next.parent.isTextblock || $next.pos > end2 || skipClosingAndOpening($next, true, false) < end2) {
    return false;
  }
  return $newStart.parent.content.cut($newStart.parentOffset).eq($next.parent.content);
}
function skipClosingAndOpening($pos, fromEnd, mayOpen) {
  var depth = $pos.depth, end2 = fromEnd ? $pos.end() : $pos.pos;
  while (depth > 0 && (fromEnd || $pos.indexAfter(depth) == $pos.node(depth).childCount)) {
    depth--;
    end2++;
    fromEnd = false;
  }
  if (mayOpen) {
    var next = $pos.node(depth).maybeChild($pos.indexAfter(depth));
    while (next && !next.isLeaf) {
      next = next.firstChild;
      end2++;
    }
  }
  return end2;
}
function findDiff(a, b, pos, preferredPos, preferredSide) {
  var start3 = a.findDiffStart(b, pos);
  if (start3 == null) {
    return null;
  }
  var ref2 = a.findDiffEnd(b, pos + a.size, pos + b.size);
  var endA = ref2.a;
  var endB = ref2.b;
  if (preferredSide == "end") {
    var adjust = Math.max(0, start3 - Math.min(endA, endB));
    preferredPos -= endA + adjust - start3;
  }
  if (endA < start3 && a.size < b.size) {
    var move2 = preferredPos <= start3 && preferredPos >= endA ? start3 - preferredPos : 0;
    start3 -= move2;
    endB = start3 + (endB - endA);
    endA = start3;
  } else if (endB < start3) {
    var move$1 = preferredPos <= start3 && preferredPos >= endB ? start3 - preferredPos : 0;
    start3 -= move$1;
    endA = start3 + (endA - endB);
    endB = start3;
  }
  return { start: start3, endA, endB };
}
function serializeForClipboard(view, slice3) {
  var context = [];
  var content2 = slice3.content;
  var openStart = slice3.openStart;
  var openEnd = slice3.openEnd;
  while (openStart > 1 && openEnd > 1 && content2.childCount == 1 && content2.firstChild.childCount == 1) {
    openStart--;
    openEnd--;
    var node3 = content2.firstChild;
    context.push(node3.type.name, node3.attrs != node3.type.defaultAttrs ? node3.attrs : null);
    content2 = node3.content;
  }
  var serializer = view.someProp("clipboardSerializer") || DOMSerializer.fromSchema(view.state.schema);
  var doc2 = detachedDoc(), wrap = doc2.createElement("div");
  wrap.appendChild(serializer.serializeFragment(content2, { document: doc2 }));
  var firstChild = wrap.firstChild, needsWrap;
  while (firstChild && firstChild.nodeType == 1 && (needsWrap = wrapMap[firstChild.nodeName.toLowerCase()])) {
    for (var i = needsWrap.length - 1; i >= 0; i--) {
      var wrapper = doc2.createElement(needsWrap[i]);
      while (wrap.firstChild) {
        wrapper.appendChild(wrap.firstChild);
      }
      wrap.appendChild(wrapper);
      if (needsWrap[i] != "tbody") {
        openStart++;
        openEnd++;
      }
    }
    firstChild = wrap.firstChild;
  }
  if (firstChild && firstChild.nodeType == 1) {
    firstChild.setAttribute("data-pm-slice", openStart + " " + openEnd + " " + JSON.stringify(context));
  }
  var text = view.someProp("clipboardTextSerializer", function(f) {
    return f(slice3);
  }) || slice3.content.textBetween(0, slice3.content.size, "\n\n");
  return { dom: wrap, text };
}
function parseFromClipboard(view, text, html, plainText, $context) {
  var dom, inCode = $context.parent.type.spec.code, slice3;
  if (!html && !text) {
    return null;
  }
  var asText = text && (plainText || inCode || !html);
  if (asText) {
    view.someProp("transformPastedText", function(f) {
      text = f(text, inCode || plainText);
    });
    if (inCode) {
      return text ? new Slice(Fragment.from(view.state.schema.text(text.replace(/\r\n?/g, "\n"))), 0, 0) : Slice.empty;
    }
    var parsed = view.someProp("clipboardTextParser", function(f) {
      return f(text, $context, plainText);
    });
    if (parsed) {
      slice3 = parsed;
    } else {
      var marks2 = $context.marks();
      var ref2 = view.state;
      var schema = ref2.schema;
      var serializer = DOMSerializer.fromSchema(schema);
      dom = document.createElement("div");
      text.split(/(?:\r\n?|\n)+/).forEach(function(block) {
        var p = dom.appendChild(document.createElement("p"));
        if (block) {
          p.appendChild(serializer.serializeNode(schema.text(block, marks2)));
        }
      });
    }
  } else {
    view.someProp("transformPastedHTML", function(f) {
      html = f(html);
    });
    dom = readHTML(html);
    if (result.webkit) {
      restoreReplacedSpaces(dom);
    }
  }
  var contextNode = dom && dom.querySelector("[data-pm-slice]");
  var sliceData = contextNode && /^(\d+) (\d+) (.*)/.exec(contextNode.getAttribute("data-pm-slice"));
  if (!slice3) {
    var parser = view.someProp("clipboardParser") || view.someProp("domParser") || DOMParser.fromSchema(view.state.schema);
    slice3 = parser.parseSlice(dom, { preserveWhitespace: !!(asText || sliceData), context: $context });
  }
  if (sliceData) {
    slice3 = addContext(closeSlice(slice3, +sliceData[1], +sliceData[2]), sliceData[3]);
  } else {
    slice3 = Slice.maxOpen(normalizeSiblings(slice3.content, $context), true);
    if (slice3.openStart || slice3.openEnd) {
      var openStart = 0, openEnd = 0;
      for (var node3 = slice3.content.firstChild; openStart < slice3.openStart && !node3.type.spec.isolating; openStart++, node3 = node3.firstChild) {
      }
      for (var node$1 = slice3.content.lastChild; openEnd < slice3.openEnd && !node$1.type.spec.isolating; openEnd++, node$1 = node$1.lastChild) {
      }
      slice3 = closeSlice(slice3, openStart, openEnd);
    }
  }
  view.someProp("transformPasted", function(f) {
    slice3 = f(slice3);
  });
  return slice3;
}
function normalizeSiblings(fragment, $context) {
  if (fragment.childCount < 2) {
    return fragment;
  }
  var loop = function(d2) {
    var parent = $context.node(d2);
    var match = parent.contentMatchAt($context.index(d2));
    var lastWrap = void 0, result2 = [];
    fragment.forEach(function(node3) {
      if (!result2) {
        return;
      }
      var wrap = match.findWrapping(node3.type), inLast;
      if (!wrap) {
        return result2 = null;
      }
      if (inLast = result2.length && lastWrap.length && addToSibling(wrap, lastWrap, node3, result2[result2.length - 1], 0)) {
        result2[result2.length - 1] = inLast;
      } else {
        if (result2.length) {
          result2[result2.length - 1] = closeRight(result2[result2.length - 1], lastWrap.length);
        }
        var wrapped = withWrappers(node3, wrap);
        result2.push(wrapped);
        match = match.matchType(wrapped.type, wrapped.attrs);
        lastWrap = wrap;
      }
    });
    if (result2) {
      return { v: Fragment.from(result2) };
    }
  };
  for (var d = $context.depth; d >= 0; d--) {
    var returned = loop(d);
    if (returned)
      return returned.v;
  }
  return fragment;
}
function withWrappers(node3, wrap, from3) {
  if (from3 === void 0)
    from3 = 0;
  for (var i = wrap.length - 1; i >= from3; i--) {
    node3 = wrap[i].create(null, Fragment.from(node3));
  }
  return node3;
}
function addToSibling(wrap, lastWrap, node3, sibling, depth) {
  if (depth < wrap.length && depth < lastWrap.length && wrap[depth] == lastWrap[depth]) {
    var inner = addToSibling(wrap, lastWrap, node3, sibling.lastChild, depth + 1);
    if (inner) {
      return sibling.copy(sibling.content.replaceChild(sibling.childCount - 1, inner));
    }
    var match = sibling.contentMatchAt(sibling.childCount);
    if (match.matchType(depth == wrap.length - 1 ? node3.type : wrap[depth + 1])) {
      return sibling.copy(sibling.content.append(Fragment.from(withWrappers(node3, wrap, depth + 1))));
    }
  }
}
function closeRight(node3, depth) {
  if (depth == 0) {
    return node3;
  }
  var fragment = node3.content.replaceChild(node3.childCount - 1, closeRight(node3.lastChild, depth - 1));
  var fill = node3.contentMatchAt(node3.childCount).fillBefore(Fragment.empty, true);
  return node3.copy(fragment.append(fill));
}
function closeRange(fragment, side, from3, to, depth, openEnd) {
  var node3 = side < 0 ? fragment.firstChild : fragment.lastChild, inner = node3.content;
  if (depth < to - 1) {
    inner = closeRange(inner, side, from3, to, depth + 1, openEnd);
  }
  if (depth >= from3) {
    inner = side < 0 ? node3.contentMatchAt(0).fillBefore(inner, fragment.childCount > 1 || openEnd <= depth).append(inner) : inner.append(node3.contentMatchAt(node3.childCount).fillBefore(Fragment.empty, true));
  }
  return fragment.replaceChild(side < 0 ? 0 : fragment.childCount - 1, node3.copy(inner));
}
function closeSlice(slice3, openStart, openEnd) {
  if (openStart < slice3.openStart) {
    slice3 = new Slice(closeRange(slice3.content, -1, openStart, slice3.openStart, 0, slice3.openEnd), openStart, slice3.openEnd);
  }
  if (openEnd < slice3.openEnd) {
    slice3 = new Slice(closeRange(slice3.content, 1, openEnd, slice3.openEnd, 0, 0), slice3.openStart, openEnd);
  }
  return slice3;
}
var wrapMap = {
  thead: ["table"],
  tbody: ["table"],
  tfoot: ["table"],
  caption: ["table"],
  colgroup: ["table"],
  col: ["table", "colgroup"],
  tr: ["table", "tbody"],
  td: ["table", "tbody", "tr"],
  th: ["table", "tbody", "tr"]
};
var _detachedDoc = null;
function detachedDoc() {
  return _detachedDoc || (_detachedDoc = document.implementation.createHTMLDocument("title"));
}
function readHTML(html) {
  var metas = /^(\s*<meta [^>]*>)*/.exec(html);
  if (metas) {
    html = html.slice(metas[0].length);
  }
  var elt = detachedDoc().createElement("div");
  var firstTag = /<([a-z][^>\s]+)/i.exec(html), wrap;
  if (wrap = firstTag && wrapMap[firstTag[1].toLowerCase()]) {
    html = wrap.map(function(n) {
      return "<" + n + ">";
    }).join("") + html + wrap.map(function(n) {
      return "</" + n + ">";
    }).reverse().join("");
  }
  elt.innerHTML = html;
  if (wrap) {
    for (var i = 0; i < wrap.length; i++) {
      elt = elt.querySelector(wrap[i]) || elt;
    }
  }
  return elt;
}
function restoreReplacedSpaces(dom) {
  var nodes = dom.querySelectorAll(result.chrome ? "span:not([class]):not([style])" : "span.Apple-converted-space");
  for (var i = 0; i < nodes.length; i++) {
    var node3 = nodes[i];
    if (node3.childNodes.length == 1 && node3.textContent == "\xA0" && node3.parentNode) {
      node3.parentNode.replaceChild(dom.ownerDocument.createTextNode(" "), node3);
    }
  }
}
function addContext(slice3, context) {
  if (!slice3.size) {
    return slice3;
  }
  var schema = slice3.content.firstChild.type.schema, array;
  try {
    array = JSON.parse(context);
  } catch (e) {
    return slice3;
  }
  var content2 = slice3.content;
  var openStart = slice3.openStart;
  var openEnd = slice3.openEnd;
  for (var i = array.length - 2; i >= 0; i -= 2) {
    var type = schema.nodes[array[i]];
    if (!type || type.hasRequiredAttrs()) {
      break;
    }
    content2 = Fragment.from(type.create(array[i + 1], content2));
    openStart++;
    openEnd++;
  }
  return new Slice(content2, openStart, openEnd);
}
var observeOptions = {
  childList: true,
  characterData: true,
  characterDataOldValue: true,
  attributes: true,
  attributeOldValue: true,
  subtree: true
};
var useCharData = result.ie && result.ie_version <= 11;
var SelectionState = function SelectionState2() {
  this.anchorNode = this.anchorOffset = this.focusNode = this.focusOffset = null;
};
SelectionState.prototype.set = function set(sel) {
  this.anchorNode = sel.anchorNode;
  this.anchorOffset = sel.anchorOffset;
  this.focusNode = sel.focusNode;
  this.focusOffset = sel.focusOffset;
};
SelectionState.prototype.eq = function eq5(sel) {
  return sel.anchorNode == this.anchorNode && sel.anchorOffset == this.anchorOffset && sel.focusNode == this.focusNode && sel.focusOffset == this.focusOffset;
};
var DOMObserver = function DOMObserver2(view, handleDOMChange) {
  var this$1$1 = this;
  this.view = view;
  this.handleDOMChange = handleDOMChange;
  this.queue = [];
  this.flushingSoon = -1;
  this.observer = window.MutationObserver && new window.MutationObserver(function(mutations) {
    for (var i = 0; i < mutations.length; i++) {
      this$1$1.queue.push(mutations[i]);
    }
    if (result.ie && result.ie_version <= 11 && mutations.some(function(m) {
      return m.type == "childList" && m.removedNodes.length || m.type == "characterData" && m.oldValue.length > m.target.nodeValue.length;
    })) {
      this$1$1.flushSoon();
    } else {
      this$1$1.flush();
    }
  });
  this.currentSelection = new SelectionState();
  if (useCharData) {
    this.onCharData = function(e) {
      this$1$1.queue.push({ target: e.target, type: "characterData", oldValue: e.prevValue });
      this$1$1.flushSoon();
    };
  }
  this.onSelectionChange = this.onSelectionChange.bind(this);
  this.suppressingSelectionUpdates = false;
};
DOMObserver.prototype.flushSoon = function flushSoon() {
  var this$1$1 = this;
  if (this.flushingSoon < 0) {
    this.flushingSoon = window.setTimeout(function() {
      this$1$1.flushingSoon = -1;
      this$1$1.flush();
    }, 20);
  }
};
DOMObserver.prototype.forceFlush = function forceFlush() {
  if (this.flushingSoon > -1) {
    window.clearTimeout(this.flushingSoon);
    this.flushingSoon = -1;
    this.flush();
  }
};
DOMObserver.prototype.start = function start2() {
  if (this.observer) {
    this.observer.observe(this.view.dom, observeOptions);
  }
  if (useCharData) {
    this.view.dom.addEventListener("DOMCharacterDataModified", this.onCharData);
  }
  this.connectSelection();
};
DOMObserver.prototype.stop = function stop() {
  var this$1$1 = this;
  if (this.observer) {
    var take = this.observer.takeRecords();
    if (take.length) {
      for (var i = 0; i < take.length; i++) {
        this.queue.push(take[i]);
      }
      window.setTimeout(function() {
        return this$1$1.flush();
      }, 20);
    }
    this.observer.disconnect();
  }
  if (useCharData) {
    this.view.dom.removeEventListener("DOMCharacterDataModified", this.onCharData);
  }
  this.disconnectSelection();
};
DOMObserver.prototype.connectSelection = function connectSelection() {
  this.view.dom.ownerDocument.addEventListener("selectionchange", this.onSelectionChange);
};
DOMObserver.prototype.disconnectSelection = function disconnectSelection() {
  this.view.dom.ownerDocument.removeEventListener("selectionchange", this.onSelectionChange);
};
DOMObserver.prototype.suppressSelectionUpdates = function suppressSelectionUpdates() {
  var this$1$1 = this;
  this.suppressingSelectionUpdates = true;
  setTimeout(function() {
    return this$1$1.suppressingSelectionUpdates = false;
  }, 50);
};
DOMObserver.prototype.onSelectionChange = function onSelectionChange() {
  if (!hasFocusAndSelection(this.view)) {
    return;
  }
  if (this.suppressingSelectionUpdates) {
    return selectionToDOM(this.view);
  }
  if (result.ie && result.ie_version <= 11 && !this.view.state.selection.empty) {
    var sel = this.view.root.getSelection();
    if (sel.focusNode && isEquivalentPosition(sel.focusNode, sel.focusOffset, sel.anchorNode, sel.anchorOffset)) {
      return this.flushSoon();
    }
  }
  this.flush();
};
DOMObserver.prototype.setCurSelection = function setCurSelection() {
  this.currentSelection.set(this.view.root.getSelection());
};
DOMObserver.prototype.ignoreSelectionChange = function ignoreSelectionChange(sel) {
  if (sel.rangeCount == 0) {
    return true;
  }
  var container = sel.getRangeAt(0).commonAncestorContainer;
  var desc = this.view.docView.nearestDesc(container);
  if (desc && desc.ignoreMutation({ type: "selection", target: container.nodeType == 3 ? container.parentNode : container })) {
    this.setCurSelection();
    return true;
  }
};
DOMObserver.prototype.flush = function flush() {
  if (!this.view.docView || this.flushingSoon > -1) {
    return;
  }
  var mutations = this.observer ? this.observer.takeRecords() : [];
  if (this.queue.length) {
    mutations = this.queue.concat(mutations);
    this.queue.length = 0;
  }
  var sel = this.view.root.getSelection();
  var newSel = !this.suppressingSelectionUpdates && !this.currentSelection.eq(sel) && hasSelection(this.view) && !this.ignoreSelectionChange(sel);
  var from3 = -1, to = -1, typeOver = false, added = [];
  if (this.view.editable) {
    for (var i = 0; i < mutations.length; i++) {
      var result$1 = this.registerMutation(mutations[i], added);
      if (result$1) {
        from3 = from3 < 0 ? result$1.from : Math.min(result$1.from, from3);
        to = to < 0 ? result$1.to : Math.max(result$1.to, to);
        if (result$1.typeOver) {
          typeOver = true;
        }
      }
    }
  }
  if (result.gecko && added.length > 1) {
    var brs = added.filter(function(n) {
      return n.nodeName == "BR";
    });
    if (brs.length == 2) {
      var a = brs[0];
      var b = brs[1];
      if (a.parentNode && a.parentNode.parentNode == b.parentNode) {
        b.remove();
      } else {
        a.remove();
      }
    }
  }
  if (from3 > -1 || newSel) {
    if (from3 > -1) {
      this.view.docView.markDirty(from3, to);
      checkCSS(this.view);
    }
    this.handleDOMChange(from3, to, typeOver, added);
    if (this.view.docView.dirty) {
      this.view.updateState(this.view.state);
    } else if (!this.currentSelection.eq(sel)) {
      selectionToDOM(this.view);
    }
    this.currentSelection.set(sel);
  }
};
DOMObserver.prototype.registerMutation = function registerMutation(mut, added) {
  if (added.indexOf(mut.target) > -1) {
    return null;
  }
  var desc = this.view.docView.nearestDesc(mut.target);
  if (mut.type == "attributes" && (desc == this.view.docView || mut.attributeName == "contenteditable" || mut.attributeName == "style" && !mut.oldValue && !mut.target.getAttribute("style"))) {
    return null;
  }
  if (!desc || desc.ignoreMutation(mut)) {
    return null;
  }
  if (mut.type == "childList") {
    for (var i = 0; i < mut.addedNodes.length; i++) {
      added.push(mut.addedNodes[i]);
    }
    if (desc.contentDOM && desc.contentDOM != desc.dom && !desc.contentDOM.contains(mut.target)) {
      return { from: desc.posBefore, to: desc.posAfter };
    }
    var prev = mut.previousSibling, next = mut.nextSibling;
    if (result.ie && result.ie_version <= 11 && mut.addedNodes.length) {
      for (var i$1 = 0; i$1 < mut.addedNodes.length; i$1++) {
        var ref2 = mut.addedNodes[i$1];
        var previousSibling = ref2.previousSibling;
        var nextSibling = ref2.nextSibling;
        if (!previousSibling || Array.prototype.indexOf.call(mut.addedNodes, previousSibling) < 0) {
          prev = previousSibling;
        }
        if (!nextSibling || Array.prototype.indexOf.call(mut.addedNodes, nextSibling) < 0) {
          next = nextSibling;
        }
      }
    }
    var fromOffset = prev && prev.parentNode == mut.target ? domIndex(prev) + 1 : 0;
    var from3 = desc.localPosFromDOM(mut.target, fromOffset, -1);
    var toOffset = next && next.parentNode == mut.target ? domIndex(next) : mut.target.childNodes.length;
    var to = desc.localPosFromDOM(mut.target, toOffset, 1);
    return { from: from3, to };
  } else if (mut.type == "attributes") {
    return { from: desc.posAtStart - desc.border, to: desc.posAtEnd + desc.border };
  } else {
    return {
      from: desc.posAtStart,
      to: desc.posAtEnd,
      typeOver: mut.target.nodeValue == mut.oldValue
    };
  }
};
var cssChecked = false;
function checkCSS(view) {
  if (cssChecked) {
    return;
  }
  cssChecked = true;
  if (getComputedStyle(view.dom).whiteSpace == "normal") {
    console["warn"]("ProseMirror expects the CSS white-space property to be set, preferably to 'pre-wrap'. It is recommended to load style/prosemirror.css from the prosemirror-view package.");
  }
}
var handlers = {}, editHandlers = {};
function initInput(view) {
  view.shiftKey = false;
  view.mouseDown = null;
  view.lastKeyCode = null;
  view.lastKeyCodeTime = 0;
  view.lastClick = { time: 0, x: 0, y: 0, type: "" };
  view.lastSelectionOrigin = null;
  view.lastSelectionTime = 0;
  view.lastIOSEnter = 0;
  view.lastIOSEnterFallbackTimeout = null;
  view.lastAndroidDelete = 0;
  view.composing = false;
  view.composingTimeout = null;
  view.compositionNodes = [];
  view.compositionEndedAt = -2e8;
  view.domObserver = new DOMObserver(view, function(from3, to, typeOver, added) {
    return readDOMChange(view, from3, to, typeOver, added);
  });
  view.domObserver.start();
  view.domChangeCount = 0;
  view.eventHandlers = Object.create(null);
  var loop = function(event2) {
    var handler = handlers[event2];
    view.dom.addEventListener(event2, view.eventHandlers[event2] = function(event3) {
      if (eventBelongsToView(view, event3) && !runCustomHandler(view, event3) && (view.editable || !(event3.type in editHandlers))) {
        handler(view, event3);
      }
    });
  };
  for (var event in handlers)
    loop(event);
  if (result.safari) {
    view.dom.addEventListener("input", function() {
      return null;
    });
  }
  ensureListeners(view);
}
function setSelectionOrigin(view, origin) {
  view.lastSelectionOrigin = origin;
  view.lastSelectionTime = Date.now();
}
function destroyInput(view) {
  view.domObserver.stop();
  for (var type in view.eventHandlers) {
    view.dom.removeEventListener(type, view.eventHandlers[type]);
  }
  clearTimeout(view.composingTimeout);
  clearTimeout(view.lastIOSEnterFallbackTimeout);
}
function ensureListeners(view) {
  view.someProp("handleDOMEvents", function(currentHandlers) {
    for (var type in currentHandlers) {
      if (!view.eventHandlers[type]) {
        view.dom.addEventListener(type, view.eventHandlers[type] = function(event) {
          return runCustomHandler(view, event);
        });
      }
    }
  });
}
function runCustomHandler(view, event) {
  return view.someProp("handleDOMEvents", function(handlers2) {
    var handler = handlers2[event.type];
    return handler ? handler(view, event) || event.defaultPrevented : false;
  });
}
function eventBelongsToView(view, event) {
  if (!event.bubbles) {
    return true;
  }
  if (event.defaultPrevented) {
    return false;
  }
  for (var node3 = event.target; node3 != view.dom; node3 = node3.parentNode) {
    if (!node3 || node3.nodeType == 11 || node3.pmViewDesc && node3.pmViewDesc.stopEvent(event)) {
      return false;
    }
  }
  return true;
}
function dispatchEvent(view, event) {
  if (!runCustomHandler(view, event) && handlers[event.type] && (view.editable || !(event.type in editHandlers))) {
    handlers[event.type](view, event);
  }
}
editHandlers.keydown = function(view, event) {
  view.shiftKey = event.keyCode == 16 || event.shiftKey;
  if (inOrNearComposition(view, event)) {
    return;
  }
  if (event.keyCode != 229) {
    view.domObserver.forceFlush();
  }
  view.lastKeyCode = event.keyCode;
  view.lastKeyCodeTime = Date.now();
  if (result.ios && event.keyCode == 13 && !event.ctrlKey && !event.altKey && !event.metaKey) {
    var now = Date.now();
    view.lastIOSEnter = now;
    view.lastIOSEnterFallbackTimeout = setTimeout(function() {
      if (view.lastIOSEnter == now) {
        view.someProp("handleKeyDown", function(f) {
          return f(view, keyEvent(13, "Enter"));
        });
        view.lastIOSEnter = 0;
      }
    }, 200);
  } else if (view.someProp("handleKeyDown", function(f) {
    return f(view, event);
  }) || captureKeyDown(view, event)) {
    event.preventDefault();
  } else {
    setSelectionOrigin(view, "key");
  }
};
editHandlers.keyup = function(view, e) {
  if (e.keyCode == 16) {
    view.shiftKey = false;
  }
};
editHandlers.keypress = function(view, event) {
  if (inOrNearComposition(view, event) || !event.charCode || event.ctrlKey && !event.altKey || result.mac && event.metaKey) {
    return;
  }
  if (view.someProp("handleKeyPress", function(f) {
    return f(view, event);
  })) {
    event.preventDefault();
    return;
  }
  var sel = view.state.selection;
  if (!(sel instanceof TextSelection) || !sel.$from.sameParent(sel.$to)) {
    var text = String.fromCharCode(event.charCode);
    if (!view.someProp("handleTextInput", function(f) {
      return f(view, sel.$from.pos, sel.$to.pos, text);
    })) {
      view.dispatch(view.state.tr.insertText(text).scrollIntoView());
    }
    event.preventDefault();
  }
};
function eventCoords(event) {
  return { left: event.clientX, top: event.clientY };
}
function isNear(event, click) {
  var dx = click.x - event.clientX, dy = click.y - event.clientY;
  return dx * dx + dy * dy < 100;
}
function runHandlerOnContext(view, propName, pos, inside, event) {
  if (inside == -1) {
    return false;
  }
  var $pos = view.state.doc.resolve(inside);
  var loop = function(i2) {
    if (view.someProp(propName, function(f) {
      return i2 > $pos.depth ? f(view, pos, $pos.nodeAfter, $pos.before(i2), event, true) : f(view, pos, $pos.node(i2), $pos.before(i2), event, false);
    })) {
      return { v: true };
    }
  };
  for (var i = $pos.depth + 1; i > 0; i--) {
    var returned = loop(i);
    if (returned)
      return returned.v;
  }
  return false;
}
function updateSelection(view, selection, origin) {
  if (!view.focused) {
    view.focus();
  }
  var tr = view.state.tr.setSelection(selection);
  if (origin == "pointer") {
    tr.setMeta("pointer", true);
  }
  view.dispatch(tr);
}
function selectClickedLeaf(view, inside) {
  if (inside == -1) {
    return false;
  }
  var $pos = view.state.doc.resolve(inside), node3 = $pos.nodeAfter;
  if (node3 && node3.isAtom && NodeSelection.isSelectable(node3)) {
    updateSelection(view, new NodeSelection($pos), "pointer");
    return true;
  }
  return false;
}
function selectClickedNode(view, inside) {
  if (inside == -1) {
    return false;
  }
  var sel = view.state.selection, selectedNode, selectAt;
  if (sel instanceof NodeSelection) {
    selectedNode = sel.node;
  }
  var $pos = view.state.doc.resolve(inside);
  for (var i = $pos.depth + 1; i > 0; i--) {
    var node3 = i > $pos.depth ? $pos.nodeAfter : $pos.node(i);
    if (NodeSelection.isSelectable(node3)) {
      if (selectedNode && sel.$from.depth > 0 && i >= sel.$from.depth && $pos.before(sel.$from.depth + 1) == sel.$from.pos) {
        selectAt = $pos.before(sel.$from.depth);
      } else {
        selectAt = $pos.before(i);
      }
      break;
    }
  }
  if (selectAt != null) {
    updateSelection(view, NodeSelection.create(view.state.doc, selectAt), "pointer");
    return true;
  } else {
    return false;
  }
}
function handleSingleClick(view, pos, inside, event, selectNode) {
  return runHandlerOnContext(view, "handleClickOn", pos, inside, event) || view.someProp("handleClick", function(f) {
    return f(view, pos, event);
  }) || (selectNode ? selectClickedNode(view, inside) : selectClickedLeaf(view, inside));
}
function handleDoubleClick(view, pos, inside, event) {
  return runHandlerOnContext(view, "handleDoubleClickOn", pos, inside, event) || view.someProp("handleDoubleClick", function(f) {
    return f(view, pos, event);
  });
}
function handleTripleClick(view, pos, inside, event) {
  return runHandlerOnContext(view, "handleTripleClickOn", pos, inside, event) || view.someProp("handleTripleClick", function(f) {
    return f(view, pos, event);
  }) || defaultTripleClick(view, inside, event);
}
function defaultTripleClick(view, inside, event) {
  if (event.button != 0) {
    return false;
  }
  var doc2 = view.state.doc;
  if (inside == -1) {
    if (doc2.inlineContent) {
      updateSelection(view, TextSelection.create(doc2, 0, doc2.content.size), "pointer");
      return true;
    }
    return false;
  }
  var $pos = doc2.resolve(inside);
  for (var i = $pos.depth + 1; i > 0; i--) {
    var node3 = i > $pos.depth ? $pos.nodeAfter : $pos.node(i);
    var nodePos = $pos.before(i);
    if (node3.inlineContent) {
      updateSelection(view, TextSelection.create(doc2, nodePos + 1, nodePos + 1 + node3.content.size), "pointer");
    } else if (NodeSelection.isSelectable(node3)) {
      updateSelection(view, NodeSelection.create(doc2, nodePos), "pointer");
    } else {
      continue;
    }
    return true;
  }
}
function forceDOMFlush(view) {
  return endComposition(view);
}
var selectNodeModifier = result.mac ? "metaKey" : "ctrlKey";
handlers.mousedown = function(view, event) {
  view.shiftKey = event.shiftKey;
  var flushed = forceDOMFlush(view);
  var now = Date.now(), type = "singleClick";
  if (now - view.lastClick.time < 500 && isNear(event, view.lastClick) && !event[selectNodeModifier]) {
    if (view.lastClick.type == "singleClick") {
      type = "doubleClick";
    } else if (view.lastClick.type == "doubleClick") {
      type = "tripleClick";
    }
  }
  view.lastClick = { time: now, x: event.clientX, y: event.clientY, type };
  var pos = view.posAtCoords(eventCoords(event));
  if (!pos) {
    return;
  }
  if (type == "singleClick") {
    if (view.mouseDown) {
      view.mouseDown.done();
    }
    view.mouseDown = new MouseDown(view, pos, event, flushed);
  } else if ((type == "doubleClick" ? handleDoubleClick : handleTripleClick)(view, pos.pos, pos.inside, event)) {
    event.preventDefault();
  } else {
    setSelectionOrigin(view, "pointer");
  }
};
var MouseDown = function MouseDown2(view, pos, event, flushed) {
  var this$1$1 = this;
  this.view = view;
  this.startDoc = view.state.doc;
  this.pos = pos;
  this.event = event;
  this.flushed = flushed;
  this.selectNode = event[selectNodeModifier];
  this.allowDefault = event.shiftKey;
  this.delayedSelectionSync = false;
  var targetNode, targetPos;
  if (pos.inside > -1) {
    targetNode = view.state.doc.nodeAt(pos.inside);
    targetPos = pos.inside;
  } else {
    var $pos = view.state.doc.resolve(pos.pos);
    targetNode = $pos.parent;
    targetPos = $pos.depth ? $pos.before() : 0;
  }
  this.mightDrag = null;
  var target = flushed ? null : event.target;
  var targetDesc = target ? view.docView.nearestDesc(target, true) : null;
  this.target = targetDesc ? targetDesc.dom : null;
  var ref2 = view.state;
  var selection = ref2.selection;
  if (event.button == 0 && targetNode.type.spec.draggable && targetNode.type.spec.selectable !== false || selection instanceof NodeSelection && selection.from <= targetPos && selection.to > targetPos) {
    this.mightDrag = {
      node: targetNode,
      pos: targetPos,
      addAttr: this.target && !this.target.draggable,
      setUneditable: this.target && result.gecko && !this.target.hasAttribute("contentEditable")
    };
  }
  if (this.target && this.mightDrag && (this.mightDrag.addAttr || this.mightDrag.setUneditable)) {
    this.view.domObserver.stop();
    if (this.mightDrag.addAttr) {
      this.target.draggable = true;
    }
    if (this.mightDrag.setUneditable) {
      setTimeout(function() {
        if (this$1$1.view.mouseDown == this$1$1) {
          this$1$1.target.setAttribute("contentEditable", "false");
        }
      }, 20);
    }
    this.view.domObserver.start();
  }
  view.root.addEventListener("mouseup", this.up = this.up.bind(this));
  view.root.addEventListener("mousemove", this.move = this.move.bind(this));
  setSelectionOrigin(view, "pointer");
};
MouseDown.prototype.done = function done() {
  var this$1$1 = this;
  this.view.root.removeEventListener("mouseup", this.up);
  this.view.root.removeEventListener("mousemove", this.move);
  if (this.mightDrag && this.target) {
    this.view.domObserver.stop();
    if (this.mightDrag.addAttr) {
      this.target.removeAttribute("draggable");
    }
    if (this.mightDrag.setUneditable) {
      this.target.removeAttribute("contentEditable");
    }
    this.view.domObserver.start();
  }
  if (this.delayedSelectionSync) {
    setTimeout(function() {
      return selectionToDOM(this$1$1.view);
    });
  }
  this.view.mouseDown = null;
};
MouseDown.prototype.up = function up(event) {
  this.done();
  if (!this.view.dom.contains(event.target.nodeType == 3 ? event.target.parentNode : event.target)) {
    return;
  }
  var pos = this.pos;
  if (this.view.state.doc != this.startDoc) {
    pos = this.view.posAtCoords(eventCoords(event));
  }
  if (this.allowDefault || !pos) {
    setSelectionOrigin(this.view, "pointer");
  } else if (handleSingleClick(this.view, pos.pos, pos.inside, event, this.selectNode)) {
    event.preventDefault();
  } else if (event.button == 0 && (this.flushed || result.safari && this.mightDrag && !this.mightDrag.node.isAtom || result.chrome && !(this.view.state.selection instanceof TextSelection) && Math.min(Math.abs(pos.pos - this.view.state.selection.from), Math.abs(pos.pos - this.view.state.selection.to)) <= 2)) {
    updateSelection(this.view, Selection.near(this.view.state.doc.resolve(pos.pos)), "pointer");
    event.preventDefault();
  } else {
    setSelectionOrigin(this.view, "pointer");
  }
};
MouseDown.prototype.move = function move(event) {
  if (!this.allowDefault && (Math.abs(this.event.x - event.clientX) > 4 || Math.abs(this.event.y - event.clientY) > 4)) {
    this.allowDefault = true;
  }
  setSelectionOrigin(this.view, "pointer");
  if (event.buttons == 0) {
    this.done();
  }
};
handlers.touchdown = function(view) {
  forceDOMFlush(view);
  setSelectionOrigin(view, "pointer");
};
handlers.contextmenu = function(view) {
  return forceDOMFlush(view);
};
function inOrNearComposition(view, event) {
  if (view.composing) {
    return true;
  }
  if (result.safari && Math.abs(event.timeStamp - view.compositionEndedAt) < 500) {
    view.compositionEndedAt = -2e8;
    return true;
  }
  return false;
}
var timeoutComposition = result.android ? 5e3 : -1;
editHandlers.compositionstart = editHandlers.compositionupdate = function(view) {
  if (!view.composing) {
    view.domObserver.flush();
    var state = view.state;
    var $pos = state.selection.$from;
    if (state.selection.empty && (state.storedMarks || !$pos.textOffset && $pos.parentOffset && $pos.nodeBefore.marks.some(function(m) {
      return m.type.spec.inclusive === false;
    }))) {
      view.markCursor = view.state.storedMarks || $pos.marks();
      endComposition(view, true);
      view.markCursor = null;
    } else {
      endComposition(view);
      if (result.gecko && state.selection.empty && $pos.parentOffset && !$pos.textOffset && $pos.nodeBefore.marks.length) {
        var sel = view.root.getSelection();
        for (var node3 = sel.focusNode, offset2 = sel.focusOffset; node3 && node3.nodeType == 1 && offset2 != 0; ) {
          var before2 = offset2 < 0 ? node3.lastChild : node3.childNodes[offset2 - 1];
          if (!before2) {
            break;
          }
          if (before2.nodeType == 3) {
            sel.collapse(before2, before2.nodeValue.length);
            break;
          } else {
            node3 = before2;
            offset2 = -1;
          }
        }
      }
    }
    view.composing = true;
  }
  scheduleComposeEnd(view, timeoutComposition);
};
editHandlers.compositionend = function(view, event) {
  if (view.composing) {
    view.composing = false;
    view.compositionEndedAt = event.timeStamp;
    scheduleComposeEnd(view, 20);
  }
};
function scheduleComposeEnd(view, delay) {
  clearTimeout(view.composingTimeout);
  if (delay > -1) {
    view.composingTimeout = setTimeout(function() {
      return endComposition(view);
    }, delay);
  }
}
function clearComposition(view) {
  if (view.composing) {
    view.composing = false;
    view.compositionEndedAt = timestampFromCustomEvent();
  }
  while (view.compositionNodes.length > 0) {
    view.compositionNodes.pop().markParentsDirty();
  }
}
function timestampFromCustomEvent() {
  var event = document.createEvent("Event");
  event.initEvent("event", true, true);
  return event.timeStamp;
}
function endComposition(view, forceUpdate) {
  view.domObserver.forceFlush();
  clearComposition(view);
  if (forceUpdate || view.docView.dirty) {
    var sel = selectionFromDOM(view);
    if (sel && !sel.eq(view.state.selection)) {
      view.dispatch(view.state.tr.setSelection(sel));
    } else {
      view.updateState(view.state);
    }
    return true;
  }
  return false;
}
function captureCopy(view, dom) {
  if (!view.dom.parentNode) {
    return;
  }
  var wrap = view.dom.parentNode.appendChild(document.createElement("div"));
  wrap.appendChild(dom);
  wrap.style.cssText = "position: fixed; left: -10000px; top: 10px";
  var sel = getSelection(), range = document.createRange();
  range.selectNodeContents(dom);
  view.dom.blur();
  sel.removeAllRanges();
  sel.addRange(range);
  setTimeout(function() {
    if (wrap.parentNode) {
      wrap.parentNode.removeChild(wrap);
    }
    view.focus();
  }, 50);
}
var brokenClipboardAPI = result.ie && result.ie_version < 15 || result.ios && result.webkit_version < 604;
handlers.copy = editHandlers.cut = function(view, e) {
  var sel = view.state.selection, cut3 = e.type == "cut";
  if (sel.empty) {
    return;
  }
  var data = brokenClipboardAPI ? null : e.clipboardData;
  var slice3 = sel.content();
  var ref2 = serializeForClipboard(view, slice3);
  var dom = ref2.dom;
  var text = ref2.text;
  if (data) {
    e.preventDefault();
    data.clearData();
    data.setData("text/html", dom.innerHTML);
    data.setData("text/plain", text);
  } else {
    captureCopy(view, dom);
  }
  if (cut3) {
    view.dispatch(view.state.tr.deleteSelection().scrollIntoView().setMeta("uiEvent", "cut"));
  }
};
function sliceSingleNode(slice3) {
  return slice3.openStart == 0 && slice3.openEnd == 0 && slice3.content.childCount == 1 ? slice3.content.firstChild : null;
}
function capturePaste(view, e) {
  if (!view.dom.parentNode) {
    return;
  }
  var plainText = view.shiftKey || view.state.selection.$from.parent.type.spec.code;
  var target = view.dom.parentNode.appendChild(document.createElement(plainText ? "textarea" : "div"));
  if (!plainText) {
    target.contentEditable = "true";
  }
  target.style.cssText = "position: fixed; left: -10000px; top: 10px";
  target.focus();
  setTimeout(function() {
    view.focus();
    if (target.parentNode) {
      target.parentNode.removeChild(target);
    }
    if (plainText) {
      doPaste(view, target.value, null, e);
    } else {
      doPaste(view, target.textContent, target.innerHTML, e);
    }
  }, 50);
}
function doPaste(view, text, html, e) {
  var slice3 = parseFromClipboard(view, text, html, view.shiftKey, view.state.selection.$from);
  if (view.someProp("handlePaste", function(f) {
    return f(view, e, slice3 || Slice.empty);
  })) {
    return true;
  }
  if (!slice3) {
    return false;
  }
  var singleNode = sliceSingleNode(slice3);
  var tr = singleNode ? view.state.tr.replaceSelectionWith(singleNode, view.shiftKey) : view.state.tr.replaceSelection(slice3);
  view.dispatch(tr.scrollIntoView().setMeta("paste", true).setMeta("uiEvent", "paste"));
  return true;
}
editHandlers.paste = function(view, e) {
  var data = brokenClipboardAPI ? null : e.clipboardData;
  if (data && doPaste(view, data.getData("text/plain"), data.getData("text/html"), e)) {
    e.preventDefault();
  } else {
    capturePaste(view, e);
  }
};
var Dragging = function Dragging2(slice3, move2) {
  this.slice = slice3;
  this.move = move2;
};
var dragCopyModifier = result.mac ? "altKey" : "ctrlKey";
handlers.dragstart = function(view, e) {
  var mouseDown = view.mouseDown;
  if (mouseDown) {
    mouseDown.done();
  }
  if (!e.dataTransfer) {
    return;
  }
  var sel = view.state.selection;
  var pos = sel.empty ? null : view.posAtCoords(eventCoords(e));
  if (pos && pos.pos >= sel.from && pos.pos <= (sel instanceof NodeSelection ? sel.to - 1 : sel.to))
    ;
  else if (mouseDown && mouseDown.mightDrag) {
    view.dispatch(view.state.tr.setSelection(NodeSelection.create(view.state.doc, mouseDown.mightDrag.pos)));
  } else if (e.target && e.target.nodeType == 1) {
    var desc = view.docView.nearestDesc(e.target, true);
    if (desc && desc.node.type.spec.draggable && desc != view.docView) {
      view.dispatch(view.state.tr.setSelection(NodeSelection.create(view.state.doc, desc.posBefore)));
    }
  }
  var slice3 = view.state.selection.content();
  var ref2 = serializeForClipboard(view, slice3);
  var dom = ref2.dom;
  var text = ref2.text;
  e.dataTransfer.clearData();
  e.dataTransfer.setData(brokenClipboardAPI ? "Text" : "text/html", dom.innerHTML);
  e.dataTransfer.effectAllowed = "copyMove";
  if (!brokenClipboardAPI) {
    e.dataTransfer.setData("text/plain", text);
  }
  view.dragging = new Dragging(slice3, !e[dragCopyModifier]);
};
handlers.dragend = function(view) {
  var dragging = view.dragging;
  window.setTimeout(function() {
    if (view.dragging == dragging) {
      view.dragging = null;
    }
  }, 50);
};
editHandlers.dragover = editHandlers.dragenter = function(_, e) {
  return e.preventDefault();
};
editHandlers.drop = function(view, e) {
  var dragging = view.dragging;
  view.dragging = null;
  if (!e.dataTransfer) {
    return;
  }
  var eventPos = view.posAtCoords(eventCoords(e));
  if (!eventPos) {
    return;
  }
  var $mouse = view.state.doc.resolve(eventPos.pos);
  if (!$mouse) {
    return;
  }
  var slice3 = dragging && dragging.slice;
  if (slice3) {
    view.someProp("transformPasted", function(f) {
      slice3 = f(slice3);
    });
  } else {
    slice3 = parseFromClipboard(view, e.dataTransfer.getData(brokenClipboardAPI ? "Text" : "text/plain"), brokenClipboardAPI ? null : e.dataTransfer.getData("text/html"), false, $mouse);
  }
  var move2 = dragging && !e[dragCopyModifier];
  if (view.someProp("handleDrop", function(f) {
    return f(view, e, slice3 || Slice.empty, move2);
  })) {
    e.preventDefault();
    return;
  }
  if (!slice3) {
    return;
  }
  e.preventDefault();
  var insertPos = slice3 ? dropPoint(view.state.doc, $mouse.pos, slice3) : $mouse.pos;
  if (insertPos == null) {
    insertPos = $mouse.pos;
  }
  var tr = view.state.tr;
  if (move2) {
    tr.deleteSelection();
  }
  var pos = tr.mapping.map(insertPos);
  var isNode = slice3.openStart == 0 && slice3.openEnd == 0 && slice3.content.childCount == 1;
  var beforeInsert = tr.doc;
  if (isNode) {
    tr.replaceRangeWith(pos, pos, slice3.content.firstChild);
  } else {
    tr.replaceRange(pos, pos, slice3);
  }
  if (tr.doc.eq(beforeInsert)) {
    return;
  }
  var $pos = tr.doc.resolve(pos);
  if (isNode && NodeSelection.isSelectable(slice3.content.firstChild) && $pos.nodeAfter && $pos.nodeAfter.sameMarkup(slice3.content.firstChild)) {
    tr.setSelection(new NodeSelection($pos));
  } else {
    var end2 = tr.mapping.map(insertPos);
    tr.mapping.maps[tr.mapping.maps.length - 1].forEach(function(_from, _to, _newFrom, newTo) {
      return end2 = newTo;
    });
    tr.setSelection(selectionBetween(view, $pos, tr.doc.resolve(end2)));
  }
  view.focus();
  view.dispatch(tr.setMeta("uiEvent", "drop"));
};
handlers.focus = function(view) {
  if (!view.focused) {
    view.domObserver.stop();
    view.dom.classList.add("ProseMirror-focused");
    view.domObserver.start();
    view.focused = true;
    setTimeout(function() {
      if (view.docView && view.hasFocus() && !view.domObserver.currentSelection.eq(view.root.getSelection())) {
        selectionToDOM(view);
      }
    }, 20);
  }
};
handlers.blur = function(view, e) {
  if (view.focused) {
    view.domObserver.stop();
    view.dom.classList.remove("ProseMirror-focused");
    view.domObserver.start();
    if (e.relatedTarget && view.dom.contains(e.relatedTarget)) {
      view.domObserver.currentSelection.set({});
    }
    view.focused = false;
  }
};
handlers.beforeinput = function(view, event) {
  if (result.chrome && result.android && event.inputType == "deleteContentBackward") {
    var domChangeCount = view.domChangeCount;
    setTimeout(function() {
      if (view.domChangeCount != domChangeCount) {
        return;
      }
      view.dom.blur();
      view.focus();
      if (view.someProp("handleKeyDown", function(f) {
        return f(view, keyEvent(8, "Backspace"));
      })) {
        return;
      }
      var ref2 = view.state.selection;
      var $cursor = ref2.$cursor;
      if ($cursor && $cursor.pos > 0) {
        view.dispatch(view.state.tr.delete($cursor.pos - 1, $cursor.pos).scrollIntoView());
      }
    }, 50);
  }
};
for (var prop in editHandlers) {
  handlers[prop] = editHandlers[prop];
}
function compareObjs(a, b) {
  if (a == b) {
    return true;
  }
  for (var p in a) {
    if (a[p] !== b[p]) {
      return false;
    }
  }
  for (var p$1 in b) {
    if (!(p$1 in a)) {
      return false;
    }
  }
  return true;
}
var WidgetType = function WidgetType2(toDOM, spec) {
  this.spec = spec || noSpec;
  this.side = this.spec.side || 0;
  this.toDOM = toDOM;
};
WidgetType.prototype.map = function map7(mapping, span, offset2, oldOffset) {
  var ref2 = mapping.mapResult(span.from + oldOffset, this.side < 0 ? -1 : 1);
  var pos = ref2.pos;
  var deleted = ref2.deleted;
  return deleted ? null : new Decoration(pos - offset2, pos - offset2, this);
};
WidgetType.prototype.valid = function valid() {
  return true;
};
WidgetType.prototype.eq = function eq6(other) {
  return this == other || other instanceof WidgetType && (this.spec.key && this.spec.key == other.spec.key || this.toDOM == other.toDOM && compareObjs(this.spec, other.spec));
};
var InlineType = function InlineType2(attrs, spec) {
  this.spec = spec || noSpec;
  this.attrs = attrs;
};
InlineType.prototype.map = function map8(mapping, span, offset2, oldOffset) {
  var from3 = mapping.map(span.from + oldOffset, this.spec.inclusiveStart ? -1 : 1) - offset2;
  var to = mapping.map(span.to + oldOffset, this.spec.inclusiveEnd ? 1 : -1) - offset2;
  return from3 >= to ? null : new Decoration(from3, to, this);
};
InlineType.prototype.valid = function valid2(_, span) {
  return span.from < span.to;
};
InlineType.prototype.eq = function eq7(other) {
  return this == other || other instanceof InlineType && compareObjs(this.attrs, other.attrs) && compareObjs(this.spec, other.spec);
};
InlineType.is = function is(span) {
  return span.type instanceof InlineType;
};
var NodeType2 = function NodeType3(attrs, spec) {
  this.spec = spec || noSpec;
  this.attrs = attrs;
};
NodeType2.prototype.map = function map9(mapping, span, offset2, oldOffset) {
  var from3 = mapping.mapResult(span.from + oldOffset, 1);
  if (from3.deleted) {
    return null;
  }
  var to = mapping.mapResult(span.to + oldOffset, -1);
  if (to.deleted || to.pos <= from3.pos) {
    return null;
  }
  return new Decoration(from3.pos - offset2, to.pos - offset2, this);
};
NodeType2.prototype.valid = function valid3(node3, span) {
  var ref2 = node3.content.findIndex(span.from);
  var index3 = ref2.index;
  var offset2 = ref2.offset;
  var child3;
  return offset2 == span.from && !(child3 = node3.child(index3)).isText && offset2 + child3.nodeSize == span.to;
};
NodeType2.prototype.eq = function eq8(other) {
  return this == other || other instanceof NodeType2 && compareObjs(this.attrs, other.attrs) && compareObjs(this.spec, other.spec);
};
var Decoration = function Decoration2(from3, to, type) {
  this.from = from3;
  this.to = to;
  this.type = type;
};
var prototypeAccessors$1 = { spec: { configurable: true }, inline: { configurable: true } };
Decoration.prototype.copy = function copy4(from3, to) {
  return new Decoration(from3, to, this.type);
};
Decoration.prototype.eq = function eq9(other, offset2) {
  if (offset2 === void 0)
    offset2 = 0;
  return this.type.eq(other.type) && this.from + offset2 == other.from && this.to + offset2 == other.to;
};
Decoration.prototype.map = function map10(mapping, offset2, oldOffset) {
  return this.type.map(mapping, this, offset2, oldOffset);
};
Decoration.widget = function widget(pos, toDOM, spec) {
  return new Decoration(pos, pos, new WidgetType(toDOM, spec));
};
Decoration.inline = function inline(from3, to, attrs, spec) {
  return new Decoration(from3, to, new InlineType(attrs, spec));
};
Decoration.node = function node2(from3, to, attrs, spec) {
  return new Decoration(from3, to, new NodeType2(attrs, spec));
};
prototypeAccessors$1.spec.get = function() {
  return this.type.spec;
};
prototypeAccessors$1.inline.get = function() {
  return this.type instanceof InlineType;
};
Object.defineProperties(Decoration.prototype, prototypeAccessors$1);
var none = [], noSpec = {};
var DecorationSet = function DecorationSet2(local, children) {
  this.local = local && local.length ? local : none;
  this.children = children && children.length ? children : none;
};
DecorationSet.create = function create4(doc2, decorations) {
  return decorations.length ? buildTree(decorations, doc2, 0, noSpec) : empty;
};
DecorationSet.prototype.find = function find(start3, end2, predicate) {
  var result2 = [];
  this.findInner(start3 == null ? 0 : start3, end2 == null ? 1e9 : end2, result2, 0, predicate);
  return result2;
};
DecorationSet.prototype.findInner = function findInner(start3, end2, result2, offset2, predicate) {
  for (var i = 0; i < this.local.length; i++) {
    var span = this.local[i];
    if (span.from <= end2 && span.to >= start3 && (!predicate || predicate(span.spec))) {
      result2.push(span.copy(span.from + offset2, span.to + offset2));
    }
  }
  for (var i$1 = 0; i$1 < this.children.length; i$1 += 3) {
    if (this.children[i$1] < end2 && this.children[i$1 + 1] > start3) {
      var childOff = this.children[i$1] + 1;
      this.children[i$1 + 2].findInner(start3 - childOff, end2 - childOff, result2, offset2 + childOff, predicate);
    }
  }
};
DecorationSet.prototype.map = function map11(mapping, doc2, options) {
  if (this == empty || mapping.maps.length == 0) {
    return this;
  }
  return this.mapInner(mapping, doc2, 0, 0, options || noSpec);
};
DecorationSet.prototype.mapInner = function mapInner(mapping, node3, offset2, oldOffset, options) {
  var newLocal;
  for (var i = 0; i < this.local.length; i++) {
    var mapped = this.local[i].map(mapping, offset2, oldOffset);
    if (mapped && mapped.type.valid(node3, mapped)) {
      (newLocal || (newLocal = [])).push(mapped);
    } else if (options.onRemove) {
      options.onRemove(this.local[i].spec);
    }
  }
  if (this.children.length) {
    return mapChildren(this.children, newLocal, mapping, node3, offset2, oldOffset, options);
  } else {
    return newLocal ? new DecorationSet(newLocal.sort(byPos)) : empty;
  }
};
DecorationSet.prototype.add = function add(doc2, decorations) {
  if (!decorations.length) {
    return this;
  }
  if (this == empty) {
    return DecorationSet.create(doc2, decorations);
  }
  return this.addInner(doc2, decorations, 0);
};
DecorationSet.prototype.addInner = function addInner(doc2, decorations, offset2) {
  var this$1$1 = this;
  var children, childIndex = 0;
  doc2.forEach(function(childNode, childOffset) {
    var baseOffset = childOffset + offset2, found2;
    if (!(found2 = takeSpansForNode(decorations, childNode, baseOffset))) {
      return;
    }
    if (!children) {
      children = this$1$1.children.slice();
    }
    while (childIndex < children.length && children[childIndex] < childOffset) {
      childIndex += 3;
    }
    if (children[childIndex] == childOffset) {
      children[childIndex + 2] = children[childIndex + 2].addInner(childNode, found2, baseOffset + 1);
    } else {
      children.splice(childIndex, 0, childOffset, childOffset + childNode.nodeSize, buildTree(found2, childNode, baseOffset + 1, noSpec));
    }
    childIndex += 3;
  });
  var local = moveSpans(childIndex ? withoutNulls(decorations) : decorations, -offset2);
  for (var i = 0; i < local.length; i++) {
    if (!local[i].type.valid(doc2, local[i])) {
      local.splice(i--, 1);
    }
  }
  return new DecorationSet(local.length ? this.local.concat(local).sort(byPos) : this.local, children || this.children);
};
DecorationSet.prototype.remove = function remove(decorations) {
  if (decorations.length == 0 || this == empty) {
    return this;
  }
  return this.removeInner(decorations, 0);
};
DecorationSet.prototype.removeInner = function removeInner(decorations, offset2) {
  var children = this.children, local = this.local;
  for (var i = 0; i < children.length; i += 3) {
    var found2 = void 0, from3 = children[i] + offset2, to = children[i + 1] + offset2;
    for (var j = 0, span = void 0; j < decorations.length; j++) {
      if (span = decorations[j]) {
        if (span.from > from3 && span.to < to) {
          decorations[j] = null;
          (found2 || (found2 = [])).push(span);
        }
      }
    }
    if (!found2) {
      continue;
    }
    if (children == this.children) {
      children = this.children.slice();
    }
    var removed = children[i + 2].removeInner(found2, from3 + 1);
    if (removed != empty) {
      children[i + 2] = removed;
    } else {
      children.splice(i, 3);
      i -= 3;
    }
  }
  if (local.length) {
    for (var i$1 = 0, span$1 = void 0; i$1 < decorations.length; i$1++) {
      if (span$1 = decorations[i$1]) {
        for (var j$1 = 0; j$1 < local.length; j$1++) {
          if (local[j$1].eq(span$1, offset2)) {
            if (local == this.local) {
              local = this.local.slice();
            }
            local.splice(j$1--, 1);
          }
        }
      }
    }
  }
  if (children == this.children && local == this.local) {
    return this;
  }
  return local.length || children.length ? new DecorationSet(local, children) : empty;
};
DecorationSet.prototype.forChild = function forChild(offset2, node3) {
  if (this == empty) {
    return this;
  }
  if (node3.isLeaf) {
    return DecorationSet.empty;
  }
  var child3, local;
  for (var i = 0; i < this.children.length; i += 3) {
    if (this.children[i] >= offset2) {
      if (this.children[i] == offset2) {
        child3 = this.children[i + 2];
      }
      break;
    }
  }
  var start3 = offset2 + 1, end2 = start3 + node3.content.size;
  for (var i$1 = 0; i$1 < this.local.length; i$1++) {
    var dec = this.local[i$1];
    if (dec.from < end2 && dec.to > start3 && dec.type instanceof InlineType) {
      var from3 = Math.max(start3, dec.from) - start3, to = Math.min(end2, dec.to) - start3;
      if (from3 < to) {
        (local || (local = [])).push(dec.copy(from3, to));
      }
    }
  }
  if (local) {
    var localSet = new DecorationSet(local.sort(byPos));
    return child3 ? new DecorationGroup([localSet, child3]) : localSet;
  }
  return child3 || empty;
};
DecorationSet.prototype.eq = function eq10(other) {
  if (this == other) {
    return true;
  }
  if (!(other instanceof DecorationSet) || this.local.length != other.local.length || this.children.length != other.children.length) {
    return false;
  }
  for (var i = 0; i < this.local.length; i++) {
    if (!this.local[i].eq(other.local[i])) {
      return false;
    }
  }
  for (var i$1 = 0; i$1 < this.children.length; i$1 += 3) {
    if (this.children[i$1] != other.children[i$1] || this.children[i$1 + 1] != other.children[i$1 + 1] || !this.children[i$1 + 2].eq(other.children[i$1 + 2])) {
      return false;
    }
  }
  return true;
};
DecorationSet.prototype.locals = function locals(node3) {
  return removeOverlap(this.localsInner(node3));
};
DecorationSet.prototype.localsInner = function localsInner(node3) {
  if (this == empty) {
    return none;
  }
  if (node3.inlineContent || !this.local.some(InlineType.is)) {
    return this.local;
  }
  var result2 = [];
  for (var i = 0; i < this.local.length; i++) {
    if (!(this.local[i].type instanceof InlineType)) {
      result2.push(this.local[i]);
    }
  }
  return result2;
};
var empty = new DecorationSet();
DecorationSet.empty = empty;
DecorationSet.removeOverlap = removeOverlap;
var DecorationGroup = function DecorationGroup2(members) {
  this.members = members;
};
DecorationGroup.prototype.map = function map12(mapping, doc2) {
  var mappedDecos = this.members.map(function(member) {
    return member.map(mapping, doc2, noSpec);
  });
  return DecorationGroup.from(mappedDecos);
};
DecorationGroup.prototype.forChild = function forChild2(offset2, child3) {
  if (child3.isLeaf) {
    return DecorationSet.empty;
  }
  var found2 = [];
  for (var i = 0; i < this.members.length; i++) {
    var result2 = this.members[i].forChild(offset2, child3);
    if (result2 == empty) {
      continue;
    }
    if (result2 instanceof DecorationGroup) {
      found2 = found2.concat(result2.members);
    } else {
      found2.push(result2);
    }
  }
  return DecorationGroup.from(found2);
};
DecorationGroup.prototype.eq = function eq11(other) {
  if (!(other instanceof DecorationGroup) || other.members.length != this.members.length) {
    return false;
  }
  for (var i = 0; i < this.members.length; i++) {
    if (!this.members[i].eq(other.members[i])) {
      return false;
    }
  }
  return true;
};
DecorationGroup.prototype.locals = function locals2(node3) {
  var result2, sorted = true;
  for (var i = 0; i < this.members.length; i++) {
    var locals3 = this.members[i].localsInner(node3);
    if (!locals3.length) {
      continue;
    }
    if (!result2) {
      result2 = locals3;
    } else {
      if (sorted) {
        result2 = result2.slice();
        sorted = false;
      }
      for (var j = 0; j < locals3.length; j++) {
        result2.push(locals3[j]);
      }
    }
  }
  return result2 ? removeOverlap(sorted ? result2 : result2.sort(byPos)) : none;
};
DecorationGroup.from = function from2(members) {
  switch (members.length) {
    case 0:
      return empty;
    case 1:
      return members[0];
    default:
      return new DecorationGroup(members);
  }
};
function mapChildren(oldChildren, newLocal, mapping, node3, offset2, oldOffset, options) {
  var children = oldChildren.slice();
  var shift = function(oldStart, oldEnd, newStart, newEnd) {
    for (var i2 = 0; i2 < children.length; i2 += 3) {
      var end2 = children[i2 + 1], dSize = void 0;
      if (end2 == -1 || oldStart > end2 + oldOffset) {
        continue;
      }
      if (oldEnd >= children[i2] + oldOffset) {
        children[i2 + 1] = -1;
      } else if (newStart >= offset2 && (dSize = newEnd - newStart - (oldEnd - oldStart))) {
        children[i2] += dSize;
        children[i2 + 1] += dSize;
      }
    }
  };
  for (var i = 0; i < mapping.maps.length; i++) {
    mapping.maps[i].forEach(shift);
  }
  var mustRebuild = false;
  for (var i$1 = 0; i$1 < children.length; i$1 += 3) {
    if (children[i$1 + 1] == -1) {
      var from3 = mapping.map(oldChildren[i$1] + oldOffset), fromLocal = from3 - offset2;
      if (fromLocal < 0 || fromLocal >= node3.content.size) {
        mustRebuild = true;
        continue;
      }
      var to = mapping.map(oldChildren[i$1 + 1] + oldOffset, -1), toLocal = to - offset2;
      var ref2 = node3.content.findIndex(fromLocal);
      var index3 = ref2.index;
      var childOffset = ref2.offset;
      var childNode = node3.maybeChild(index3);
      if (childNode && childOffset == fromLocal && childOffset + childNode.nodeSize == toLocal) {
        var mapped = children[i$1 + 2].mapInner(mapping, childNode, from3 + 1, oldChildren[i$1] + oldOffset + 1, options);
        if (mapped != empty) {
          children[i$1] = fromLocal;
          children[i$1 + 1] = toLocal;
          children[i$1 + 2] = mapped;
        } else {
          children[i$1 + 1] = -2;
          mustRebuild = true;
        }
      } else {
        mustRebuild = true;
      }
    }
  }
  if (mustRebuild) {
    var decorations = mapAndGatherRemainingDecorations(children, oldChildren, newLocal || [], mapping, offset2, oldOffset, options);
    var built = buildTree(decorations, node3, 0, options);
    newLocal = built.local;
    for (var i$2 = 0; i$2 < children.length; i$2 += 3) {
      if (children[i$2 + 1] < 0) {
        children.splice(i$2, 3);
        i$2 -= 3;
      }
    }
    for (var i$3 = 0, j = 0; i$3 < built.children.length; i$3 += 3) {
      var from$1 = built.children[i$3];
      while (j < children.length && children[j] < from$1) {
        j += 3;
      }
      children.splice(j, 0, built.children[i$3], built.children[i$3 + 1], built.children[i$3 + 2]);
    }
  }
  return new DecorationSet(newLocal && newLocal.sort(byPos), children);
}
function moveSpans(spans, offset2) {
  if (!offset2 || !spans.length) {
    return spans;
  }
  var result2 = [];
  for (var i = 0; i < spans.length; i++) {
    var span = spans[i];
    result2.push(new Decoration(span.from + offset2, span.to + offset2, span.type));
  }
  return result2;
}
function mapAndGatherRemainingDecorations(children, oldChildren, decorations, mapping, offset2, oldOffset, options) {
  function gather(set2, oldOffset2) {
    for (var i2 = 0; i2 < set2.local.length; i2++) {
      var mapped = set2.local[i2].map(mapping, offset2, oldOffset2);
      if (mapped) {
        decorations.push(mapped);
      } else if (options.onRemove) {
        options.onRemove(set2.local[i2].spec);
      }
    }
    for (var i$1 = 0; i$1 < set2.children.length; i$1 += 3) {
      gather(set2.children[i$1 + 2], set2.children[i$1] + oldOffset2 + 1);
    }
  }
  for (var i = 0; i < children.length; i += 3) {
    if (children[i + 1] == -1) {
      gather(children[i + 2], oldChildren[i] + oldOffset + 1);
    }
  }
  return decorations;
}
function takeSpansForNode(spans, node3, offset2) {
  if (node3.isLeaf) {
    return null;
  }
  var end2 = offset2 + node3.nodeSize, found2 = null;
  for (var i = 0, span = void 0; i < spans.length; i++) {
    if ((span = spans[i]) && span.from > offset2 && span.to < end2) {
      (found2 || (found2 = [])).push(span);
      spans[i] = null;
    }
  }
  return found2;
}
function withoutNulls(array) {
  var result2 = [];
  for (var i = 0; i < array.length; i++) {
    if (array[i] != null) {
      result2.push(array[i]);
    }
  }
  return result2;
}
function buildTree(spans, node3, offset2, options) {
  var children = [], hasNulls = false;
  node3.forEach(function(childNode, localStart) {
    var found2 = takeSpansForNode(spans, childNode, localStart + offset2);
    if (found2) {
      hasNulls = true;
      var subtree = buildTree(found2, childNode, offset2 + localStart + 1, options);
      if (subtree != empty) {
        children.push(localStart, localStart + childNode.nodeSize, subtree);
      }
    }
  });
  var locals3 = moveSpans(hasNulls ? withoutNulls(spans) : spans, -offset2).sort(byPos);
  for (var i = 0; i < locals3.length; i++) {
    if (!locals3[i].type.valid(node3, locals3[i])) {
      if (options.onRemove) {
        options.onRemove(locals3[i].spec);
      }
      locals3.splice(i--, 1);
    }
  }
  return locals3.length || children.length ? new DecorationSet(locals3, children) : empty;
}
function byPos(a, b) {
  return a.from - b.from || a.to - b.to;
}
function removeOverlap(spans) {
  var working = spans;
  for (var i = 0; i < working.length - 1; i++) {
    var span = working[i];
    if (span.from != span.to) {
      for (var j = i + 1; j < working.length; j++) {
        var next = working[j];
        if (next.from == span.from) {
          if (next.to != span.to) {
            if (working == spans) {
              working = spans.slice();
            }
            working[j] = next.copy(next.from, span.to);
            insertAhead(working, j + 1, next.copy(span.to, next.to));
          }
          continue;
        } else {
          if (next.from < span.to) {
            if (working == spans) {
              working = spans.slice();
            }
            working[i] = span.copy(span.from, next.from);
            insertAhead(working, j, span.copy(next.from, span.to));
          }
          break;
        }
      }
    }
  }
  return working;
}
function insertAhead(array, i, deco) {
  while (i < array.length && byPos(deco, array[i]) > 0) {
    i++;
  }
  array.splice(i, 0, deco);
}
function viewDecorations(view) {
  var found2 = [];
  view.someProp("decorations", function(f) {
    var result2 = f(view.state);
    if (result2 && result2 != empty) {
      found2.push(result2);
    }
  });
  if (view.cursorWrapper) {
    found2.push(DecorationSet.create(view.state.doc, [view.cursorWrapper.deco]));
  }
  return DecorationGroup.from(found2);
}
var EditorView = function EditorView2(place, props) {
  this._props = props;
  this.state = props.state;
  this.directPlugins = props.plugins || [];
  this.directPlugins.forEach(checkStateComponent);
  this.dispatch = this.dispatch.bind(this);
  this._root = null;
  this.focused = false;
  this.trackWrites = null;
  this.dom = place && place.mount || document.createElement("div");
  if (place) {
    if (place.appendChild) {
      place.appendChild(this.dom);
    } else if (place.apply) {
      place(this.dom);
    } else if (place.mount) {
      this.mounted = true;
    }
  }
  this.editable = getEditable(this);
  this.markCursor = null;
  this.cursorWrapper = null;
  updateCursorWrapper(this);
  this.nodeViews = buildNodeViews(this);
  this.docView = docViewDesc(this.state.doc, computeDocDeco(this), viewDecorations(this), this.dom, this);
  this.lastSelectedViewDesc = null;
  this.dragging = null;
  initInput(this);
  this.prevDirectPlugins = [];
  this.pluginViews = [];
  this.updatePluginViews();
};
var prototypeAccessors$2 = { props: { configurable: true }, root: { configurable: true } };
prototypeAccessors$2.props.get = function() {
  if (this._props.state != this.state) {
    var prev = this._props;
    this._props = {};
    for (var name in prev) {
      this._props[name] = prev[name];
    }
    this._props.state = this.state;
  }
  return this._props;
};
EditorView.prototype.update = function update2(props) {
  if (props.handleDOMEvents != this._props.handleDOMEvents) {
    ensureListeners(this);
  }
  this._props = props;
  if (props.plugins) {
    props.plugins.forEach(checkStateComponent);
    this.directPlugins = props.plugins;
  }
  this.updateStateInner(props.state, true);
};
EditorView.prototype.setProps = function setProps(props) {
  var updated = {};
  for (var name in this._props) {
    updated[name] = this._props[name];
  }
  updated.state = this.state;
  for (var name$1 in props) {
    updated[name$1] = props[name$1];
  }
  this.update(updated);
};
EditorView.prototype.updateState = function updateState(state) {
  this.updateStateInner(state, this.state.plugins != state.plugins);
};
EditorView.prototype.updateStateInner = function updateStateInner(state, reconfigured) {
  var this$1$1 = this;
  var prev = this.state, redraw = false, updateSel = false;
  if (state.storedMarks && this.composing) {
    clearComposition(this);
    updateSel = true;
  }
  this.state = state;
  if (reconfigured) {
    var nodeViews = buildNodeViews(this);
    if (changedNodeViews(nodeViews, this.nodeViews)) {
      this.nodeViews = nodeViews;
      redraw = true;
    }
    ensureListeners(this);
  }
  this.editable = getEditable(this);
  updateCursorWrapper(this);
  var innerDeco = viewDecorations(this), outerDeco = computeDocDeco(this);
  var scroll = reconfigured ? "reset" : state.scrollToSelection > prev.scrollToSelection ? "to selection" : "preserve";
  var updateDoc = redraw || !this.docView.matchesNode(state.doc, outerDeco, innerDeco);
  if (updateDoc || !state.selection.eq(prev.selection)) {
    updateSel = true;
  }
  var oldScrollPos = scroll == "preserve" && updateSel && this.dom.style.overflowAnchor == null && storeScrollPos(this);
  if (updateSel) {
    this.domObserver.stop();
    var forceSelUpdate = updateDoc && (result.ie || result.chrome) && !this.composing && !prev.selection.empty && !state.selection.empty && selectionContextChanged(prev.selection, state.selection);
    if (updateDoc) {
      var chromeKludge = result.chrome ? this.trackWrites = this.root.getSelection().focusNode : null;
      if (redraw || !this.docView.update(state.doc, outerDeco, innerDeco, this)) {
        this.docView.updateOuterDeco([]);
        this.docView.destroy();
        this.docView = docViewDesc(state.doc, outerDeco, innerDeco, this.dom, this);
      }
      if (chromeKludge && !this.trackWrites) {
        forceSelUpdate = true;
      }
    }
    if (forceSelUpdate || !(this.mouseDown && this.domObserver.currentSelection.eq(this.root.getSelection()) && anchorInRightPlace(this))) {
      selectionToDOM(this, forceSelUpdate);
    } else {
      syncNodeSelection(this, state.selection);
      this.domObserver.setCurSelection();
    }
    this.domObserver.start();
  }
  this.updatePluginViews(prev);
  if (scroll == "reset") {
    this.dom.scrollTop = 0;
  } else if (scroll == "to selection") {
    var startDOM = this.root.getSelection().focusNode;
    if (this.someProp("handleScrollToSelection", function(f) {
      return f(this$1$1);
    }))
      ;
    else if (state.selection instanceof NodeSelection) {
      scrollRectIntoView(this, this.docView.domAfterPos(state.selection.from).getBoundingClientRect(), startDOM);
    } else {
      scrollRectIntoView(this, this.coordsAtPos(state.selection.head, 1), startDOM);
    }
  } else if (oldScrollPos) {
    resetScrollPos(oldScrollPos);
  }
};
EditorView.prototype.destroyPluginViews = function destroyPluginViews() {
  var view;
  while (view = this.pluginViews.pop()) {
    if (view.destroy) {
      view.destroy();
    }
  }
};
EditorView.prototype.updatePluginViews = function updatePluginViews(prevState) {
  if (!prevState || prevState.plugins != this.state.plugins || this.directPlugins != this.prevDirectPlugins) {
    this.prevDirectPlugins = this.directPlugins;
    this.destroyPluginViews();
    for (var i = 0; i < this.directPlugins.length; i++) {
      var plugin = this.directPlugins[i];
      if (plugin.spec.view) {
        this.pluginViews.push(plugin.spec.view(this));
      }
    }
    for (var i$1 = 0; i$1 < this.state.plugins.length; i$1++) {
      var plugin$1 = this.state.plugins[i$1];
      if (plugin$1.spec.view) {
        this.pluginViews.push(plugin$1.spec.view(this));
      }
    }
  } else {
    for (var i$2 = 0; i$2 < this.pluginViews.length; i$2++) {
      var pluginView = this.pluginViews[i$2];
      if (pluginView.update) {
        pluginView.update(this, prevState);
      }
    }
  }
};
EditorView.prototype.someProp = function someProp(propName, f) {
  var prop = this._props && this._props[propName], value;
  if (prop != null && (value = f ? f(prop) : prop)) {
    return value;
  }
  for (var i = 0; i < this.directPlugins.length; i++) {
    var prop$1 = this.directPlugins[i].props[propName];
    if (prop$1 != null && (value = f ? f(prop$1) : prop$1)) {
      return value;
    }
  }
  var plugins = this.state.plugins;
  if (plugins) {
    for (var i$1 = 0; i$1 < plugins.length; i$1++) {
      var prop$2 = plugins[i$1].props[propName];
      if (prop$2 != null && (value = f ? f(prop$2) : prop$2)) {
        return value;
      }
    }
  }
};
EditorView.prototype.hasFocus = function hasFocus() {
  return this.root.activeElement == this.dom;
};
EditorView.prototype.focus = function focus() {
  this.domObserver.stop();
  if (this.editable) {
    focusPreventScroll(this.dom);
  }
  selectionToDOM(this);
  this.domObserver.start();
};
prototypeAccessors$2.root.get = function() {
  var cached = this._root;
  if (cached == null) {
    for (var search = this.dom.parentNode; search; search = search.parentNode) {
      if (search.nodeType == 9 || search.nodeType == 11 && search.host) {
        if (!search.getSelection) {
          Object.getPrototypeOf(search).getSelection = function() {
            return document.getSelection();
          };
        }
        return this._root = search;
      }
    }
  }
  return cached || document;
};
EditorView.prototype.posAtCoords = function posAtCoords$1(coords) {
  return posAtCoords(this, coords);
};
EditorView.prototype.coordsAtPos = function coordsAtPos$1(pos, side) {
  if (side === void 0)
    side = 1;
  return coordsAtPos(this, pos, side);
};
EditorView.prototype.domAtPos = function domAtPos(pos, side) {
  if (side === void 0)
    side = 0;
  return this.docView.domFromPos(pos, side);
};
EditorView.prototype.nodeDOM = function nodeDOM(pos) {
  var desc = this.docView.descAt(pos);
  return desc ? desc.nodeDOM : null;
};
EditorView.prototype.posAtDOM = function posAtDOM(node3, offset2, bias) {
  if (bias === void 0)
    bias = -1;
  var pos = this.docView.posFromDOM(node3, offset2, bias);
  if (pos == null) {
    throw new RangeError("DOM position not inside the editor");
  }
  return pos;
};
EditorView.prototype.endOfTextblock = function endOfTextblock$1(dir, state) {
  return endOfTextblock(this, state || this.state, dir);
};
EditorView.prototype.destroy = function destroy2() {
  if (!this.docView) {
    return;
  }
  destroyInput(this);
  this.destroyPluginViews();
  if (this.mounted) {
    this.docView.update(this.state.doc, [], viewDecorations(this), this);
    this.dom.textContent = "";
  } else if (this.dom.parentNode) {
    this.dom.parentNode.removeChild(this.dom);
  }
  this.docView.destroy();
  this.docView = null;
};
EditorView.prototype.dispatchEvent = function dispatchEvent$1(event) {
  return dispatchEvent(this, event);
};
EditorView.prototype.dispatch = function dispatch(tr) {
  var dispatchTransaction = this._props.dispatchTransaction;
  if (dispatchTransaction) {
    dispatchTransaction.call(this, tr);
  } else {
    this.updateState(this.state.apply(tr));
  }
};
Object.defineProperties(EditorView.prototype, prototypeAccessors$2);
function computeDocDeco(view) {
  var attrs = Object.create(null);
  attrs.class = "ProseMirror";
  attrs.contenteditable = String(view.editable);
  attrs.translate = "no";
  view.someProp("attributes", function(value) {
    if (typeof value == "function") {
      value = value(view.state);
    }
    if (value) {
      for (var attr in value) {
        if (attr == "class") {
          attrs.class += " " + value[attr];
        } else if (!attrs[attr] && attr != "contenteditable" && attr != "nodeName") {
          attrs[attr] = String(value[attr]);
        }
      }
    }
  });
  return [Decoration.node(0, view.state.doc.content.size, attrs)];
}
function updateCursorWrapper(view) {
  if (view.markCursor) {
    var dom = document.createElement("img");
    dom.className = "ProseMirror-separator";
    dom.setAttribute("mark-placeholder", "true");
    view.cursorWrapper = { dom, deco: Decoration.widget(view.state.selection.head, dom, { raw: true, marks: view.markCursor }) };
  } else {
    view.cursorWrapper = null;
  }
}
function getEditable(view) {
  return !view.someProp("editable", function(value) {
    return value(view.state) === false;
  });
}
function selectionContextChanged(sel1, sel2) {
  var depth = Math.min(sel1.$anchor.sharedDepth(sel1.head), sel2.$anchor.sharedDepth(sel2.head));
  return sel1.$anchor.start(depth) != sel2.$anchor.start(depth);
}
function buildNodeViews(view) {
  var result2 = {};
  view.someProp("nodeViews", function(obj) {
    for (var prop in obj) {
      if (!Object.prototype.hasOwnProperty.call(result2, prop)) {
        result2[prop] = obj[prop];
      }
    }
  });
  return result2;
}
function changedNodeViews(a, b) {
  var nA = 0, nB = 0;
  for (var prop in a) {
    if (a[prop] != b[prop]) {
      return true;
    }
    nA++;
  }
  for (var _ in b) {
    nB++;
  }
  return nA != nB;
}
function checkStateComponent(plugin) {
  if (plugin.spec.state || plugin.spec.filterTransaction || plugin.spec.appendTransaction) {
    throw new RangeError("Plugins passed directly to the view must not have a state component");
  }
}
function findSuggestionMatch(config) {
  const { char, allowSpaces, prefixSpace, startOfLine, $position } = config;
  const escapedChar = char.split("").map((c) => `\\${c}`).join("");
  const suffix = new RegExp(`\\s${escapedChar}$`);
  const prefix = startOfLine ? "^" : "";
  const regexp = allowSpaces ? new RegExp(`${prefix}${escapedChar}.*?(?=\\s${escapedChar}|$)`, "gm") : new RegExp(`${prefix}(?:^)?${escapedChar}[^\\s${escapedChar}]*`, "gm");
  const isTopLevelNode = $position.depth <= 0;
  const textFrom = isTopLevelNode ? 0 : $position.before();
  const textTo = $position.pos;
  const text = $position.doc.textBetween(textFrom, textTo, "\0", "\0");
  const match = Array.from(text.matchAll(regexp)).pop();
  if (!match || match.input === void 0 || match.index === void 0) {
    return null;
  }
  const matchPrefix = match.input.slice(Math.max(0, match.index - 1), match.index);
  const matchPrefixIsSpace = /^[\s\0]?$/.test(matchPrefix);
  if (prefixSpace && !matchPrefixIsSpace) {
    return null;
  }
  const from3 = match.index + $position.start();
  let to = from3 + match[0].length;
  if (allowSpaces && suffix.test(text.slice(to - 1, to + 1))) {
    match[0] += " ";
    to += 1;
  }
  if (from3 < $position.pos && to >= $position.pos) {
    return {
      range: {
        from: from3,
        to
      },
      query: match[0].slice(char.length),
      text: match[0]
    };
  }
  return null;
}
const SuggestionPluginKey = new PluginKey("suggestion");
function Suggestion({ pluginKey: pluginKey2 = SuggestionPluginKey, editor: editor2, char = "@", allowSpaces = false, prefixSpace = true, startOfLine = false, decorationTag = "span", decorationClass = "suggestion", command = () => null, items = () => [], render = () => ({}), allow = () => true }) {
  const renderer = render === null || render === void 0 ? void 0 : render();
  return new Plugin({
    key: pluginKey2,
    view() {
      return {
        update: async (view, prevState) => {
          var _a, _b, _c, _d, _e;
          const prev = (_a = this.key) === null || _a === void 0 ? void 0 : _a.getState(prevState);
          const next = (_b = this.key) === null || _b === void 0 ? void 0 : _b.getState(view.state);
          const moved = prev.active && next.active && prev.range.from !== next.range.from;
          const started = !prev.active && next.active;
          const stopped = prev.active && !next.active;
          const changed = !started && !stopped && prev.query !== next.query;
          const handleStart = started || moved;
          const handleChange = changed && !moved;
          const handleExit = stopped || moved;
          if (!handleStart && !handleChange && !handleExit) {
            return;
          }
          const state = handleExit && !handleStart ? prev : next;
          const decorationNode = document.querySelector(`[data-decoration-id="${state.decorationId}"]`);
          const props = {
            editor: editor2,
            range: state.range,
            query: state.query,
            text: state.text,
            items: handleChange || handleStart ? await items(state.query) : [],
            command: (commandProps) => {
              command({
                editor: editor2,
                range: state.range,
                props: commandProps
              });
            },
            decorationNode,
            clientRect: decorationNode ? () => {
              var _a2;
              const { decorationId } = (_a2 = this.key) === null || _a2 === void 0 ? void 0 : _a2.getState(editor2.state);
              const currentDecorationNode = document.querySelector(`[data-decoration-id="${decorationId}"]`);
              return currentDecorationNode.getBoundingClientRect();
            } : null
          };
          if (handleExit) {
            (_c = renderer === null || renderer === void 0 ? void 0 : renderer.onExit) === null || _c === void 0 ? void 0 : _c.call(renderer, props);
          }
          if (handleChange) {
            (_d = renderer === null || renderer === void 0 ? void 0 : renderer.onUpdate) === null || _d === void 0 ? void 0 : _d.call(renderer, props);
          }
          if (handleStart) {
            (_e = renderer === null || renderer === void 0 ? void 0 : renderer.onStart) === null || _e === void 0 ? void 0 : _e.call(renderer, props);
          }
        }
      };
    },
    state: {
      init() {
        return {
          active: false,
          range: {},
          query: null,
          text: null,
          composing: false
        };
      },
      apply(transaction, prev) {
        const { composing } = editor2.view;
        const { selection } = transaction;
        const { empty: empty2, from: from3 } = selection;
        const next = __spreadValues({}, prev);
        next.composing = composing;
        if (empty2 || editor2.view.composing) {
          if ((from3 < prev.range.from || from3 > prev.range.to) && !composing && !prev.composing) {
            next.active = false;
          }
          const match = findSuggestionMatch({
            char,
            allowSpaces,
            prefixSpace,
            startOfLine,
            $position: selection.$from
          });
          const decorationId = `id_${Math.floor(Math.random() * 4294967295)}`;
          if (match && allow({ editor: editor2, range: match.range })) {
            next.active = true;
            next.decorationId = prev.decorationId ? prev.decorationId : decorationId;
            next.range = match.range;
            next.query = match.query;
            next.text = match.text;
          } else {
            next.active = false;
          }
        } else {
          next.active = false;
        }
        if (!next.active) {
          next.decorationId = null;
          next.range = {};
          next.query = null;
          next.text = null;
        }
        return next;
      }
    },
    props: {
      handleKeyDown(view, event) {
        var _a;
        const { active, range } = this.getState(view.state);
        if (!active) {
          return false;
        }
        return ((_a = renderer === null || renderer === void 0 ? void 0 : renderer.onKeyDown) === null || _a === void 0 ? void 0 : _a.call(renderer, { view, event, range })) || false;
      },
      decorations(state) {
        const { active, range, decorationId } = this.getState(state);
        if (!active) {
          return null;
        }
        return DecorationSet.create(state.doc, [
          Decoration.inline(range.from, range.to, {
            nodeName: decorationTag,
            class: decorationClass,
            "data-decoration-id": decorationId
          })
        ]);
      }
    }
  });
}
var mentionList_vue_vue_type_style_index_0_scoped_true_lang = "";
const _sfc_main$z = {
  props: {
    items: {
      type: Array,
      required: true
    },
    command: {
      type: Function,
      required: true
    }
  },
  data() {
    return {
      selectedIndex: 0
    };
  },
  watch: {
    items() {
      this.selectedIndex = 0;
    }
  },
  methods: {
    onKeyDown({ event }) {
      if (event.key === "ArrowUp") {
        this.upHandler();
        return true;
      }
      if (event.key === "ArrowDown") {
        this.downHandler();
        return true;
      }
      if (event.key === "Enter") {
        this.enterHandler();
        return true;
      }
      return false;
    },
    upHandler() {
      this.selectedIndex = (this.selectedIndex + this.items.length - 1) % this.items.length;
    },
    downHandler() {
      this.selectedIndex = (this.selectedIndex + 1) % this.items.length;
    },
    enterHandler() {
      this.selectItem(this.selectedIndex);
    },
    selectItem(index3) {
      const item = this.items[index3];
      if (item) {
        this.command({ id: item });
      }
    }
  }
};
const _hoisted_1$v = { class: "items" };
const _hoisted_2$d = ["onClick"];
function _sfc_render$y(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("div", _hoisted_1$v, [
    (openBlock(true), createElementBlock(Fragment$1, null, renderList($props.items, (item, index3) => {
      return openBlock(), createElementBlock("button", {
        class: normalizeClass(["item", { "is-selected": index3 === $data.selectedIndex }]),
        key: index3,
        onClick: ($event) => $options.selectItem(index3)
      }, toDisplayString(item), 11, _hoisted_2$d);
    }), 128))
  ]);
}
var MentionList = /* @__PURE__ */ _export_sfc(_sfc_main$z, [["render", _sfc_render$y], ["__scopeId", "data-v-654d583f"]]);
var mention$1 = "";
const feeds = [];
const Mention = Node$1.create({
  name: "mention",
  defaultOptions: {
    feeds,
    HTMLAttributes: {
      class: "mention"
    },
    renderLabel({ options, node: node3 }) {
      var _a;
      return `${options.suggestion.char}${(_a = node3.attrs.label) !== null && _a !== void 0 ? _a : node3.attrs.id}`;
    },
    suggestion: {
      char: "@",
      command: ({ editor: editor2, range, props }) => {
        editor2.chain().focus().insertContentAt(range, [
          {
            type: "mention",
            attrs: props
          },
          {
            type: "text",
            text: " "
          }
        ]).run();
      },
      allow: ({ editor: editor2, range }) => {
        return editor2.can().insertContentAt(range, { type: "mention" });
      },
      items: (query) => {
        return feeds.filter((feed) => feed.toLowerCase().startsWith(query.toLowerCase())).slice(0, 5);
      },
      render: () => {
        let component;
        let popup;
        return {
          onStart: (props) => {
            if (!props.editor.isEditable)
              return;
            component = new VueRenderer(MentionList, { props, editor: props.editor });
            popup = tippy$1(document.body, {
              getReferenceClientRect: props.clientRect,
              appendTo: () => document.body,
              content: component.element,
              showOnCreate: true,
              interactive: true,
              trigger: "manual",
              placement: "bottom-start",
              arrow: false,
              offset: [10, 2],
              theme: "mention"
            });
          },
          onUpdate(props) {
            if (!props.editor.isEditable)
              return;
            component.updateProps(props);
            popup.setProps({
              getReferenceClientRect: props.clientRect
            });
          },
          onKeyDown(props) {
            var _a;
            if (!props.view.editable)
              return false;
            return (_a = component.ref) == null ? void 0 : _a.onKeyDown(props);
          },
          onExit(props) {
            if (!props.editor.isEditable)
              return;
            popup.destroy();
            component.destroy();
          }
        };
      }
    }
  },
  group: "inline",
  inline: true,
  selectable: false,
  atom: true,
  addAttributes() {
    return {
      id: {
        default: null,
        parseHTML: (element) => element.getAttribute("data-id"),
        renderHTML: (attributes) => {
          if (!attributes.id) {
            return {};
          }
          return {
            "data-id": attributes.id
          };
        }
      },
      label: {
        default: null,
        parseHTML: (element) => element.getAttribute("data-label"),
        renderHTML: (attributes) => {
          if (!attributes.label) {
            return {};
          }
          return {
            "data-label": attributes.label
          };
        }
      }
    };
  },
  parseHTML() {
    return [
      {
        tag: "span[data-mention]"
      }
    ];
  },
  renderHTML({ node: node3, HTMLAttributes }) {
    return [
      "span",
      mergeAttributes({ "data-mention": "" }, this.options.HTMLAttributes, HTMLAttributes),
      this.options.renderLabel({
        options: this.options,
        node: node3
      })
    ];
  },
  renderText({ node: node3 }) {
    return this.options.renderLabel({
      options: this.options,
      node: node3
    });
  },
  addKeyboardShortcuts() {
    return {
      Backspace: () => this.editor.commands.command(({ tr, state }) => {
        let isMention = false;
        const { selection } = state;
        const { empty: empty2, anchor } = selection;
        if (!empty2) {
          return false;
        }
        state.doc.nodesBetween(anchor - 1, anchor, (node3, pos) => {
          if (node3.type.name === this.name) {
            isMention = true;
            tr.insertText(this.options.suggestion.char || "", pos, pos + node3.nodeSize);
            return false;
          }
        });
        return isMention;
      })
    };
  },
  addProseMirrorPlugins() {
    return [
      Suggestion(__spreadValues({
        editor: this.editor
      }, this.options.suggestion))
    ];
  }
});
var __glob_0_11 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": Mention
});
const MIME_TYPE = {
  "wmf": "application/x-msmetafile",
  "emf": "application/x-msmetafile"
};
const imgRegexp = /{\\\*\\shppict {\\pict.*?picw(?<width>\d+) \\pich(?<height>\d+) \\picwgoal(?<originalWidth>\d+) \\pichgoal(?<originalHeight>\d+) \\(?<type>\w+) {\\\*\\blipuid (?<uid>[0-9a-fA-F]+)}(?<data>[0-9a-fA-F]+)\}\}/g;
var index$4 = Extension.create({
  name: "pasteHandler",
  addProseMirrorPlugins() {
    const { editor: editor2 } = this;
    return [
      new Plugin({
        key: new PluginKey("pasteHandle"),
        props: {
          handlePaste(view, event, slice3) {
            const { clipboardData } = event;
            if (!clipboardData)
              return false;
            const { files: clipboardFiles, items: clipboardItems } = clipboardData;
            const yneImageData = clipboardData.getData("text/yne-image-json");
            if (yneImageData) {
              event.preventDefault();
              const { data } = JSON.parse(yneImageData);
              slice3.content.descendants((node3, pos, parent) => {
                var _a;
                if (node3.type.name !== "image")
                  return true;
                const { "data-attr-org-src-id": sourceId } = node3.attrs;
                const imgData = (_a = data[sourceId]) == null ? void 0 : _a.base64;
                if (!imgData)
                  return;
                fetch(node3.attrs.src = imgData).then((res) => res.blob()).then((blob) => node3.attrs.src = URL.createObjectURL(blob));
              });
              return false;
            }
            const rtfData = clipboardData.getData("text/rtf");
            if (rtfData) {
              const imgUrls = Array.from(rtfData.matchAll(imgRegexp)).reduce((imgUrls2, { groups }) => {
                var _a;
                if (!groups)
                  return imgUrls2;
                const { data, type, width, height, originalWidth, originalHeight } = groups;
                const imgData = hexToBlob(data);
                const { fileType, mimeType } = (() => {
                  if (type === "wmetafile8")
                    return { fileType: "wmf", mimeType: MIME_TYPE.wmf };
                  if (type === "emfblip")
                    return { fileType: "emf", mimeType: MIME_TYPE.emf };
                  const fileType2 = type.slice(0, -4);
                  return { fileType: fileType2, mimeType: `image/${fileType2}` };
                })();
                if (!imgData)
                  return [...imgUrls2, null];
                if (fileType === "wmf") {
                  const renderer = new WMFJS.Renderer(imgData);
                  const svg = renderer.render({ width: `${width}px`, height: `${height}px`, xExt: +width, yExt: +height, mapMode: 8 });
                  const imgBase64Url = (_a = svg.querySelector("image")) == null ? void 0 : _a.href.baseVal;
                  if (!imgBase64Url)
                    return [...imgUrls2, null];
                  imgUrls2.push(imgBase64Url);
                } else if (fileType === "emf") {
                  return [...imgUrls2, null];
                } else {
                  const imgBlob = new Blob([imgData], { type: mimeType });
                  const imgBlobUrl = URL.createObjectURL(imgBlob);
                  imgUrls2.push(imgBlobUrl);
                }
                return imgUrls2;
              }, []);
              slice3.content.descendants((node3) => {
                if (node3.type.name !== "image")
                  return true;
                const imgUrl = imgUrls.shift();
                if (!imgUrl)
                  return;
                node3.attrs.src = imgUrl;
              });
              event.preventDefault();
              return false;
            }
            const files = [...getFiles(clipboardItems), ...Array.from(clipboardFiles)];
            if (!files.length)
              return false;
            event.preventDefault();
            files.forEach((file) => editor2.commands.uploadEffect(file));
            return true;
          }
        }
      })
    ];
  }
});
var __glob_0_12 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": index$4
});
var row_vue_vue_type_style_index_0_scoped_true_lang = "";
const __default__$2 = defineComponent({
  name: "list-item",
  props: {
    selected: {
      type: Boolean,
      default: false
    },
    noSelect: {
      type: Boolean,
      default: false
    },
    padding: {
      type: String,
      default: "unset"
    },
    as: {
      type: String,
      default: "span"
    }
  }
});
const __injectCSSVars__$2 = () => {
  useCssVars((_ctx) => ({
    "a9b5ce1a": _ctx.padding
  }));
};
const __setup__$2 = __default__$2.setup;
__default__$2.setup = __setup__$2 ? (props, ctx) => {
  __injectCSSVars__$2();
  return __setup__$2(props, ctx);
} : __injectCSSVars__$2;
const _sfc_main$y = __default__$2;
const _hoisted_1$u = {
  key: 0,
  class: "icon-selected"
};
function _sfc_render$x(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createBlock(resolveDynamicComponent(_ctx.as), {
    class: normalizeClass(["list-item fancy-row", { "no-select": _ctx.noSelect }])
  }, {
    default: withCtx(() => [
      _ctx.selected ? (openBlock(), createElementBlock("i", _hoisted_1$u)) : createCommentVNode("", true),
      createElementVNode("span", null, [
        renderSlot(_ctx.$slots, "default", {}, void 0, true)
      ])
    ]),
    _: 3
  }, 8, ["class"]);
}
var Row = /* @__PURE__ */ _export_sfc(_sfc_main$y, [["render", _sfc_render$x], ["__scopeId", "data-v-2eb24ba8"]]);
var contextMenu_vue_vue_type_style_index_0_scoped_true_lang = "";
const _sfc_main$x = defineComponent({
  name: "context-menu",
  components: { Row, Icon },
  props: {
    hide: Function,
    editor: Editor$1
  },
  setup(props) {
    const { editor: editor2, hide } = toRefs(props);
    const addColumnBefore = () => {
      var _a, _b;
      (_a = editor2.value) == null ? void 0 : _a.chain().focus().addColumnBefore().run();
      (_b = hide.value) == null ? void 0 : _b.call(hide);
    };
    const isAddColumnBeforeActive = () => {
      var _a;
      return (_a = editor2.value) == null ? void 0 : _a.can().addColumnBefore();
    };
    const addColumnAfter = () => {
      var _a, _b;
      (_a = editor2.value) == null ? void 0 : _a.chain().focus().addColumnAfter().run();
      (_b = hide.value) == null ? void 0 : _b.call(hide);
    };
    const isAddColumnAfterActive = () => {
      var _a;
      return (_a = editor2.value) == null ? void 0 : _a.can().addColumnAfter();
    };
    const addRowBefore = () => {
      var _a, _b;
      (_a = editor2.value) == null ? void 0 : _a.chain().focus().addRowBefore().run();
      (_b = hide.value) == null ? void 0 : _b.call(hide);
    };
    const isAddRowBeforeActive = () => {
      var _a;
      return (_a = editor2.value) == null ? void 0 : _a.can().addRowBefore();
    };
    const addRowAfter = () => {
      var _a, _b;
      (_a = editor2.value) == null ? void 0 : _a.chain().focus().addRowAfter().run();
      (_b = hide.value) == null ? void 0 : _b.call(hide);
    };
    const isAddRowAfterActive = () => {
      var _a;
      return (_a = editor2.value) == null ? void 0 : _a.can().addRowAfter();
    };
    const deleteColumn = () => {
      var _a, _b;
      (_a = editor2.value) == null ? void 0 : _a.chain().focus().deleteColumn().run();
      (_b = hide.value) == null ? void 0 : _b.call(hide);
    };
    const isDeleteColumnActive = () => {
      var _a;
      return (_a = editor2.value) == null ? void 0 : _a.can().deleteColumn();
    };
    const deleteRow = () => {
      var _a, _b;
      (_a = editor2.value) == null ? void 0 : _a.chain().focus().deleteRow().run();
      (_b = hide.value) == null ? void 0 : _b.call(hide);
    };
    const isDeleteRowActive = () => {
      var _a;
      return (_a = editor2.value) == null ? void 0 : _a.can().deleteRow();
    };
    const deleteTable = () => {
      var _a, _b;
      (_a = editor2.value) == null ? void 0 : _a.chain().focus().deleteTable().run();
      (_b = hide.value) == null ? void 0 : _b.call(hide);
    };
    const isDeleteTableActive = () => {
      var _a;
      return (_a = editor2.value) == null ? void 0 : _a.can().deleteTable();
    };
    const toggleHeaderRow = () => {
      var _a, _b;
      (_a = editor2.value) == null ? void 0 : _a.chain().focus().toggleHeaderRow().run();
      (_b = hide.value) == null ? void 0 : _b.call(hide);
    };
    const isToggleHeaderRowActive = () => {
      var _a;
      return (_a = editor2.value) == null ? void 0 : _a.can().toggleHeaderRow();
    };
    const toggleHeaderColumn = () => {
      var _a, _b;
      (_a = editor2.value) == null ? void 0 : _a.chain().focus().toggleHeaderColumn().run();
      (_b = hide.value) == null ? void 0 : _b.call(hide);
    };
    const isToggleHeaderColumnActive = () => {
      var _a;
      return (_a = editor2.value) == null ? void 0 : _a.can().toggleHeaderColumn();
    };
    const toggleHeaderCell = () => {
      var _a, _b;
      (_a = editor2.value) == null ? void 0 : _a.chain().focus().toggleHeaderCell().run();
      (_b = hide.value) == null ? void 0 : _b.call(hide);
    };
    const isToggleHeaderCellActive = () => {
      var _a;
      return (_a = editor2.value) == null ? void 0 : _a.can().toggleHeaderCell();
    };
    const mergeCells = () => {
      var _a, _b;
      (_a = editor2.value) == null ? void 0 : _a.chain().focus().mergeCells().run();
      (_b = hide.value) == null ? void 0 : _b.call(hide);
    };
    const isMergeCellsActive = () => {
      var _a;
      return (_a = editor2.value) == null ? void 0 : _a.can().mergeCells();
    };
    const splitCell = () => {
      var _a, _b;
      (_a = editor2.value) == null ? void 0 : _a.chain().focus().splitCell().run();
      (_b = hide.value) == null ? void 0 : _b.call(hide);
    };
    const isSplitCellActive = () => {
      var _a;
      return (_a = editor2.value) == null ? void 0 : _a.can().splitCell();
    };
    return {
      addColumnBefore,
      isAddColumnBeforeActive,
      addColumnAfter,
      isAddColumnAfterActive,
      addRowBefore,
      isAddRowBeforeActive,
      addRowAfter,
      isAddRowAfterActive,
      deleteColumn,
      isDeleteColumnActive,
      deleteRow,
      isDeleteRowActive,
      deleteTable,
      isDeleteTableActive,
      toggleHeaderRow,
      isToggleHeaderRowActive,
      toggleHeaderColumn,
      isToggleHeaderColumnActive,
      toggleHeaderCell,
      isToggleHeaderCellActive,
      mergeCells,
      isMergeCellsActive,
      splitCell,
      isSplitCellActive
    };
  }
});
const _withScopeId$4 = (n) => (pushScopeId("data-v-7884ac30"), n = n(), popScopeId(), n);
const _hoisted_1$t = { class: "context-menu" };
const _hoisted_2$c = /* @__PURE__ */ _withScopeId$4(() => /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M778.496 435.397L537.088 163.013c-11.589-13.343-31.8-14.766-45.143-3.177a31.973 31.973 0 0 0-3.177 3.177l-243.2 272.384a7.935 7.935 0 0 0 6.016 13.184h80.896c4.608 0 8.96-1.984 12.16-5.504l130.24-142.144v563.072c0 4.416 3.584 8 8 8h60.032a8 8 0 0 0 8-8V300.933l128.384 142.08a15.871 15.871 0 0 0 12.16 5.568h80.96a7.936 7.936 0 0 0 6.016-13.184h0.064z" })
], -1));
const _hoisted_3$8 = /* @__PURE__ */ createTextVNode("\u5411\u4E0A\u63D2\u5165\u4E00\u884C");
const _hoisted_4$4 = /* @__PURE__ */ _withScopeId$4(() => /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M778.508 588.603L537.1 860.987c-11.589 13.343-31.8 14.766-45.143 3.177a31.973 31.973 0 0 1-3.177-3.177l-243.2-272.384a7.935 7.935 0 0 1 6.016-13.184h80.896c4.608 0 8.96 1.984 12.16 5.504l130.24 142.144V159.995c0-4.416 3.584-8 8-8h60.032c4.416 0 8 3.584 8 8v563.072l128.384-142.08a15.868 15.868 0 0 1 12.16-5.568h80.96c6.784 0 10.496 8 6.016 13.184h0.064z" })
], -1));
const _hoisted_5$2 = /* @__PURE__ */ createTextVNode("\u5411\u4E0B\u63D2\u5165\u4E00\u884C");
const _hoisted_6$2 = /* @__PURE__ */ _withScopeId$4(() => /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M435.397 778.496L163.013 537.088c-13.343-11.589-14.766-31.8-3.177-45.143a31.973 31.973 0 0 1 3.177-3.177l272.384-243.2a7.936 7.936 0 0 1 13.184 6.016v80.896c0 4.608-1.984 8.96-5.504 12.16L300.933 474.88h563.072c4.416 0 8 3.648 8 8v60.032a8 8 0 0 1-8 8H300.933l142.08 128.384a15.871 15.871 0 0 1 5.568 12.16v80.96a7.936 7.936 0 0 1-13.184 6.016v0.064z" })
], -1));
const _hoisted_7$2 = /* @__PURE__ */ createTextVNode("\u5411\u5DE6\u63D2\u5165\u4E00\u5217");
const _hoisted_8$1 = /* @__PURE__ */ _withScopeId$4(() => /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M588.603 778.508L860.987 537.1c13.343-11.589 14.766-31.8 3.177-45.143a31.973 31.973 0 0 0-3.177-3.177l-272.384-243.2a7.935 7.935 0 0 0-13.184 6.016v80.896c0 4.608 1.984 8.96 5.504 12.16l142.144 130.24H159.995a8 8 0 0 0-8 8v60.032c0 4.416 3.584 8 8 8h563.072l-142.08 128.384a15.871 15.871 0 0 0-5.568 12.16v80.96c0 6.784 8 10.496 13.184 6.016v0.064z" })
], -1));
const _hoisted_9$1 = /* @__PURE__ */ createTextVNode("\u5411\u53F3\u63D2\u5165\u4E00\u5217");
const _hoisted_10$1 = /* @__PURE__ */ _withScopeId$4(() => /* @__PURE__ */ createElementVNode("div", { class: "context-menu-split" }, null, -1));
const _hoisted_11$1 = /* @__PURE__ */ createTextVNode("\u5220\u9664\u6240\u9009\u884C");
const _hoisted_12$1 = /* @__PURE__ */ createTextVNode("\u5220\u9664\u6240\u9009\u5217");
const _hoisted_13$1 = /* @__PURE__ */ createTextVNode("\u5220\u9664\u8868\u683C");
const _hoisted_14$1 = {
  key: 7,
  class: "context-menu-split"
};
const _hoisted_15$1 = /* @__PURE__ */ createTextVNode("\u5408\u5E76\u5355\u5143\u683C");
const _hoisted_16$1 = /* @__PURE__ */ createTextVNode("\u62C6\u5206\u5355\u5143\u683C");
const _hoisted_17$1 = /* @__PURE__ */ _withScopeId$4(() => /* @__PURE__ */ createElementVNode("div", { class: "context-menu-split" }, null, -1));
const _hoisted_18$1 = /* @__PURE__ */ createTextVNode("\u5207\u6362\u6807\u9898\u884C");
const _hoisted_19 = /* @__PURE__ */ createTextVNode("\u5207\u6362\u6807\u9898\u5217");
const _hoisted_20 = /* @__PURE__ */ createTextVNode("\u5207\u6362\u6807\u9898\u5355\u5143\u683C");
function _sfc_render$w(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _component_row = resolveComponent("row");
  return openBlock(), createElementBlock("div", _hoisted_1$t, [
    _ctx.isAddColumnBeforeActive() ? (openBlock(), createBlock(_component_row, {
      key: 0,
      onMousedown: withModifiers(_ctx.addRowBefore, ["left", "prevent"]),
      padding: "5px 20px",
      "no-select": ""
    }, {
      default: withCtx(() => [
        createVNode(_component_icon, null, {
          default: withCtx(() => [
            _hoisted_2$c
          ]),
          _: 1
        }),
        _hoisted_3$8
      ]),
      _: 1
    }, 8, ["onMousedown"])) : createCommentVNode("", true),
    _ctx.isAddColumnAfterActive() ? (openBlock(), createBlock(_component_row, {
      key: 1,
      onMousedown: withModifiers(_ctx.addRowAfter, ["left", "prevent"]),
      padding: "5px 20px",
      "no-select": ""
    }, {
      default: withCtx(() => [
        createVNode(_component_icon, null, {
          default: withCtx(() => [
            _hoisted_4$4
          ]),
          _: 1
        }),
        _hoisted_5$2
      ]),
      _: 1
    }, 8, ["onMousedown"])) : createCommentVNode("", true),
    _ctx.isAddRowBeforeActive() ? (openBlock(), createBlock(_component_row, {
      key: 2,
      onMousedown: withModifiers(_ctx.addColumnBefore, ["left", "prevent"]),
      padding: "5px 20px",
      "no-select": ""
    }, {
      default: withCtx(() => [
        createVNode(_component_icon, null, {
          default: withCtx(() => [
            _hoisted_6$2
          ]),
          _: 1
        }),
        _hoisted_7$2
      ]),
      _: 1
    }, 8, ["onMousedown"])) : createCommentVNode("", true),
    _ctx.isAddRowAfterActive() ? (openBlock(), createBlock(_component_row, {
      key: 3,
      onMousedown: withModifiers(_ctx.addColumnAfter, ["left", "prevent"]),
      padding: "5px 20px",
      "no-select": ""
    }, {
      default: withCtx(() => [
        createVNode(_component_icon, null, {
          default: withCtx(() => [
            _hoisted_8$1
          ]),
          _: 1
        }),
        _hoisted_9$1
      ]),
      _: 1
    }, 8, ["onMousedown"])) : createCommentVNode("", true),
    _hoisted_10$1,
    _ctx.isDeleteColumnActive() ? (openBlock(), createBlock(_component_row, {
      key: 4,
      onMousedown: withModifiers(_ctx.deleteRow, ["left", "prevent"]),
      padding: "5px 42px",
      "no-select": ""
    }, {
      default: withCtx(() => [
        _hoisted_11$1
      ]),
      _: 1
    }, 8, ["onMousedown"])) : createCommentVNode("", true),
    _ctx.isDeleteRowActive() ? (openBlock(), createBlock(_component_row, {
      key: 5,
      onMousedown: withModifiers(_ctx.deleteColumn, ["left", "prevent"]),
      padding: "5px 42px",
      "no-select": ""
    }, {
      default: withCtx(() => [
        _hoisted_12$1
      ]),
      _: 1
    }, 8, ["onMousedown"])) : createCommentVNode("", true),
    _ctx.isDeleteTableActive() ? (openBlock(), createBlock(_component_row, {
      key: 6,
      onMousedown: withModifiers(_ctx.deleteTable, ["left", "prevent"]),
      padding: "5px 42px",
      "no-select": ""
    }, {
      default: withCtx(() => [
        _hoisted_13$1
      ]),
      _: 1
    }, 8, ["onMousedown"])) : createCommentVNode("", true),
    _ctx.isMergeCellsActive() && _ctx.isSplitCellActive() ? (openBlock(), createElementBlock("div", _hoisted_14$1)) : createCommentVNode("", true),
    _ctx.isMergeCellsActive() ? (openBlock(), createBlock(_component_row, {
      key: 8,
      onMousedown: withModifiers(_ctx.mergeCells, ["left", "prevent"]),
      padding: "5px 42px",
      "no-select": ""
    }, {
      default: withCtx(() => [
        _hoisted_15$1
      ]),
      _: 1
    }, 8, ["onMousedown"])) : createCommentVNode("", true),
    _ctx.isSplitCellActive() ? (openBlock(), createBlock(_component_row, {
      key: 9,
      onMousedown: withModifiers(_ctx.splitCell, ["left", "prevent"]),
      padding: "5px 42px",
      "no-select": ""
    }, {
      default: withCtx(() => [
        _hoisted_16$1
      ]),
      _: 1
    }, 8, ["onMousedown"])) : createCommentVNode("", true),
    _hoisted_17$1,
    _ctx.isToggleHeaderRowActive() ? (openBlock(), createBlock(_component_row, {
      key: 10,
      onMousedown: withModifiers(_ctx.toggleHeaderRow, ["left", "prevent"]),
      padding: "5px 42px",
      "no-select": ""
    }, {
      default: withCtx(() => [
        _hoisted_18$1
      ]),
      _: 1
    }, 8, ["onMousedown"])) : createCommentVNode("", true),
    _ctx.isToggleHeaderColumnActive() ? (openBlock(), createBlock(_component_row, {
      key: 11,
      onMousedown: withModifiers(_ctx.toggleHeaderColumn, ["left", "prevent"]),
      padding: "5px 42px",
      "no-select": ""
    }, {
      default: withCtx(() => [
        _hoisted_19
      ]),
      _: 1
    }, 8, ["onMousedown"])) : createCommentVNode("", true),
    _ctx.isToggleHeaderCellActive() ? (openBlock(), createBlock(_component_row, {
      key: 12,
      onMousedown: withModifiers(_ctx.toggleHeaderCell, ["left", "prevent"]),
      padding: "5px 42px",
      "no-select": ""
    }, {
      default: withCtx(() => [
        _hoisted_20
      ]),
      _: 1
    }, 8, ["onMousedown"])) : createCommentVNode("", true)
  ]);
}
var ContextMenu = /* @__PURE__ */ _export_sfc(_sfc_main$x, [["render", _sfc_render$w], ["__scopeId", "data-v-7884ac30"]]);
var index$3 = "";
var index$2 = Extension.create({
  name: "custom-table",
  addExtensions() {
    return [
      Table.extend({
        defaultOptions: {
          allowTableNodeSelection: true
        },
        addKeyboardShortcuts() {
          return {
            "Mod-Enter": () => {
              if (!this.editor.can().addRowAfter()) {
                return false;
              }
              return this.editor.chain().addRowAfter().run();
            }
          };
        }
      }),
      TableRow,
      TableHeader,
      TableCell.extend({
        addGlobalAttributes() {
          return [
            {
              types: ["tableCell"],
              attributes: {
                bgcolor: {
                  default: null
                }
              }
            }
          ];
        }
      })
    ];
  },
  onCreate() {
    const component = new VueRenderer(ContextMenu, { editor: this.editor, props: { editor: this.editor } });
    const popup = tippy$1(document.body, {
      content: component.teleportElement,
      showOnCreate: false,
      interactive: true,
      arrow: false,
      trigger: "manual",
      placement: "right-start",
      theme: "context-menu",
      appendTo: document.body
    });
    component.updateProps({ hide: () => popup.hide() });
    const onMouseDown = (event) => {
      var _a;
      const { target, button } = event;
      if (button === 2 && target.matches("[editor] table *")) {
        if ((_a = this.editor) == null ? void 0 : _a.can().mergeOrSplit())
          event.preventDefault();
      }
    };
    const onContextMenu = (event) => {
      const { target, clientX, clientY: y, x = clientX - 10 } = event;
      if (popup && this.editor.options.element.contains(target) && target.matches("[editor] table *")) {
        event.preventDefault();
        popup.setProps({
          getReferenceClientRect: () => new DOMRect(x, y, 0, 0)
        });
        popup.show();
      }
    };
    document.addEventListener("mousedown", onMouseDown, true);
    document.addEventListener("contextmenu", onContextMenu);
    this.editor.on("destory", () => {
      document.removeEventListener("mousedown", onMouseDown);
      document.removeEventListener("contextmenu", onContextMenu);
      component.destroy();
      popup.destroy();
    });
  }
});
var __glob_0_13 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": index$2
});
const TextColor = Extension.create({
  name: "textColor",
  defaultOptions: {
    types: ["textStyle"]
  },
  addGlobalAttributes() {
    return [
      {
        types: this.options.types,
        attributes: {
          textColor: {
            default: "#333",
            renderHTML: (attributes) => {
              if (!attributes.textColor) {
                return {};
              }
              return {
                style: `color: ${attributes.textColor}`
              };
            },
            parseHTML: (element) => element.style.color
          }
        }
      }
    ];
  },
  addCommands() {
    return {
      setTextColor: (textColor) => ({ chain }) => {
        return chain().setMark("textStyle", { textColor }).run();
      },
      unsetTextColor: () => ({ chain }) => {
        return chain().setMark("textStyle", { textColor: null }).removeEmptyTextStyle().run();
      }
    };
  }
});
var __glob_0_14 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  TextColor,
  "default": TextColor
});
const store = new Map();
const pluginKey = new PluginKey("uploader");
const upload = async ({ file, url, widget: widget2, beforeUpload, afterUpload }) => {
  const { name: filename, size: fileSize } = file, fileSizeText = byteSizeFormat(fileSize);
  const axiosRequestConfig = await (async () => {
    if (beforeUpload) {
      try {
        if (widget2) {
          widget2.textContent = "\u6587\u4EF6\u6821\u9A8C\u4E2D";
          const dot = Object.assign(document.createElement("span"), { textContent: "..." });
          dot.classList.add("dot");
          widget2.appendChild(dot);
        }
        return await beforeUpload(file);
      } catch (error) {
        console.error("fancy-editor before upload handler error: ", error.message);
      } finally {
        if (widget2)
          widget2.innerHTML = "";
      }
    }
    const form = new FormData();
    form.append("file", file);
    return { url, method: "post", data: form };
  })();
  if (!axiosRequestConfig)
    throw new Error("\u5DF2\u53D6\u6D88\u4E0A\u4F20");
  Object.assign(axiosRequestConfig, { onUploadProgress({ loaded, total }) {
    if (!widget2)
      return;
    const progress = Math.ceil(loaded / total * 100) + "%";
    widget2.textContent = `${filename} [${fileSizeText}] \u8FDB\u5EA6\uFF1A${progress}`;
  } });
  const res = await (async () => {
    try {
      return await axios(axiosRequestConfig);
    } catch (error) {
      console.error("fancy-editor uploading error: ", error.message);
      throw error;
    }
  })();
  const fileUrl = await (async () => {
    if (afterUpload) {
      try {
        return await afterUpload(res);
      } catch (error) {
        console.error("fancy-editor after upload handler error: ", error.message);
        throw error;
      }
    }
    return res.data;
  })();
  if (!fileUrl) {
    const error = new Error("Invalid download url");
    console.error("fancy-editor download url check:", error.message);
    throw error;
  }
  return fileUrl;
};
var index$1 = Extension.create({
  name: "uploader",
  defaultOptions: {
    action: {
      default: ""
    },
    beforeUpload: {
      default: null
    },
    afterUpload: {
      default: null
    }
  },
  addProseMirrorPlugins() {
    return [
      new Plugin({
        key: pluginKey,
        state: {
          init() {
            return DecorationSet.empty;
          },
          apply(tr, set2) {
            set2 = set2.map(tr.mapping, tr.doc);
            const action = tr.getMeta(this);
            if (action && action.add) {
              if (store.has(action.add.id))
                return set2;
              const widget2 = document.createElement("span");
              widget2.classList.add("uploader-decoration");
              store.set(action.add.id, widget2);
              const deco = Decoration.widget(action.add.pos, widget2, { id: action.add.id });
              set2 = set2.add(tr.doc, [deco]);
            } else if (action && action.remove) {
              set2 = set2.remove(set2.find(void 0, void 0, (spec) => spec.id == action.remove.id));
            }
            return set2;
          }
        },
        props: {
          decorations(state) {
            return this.getState(state);
          }
        }
      })
    ];
  },
  addCommands() {
    return {
      uploadEffect: (file, type, pos) => ({ state, view }) => {
        const id = Symbol();
        const { action: url, beforeUpload, afterUpload } = this.options;
        let { tr, schema } = state;
        if (!tr.selection.empty)
          tr.deleteSelection();
        view.dispatch(tr.setMeta(pluginKey, { add: { id, pos: pos || state.selection.head } }));
        const widget2 = store.get(id);
        if (!widget2)
          return false;
        upload({ file, url, widget: widget2, beforeUpload, afterUpload }).then((url2) => {
          let set2 = pluginKey.getState(view.state);
          let found2 = set2.find(void 0, void 0, (spec) => spec.id == id);
          let pos2 = found2.length ? found2[0].from : null;
          let nodeType = type || file.type.split("/")[0];
          if (nodeType === "text")
            nodeType = "enclosure";
          let node3 = schema.nodes[nodeType] || schema.nodes["enclosure"];
          if (pos2 == null)
            return;
          view.dispatch(view.state.tr.replaceWith(pos2, pos2, node3.create({ src: url2, filename: file.name, fileSize: byteSizeFormat(file.size) })).setMeta(pluginKey, { remove: { id } }));
        }).catch(() => view.dispatch(tr.setMeta(pluginKey, { remove: { id } }))).finally(() => store.delete(id));
        return true;
      },
      upload: (file, updateAttributes) => () => {
        const url = this.options.action || "";
        const { beforeUpload, afterUpload } = this.options;
        upload({ file, url, beforeUpload, afterUpload }).then(updateAttributes);
        return true;
      }
    };
  }
});
var __glob_0_15 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": index$1
});
var video_vue_vue_type_style_index_0_lang = "";
const _sfc_main$w = defineComponent({
  name: "video",
  components: { NodeViewWrapper, Icon },
  directives: { tips: tipsDirective },
  props: nodeViewProps,
  setup(props) {
    const src = computed(() => {
      var _a;
      return (_a = props.node) == null ? void 0 : _a.attrs.src;
    });
    computed(() => {
      var _a;
      return ((_a = props.node) == null ? void 0 : _a.attrs.filename) || "\u672A\u77E5\u540D\u79F0.mp4";
    });
    return { src };
  }
});
const _hoisted_1$s = ["src"];
function _sfc_render$v(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_node_view_wrapper = resolveComponent("node-view-wrapper");
  return openBlock(), createBlock(_component_node_view_wrapper, {
    class: "video-container",
    "data-drag-handle": ""
  }, {
    default: withCtx(() => [
      createElementVNode("video", {
        controls: "",
        src: _ctx.src
      }, null, 8, _hoisted_1$s)
    ]),
    _: 1
  });
}
var Video = /* @__PURE__ */ _export_sfc(_sfc_main$w, [["render", _sfc_render$v]]);
let video;
var index2 = Node$1.create({
  name: "video",
  defaultOptions: {
    HTMLAttributes: {}
  },
  inline: false,
  group: "block",
  draggable: true,
  addAttributes() {
    return {
      src: {
        default: null
      },
      filename: {
        default: null
      }
    };
  },
  parseHTML() {
    if (!video)
      video = document.createElement("video");
    return [
      {
        tag: "video[src]"
      },
      {
        tag: "video",
        getAttrs: (node3) => {
          var _a;
          const sources = node3.querySelectorAll("source");
          let optionalResources = [];
          for (const source of Array.from(sources)) {
            let { src, type } = source;
            if (type) {
              if (video.canPlayType(type) === "probably")
                return { src };
              continue;
            } else {
              let _type = (_a = src.match(/\.(\w+)$/)) == null ? void 0 : _a[1];
              if (_type && video.canPlayType(`video/${_type}`) === "probably")
                return { src };
              optionalResources.push(src);
            }
          }
          return optionalResources.length ? { src: optionalResources[0] } : false;
        }
      }
    ];
  },
  renderHTML({ HTMLAttributes }) {
    return ["video", mergeAttributes(this.options.HTMLAttributes, HTMLAttributes)];
  },
  addNodeView() {
    return VueNodeViewRenderer(Video);
  }
});
var __glob_0_16 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": index2
});
const modules = { "./audio/index.ts": __glob_0_0, "./backup/index.ts": __glob_0_1, "./base/index.ts": __glob_0_2, "./code-block/index.ts": __glob_0_3, "./drop/index.ts": __glob_0_4, "./enclosure/index.ts": __glob_0_5, "./font-size/index.ts": __glob_0_6, "./horizontal-line/index.ts": __glob_0_7, "./image/index.ts": __glob_0_8, "./indent/index.ts": __glob_0_9, "./link/index.ts": __glob_0_10, "./mention/index.ts": __glob_0_11, "./paste/index.ts": __glob_0_12, "./table/index.ts": __glob_0_13, "./text-color/index.ts": __glob_0_14, "./uploader/index.ts": __glob_0_15, "./video/index.ts": __glob_0_16 };
const extensions = Object.values(modules).map((module) => module.default);
var popover_vue_vue_type_style_index_0_lang = "";
const __default__$1 = defineComponent({
  name: "popover",
  props: {
    minWidth: {
      type: Number,
      default: 96
    },
    padding: {
      type: String,
      default: "5px 0"
    },
    arrow: {
      type: Boolean,
      default: false
    },
    placement: {
      type: String,
      default: "bottom-start"
    },
    offsetX: {
      type: Number,
      default: 0
    },
    offsetY: {
      type: Number,
      default: 0
    },
    trigger: {
      type: String,
      default: "manual"
    },
    interactive: {
      type: Boolean,
      default: true
    },
    manual: {
      type: Boolean,
      default: false
    },
    theme: {
      type: String,
      default: "popover"
    },
    prevent: {
      type: Boolean,
      default: true
    },
    to: {
      type: String
    }
  },
  setup(props) {
    const { arrow, placement, offsetX, offsetY, trigger, interactive, theme, to } = props;
    const contentRef = ref();
    const containerRef = ref();
    let instance2;
    const appendTo = typeof to === "string" ? document.querySelector(to) : to;
    onMounted(() => {
      const { value: contianer } = containerRef;
      if (!contianer)
        return;
      nextTick(() => {
        instance2 = tippy$1(contianer, {
          arrow,
          trigger,
          placement,
          interactive,
          allowHTML: true,
          theme,
          content: contentRef.value,
          offset: [offsetX, offsetY],
          appendTo: appendTo || void 0
        });
      });
    });
    const show2 = () => {
      instance2 == null ? void 0 : instance2.show();
    };
    const hide = () => {
      instance2 == null ? void 0 : instance2.hide();
    };
    const toggle = () => {
      var _a;
      ((_a = instance2 == null ? void 0 : instance2.state) == null ? void 0 : _a.isShown) ? hide() : show2();
    };
    const onMouseDown = (event) => {
      if (props.manual)
        return;
      if (props.prevent)
        event.preventDefault();
      toggle();
    };
    return { contentRef, containerRef, show: show2, hide, toggle, onMouseDown };
  }
});
const __injectCSSVars__$1 = () => {
  useCssVars((_ctx) => ({
    "4b3d298f": _ctx.minWidth,
    "980afc94": _ctx.padding
  }));
};
const __setup__$1 = __default__$1.setup;
__default__$1.setup = __setup__$1 ? (props, ctx) => {
  __injectCSSVars__$1();
  return __setup__$1(props, ctx);
} : __injectCSSVars__$1;
const _sfc_main$v = __default__$1;
const _hoisted_1$r = { class: "popover-wrapper" };
const _hoisted_2$b = { ref: "contentRef" };
function _sfc_render$u(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("div", _hoisted_1$r, [
    createElementVNode("div", _hoisted_2$b, [
      renderSlot(_ctx.$slots, "content", normalizeProps(guardReactiveProps({ show: _ctx.show, hide: _ctx.hide, toggle: _ctx.toggle })))
    ], 512),
    createElementVNode("div", {
      ref: "containerRef",
      class: "popover-container",
      onMousedown: _cache[0] || (_cache[0] = withModifiers((...args) => _ctx.onMouseDown && _ctx.onMouseDown(...args), ["left"]))
    }, [
      renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({ show: _ctx.show, hide: _ctx.hide, toggle: _ctx.toggle })))
    ], 544)
  ]);
}
var Popover = /* @__PURE__ */ _export_sfc(_sfc_main$v, [["render", _sfc_render$u]]);
var dropDownList_vue_vue_type_style_index_0_lang = "";
const svgs$1 = {
  "sheetArrow": '<svg viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg"><path d="M300.86 403.872l195.328 244.544c7.211 8.483 19.934 9.514 28.417 2.303a20.196 20.196 0 0 0 2.303-2.303l196.224-244.48c11.776-13.76 2.432-35.456-15.36-35.456H316.284c-17.792 0-27.264 21.76-15.36 35.392h-0.064z"></path></svg>'
};
const _sfc_main$u = defineComponent({
  name: "drop-down-list",
  components: { Icon, Popover },
  props: {
    split: {
      type: Boolean,
      default: false
    }
  },
  setup() {
    return { svgs: svgs$1 };
  }
});
const _hoisted_1$q = ["onMousedown"];
const _hoisted_2$a = {
  key: 1,
  class: "drop-down-list split"
};
const _hoisted_3$7 = { class: "drop-down-list-left" };
const _hoisted_4$3 = ["onClick"];
function _sfc_render$t(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _component_popover = resolveComponent("popover");
  return openBlock(), createBlock(_component_popover, { manual: "" }, {
    content: withCtx((attrs) => [
      renderSlot(_ctx.$slots, "content", normalizeProps(guardReactiveProps(attrs)))
    ]),
    default: withCtx(({ show: show2 }) => [
      !_ctx.split ? (openBlock(), createElementBlock("button", {
        key: 0,
        class: "drop-down-list",
        onMousedown: withModifiers(show2, ["left", "prevent"])
      }, [
        renderSlot(_ctx.$slots, "default"),
        createVNode(_component_icon, {
          class: "sheet-arrow",
          innerHTML: _ctx.svgs.sheetArrow
        }, null, 8, ["innerHTML"])
      ], 40, _hoisted_1$q)) : (openBlock(), createElementBlock("button", _hoisted_2$a, [
        createElementVNode("div", _hoisted_3$7, [
          renderSlot(_ctx.$slots, "default")
        ]),
        createElementVNode("div", {
          class: "drop-down-list-right",
          onClick: show2
        }, [
          createVNode(_component_icon, {
            innerHTML: _ctx.svgs.sheetArrow,
            class: "sheet-arrow"
          }, null, 8, ["innerHTML"])
        ], 8, _hoisted_4$3)
      ]))
    ]),
    _: 3
  });
}
var DropDownList = /* @__PURE__ */ _export_sfc(_sfc_main$u, [["render", _sfc_render$t]]);
var editorMenuAlignment_vue_vue_type_style_index_0_lang = "";
const ALIGNMENTS = [
  { textAlign: "left", "title": "\u5DE6\u5BF9\u9F50", svg: '<svg viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg"><path d="M120 160h496c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H120c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z m0 405.333h496c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H120c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8zM120 768h784c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H120c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z m0-405.333h784c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H120c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z"></path></svg>' },
  { textAlign: "center", "title": "\u5C45\u4E2D\u5BF9\u9F50", svg: '<svg viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg"><path d="M264 160h496c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H264c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z m0 405h496c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H264c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8zM120 768h784c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H120c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z m0-405h784c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H120c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z"></path></svg>' },
  { textAlign: "right", "title": "\u53F3\u5BF9\u9F50", svg: '<svg viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg"><path d="M408 160h496c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H408c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z m0 405.333h496c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H408c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8zM120 768h784c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H120c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z m0-405.333h784c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H120c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z"></path></svg>' },
  { textAlign: "justify", "title": "\u4E24\u7AEF\u5BF9\u9F50", svg: '<svg viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg"><path d="M120 160h784c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H120c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z m0 405.333h784c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H120c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8zM120 768h784c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H120c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z m0-405.333h784c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H120c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z"></path></svg>' }
];
const _sfc_main$t = defineComponent({
  name: "editor-menu-alignment",
  components: { DropDownList, Row, Icon },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const setAlignment = (textAlign, hide) => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().setTextAlign(textAlign).run();
      hide();
    };
    const isAlignmentActive = (textAlign) => {
      var _a;
      return (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive({ textAlign });
    };
    return { ALIGNMENTS, setAlignment, isAlignmentActive };
  }
});
function _sfc_render$s(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _component_row = resolveComponent("row");
  const _component_drop_down_list = resolveComponent("drop-down-list");
  const _directive_tips = resolveDirective("tips");
  return openBlock(), createBlock(_component_drop_down_list, { class: "editor-menu-alignment" }, {
    content: withCtx(({ hide }) => [
      (openBlock(true), createElementBlock(Fragment$1, null, renderList(_ctx.ALIGNMENTS, ({ textAlign, title, svg }) => {
        return openBlock(), createBlock(_component_row, {
          key: textAlign,
          selected: _ctx.isAlignmentActive(textAlign),
          onMousedown: withModifiers(($event) => _ctx.setAlignment(textAlign, hide), ["left", "prevent"])
        }, {
          default: withCtx(() => [
            createVNode(_component_icon, { innerHTML: svg }, null, 8, ["innerHTML"]),
            createTextVNode(toDisplayString(title), 1)
          ]),
          _: 2
        }, 1032, ["selected", "onMousedown"]);
      }), 128))
    ]),
    default: withCtx(() => [
      withDirectives(createVNode(_component_icon, {
        style: { "justify-self": "center" },
        innerHTML: _ctx.ALIGNMENTS[0].svg
      }, null, 8, ["innerHTML"]), [
        [_directive_tips, "\u5BF9\u9F50\u65B9\u5F0F"]
      ])
    ]),
    _: 1
  });
}
var editorMenuAlignment = /* @__PURE__ */ _export_sfc(_sfc_main$t, [["render", _sfc_render$s]]);
var __glob_6_0 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuAlignment
});
var EasyLogicColorPicker = "";
const _sfc_main$s = /* @__PURE__ */ defineComponent({
  props: {
    modelValue: null
  },
  emits: ["update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const defaultColor = "#333";
    const colorPickerRef = ref();
    onMounted(() => {
      const colorPicker = new ColorPicker({
        type: "xd",
        position: "inline",
        container: colorPickerRef.value,
        color: props.modelValue || defaultColor,
        onChange: (color) => emit("update:modelValue", color),
        swatchColors: ["#F44336", "#E91E63", "#9C27B0", "#673AB7", "#3F51B5", "#2196F3", "#03A9F4", "#00BCD4", "#009688", "#4CAF50", "#8BC34A", "#CDDC39", "#FFEB3B", "#FFC107", "#FF9800", "#FF5722", "#795548", "#9E9E9E", "#607D8B", "#ff0000", "#ff3300", "#ff6600", "#ff9900", "#ffcc00"]
      });
      onBeforeMount(() => {
        colorPicker.destroy();
      });
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        ref: (_value, _refs) => {
          _refs["colorPickerRef"] = _value;
          colorPickerRef.value = _value;
        }
      }, null, 512);
    };
  }
});
var editorMenuBackgroundColor_vue_vue_type_style_index_0_lang = "";
const _sfc_main$r = defineComponent({
  name: "editor-menu-background-color",
  components: { DropDownList, Row, ColorPicker: _sfc_main$s },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const backgroundColor = ref(DEFAULT_SHOW_BACKGROUND_COLOR);
    const setBackgroundColor = () => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().toggleHighlight({ color: backgroundColor.value }).run();
    };
    watch(backgroundColor, setBackgroundColor);
    return { backgroundColor, setBackgroundColor };
  }
});
const _hoisted_1$p = {
  stroke: "none",
  "stroke-width": "1",
  fill: "none",
  "fill-rule": "evenodd"
};
const _hoisted_2$9 = ["fill", "stroke"];
const _hoisted_3$6 = /* @__PURE__ */ createElementVNode("g", {
  transform: "translate(2.781250, 1.375000)",
  "fill-rule": "nonzero"
}, [
  /* @__PURE__ */ createElementVNode("path", {
    fill: "#595959",
    d: "M2.86079849,6.64817222 L2.05713835,5.84451208 C2.00832281,5.79569655 2.00832281,5.71655092 2.05713835,5.66773539 L3.61029491,4.11457882 L3.11963835,3.62392225 C3.07082281,3.57510672 3.07082281,3.49596109 3.11963835,3.44714556 L6.47839556,0.0883883476 C6.52721109,0.0395728112 6.60635672,0.0395728112 6.65517225,0.0883883476 L11.5165314,4.94974747 C11.5653469,4.998563 11.5653469,5.07770863 11.5165314,5.12652416 L8.15777416,8.48528137 C8.10895863,8.53409691 8.029813,8.53409691 7.98099747,8.48528137 L7.38889678,7.89318068 L5.83574021,9.44633725 C5.78692467,9.49515278 5.70777905,9.49515278 5.65896351,9.44633725 L5.0267407,8.81411444 L4.48856529,9.35326519 C4.39477378,9.44720966 4.26747335,9.5 4.13472392,9.5 L0.608857988,9.5 C0.470786801,9.5 0.358857988,9.38807119 0.358857988,9.25 C0.358857988,9.18363253 0.385247413,9.11998865 0.432210608,9.07309408 L2.86079849,6.64817222 Z M6.56678391,1.67937861 L4.71062861,3.53553391 L8.06938582,6.89429112 L9.92554112,5.03813582 L6.56678391,1.67937861 Z M3.64812861,5.75612373 L5.74735186,7.85534699 L6.54284699,7.05985186 L4.44362373,4.96062861 L3.64812861,5.75612373 Z",
    id: "Combined-Shape"
  })
], -1);
function _sfc_render$r(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_color_picker = resolveComponent("color-picker");
  const _component_drop_down_list = resolveComponent("drop-down-list");
  const _directive_tips = resolveDirective("tips");
  return withDirectives((openBlock(), createBlock(_component_drop_down_list, {
    padding: "0",
    trigger: "foucs",
    split: "",
    style: { "background-color": "transparent" },
    class: "editor-menu-background-color"
  }, {
    content: withCtx(() => [
      createVNode(_component_color_picker, {
        modelValue: _ctx.backgroundColor,
        "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.backgroundColor = $event)
      }, null, 8, ["modelValue"])
    ]),
    default: withCtx(() => [
      (openBlock(), createElementBlock("svg", {
        style: { "justify-self": "center" },
        onMousedown: _cache[1] || (_cache[1] = withModifiers((...args) => _ctx.setBackgroundColor && _ctx.setBackgroundColor(...args), ["left", "prevent"])),
        width: "16px",
        height: "16px",
        viewBox: "0 0 16 16",
        version: "1.1"
      }, [
        createElementVNode("g", _hoisted_1$p, [
          createElementVNode("rect", {
            id: "Rectangle-55",
            style: { "transform": "translateY(0.5px)" },
            fill: _ctx.backgroundColor,
            stroke: _ctx.backgroundColor,
            "stroke-width": "0.5",
            x: "2",
            y: "12.75",
            width: "12",
            height: "1.5",
            rx: "0.125"
          }, null, 8, _hoisted_2$9),
          _hoisted_3$6
        ])
      ], 32))
    ]),
    _: 1
  }, 512)), [
    [_directive_tips, "\u80CC\u666F\u989C\u8272"]
  ]);
}
var editorMenuBackgroundColor = /* @__PURE__ */ _export_sfc(_sfc_main$r, [["render", _sfc_render$r]]);
var __glob_6_1 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuBackgroundColor
});
const _sfc_main$q = defineComponent({
  name: "editor-menu-bold",
  components: { Icon },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const toggleBold = () => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().toggleBold().run();
    };
    const isBoldActive = () => {
      var _a;
      return { "is-active": (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("bold") };
    };
    return { toggleBold, isBoldActive };
  }
});
const _hoisted_1$o = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", {
    d: "M328 448h224.68C609.742 448 656 403.554 656 348.727v-9.454C656 284.446 609.742 240 552.68 240H328v208z m369.815 35.426C754.606 521.186 792 585.508 792 658.508v10.984C792 785.752 697.155 880 580.158 880h-318.67C245.202 880 232 866.798 232 850.512V171.39c0-15.127 12.263-27.39 27.39-27.39h295.9C663.93 144 752 231.267 752 338.915v10.17c0 52.073-20.609 99.378-54.185 134.341zM328 544.671V783.33h251.134c63.78 0 115.485-50.997 115.485-113.905v-10.848c0-62.908-51.705-113.905-115.485-113.905L328 544.671z",
    "p-id": "2399"
  })
], -1);
function _sfc_render$q(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _directive_tips = resolveDirective("tips");
  return withDirectives((openBlock(), createBlock(_component_icon, {
    class: normalizeClass(_ctx.isBoldActive()),
    onMousedown: withModifiers(_ctx.toggleBold, ["left", "prevent"])
  }, {
    default: withCtx(() => [
      _hoisted_1$o
    ]),
    _: 1
  }, 8, ["class", "onMousedown"])), [
    [_directive_tips, "\u52A0\u7C97<br>Ctrl+B"]
  ]);
}
var editorMenuBold = /* @__PURE__ */ _export_sfc(_sfc_main$q, [["render", _sfc_render$q]]);
var __glob_6_2 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuBold
});
var editorMenuFontColor_vue_vue_type_style_index_0_lang = "";
const _sfc_main$p = defineComponent({
  name: "editor-menu-font-color",
  components: { DropDownList, Row, ColorPicker: _sfc_main$s },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const fontColor = ref(DEFAULT_FONT_COLOR);
    const setTextColor = () => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().setTextColor(fontColor.value).run();
    };
    watch(fontColor, setTextColor);
    return { fontColor, setTextColor };
  }
});
const _hoisted_1$n = {
  stroke: "none",
  "stroke-width": "1",
  fill: "none",
  "fill-rule": "evenodd"
};
const _hoisted_2$8 = ["fill", "stroke"];
const _hoisted_3$5 = /* @__PURE__ */ createElementVNode("path", {
  d: "M5.29102819,11.25 L3.96365715,11.25 C3.87952002,11.25 3.8113134,11.1817934 3.8113134,11.0976562 C3.8113134,11.08076 3.81412419,11.0639814 3.81963067,11.0480076 L7.0756112,1.60269506 C7.09679504,1.5412426 7.15463644,1.5 7.21963767,1.5 L8.81868806,1.5 C8.883726,1.5 8.94159158,1.54128846 8.96274706,1.60278951 L12.2118,11.048102 C12.239168,11.1276636 12.1968568,11.2143472 12.1172952,11.2417152 C12.1013495,11.2472004 12.0846037,11.25 12.067741,11.25 L10.6761419,11.25 C10.6099165,11.25 10.5512771,11.2072154 10.531066,11.1441494 L9.69970662,8.55 L6.27433466,8.55 L5.43599205,11.1444975 C5.41567115,11.2073865 5.35711879,11.25 5.29102819,11.25 Z M8.02635163,3.18571429 L7.96199183,3.18571429 L6.63904023,7.30714286 L9.33500105,7.30714286 L8.02635163,3.18571429 Z",
  id: "A",
  fill: "#595959"
}, null, -1);
function _sfc_render$p(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_color_picker = resolveComponent("color-picker");
  const _component_drop_down_list = resolveComponent("drop-down-list");
  const _directive_tips = resolveDirective("tips");
  return withDirectives((openBlock(), createBlock(_component_drop_down_list, {
    padding: "0",
    trigger: "foucs",
    split: "",
    style: { "background-color": "transparent" },
    class: "editor-menu-font-color"
  }, {
    content: withCtx(() => [
      createVNode(_component_color_picker, {
        modelValue: _ctx.fontColor,
        "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.fontColor = $event)
      }, null, 8, ["modelValue"])
    ]),
    default: withCtx(() => [
      (openBlock(), createElementBlock("svg", {
        style: { "justify-self": "center" },
        onMousedown: _cache[1] || (_cache[1] = withModifiers((...args) => _ctx.setTextColor && _ctx.setTextColor(...args), ["left", "prevent"])),
        width: "16px",
        height: "16px",
        viewBox: "0 0 16 16"
      }, [
        createElementVNode("g", _hoisted_1$n, [
          createElementVNode("rect", {
            fill: _ctx.fontColor,
            stroke: _ctx.fontColor,
            x: "2",
            y: "12.75",
            width: "12",
            height: "1.5",
            rx: "0.125",
            "stroke-width": "0.5"
          }, null, 8, _hoisted_2$8),
          _hoisted_3$5
        ])
      ], 32))
    ]),
    _: 1
  }, 512)), [
    [_directive_tips, "\u5B57\u4F53\u989C\u8272"]
  ]);
}
var editorMenuFontColor = /* @__PURE__ */ _export_sfc(_sfc_main$p, [["render", _sfc_render$p]]);
var __glob_6_3 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuFontColor
});
var editorMenuFontSize_vue_vue_type_style_index_0_lang = "";
const FONT_SIZES = ["12px", "13px", "14px", "15px", "16px", "19px", "22px", "24px", "29px", "32px", "40px", "48px"];
const _sfc_main$o = defineComponent({
  name: "editor-menu-font-size",
  components: { DropDownList, Row },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const setFontSize = (fontSize, hide) => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().setFontSize(fontSize).run();
      hide();
    };
    const isFontSizeActive = (fontSize) => {
      var _a, _b;
      if ((_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.getAttributes("textStyle").fontSize) {
        return (_b = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _b.isActive("textStyle", { fontSize });
      }
      return fontSize === DEFAULT_FONT_SIZE;
    };
    const getDisplayText = () => {
      var _a, _b;
      return ((_b = (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.getAttributes("textStyle")) == null ? void 0 : _b.fontSize) || DEFAULT_FONT_SIZE;
    };
    return { FONT_SIZES, setFontSize, isFontSizeActive, getDisplayText };
  }
});
const _hoisted_1$m = { style: { "font-weight": "bold", "font-size": "12px" } };
function _sfc_render$o(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_row = resolveComponent("row");
  const _component_drop_down_list = resolveComponent("drop-down-list");
  const _directive_tips = resolveDirective("tips");
  return openBlock(), createBlock(_component_drop_down_list, { class: "editor-menu-font-size" }, {
    content: withCtx(({ hide }) => [
      (openBlock(true), createElementBlock(Fragment$1, null, renderList(_ctx.FONT_SIZES, (fontSize) => {
        return openBlock(), createBlock(_component_row, {
          key: fontSize,
          selected: _ctx.isFontSizeActive(fontSize),
          onMousedown: withModifiers(($event) => _ctx.setFontSize(fontSize, hide), ["left", "prevent"])
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString(fontSize), 1)
          ]),
          _: 2
        }, 1032, ["selected", "onMousedown"]);
      }), 128))
    ]),
    default: withCtx(() => [
      withDirectives(createElementVNode("span", _hoisted_1$m, [
        createTextVNode(toDisplayString(_ctx.getDisplayText()), 1)
      ], 512), [
        [_directive_tips, "\u5B57\u4F53\u5927\u5C0F"]
      ])
    ]),
    _: 1
  });
}
var editorMenuFontSize = /* @__PURE__ */ _export_sfc(_sfc_main$o, [["render", _sfc_render$o]]);
var __glob_6_4 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuFontSize
});
const _sfc_main$n = defineComponent({
  name: "editor-menu-horizontal-line",
  directives: { tips: tipsDirective },
  components: { Icon },
  setup() {
    const editor2 = inject("editor");
    const setHorizontalLine = () => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().setHorizontalRule().run();
    };
    return { setHorizontalLine };
  }
});
const _hoisted_1$l = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M912 472v80a8 8 0 0 1-8 8H120a8 8 0 0 1-8-8v-80a8 8 0 0 1 8-8h784a8 8 0 0 1 8 8z" })
], -1);
function _sfc_render$n(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _directive_tips = resolveDirective("tips");
  return withDirectives((openBlock(), createBlock(_component_icon, {
    onMousedown: withModifiers(_ctx.setHorizontalLine, ["left", "prevent"])
  }, {
    default: withCtx(() => [
      _hoisted_1$l
    ]),
    _: 1
  }, 8, ["onMousedown"])), [
    [_directive_tips, "\u63D2\u5165\u5206\u5272\u7EBF<br>Ctrl+Shift+S"]
  ]);
}
var editorMenuHorizontalLine = /* @__PURE__ */ _export_sfc(_sfc_main$n, [["render", _sfc_render$n]]);
var __glob_6_5 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuHorizontalLine
});
var editorMenuIndent_vue_vue_type_style_index_0_lang = "";
const svgs = {
  "indent": '<svg viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg"><path d="M408 363h480c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H408c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z m0 202.333h480c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H408c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8zM120 160h784c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H120c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z m0 608h784c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H120c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z m185.25-243.708L141.121 661.065A8 8 0 0 1 128 654.92V369.08a8 8 0 0 1 13.121-6.145l164.13 136.773c6.788 5.657 7.705 15.747 2.048 22.535a15.994 15.994 0 0 1-2.049 2.049z"></path></svg>',
  "outdent": '<svg viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg"><path d="M408 363h480c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H408c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z m0 202.333h480c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H408c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8zM120 160h784c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H120c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z m0 608h784c5.333 0 8 2.667 8 8v80c0 5.333-2.667 8-8 8H120c-5.333 0-8-2.667-8-8v-80c0-5.333 2.667-8 8-8z m14.75-243.708l164.129 136.773A8 8 0 0 0 312 654.92V369.08a8 8 0 0 0-13.121-6.145l-164.13 136.773c-6.788 5.657-7.705 15.747-2.048 22.535 0.62 0.744 1.305 1.429 2.049 2.049z"></path></svg>'
};
const _sfc_main$m = defineComponent({
  name: "editor-menu-indent",
  components: { DropDownList, Row, Icon },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const indent = (hide) => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().indent().run();
      hide();
    };
    const outdent = (hide) => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().outdent().run();
      hide();
    };
    return { indent, outdent, svgs };
  }
});
const _hoisted_1$k = /* @__PURE__ */ createTextVNode("\u589E\u52A0\u7F29\u8FDB");
const _hoisted_2$7 = /* @__PURE__ */ createTextVNode("\u51CF\u5C11\u7F29\u8FDB");
function _sfc_render$m(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _component_row = resolveComponent("row");
  const _component_drop_down_list = resolveComponent("drop-down-list");
  const _directive_tips = resolveDirective("tips");
  return openBlock(), createBlock(_component_drop_down_list, { class: "editor-menu-indent" }, {
    content: withCtx(({ hide }) => [
      withDirectives(createVNode(_component_row, {
        "no-select": "",
        onMousedown: withModifiers(($event) => _ctx.indent(hide), ["left", "prevent"])
      }, {
        default: withCtx(() => [
          createVNode(_component_icon, {
            innerHTML: _ctx.svgs.indent
          }, null, 8, ["innerHTML"]),
          _hoisted_1$k
        ]),
        _: 2
      }, 1032, ["onMousedown"]), [
        [
          _directive_tips,
          "Tab",
          void 0,
          { right: true }
        ]
      ]),
      withDirectives(createVNode(_component_row, {
        "no-select": "",
        onMousedown: withModifiers(($event) => _ctx.outdent(hide), ["left", "prevent"])
      }, {
        default: withCtx(() => [
          createVNode(_component_icon, {
            innerHTML: _ctx.svgs.outdent
          }, null, 8, ["innerHTML"]),
          _hoisted_2$7
        ]),
        _: 2
      }, 1032, ["onMousedown"]), [
        [
          _directive_tips,
          "Shift+Tab",
          void 0,
          { right: true }
        ]
      ])
    ]),
    default: withCtx(() => [
      withDirectives(createVNode(_component_icon, {
        style: { "justify-self": "center" },
        innerHTML: _ctx.svgs.indent
      }, null, 8, ["innerHTML"]), [
        [_directive_tips, "\u7F29\u8FDB"]
      ])
    ]),
    _: 1
  });
}
var editorMenuIndent = /* @__PURE__ */ _export_sfc(_sfc_main$m, [["render", _sfc_render$m]]);
var __glob_6_6 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuIndent
});
var editorMenuInsertCard_vue_vue_type_style_index_0_scoped_true_lang = "";
const _sfc_main$l = defineComponent({
  name: "editor-menu-insert-card",
  components: { Icon, Popover, Row },
  setup() {
    const editor2 = inject("editor");
    const insertTable = (rows, cols, hide) => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().insertTable({ rows, cols, withHeaderRow: true }).run();
      hide();
    };
    const insertCodeBlock = (hide) => {
      var _a;
      const pos = editor2 == null ? void 0 : editor2.value.state.selection.$from;
      if (!pos)
        return;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().insertContent({ type: "codeBlock", attrs: { language: "javascript", code: "" } }).run();
      hide();
    };
    const insertFile = (type, event, hide) => {
      const { files } = event.target;
      if (!files)
        return;
      Array.from(files).forEach((file) => {
        var _a;
        return (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.commands.uploadEffect(file, type);
      });
      hide();
    };
    const insertImage = insertFile.bind(null, "image");
    const insertAudio = insertFile.bind(null, "audio");
    const insertVideo = insertFile.bind(null, "video");
    const insertEnclosure = insertFile.bind(null, "enclosure");
    return {
      insertTable,
      insertCodeBlock,
      insertImage,
      insertAudio,
      insertVideo,
      insertEnclosure
    };
  }
});
const _withScopeId$3 = (n) => (pushScopeId("data-v-f5932c86"), n = n(), popScopeId(), n);
const _hoisted_1$j = { class: "card-list" };
const _hoisted_2$6 = /* @__PURE__ */ _withScopeId$3(() => /* @__PURE__ */ createElementVNode("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 32 32",
  id: "ne-card-table"
}, [
  /* @__PURE__ */ createElementVNode("g", {
    fill: "none",
    "fill-rule": "evenodd"
  }, [
    /* @__PURE__ */ createElementVNode("rect", {
      stroke: "#E8E8E8",
      fill: "#FFF",
      x: ".5",
      y: ".5",
      width: "31",
      height: "31",
      rx: "2"
    }),
    /* @__PURE__ */ createElementVNode("g", { transform: "translate(7 9)" }, [
      /* @__PURE__ */ createElementVNode("path", {
        d: "M1 0h4v14H1a1 1 0 01-1-1V1a1 1 0 011-1z",
        fill: "#F0F0F0"
      }),
      /* @__PURE__ */ createElementVNode("path", {
        d: "M17 .25a.748.748 0 01.75.75h0v2.75H.25V1A.748.748 0 011 .25h0z",
        stroke: "#595959",
        "stroke-width": ".5",
        "fill-opacity": ".15",
        fill: "#25B864"
      }),
      /* @__PURE__ */ createElementVNode("path", {
        fill: "#E8E8E8",
        d: "M0 7h18v1H0zM0 10h18v1H0z"
      }),
      /* @__PURE__ */ createElementVNode("path", {
        fill: "#E8E8E8",
        d: "M9 0h1v14H9zM13 0h1v14h-1z"
      }),
      /* @__PURE__ */ createElementVNode("rect", {
        stroke: "#737373",
        x: ".5",
        y: ".5",
        width: "17",
        height: "13",
        rx: "1"
      }),
      /* @__PURE__ */ createElementVNode("path", {
        d: "M4.7.3v13.4H1a.698.698 0 01-.7-.7h0V1A.698.698 0 011 .3h3.7z",
        stroke: "#737373",
        "stroke-width": ".6"
      }),
      /* @__PURE__ */ createElementVNode("path", {
        d: "M17 .25a.748.748 0 01.75.75h0v2.75H.25V1A.748.748 0 011 .25h0z",
        stroke: "#737373",
        "stroke-width": ".5"
      })
    ])
  ])
], -1));
const _hoisted_3$4 = /* @__PURE__ */ createTextVNode("\u8868\u683C");
const _hoisted_4$2 = /* @__PURE__ */ _withScopeId$3(() => /* @__PURE__ */ createElementVNode("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24",
  id: "ne-card-codeblock"
}, [
  /* @__PURE__ */ createElementVNode("g", {
    fill: "none",
    "fill-rule": "evenodd"
  }, [
    /* @__PURE__ */ createElementVNode("rect", {
      stroke: "#E8E8E8",
      fill: "#FFF",
      x: ".5",
      y: ".5",
      width: "23",
      height: "23",
      rx: "2"
    }),
    /* @__PURE__ */ createElementVNode("path", {
      d: "M19.331 11.815c-.407-.22-.665-.678-.665-1.181V8.062c0-.202-.148-.367-.33-.367h-.933a.153.153 0 01-.153-.153v-.64c0-.084.068-.152.153-.152h.933c.651 0 1.18.588 1.18 1.312v2.572c0 .14.072.269.186.33l.843.455c.05.026.08.078.08.134v.894c0 .056-.03.108-.08.134l-.843.455a.373.373 0 00-.186.33v2.572c0 .724-.529 1.312-1.18 1.312h-.933a.153.153 0 01-.153-.153v-.64c0-.084.068-.152.153-.152h.933c.182 0 .33-.165.33-.367v-2.572c0-.503.258-.961.665-1.18l.344-.186-.344-.185zM5.044 11.815c.407-.22.665-.678.665-1.181V8.062c0-.202.148-.367.33-.367h.933a.153.153 0 00.153-.153v-.64a.153.153 0 00-.153-.152H6.04c-.651 0-1.18.588-1.18 1.312v2.572c0 .14-.072.269-.186.33l-.843.455a.153.153 0 00-.08.134v.894c0 .056.03.108.08.134l.843.455c.114.061.186.19.186.33v2.572c0 .724.529 1.312 1.18 1.312h.933a.153.153 0 00.153-.153v-.64a.153.153 0 00-.153-.152H6.04c-.182 0-.33-.165-.33-.367v-2.572c0-.503-.258-.961-.665-1.18L4.7 12l.344-.185z",
      fill: "#595959",
      "fill-rule": "nonzero"
    }),
    /* @__PURE__ */ createElementVNode("path", {
      fill: "#1890FF",
      opacity: ".25",
      d: "M8.25 8.25h7.5v1.125h-7.5z"
    }),
    /* @__PURE__ */ createElementVNode("path", {
      fill: "#D2E8DB",
      d: "M8.25 10.5h4.5v1.125h-4.5z"
    }),
    /* @__PURE__ */ createElementVNode("path", {
      fill: "#E0E0E0",
      d: "M8.25 12.75h4.5v1.125h-4.5zM8.25 15h6v1.125h-6z"
    })
  ])
], -1));
const _hoisted_5$1 = /* @__PURE__ */ createTextVNode("\u4EE3\u7801\u5757");
const _hoisted_6$1 = ["onChange"];
const _hoisted_7$1 = /* @__PURE__ */ _withScopeId$3(() => /* @__PURE__ */ createElementVNode("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24",
  id: "ne-card-image"
}, [
  /* @__PURE__ */ createElementVNode("g", {
    fill: "none",
    "fill-rule": "evenodd"
  }, [
    /* @__PURE__ */ createElementVNode("rect", {
      stroke: "#E8E8E8",
      "stroke-width": ".667",
      fill: "#FFF",
      x: ".333",
      y: ".333",
      width: "23.333",
      height: "23.333",
      rx: "1.333"
    }),
    /* @__PURE__ */ createElementVNode("g", { "fill-rule": "nonzero" }, [
      /* @__PURE__ */ createElementVNode("path", {
        d: "M8.625 8a1.126 1.126 0 010 2.25 1.126 1.126 0 010-2.25z",
        fill: "#FFD666"
      }),
      /* @__PURE__ */ createElementVNode("path", {
        d: "M17.95 14.88a.144.144 0 01-.092.033H6.14a.139.139 0 01-.14-.137.14.14 0 01.033-.089l2.981-3.45a.143.143 0 01.198-.018c.005.005.012.01.017.017l1.74 2.016 2.767-3.203a.143.143 0 01.198-.017l.018.017 4.018 4.64a.137.137 0 01-.02.191z",
        fill: "#CCC"
      }),
      /* @__PURE__ */ createElementVNode("path", {
        d: "M17.91 14.88a.144.144 0 01-.092.033H9.333l4.363-4.864a.143.143 0 01.198-.017l.018.017 4.018 4.64a.137.137 0 01-.02.191z",
        fill: "#737373"
      })
    ])
  ])
], -1));
const _hoisted_8 = /* @__PURE__ */ createTextVNode("\u56FE\u7247");
const _hoisted_9 = ["onChange"];
const _hoisted_10 = /* @__PURE__ */ _withScopeId$3(() => /* @__PURE__ */ createElementVNode("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24",
  id: "ne-card-audio"
}, [
  /* @__PURE__ */ createElementVNode("g", {
    fill: "none",
    "fill-rule": "evenodd"
  }, [
    /* @__PURE__ */ createElementVNode("rect", {
      fill: "#E48484",
      width: "24",
      height: "24",
      rx: "2.5"
    }),
    /* @__PURE__ */ createElementVNode("path", {
      d: "M9.688 10.776v5.88a2.344 2.344 0 11-1.25-2.073V10.26 7.125c0-.304.218-.564.518-.616l8.562-1.484a.625.625 0 01.732.616v9.515A2.344 2.344 0 1117 13.083V9.508l-7.313 1.268zm0-1.269L17 8.24V6.383L9.687 7.651v1.856zM7.344 17.75a1.094 1.094 0 100-2.187 1.094 1.094 0 000 2.187zm8.562-1.5a1.094 1.094 0 100-2.187 1.094 1.094 0 000 2.187z",
      fill: "#FFF",
      "fill-rule": "nonzero"
    })
  ])
], -1));
const _hoisted_11 = /* @__PURE__ */ createTextVNode("\u97F3\u9891");
const _hoisted_12 = ["onChange"];
const _hoisted_13 = /* @__PURE__ */ _withScopeId$3(() => /* @__PURE__ */ createElementVNode("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24",
  id: "ne-card-video"
}, [
  /* @__PURE__ */ createElementVNode("g", {
    fill: "none",
    "fill-rule": "evenodd"
  }, [
    /* @__PURE__ */ createElementVNode("rect", {
      fill: "#5ABA82",
      width: "24",
      height: "24",
      rx: "2.5"
    }),
    /* @__PURE__ */ createElementVNode("g", {
      "fill-rule": "nonzero",
      fill: "#FFF"
    }, [
      /* @__PURE__ */ createElementVNode("path", { d: "M12 5a7 7 0 100 14 7 7 0 000-14zm0 12.813a5.813 5.813 0 010-11.625 5.813 5.813 0 010 11.625z" }),
      /* @__PURE__ */ createElementVNode("path", { d: "M15.24 11.798L10.615 8.44a.248.248 0 00-.395.202v6.718c0 .205.231.32.395.202l4.627-3.36a.249.249 0 000-.403zm-4.024 2.094v-3.784L13.82 12l-2.604 1.892z" })
    ])
  ])
], -1));
const _hoisted_14 = /* @__PURE__ */ createTextVNode("\u89C6\u9891");
const _hoisted_15 = ["onChange"];
const _hoisted_16 = /* @__PURE__ */ _withScopeId$3(() => /* @__PURE__ */ createElementVNode("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24",
  id: "ne-card-file"
}, [
  /* @__PURE__ */ createElementVNode("g", {
    fill: "none",
    "fill-rule": "evenodd"
  }, [
    /* @__PURE__ */ createElementVNode("rect", {
      stroke: "#E8E8E8",
      fill: "#FFF",
      x: ".5",
      y: ".5",
      width: "23",
      height: "23",
      rx: "2"
    }),
    /* @__PURE__ */ createElementVNode("path", {
      fill: "#E0E0E0",
      d: "M11.25 15h8.25v1.125h-8.25zM14.25 11.25h5.25v1.125h-5.25zM14.25 8.25h5.25v1.125h-5.25z"
    }),
    /* @__PURE__ */ createElementVNode("path", {
      d: "M11.216 8.324a2.593 2.593 0 00-3.791 0l-2.896 3.04a.108.108 0 00-.029.074c0 .028.01.055.029.075l.41.43c.038.041.101.041.14 0l2.896-3.04a1.841 1.841 0 012.69 0c.36.378.557.88.557 1.413 0 .534-.197 1.035-.557 1.413l-2.95 3.1-.48.502c-.446.47-1.173.47-1.62 0a1.226 1.226 0 01-.335-.851c0-.322.119-.624.335-.851l2.928-3.075a.382.382 0 01.276-.12h.001c.105 0 .201.043.274.12.075.078.115.18.115.29a.416.416 0 01-.115.288l-2.393 2.512a.108.108 0 00-.029.075c0 .028.01.054.03.074l.409.43c.038.041.102.041.14 0l2.392-2.513c.221-.232.342-.54.342-.867 0-.328-.122-.637-.342-.868a1.131 1.131 0 00-1.653 0l-.284.3-2.642 2.776a2.06 2.06 0 00-.564 1.43c0 .54.2 1.047.564 1.428.376.394.868.591 1.36.591.494 0 .986-.197 1.361-.591l3.43-3.602c.505-.532.785-1.24.785-1.991a2.867 2.867 0 00-.784-1.992z",
      fill: "#595959"
    })
  ])
], -1));
const _hoisted_17 = /* @__PURE__ */ createTextVNode("\u9644\u4EF6");
const _hoisted_18 = /* @__PURE__ */ _withScopeId$3(() => /* @__PURE__ */ createElementVNode("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 17 16",
  id: "ne-t-insert-card"
}, [
  /* @__PURE__ */ createElementVNode("g", {
    fill: "#25B864",
    "fill-rule": "evenodd"
  }, [
    /* @__PURE__ */ createElementVNode("path", {
      d: "M13.175 4.342v-2.81a.113.113 0 00-.113-.113H.688a.113.113 0 00-.113.112v11.162c0 .062.05.113.113.113H4.95a6.919 6.919 0 018.224-8.464z",
      stroke: "#25B864",
      "stroke-width": ".9",
      "fill-opacity": ".3"
    }),
    /* @__PURE__ */ createElementVNode("path", {
      d: "M11.656 6.313a4.782 4.782 0 110 9.563 4.782 4.782 0 010-9.563zm-.562 4.218H9.406a.14.14 0 00-.14.14v.845c0 .077.063.14.14.14h1.688v1.688c0 .077.063.14.14.14h.844a.14.14 0 00.14-.14v-1.688h1.688a.14.14 0 00.14-.14v-.844a.14.14 0 00-.14-.14H12.22V8.843a.14.14 0 00-.14-.14h-.845a.14.14 0 00-.14.14v1.687z",
      "fill-rule": "nonzero"
    })
  ])
], -1));
function _sfc_render$l(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _component_row = resolveComponent("row");
  const _component_popover = resolveComponent("popover");
  return openBlock(), createBlock(_component_popover, null, {
    content: withCtx(({ hide }) => [
      createElementVNode("div", _hoisted_1$j, [
        createVNode(_component_row, {
          onMousedown: withModifiers(($event) => _ctx.insertTable(3, 3, hide), ["left", "prevent"])
        }, {
          default: withCtx(() => [
            createVNode(_component_icon, null, {
              default: withCtx(() => [
                _hoisted_2$6
              ]),
              _: 1
            }),
            _hoisted_3$4
          ]),
          _: 2
        }, 1032, ["onMousedown"]),
        createVNode(_component_row, {
          onMousedown: withModifiers(($event) => _ctx.insertCodeBlock(hide), ["left", "prevent"])
        }, {
          default: withCtx(() => [
            createVNode(_component_icon, null, {
              default: withCtx(() => [
                _hoisted_4$2
              ]),
              _: 1
            }),
            _hoisted_5$1
          ]),
          _: 2
        }, 1032, ["onMousedown"]),
        createVNode(_component_row, { as: "label" }, {
          default: withCtx(() => [
            createElementVNode("input", {
              onChange: ($event) => _ctx.insertImage($event, hide),
              multiple: "",
              type: "file",
              accept: ".svg,.png,.bmp,.jpg,.jpeg,.gif,.webp"
            }, null, 40, _hoisted_6$1),
            createVNode(_component_icon, null, {
              default: withCtx(() => [
                _hoisted_7$1
              ]),
              _: 1
            }),
            _hoisted_8
          ]),
          _: 2
        }, 1024),
        createVNode(_component_row, { as: "label" }, {
          default: withCtx(() => [
            createElementVNode("input", {
              onChange: ($event) => _ctx.insertAudio($event, hide),
              multiple: "",
              type: "file",
              accept: ".mp3,.mpga,.wav"
            }, null, 40, _hoisted_9),
            createVNode(_component_icon, null, {
              default: withCtx(() => [
                _hoisted_10
              ]),
              _: 1
            }),
            _hoisted_11
          ]),
          _: 2
        }, 1024),
        createVNode(_component_row, { as: "label" }, {
          default: withCtx(() => [
            createElementVNode("input", {
              onChange: ($event) => _ctx.insertVideo($event, hide),
              multiple: "",
              type: "file",
              accept: ".mp4,.flv,.avi,.wmv,.m4v"
            }, null, 40, _hoisted_12),
            createVNode(_component_icon, null, {
              default: withCtx(() => [
                _hoisted_13
              ]),
              _: 1
            }),
            _hoisted_14
          ]),
          _: 2
        }, 1024),
        createVNode(_component_row, { as: "label" }, {
          default: withCtx(() => [
            createElementVNode("input", {
              onChange: ($event) => _ctx.insertEnclosure($event, hide),
              multiple: "",
              type: "file"
            }, null, 40, _hoisted_15),
            createVNode(_component_icon, null, {
              default: withCtx(() => [
                _hoisted_16
              ]),
              _: 1
            }),
            _hoisted_17
          ]),
          _: 2
        }, 1024)
      ])
    ]),
    default: withCtx(() => [
      createVNode(_component_icon, { style: { "flex": "1" } }, {
        default: withCtx(() => [
          _hoisted_18
        ]),
        _: 1
      })
    ]),
    _: 1
  });
}
var editorMenuInsertCard = /* @__PURE__ */ _export_sfc(_sfc_main$l, [["render", _sfc_render$l], ["__scopeId", "data-v-f5932c86"]]);
var __glob_6_7 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuInsertCard
});
const _sfc_main$k = defineComponent({
  name: "editor-menu-italic",
  components: { Icon },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const toggleItalic = () => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().toggleItalic().run();
    };
    const isItalicActive = () => {
      var _a;
      return { "is-active": (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("italic") };
    };
    return { toggleItalic, isItalicActive };
  }
});
const _hoisted_1$i = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M634.702 256L487.888 768H658a8 8 0 0 1 8 8v80a8 8 0 0 1-8 8H226a8 8 0 0 1-8-8v-80a8 8 0 0 1 8-8h162.02l146.813-512H366a8 8 0 0 1-8-8v-80a8 8 0 0 1 8-8h432a8 8 0 0 1 8 8v80a8 8 0 0 1-8 8H634.702z" })
], -1);
function _sfc_render$k(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _directive_tips = resolveDirective("tips");
  return withDirectives((openBlock(), createBlock(_component_icon, {
    class: normalizeClass(_ctx.isItalicActive()),
    onMousedown: withModifiers(_ctx.toggleItalic, ["left", "prevent"])
  }, {
    default: withCtx(() => [
      _hoisted_1$i
    ]),
    _: 1
  }, 8, ["class", "onMousedown"])), [
    [_directive_tips, "\u659C\u4F53<br>Ctrl+I"]
  ]);
}
var editorMenuItalic = /* @__PURE__ */ _export_sfc(_sfc_main$k, [["render", _sfc_render$k]]);
var __glob_6_8 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuItalic
});
var editorMenuLink_vue_vue_type_style_index_0_scoped_true_lang = "";
const _sfc_main$j = defineComponent({
  name: "editor-menu-link",
  components: { Icon, Popover },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const href = ref("");
    const inputRef = ref();
    const setLink = (hide) => {
      editor2 == null ? void 0 : editor2.value.chain().focus().extendMarkRange("link").setLink({ href: href.value }).run();
      hide();
      href.value = "";
    };
    const onClick = (show2) => {
      var _a;
      const isLinkActive2 = (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("link");
      isLinkActive2 || show2();
      nextTick(() => {
        var _a2;
        return (_a2 = inputRef.value) == null ? void 0 : _a2.focus();
      });
    };
    const isLinkActive = () => {
      var _a;
      return { "is-active": (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("link") };
    };
    const isLinkDisable = () => {
      var _a;
      return (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.state.selection.empty;
    };
    return { href, inputRef, setLink, onClick, isLinkActive, isLinkDisable };
  }
});
const _withScopeId$2 = (n) => (pushScopeId("data-v-51b0f258"), n = n(), popScopeId(), n);
const _hoisted_1$h = ["onMousedown"];
const _hoisted_2$5 = /* @__PURE__ */ _withScopeId$2(() => /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M575.414 663.972l39.671 39.671c3.887 3.887 3.887 10.263 0 14.15L498.877 834c-85.333 85.332-223.545 85.332-308.878 0-85.332-85.333-85.332-223.545 0-308.878l116.209-116.208c3.886-3.887 10.262-3.887 14.149 0l39.77 39.771c3.888 3.887 3.888 10.262 0 14.149L243.92 579.043c-26.219 26.219-41.191 61.703-41.904 98.466-0.735 37.95 13.674 74.442 41.905 102.673 28.178 28.226 64.667 42.637 102.632 41.902 36.78-0.713 72.289-15.688 98.504-41.903l116.208-116.209c3.887-3.886 10.262-3.886 14.149 0zM448.586 360.028l-39.671-39.671c-3.887-3.887-3.887-10.263 0-14.15L525.123 190c85.333-85.332 223.545-85.332 308.878 0 85.332 85.333 85.332 223.545 0 308.878L717.792 615.085c-3.886 3.887-10.262 3.887-14.149 0l-39.77-39.771c-3.888-3.887-3.888-10.262 0-14.149L780.08 444.957c26.219-26.219 41.191-61.703 41.904-98.466 0.735-37.95-13.674-74.442-41.905-102.673-28.178-28.226-64.667-42.637-102.632-41.902-36.78 0.713-72.289 15.688-98.504 41.903L462.735 360.028c-3.887 3.886-10.262 3.886-14.149 0z m-77.674 237.304l226.42-226.42c3.883-3.883 10.252-3.883 14.135 0l39.621 39.621c3.883 3.883 3.883 10.252 0 14.135l-226.42 226.42c-3.883 3.883-10.252 3.883-14.135 0l-39.621-39.621c-3.883-3.883-3.883-10.252 0-14.135z" })
], -1));
function _sfc_render$j(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _component_popover = resolveComponent("popover");
  const _directive_tips = resolveDirective("tips");
  return openBlock(), createBlock(_component_popover, {
    manual: "",
    padding: "5px"
  }, {
    content: withCtx(({ hide }) => [
      withDirectives(createElementVNode("input", {
        placeholder: "\u8BF7\u8F93\u5165\u94FE\u63A5\u5730\u5740",
        ref: "inputRef",
        type: "text",
        "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.href = $event)
      }, null, 512), [
        [vModelText, _ctx.href]
      ]),
      createElementVNode("button", {
        onMousedown: withModifiers(($event) => _ctx.setLink(hide), ["left", "prevent"])
      }, "\u786E\u8BA4", 40, _hoisted_1$h)
    ]),
    default: withCtx(({ show: show2 }) => [
      withDirectives(createVNode(_component_icon, {
        disabled: _ctx.isLinkDisable(),
        style: { "flex": "1", "margin": "0" },
        class: normalizeClass(_ctx.isLinkActive()),
        onClick: ($event) => _ctx.onClick(show2)
      }, {
        default: withCtx(() => [
          _hoisted_2$5
        ]),
        _: 2
      }, 1032, ["disabled", "class", "onClick"]), [
        [_directive_tips, "\u94FE\u63A5<br>Ctrl+K"]
      ])
    ]),
    _: 1
  });
}
var editorMenuLink = /* @__PURE__ */ _export_sfc(_sfc_main$j, [["render", _sfc_render$j], ["__scopeId", "data-v-51b0f258"]]);
var __glob_6_9 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuLink
});
var editorMenuMoreTextFormat_vue_vue_type_style_index_0_lang = "";
const _sfc_main$i = defineComponent({
  name: "editor-menu-more-text-format",
  components: { DropDownList, Row, Icon },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const toggleSuperscript = (hide) => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().toggleSuperscript().run();
      hide();
    };
    const isSuperscriptActive = () => {
      var _a;
      return (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("superscript");
    };
    const toggleSubscript = (hide) => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().toggleSubscript().run();
      hide();
    };
    const isSubscriptActive = () => {
      var _a;
      return (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("subscript");
    };
    const toggleCode = (hide) => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().toggleCode().run();
      hide();
    };
    const isCodeActive = () => {
      var _a;
      return (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("code");
    };
    return {
      toggleSuperscript,
      isSuperscriptActive,
      isSubscriptActive,
      toggleSubscript,
      toggleCode,
      isCodeActive
    };
  }
});
const _hoisted_1$g = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M183.695 288.227c-3.132-5.116-8.656-8.227-14.581-8.227H82.707c-3.358 0-6.285 0.852-8.722 2.522l-0.172 0.117-0.177 0.111c-7.908 4.949-10.254 15.391-5.15 23.483l188.57 299.163-3.37 5.37L66.01 909.995c-1.638 2.597-2.496 5.674-2.496 9.04C63.513 928.344 71.16 936 80.457 936h77.63c5.847 0 11.249-3.052 14.396-8.064l149.665-242.594 8.547 13.929L470.893 927.75c3.052 5.001 8.509 8.024 14.37 8.024h84.381c3.072 0 6.208-0.925 9.314-2.764 7.818-5.128 10.026-15.496 4.957-23.39L391.393 610.366l3.506-5.454 191.894-298.456c1.738-2.756 2.721-6.086 2.721-9.266 0-9.307-7.647-16.965-16.944-16.965h-80.33a17.088 17.088 0 0 0-14.546 8.167L331.389 533.264 183.695 288.227z m519.818 74.804V432a8 8 0 0 0 8 8h240a8 8 0 0 0 8-8v-64a8 8 0 0 0-8-8H791.616l166.877-189.704a8 8 0 0 0 1.993-5.354l-0.607-69.012a8 8 0 0 0-8-7.93H711.513a8 8 0 0 0-8 8v64a8 8 0 0 0 8 8H873.41L705.523 357.73a7.998 7.998 0 0 0-2.01 5.301z" })
], -1);
const _hoisted_2$4 = /* @__PURE__ */ createTextVNode("\u4E0A\u6807");
const _hoisted_3$3 = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M184.182 96.227C181.049 91.111 175.525 88 169.601 88H83.194c-3.358 0-6.285 0.852-8.722 2.522l-0.172 0.117-0.177 0.111c-7.908 4.949-10.254 15.391-5.15 23.483l188.57 299.163-3.37 5.37L66.497 717.995c-1.638 2.597-2.496 5.674-2.496 9.04C64 736.344 71.647 744 80.944 744h77.63c5.847 0 11.249-3.052 14.396-8.064l149.665-242.594 8.547 13.929L471.38 735.75c3.052 5.001 8.509 8.024 14.37 8.024h84.381c3.072 0 6.208-0.925 9.314-2.764 7.818-5.128 10.026-15.496 4.957-23.39L391.88 418.366l3.506-5.454L587.28 114.456c1.738-2.756 2.721-6.086 2.721-9.266 0-9.307-7.647-16.965-16.944-16.965h-80.33a17.088 17.088 0 0 0-14.546 8.167L331.876 341.264 184.182 96.227zM704 859.018V928a8 8 0 0 0 8 8h240a8 8 0 0 0 8-8v-64a8 8 0 0 0-8-8H791.103l166.904-189.734a7.998 7.998 0 0 0 1.993-5.284V592a8 8 0 0 0-8-8H712a8 8 0 0 0-8 8v64a8 8 0 0 0 8 8h160.897L705.992 853.734a7.999 7.999 0 0 0-1.992 5.284z" })
], -1);
const _hoisted_4$1 = /* @__PURE__ */ createTextVNode("\u4E0B\u6807");
const _hoisted_5 = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M553.363 162.995l62.601 13.306c5.217 1.109 7.271 4.272 6.162 9.488L479.915 854.843c-1.109 5.217-4.272 7.271-9.488 6.162l-62.601-13.306c-5.217-1.109-7.271-4.272-6.162-9.488l142.212-669.053c1.108-5.218 4.271-7.272 9.487-6.163zM712 333.747v81.297a7.999 7.999 0 0 0 3.07 6.3l114.992 89.988L715.07 601.32a7.999 7.999 0 0 0-3.07 6.3v81.297a8.001 8.001 0 0 0 12.93 6.301l218.96-171.284c6.96-5.444 8.189-15.5 2.744-22.46a15.976 15.976 0 0 0-2.744-2.744L724.93 327.446a8 8 0 0 0-12.93 6.301z m-400 0v81.297a7.999 7.999 0 0 1-3.07 6.3l-114.992 89.988L308.93 601.32a7.999 7.999 0 0 1 3.07 6.3v81.297a8.001 8.001 0 0 1-12.93 6.301L80.11 523.934c-6.96-5.444-8.189-15.5-2.744-22.46a15.976 15.976 0 0 1 2.744-2.744l218.96-171.284a8 8 0 0 1 12.93 6.301z" })
], -1);
const _hoisted_6 = /* @__PURE__ */ createTextVNode("\u884C\u5185\u4EE3\u7801");
const _hoisted_7 = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M460.14 336v568a8 8 0 0 1-8 8h-80a8 8 0 0 1-8-8V336h-232a8 8 0 0 1-8-8v-80a8 8 0 0 1 8-8h560a8 8 0 0 1 8 8v80a8 8 0 0 1-8 8h-232z m400-88c22.091 0 40-17.909 40-40s-17.909-40-40-40-40 17.909-40 40 17.909 40 40 40z m0 56c-53.02 0-96-42.98-96-96s42.98-96 96-96 96 42.98 96 96-42.98 96-96 96z m-288 317.867v63.186a6.25 6.25 0 0 0 2.385 4.912L663.543 760l-89.018 70.035a6.25 6.25 0 0 0-2.385 4.912v63.186a6.251 6.251 0 0 0 10.114 4.913l169.393-133.22c5.426-4.268 6.366-12.127 2.098-17.553a12.544 12.544 0 0 0-2.098-2.098L582.254 616.954a6.25 6.25 0 0 0-10.114 4.913z m-320 0v63.186a6.25 6.25 0 0 1-2.385 4.912L160.737 760l89.018 70.035a6.25 6.25 0 0 1 2.385 4.912v63.186a6.251 6.251 0 0 1-10.114 4.913L72.633 769.826c-5.426-4.268-6.366-12.127-2.098-17.553a12.544 12.544 0 0 1 2.098-2.098l169.393-133.221a6.25 6.25 0 0 1 10.114 4.913z" })
], -1);
function _sfc_render$i(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _component_row = resolveComponent("row");
  const _component_drop_down_list = resolveComponent("drop-down-list");
  const _directive_tips = resolveDirective("tips");
  return openBlock(), createBlock(_component_drop_down_list, { class: "editor-menu-more-text-format" }, {
    content: withCtx(({ hide }) => [
      createVNode(_component_row, {
        selected: _ctx.isSuperscriptActive(),
        onMousedown: withModifiers(($event) => _ctx.toggleSuperscript(hide), ["left", "prevent"])
      }, {
        default: withCtx(() => [
          createVNode(_component_icon, null, {
            default: withCtx(() => [
              _hoisted_1$g
            ]),
            _: 1
          }),
          _hoisted_2$4
        ]),
        _: 2
      }, 1032, ["selected", "onMousedown"]),
      createVNode(_component_row, {
        selected: _ctx.isSubscriptActive(),
        onMousedown: withModifiers(($event) => _ctx.toggleSubscript(hide), ["left", "prevent"])
      }, {
        default: withCtx(() => [
          createVNode(_component_icon, null, {
            default: withCtx(() => [
              _hoisted_3$3
            ]),
            _: 1
          }),
          _hoisted_4$1
        ]),
        _: 2
      }, 1032, ["selected", "onMousedown"]),
      createVNode(_component_row, {
        selected: _ctx.isCodeActive(),
        onMousedown: withModifiers(($event) => _ctx.toggleCode(hide), ["left", "prevent"])
      }, {
        default: withCtx(() => [
          createVNode(_component_icon, null, {
            default: withCtx(() => [
              _hoisted_5
            ]),
            _: 1
          }),
          _hoisted_6
        ]),
        _: 2
      }, 1032, ["selected", "onMousedown"])
    ]),
    default: withCtx(() => [
      withDirectives(createVNode(_component_icon, { style: { "justify-self": "center" } }, {
        default: withCtx(() => [
          _hoisted_7
        ]),
        _: 1
      }, 512), [
        [_directive_tips, "\u66F4\u591A\u6587\u672C\u6837\u5F0F"]
      ])
    ]),
    _: 1
  });
}
var editorMenuMoreTextFormat = /* @__PURE__ */ _export_sfc(_sfc_main$i, [["render", _sfc_render$i]]);
var __glob_6_10 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuMoreTextFormat
});
const _sfc_main$h = defineComponent({
  name: "editor-menu-order-list",
  components: { Icon },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const toggleOrderList = () => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().toggleOrderedList().run();
    };
    const isOrderListActive = () => {
      var _a;
      return { "is-active": (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("orderedList") };
    };
    return { toggleOrderList, isOrderListActive };
  }
});
const _hoisted_1$f = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M359.68 764h560.64c4.224 0 7.68 4.8 7.68 10.667v74.666c0 5.867-3.456 10.667-7.68 10.667H359.68c-4.224 0-7.68-4.8-7.68-10.667v-74.666c0-5.867 3.456-10.667 7.68-10.667z m0-600h560.64c4.224 0 7.68 4.8 7.68 10.667v74.666c0 5.867-3.456 10.667-7.68 10.667H359.68c-4.224 0-7.68-4.8-7.68-10.667v-74.666c0-5.867 3.456-10.667 7.68-10.667z m0 300h560.64c4.224 0 7.68 4.8 7.68 10.667v74.666c0 5.867-3.456 10.667-7.68 10.667H359.68c-4.224 0-7.68-4.8-7.68-10.667v-74.666c0-5.867 3.456-10.667 7.68-10.667zM172.384 728H99.968c-2.182 0-3.968 1.8-3.968 4v34c0 2.2 1.786 4 3.968 4h72.416v20.5h-35.712c-2.182 0-3.968 1.8-3.968 4v34c0 2.2 1.786 4 3.968 4h35.712V854H99.968c-2.182 0-3.968 1.8-3.968 4v34c0 2.2 1.786 4 3.968 4h116.064c2.182 0 3.968-1.8 3.968-4V732c0-2.2-1.786-4-3.968-4h-43.648zM142 296h40c2.2 0 4-1.8 4-4V136a8 8 0 0 0-8-8h-78c-2.2 0-4 1.8-4 4v36c0 2.2 1.8 4 4 4h38v120c0 2.2 1.8 4 4 4z m74.032 256h-68.448l70.333-77.7c1.29-1.5 2.083-3.4 2.083-5.4V432c0-2.2-1.786-4-3.968-4H99.968c-2.182 0-3.968 1.8-3.968 4v36c0 2.2 1.786 4 3.968 4h68.448l-70.333 77.7c-1.29 1.5-2.083 3.4-2.083 5.4V592c0 2.2 1.786 4 3.968 4h116.064c2.182 0 3.968-1.8 3.968-4v-36c0-2.2-1.786-4-3.968-4z" })
], -1);
function _sfc_render$h(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _directive_tips = resolveDirective("tips");
  return withDirectives((openBlock(), createBlock(_component_icon, {
    class: normalizeClass(_ctx.isOrderListActive()),
    onMousedown: withModifiers(_ctx.toggleOrderList, ["left", "prevent"])
  }, {
    default: withCtx(() => [
      _hoisted_1$f
    ]),
    _: 1
  }, 8, ["class", "onMousedown"])), [
    [_directive_tips, "\u6709\u5E8F\u5217\u8868<br>Ctrl+Shift+7"]
  ]);
}
var editorMenuOrderList = /* @__PURE__ */ _export_sfc(_sfc_main$h, [["render", _sfc_render$h]]);
var __glob_6_11 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuOrderList
});
const _sfc_main$g = defineComponent({
  name: "editor-menu-quote",
  components: { Icon },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const toggleQuote = () => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().toggleBlockquote().run();
    };
    const isQuoteActive = () => {
      var _a;
      return { "is-active": (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("blockquote") };
    };
    return { toggleQuote, isQuoteActive };
  }
});
const _hoisted_1$e = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M412 204.644c-4.348 0.158-7.873 0.343-10.556 0.554C254.344 216.751 140 339.862 140 488.316v279.04c0 28.72 23.281 52 52 52h168c28.719 0 52-23.28 52-52v-168c0-28.718-23.281-52-52-52H244v-59.04c0-89.924 66.33-165.709 154.528-178.21 3.508-0.497 7.982-0.907 13.472-1.24V204.644z m472 0c-4.348 0.158-7.873 0.343-10.556 0.554C726.344 216.751 612 339.862 612 488.316v279.04c0 28.72 23.281 52 52 52h168c28.719 0 52-23.28 52-52v-168c0-28.718-23.281-52-52-52H716v-59.04c0-89.924 66.33-165.709 154.528-178.21 3.508-0.497 7.982-0.907 13.472-1.24V204.644z" })
], -1);
function _sfc_render$g(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _directive_tips = resolveDirective("tips");
  return withDirectives((openBlock(), createBlock(_component_icon, {
    class: normalizeClass(_ctx.isQuoteActive()),
    onMousedown: withModifiers(_ctx.toggleQuote, ["left", "prevent"])
  }, {
    default: withCtx(() => [
      _hoisted_1$e
    ]),
    _: 1
  }, 8, ["class", "onMousedown"])), [
    [_directive_tips, "\u63D2\u5165\u5F15\u7528<br>Ctrl+Shift+B"]
  ]);
}
var editorMenuQuote = /* @__PURE__ */ _export_sfc(_sfc_main$g, [["render", _sfc_render$g]]);
var __glob_6_12 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuQuote
});
const _sfc_main$f = defineComponent({
  name: "editor-menu-redo",
  components: { Icon },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const undo = () => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().redo().run();
    };
    return { undo };
  }
});
const _hoisted_1$d = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M744 321v103.124c0 9.04 10.517 14.168 17.528 8.501l191.326-151.124c5.528-4.318 5.528-12.684 0-17.002L761.528 113.375c-7.146-5.667-17.528-0.54-17.528 8.5V225H411C221.014 225 67 379.014 67 569s154.014 344 344 344h154.272a8 8 0 0 0 8-8v-80a8 8 0 0 0-8-8H411c-136.967 0-248-111.033-248-248s111.033-248 248-248h333z" })
], -1);
function _sfc_render$f(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _directive_tips = resolveDirective("tips");
  return withDirectives((openBlock(), createBlock(_component_icon, {
    onMousedown: withModifiers(_ctx.undo, ["left", "prevent"])
  }, {
    default: withCtx(() => [
      _hoisted_1$d
    ]),
    _: 1
  }, 8, ["onMousedown"])), [
    [_directive_tips, "\u91CD\u505A<br>Ctrl+Y"]
  ]);
}
var editorMenuRedo = /* @__PURE__ */ _export_sfc(_sfc_main$f, [["render", _sfc_render$f]]);
var __glob_6_13 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuRedo
});
var editorMenuSplit_vue_vue_type_style_index_0_lang = "";
const _sfc_main$e = defineComponent({
  name: "editor-menu-split",
  setup() {
  }
});
const _hoisted_1$c = { class: "editor-menu-split" };
function _sfc_render$e(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("div", _hoisted_1$c);
}
var editorMenuSplit = /* @__PURE__ */ _export_sfc(_sfc_main$e, [["render", _sfc_render$e]]);
var __glob_6_14 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuSplit
});
const _sfc_main$d = defineComponent({
  name: "editor-menu-strike-through",
  components: { Icon },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const toggleStrikeThrough = () => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().toggleStrike().run();
    };
    const isStrikeThroughActive = () => {
      var _a;
      return { "is-active": (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("strike") };
    };
    return { toggleStrikeThrough, isStrikeThroughActive };
  }
});
const _hoisted_1$b = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M552.545 560H72a8 8 0 0 1-8-8v-80a8 8 0 0 1 8-8h220.18c-9.49-9.775-17.235-20.379-23.392-31.965-11.614-21.98-17.273-46.945-17.273-76.485 0-34.512 6.75-65.842 20.251-92.895 13.203-26.556 32.958-49.332 58.57-67.732C376.199 162.102 441.32 144 513.588 144c79.02 0 144.339 21.284 188.713 61.665 31.667 28.644 52.315 66.837 59.661 110.3 0.695 3.88 1.29 9.25 1.985 16.013v0.995c0 5.57-4.566 10.145-10.125 10.145h-72.765c-4.765 0-9.034-3.382-9.927-8.156-1.49-7.758-2.978-13.725-4.269-17.803-6.452-20.489-17.173-38.193-31.766-52.614-28.69-28.346-70.978-42.768-125.775-42.768-48.047 0-88.45 11.14-116.841 32.126-28.788 21.284-43.977 52.017-43.977 89.016 0 36.8 17.075 64.649 52.216 85.137 24.62 14.223 55.492 24.169 106.815 34.214 3.064 0.607 5.847 1.15 8.89 1.73H952a8 8 0 0 1 8 8v80a8 8 0 0 1-8 8H752.908a138.569 138.569 0 0 1 13.323 20.826C778.242 603.8 784 630.356 784 662.184c0 33.617-6.651 64.45-19.655 91.502-12.906 26.855-32.065 50.128-57.08 69.025C657.827 860.208 587.246 880 503.064 880c-78.423 0-144.735-18.4-191.79-53.21-40.402-29.938-64.227-69.92-70.68-118.755-0.198-1.492-0.396-3.382-0.595-5.67v-0.994c0-5.57 4.566-10.145 10.126-10.145h79.713c4.468 0 8.538 3.083 9.729 7.46 0.993 3.779 1.886 6.763 2.68 8.95 10.523 29.74 30.575 53.212 59.661 69.523 29.484 16.51 66.511 24.964 110.19 24.964 54.897 0 100.065-12.532 130.54-36.402 28.094-21.98 43.58-53.51 43.58-88.817 0-39.784-17.472-68.826-53.308-89.016-14.593-8.156-32.164-15.019-55.194-21.484-7.736-2.163-15.797-4.223-25.171-6.404z" })
], -1);
function _sfc_render$d(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _directive_tips = resolveDirective("tips");
  return withDirectives((openBlock(), createBlock(_component_icon, {
    class: normalizeClass(_ctx.isStrikeThroughActive()),
    onMousedown: withModifiers(_ctx.toggleStrikeThrough, ["left", "prevent"])
  }, {
    default: withCtx(() => [
      _hoisted_1$b
    ]),
    _: 1
  }, 8, ["class", "onMousedown"])), [
    [_directive_tips, "\u5220\u9664\u7EBF<br>Ctrl+Shift+X"]
  ]);
}
var editorMenuStrikeThrough = /* @__PURE__ */ _export_sfc(_sfc_main$d, [["render", _sfc_render$d]]);
var __glob_6_15 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuStrikeThrough
});
var editorMenuTableCellBackgroundColor_vue_vue_type_style_index_0_lang = "";
const _sfc_main$c = defineComponent({
  name: "editor-menu-table-cell-background-color",
  components: { DropDownList, Row, ColorPicker: _sfc_main$s },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const tableCellBackgroundColor = ref(DEFAULT_SHOW_TABLE_CELL_BACKGROUND_COLOR);
    const isTableActive = () => {
      var _a;
      return (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("table");
    };
    const setTableCellBackgroundColor = () => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().setCellAttribute("bgcolor", tableCellBackgroundColor.value).run();
    };
    watch(tableCellBackgroundColor, setTableCellBackgroundColor);
    return { isTableActive, tableCellBackgroundColor, setTableCellBackgroundColor };
  }
});
const _hoisted_1$a = /* @__PURE__ */ createElementVNode("title", null, "color-bg", -1);
const _hoisted_2$3 = /* @__PURE__ */ createElementVNode("desc", null, "Created with Sketch.", -1);
const _hoisted_3$2 = /* @__PURE__ */ createElementVNode("g", {
  id: "color-bg",
  stroke: "none",
  "stroke-width": "1",
  fill: "none",
  "fill-rule": "evenodd"
}, [
  /* @__PURE__ */ createElementVNode("path", {
    d: "M11.9745711,7.921875 C11.9745711,7.921875 13.2147672,9.2863447 13.2147672,10.1226326 C13.2147672,10.8142992 12.6566789,11.3802083 11.9745711,11.3802083 C11.2924632,11.3802083 10.734375,10.8142992 10.734375,10.1226326 C10.734375,9.2863447 11.9745711,7.921875 11.9745711,7.921875 Z M9.07958999,6.47535893 L6.28501575,3.68078468 L3.4904415,6.47535893 L9.07958999,6.47535893 Z M5.3326566,3.04215357 L4.28223263,1.9917296 C4.22692962,1.93642659 4.22692962,1.84676271 4.28223263,1.7914597 L5.03228902,1.0414033 C5.08759203,0.986100299 5.17725591,0.986100299 5.23255892,1.0414033 L6.4546098,2.26345418 C6.46530408,2.27146914 6.4755605,2.28033918 6.48528564,2.29006432 L10.4848531,6.28963174 C10.5954591,6.40023775 10.5954591,6.57956552 10.4848531,6.69017153 L6.4838816,10.691143 C6.37327559,10.801749 6.19394782,10.801749 6.08334181,10.691143 L2.08377439,6.69157557 C1.97316838,6.58096956 1.97316838,6.40164179 2.08377439,6.29103578 L5.3326566,3.04215357 Z",
    id: "Combined-Shape",
    fill: "#595959"
  }),
  /* @__PURE__ */ createElementVNode("rect", {
    id: "Rectangle-55",
    stroke: "#FFEFD1",
    "stroke-width": "0.5",
    fill: "#FFEFD1",
    x: "2",
    y: "12.75",
    width: "12",
    height: "1.5",
    rx: "0.125"
  })
], -1);
const _hoisted_4 = [
  _hoisted_1$a,
  _hoisted_2$3,
  _hoisted_3$2
];
function _sfc_render$c(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_color_picker = resolveComponent("color-picker");
  const _component_drop_down_list = resolveComponent("drop-down-list");
  const _directive_tips = resolveDirective("tips");
  return _ctx.isTableActive() ? withDirectives((openBlock(), createBlock(_component_drop_down_list, {
    key: 0,
    padding: "0",
    trigger: "foucs",
    split: "",
    style: { "background-color": "transparent" },
    class: "editor-menu-table-cell-background-color"
  }, {
    content: withCtx(() => [
      createVNode(_component_color_picker, {
        modelValue: _ctx.tableCellBackgroundColor,
        "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.tableCellBackgroundColor = $event)
      }, null, 8, ["modelValue"])
    ]),
    default: withCtx(() => [
      (openBlock(), createElementBlock("svg", {
        style: { "justify-self": "center" },
        onMousedown: _cache[1] || (_cache[1] = withModifiers((...args) => _ctx.setTableCellBackgroundColor && _ctx.setTableCellBackgroundColor(...args), ["left", "prevent"])),
        width: "16px",
        height: "16px",
        viewBox: "0 0 16 16",
        version: "1.1"
      }, _hoisted_4, 32))
    ]),
    _: 1
  }, 512)), [
    [_directive_tips, "\u5355\u5143\u683C\u80CC\u666F\u8272"]
  ]) : createCommentVNode("", true);
}
var editorMenuTableCellBackgroundColor = /* @__PURE__ */ _export_sfc(_sfc_main$c, [["render", _sfc_render$c]]);
var __glob_6_16 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuTableCellBackgroundColor
});
const _sfc_main$b = defineComponent({
  name: "editor-menu-table-cells-merge-or-split",
  components: { Icon },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const isTableActive = () => {
      var _a;
      return (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("table");
    };
    const tableCellsMergeOrSplit = () => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().mergeOrSplit().run();
    };
    const isTableCellsMergeActive = () => {
      var _a;
      return { "is-active": (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.can().splitCell() };
    };
    const isTableCellsMergeDisabled = () => {
      var _a;
      return !((_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.can().mergeOrSplit());
    };
    return {
      isTableActive,
      tableCellsMergeOrSplit,
      isTableCellsMergeActive,
      isTableCellsMergeDisabled
    };
  }
});
const _hoisted_1$9 = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M704 474h132V188H640v124a8 8 0 0 1-8 8h-60a8 8 0 0 1-8-8V144c0-17.673 14.327-32 32-32h284c17.673 0 32 14.327 32 32v736c0 17.673-14.327 32-32 32H596c-17.673 0-32-14.327-32-32V712a8 8 0 0 1 8-8h60a8 8 0 0 1 8 8v124h196V550H704v81.407c0 7.143-8.295 11.194-13.825 6.717L539.27 518.717c-4.36-3.412-4.36-10.022 0-13.434l150.905-119.407c5.636-4.477 13.825-0.426 13.825 6.717V474z m-384 76H188v286h196V712a8 8 0 0 1 8-8h60a8 8 0 0 1 8 8v168c0 17.673-14.327 32-32 32H144c-17.673 0-32-14.327-32-32V144c0-17.673 14.327-32 32-32h284c17.673 0 32 14.327 32 32v168a8 8 0 0 1-8 8h-60a8 8 0 0 1-8-8V188H188v286h132v-81.407c0-7.143 8.189-11.194 13.825-6.717L484.73 505.283c4.36 3.412 4.36 10.022 0 13.434L333.825 638.124c-5.53 4.477-13.825 0.426-13.825-6.717V550z" })
], -1);
function _sfc_render$b(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _directive_tips = resolveDirective("tips");
  return _ctx.isTableActive() ? withDirectives((openBlock(), createBlock(_component_icon, {
    key: 0,
    class: normalizeClass(_ctx.isTableCellsMergeActive()),
    disabled: _ctx.isTableCellsMergeDisabled(),
    onMousedown: withModifiers(_ctx.tableCellsMergeOrSplit, ["left", "prevent"])
  }, {
    default: withCtx(() => [
      _hoisted_1$9
    ]),
    _: 1
  }, 8, ["class", "disabled", "onMousedown"])), [
    [_directive_tips, "\u5408\u5E76/\u62C6\u5206\u5355\u5143\u683C"]
  ]) : createCommentVNode("", true);
}
var editorMenuTableCellsMergeOrSplit = /* @__PURE__ */ _export_sfc(_sfc_main$b, [["render", _sfc_render$b]]);
var __glob_6_17 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuTableCellsMergeOrSplit
});
const _sfc_main$a = defineComponent({
  name: "editor-menu-task-list",
  components: { Icon },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const toggleTaskList = () => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().toggleTaskList().run();
    };
    const isTaskListActive = () => {
      var _a;
      return { "is-active": (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("taskList") };
    };
    return { toggleTaskList, isTaskListActive };
  }
});
const _hoisted_1$8 = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M188 188v648h648V188H188z m-44-76h736c17.673 0 32 14.327 32 32v736c0 17.673-14.327 32-32 32H144c-17.673 0-32-14.327-32-32V144c0-17.673 14.327-32 32-32z m472.227 254.26l-157.21 218.01-71.244-98.796a31.9 31.9 0 0 0-25.868-13.26h-46.907c-6.517 0-10.288 7.415-6.467 12.714L433.147 657.74c12.75 17.681 38.99 17.681 51.738 0L695.47 365.714c3.821-5.3 0.05-12.714-6.467-12.714h-46.907a31.9 31.9 0 0 0-25.868 13.26" })
], -1);
function _sfc_render$a(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _directive_tips = resolveDirective("tips");
  return withDirectives((openBlock(), createBlock(_component_icon, {
    class: normalizeClass(_ctx.isTaskListActive()),
    onMousedown: withModifiers(_ctx.toggleTaskList, ["left", "prevent"])
  }, {
    default: withCtx(() => [
      _hoisted_1$8
    ]),
    _: 1
  }, 8, ["class", "onMousedown"])), [
    [_directive_tips, "\u4EFB\u52A1\u5217\u8868<br>Ctrl+Shift+T"]
  ]);
}
var editorMenuTaskList = /* @__PURE__ */ _export_sfc(_sfc_main$a, [["render", _sfc_render$a]]);
var __glob_6_18 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuTaskList
});
var editorMenuTextAndTitle_vue_vue_type_style_index_0_lang = "";
const _sfc_main$9 = defineComponent({
  name: "editor-menu-text-and-title",
  components: { DropDownList, Row },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const toggleHeading = (level, hide) => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().toggleHeading({ level }).run();
      hide();
    };
    const isHeadingActive = (level) => {
      var _a;
      return (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("heading", { level });
    };
    const setParagraph = (hide) => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().setParagraph().run();
      hide();
    };
    const isParagraphActive = () => {
      var _a;
      return (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("paragraph");
    };
    const getDisplayText = () => {
      var _a, _b, _c;
      if ((_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("heading")) {
        return `\u6807\u9898${(_c = (_b = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _b.getAttributes("heading")) == null ? void 0 : _c.level}`;
      }
      return "\u6B63\u6587";
    };
    return {
      toggleHeading,
      isHeadingActive,
      setParagraph,
      isParagraphActive,
      getDisplayText
    };
  }
});
const _hoisted_1$7 = /* @__PURE__ */ createTextVNode("\u6B63\u6587");
const _hoisted_2$2 = { style: { "font-weight": "bold", "font-size": "12px" } };
function _sfc_render$9(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_row = resolveComponent("row");
  const _component_drop_down_list = resolveComponent("drop-down-list");
  const _directive_tips = resolveDirective("tips");
  return openBlock(), createBlock(_component_drop_down_list, { class: "editor-menu-text-and-title" }, {
    content: withCtx(({ hide }) => [
      createVNode(_component_row, {
        selected: _ctx.isParagraphActive(),
        onMousedown: withModifiers(($event) => _ctx.setParagraph(hide), ["left", "prevent"])
      }, {
        default: withCtx(() => [
          _hoisted_1$7
        ]),
        _: 2
      }, 1032, ["selected", "onMousedown"]),
      (openBlock(), createElementBlock(Fragment$1, null, renderList(4, (level) => {
        return createVNode(_component_row, {
          key: level,
          selected: _ctx.isHeadingActive(level),
          class: normalizeClass(["heading", `heading-level-${level}`]),
          onMousedown: withModifiers(($event) => _ctx.toggleHeading(level, hide), ["left", "prevent"])
        }, {
          default: withCtx(() => [
            createTextVNode("\u6807\u9898" + toDisplayString(level), 1)
          ]),
          _: 2
        }, 1032, ["selected", "class", "onMousedown"]);
      }), 64))
    ]),
    default: withCtx(() => [
      withDirectives(createElementVNode("span", _hoisted_2$2, [
        createTextVNode(toDisplayString(_ctx.getDisplayText()), 1)
      ], 512), [
        [_directive_tips, "\u6B63\u6587\u4E0E\u6807\u9898"]
      ])
    ]),
    _: 1
  });
}
var editorMenuTextAndTitle = /* @__PURE__ */ _export_sfc(_sfc_main$9, [["render", _sfc_render$9]]);
var __glob_6_19 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuTextAndTitle
});
const _sfc_main$8 = defineComponent({
  name: "editor-menu-underline",
  components: { Icon },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const toggleUnderline = () => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().toggleUnderline().run();
    };
    const isUnderlineActive = () => {
      var _a;
      return { "is-active": (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("underline") };
    };
    return { toggleUnderline, isUnderlineActive };
  }
});
const _hoisted_1$6 = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M200 792h624c4.4 0 8 4.32 8 9.6v76.8c0 5.28-3.6 9.6-8 9.6H200c-4.4 0-8-4.32-8-9.6v-76.8c0-5.28 3.6-9.6 8-9.6z m312-72c-69.4 0-134.7-27-183.8-76.2S252 529.4 252 460V148c0-6.6 5.4-12 12-12h60c6.6 0 12 5.4 12 12v312c0 97 79 176 176 176s176-79 176-176V148c0-6.6 5.4-12 12-12h60c6.6 0 12 5.4 12 12v312c0 69.4-27 134.7-76.2 183.8S581.4 720 512 720z" })
], -1);
function _sfc_render$8(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _directive_tips = resolveDirective("tips");
  return withDirectives((openBlock(), createBlock(_component_icon, {
    class: normalizeClass(_ctx.isUnderlineActive()),
    onMousedown: withModifiers(_ctx.toggleUnderline, ["left", "prevent"])
  }, {
    default: withCtx(() => [
      _hoisted_1$6
    ]),
    _: 1
  }, 8, ["class", "onMousedown"])), [
    [_directive_tips, "\u4E0B\u5212\u7EBF<br>Ctrl+U"]
  ]);
}
var editorMenuUnderline = /* @__PURE__ */ _export_sfc(_sfc_main$8, [["render", _sfc_render$8]]);
var __glob_6_20 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuUnderline
});
const _sfc_main$7 = defineComponent({
  name: "editor-menu-undo",
  components: { Icon },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const undo = () => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().undo().run();
    };
    return { undo };
  }
});
const _hoisted_1$5 = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M280 321v103.124c0 9.04-10.517 14.168-17.528 8.501L71.146 281.501c-5.528-4.318-5.528-12.684 0-17.002l191.326-151.124c7.146-5.667 17.528-0.54 17.528 8.5V225h333c189.986 0 344 154.014 344 344S802.986 913 613 913H458.728a8 8 0 0 1-8-8v-80a8 8 0 0 1 8-8H613c136.967 0 248-111.033 248-248S749.967 321 613 321H280z" })
], -1);
function _sfc_render$7(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _directive_tips = resolveDirective("tips");
  return withDirectives((openBlock(), createBlock(_component_icon, {
    onMousedown: withModifiers(_ctx.undo, ["left", "prevent"])
  }, {
    default: withCtx(() => [
      _hoisted_1$5
    ]),
    _: 1
  }, 8, ["onMousedown"])), [
    [_directive_tips, "\u64A4\u9500<br>Ctrl+Z"]
  ]);
}
var editorMenuUndo = /* @__PURE__ */ _export_sfc(_sfc_main$7, [["render", _sfc_render$7]]);
var __glob_6_21 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuUndo
});
const _sfc_main$6 = defineComponent({
  name: "editor-menu-unorder-list",
  components: { Icon },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const toggleUnorderList = () => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().toggleBulletList().run();
    };
    const isUnorderListActive = () => {
      var _a;
      return { "is-active": (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("bulletList") };
    };
    return { toggleUnorderList, isUnorderListActive };
  }
});
const _hoisted_1$4 = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M360 160h560a8 8 0 0 1 8 8v80a8 8 0 0 1-8 8H360a8 8 0 0 1-8-8v-80a8 8 0 0 1 8-8z m0 304h560a8 8 0 0 1 8 8v80a8 8 0 0 1-8 8H360a8 8 0 0 1-8-8v-80a8 8 0 0 1 8-8z m0 304h560a8 8 0 0 1 8 8v80a8 8 0 0 1-8 8H360a8 8 0 0 1-8-8v-80a8 8 0 0 1 8-8zM96 208c0 44.183 35.817 80 80 80s80-35.817 80-80-35.817-80-80-80-80 35.817-80 80z m0 304c0 44.183 35.817 80 80 80s80-35.817 80-80-35.817-80-80-80-80 35.817-80 80z m0 304c0 44.183 35.817 80 80 80s80-35.817 80-80-35.817-80-80-80-80 35.817-80 80z" })
], -1);
function _sfc_render$6(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _directive_tips = resolveDirective("tips");
  return withDirectives((openBlock(), createBlock(_component_icon, {
    class: normalizeClass(_ctx.isUnorderListActive()),
    onMousedown: withModifiers(_ctx.toggleUnorderList, ["left", "prevent"])
  }, {
    default: withCtx(() => [
      _hoisted_1$4
    ]),
    _: 1
  }, 8, ["class", "onMousedown"])), [
    [_directive_tips, "\u65E0\u5E8F\u5217\u8868<br>Ctrl+Shift+8"]
  ]);
}
var editorMenuUnorderList = /* @__PURE__ */ _export_sfc(_sfc_main$6, [["render", _sfc_render$6]]);
var __glob_6_22 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuUnorderList
});
const _sfc_main$5 = defineComponent({
  name: "editor-menu-unset-mark",
  components: { Icon },
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const unsetAllMarks = () => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().unsetAllMarks().run();
    };
    return { unsetAllMarks };
  }
});
const _hoisted_1$3 = /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M643.96 712.584l-264.17-264.17-210.699 210.699 143.94 143.746h240.454l90.475-90.275z m11.46 90.275h251.815a8 8 0 0 1 8 8v56a8 8 0 0 1-8 8H583.262l-0.013 0.014H296.492a32.001 32.001 0 0 1-22.614-9.36L89.876 681.759c-12.504-12.49-12.516-32.75-0.027-45.255l0.013-0.013 0.014 0.013L567.88 158.5c12.497-12.497 32.758-12.497 45.255 0l321.002 321.002c12.496 12.496 12.496 32.758 0 45.254l-0.025 0.025L655.42 802.859z" })
], -1);
function _sfc_render$5(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _directive_tips = resolveDirective("tips");
  return withDirectives((openBlock(), createBlock(_component_icon, {
    onMousedown: withModifiers(_ctx.unsetAllMarks, ["left", "prevent"])
  }, {
    default: withCtx(() => [
      _hoisted_1$3
    ]),
    _: 1
  }, 8, ["onMousedown"])), [
    [_directive_tips, "\u6E05\u9664\u683C\u5F0F<br>Ctrl+\\"]
  ]);
}
var editorMenuUnsetMark = /* @__PURE__ */ _export_sfc(_sfc_main$5, [["render", _sfc_render$5]]);
var __glob_6_23 = /* @__PURE__ */ Object.freeze({
  __proto__: null,
  [Symbol.toStringTag]: "Module",
  "default": editorMenuUnsetMark
});
var editorFixedMenu_vue_vue_type_style_index_0_scoped_true_lang = "";
const components$1 = importComponents({ "./editor-menu-alignment.vue": __glob_6_0, "./editor-menu-background-color.vue": __glob_6_1, "./editor-menu-bold.vue": __glob_6_2, "./editor-menu-font-color.vue": __glob_6_3, "./editor-menu-font-size.vue": __glob_6_4, "./editor-menu-horizontal-line.vue": __glob_6_5, "./editor-menu-indent.vue": __glob_6_6, "./editor-menu-insert-card.vue": __glob_6_7, "./editor-menu-italic.vue": __glob_6_8, "./editor-menu-link.vue": __glob_6_9, "./editor-menu-more-text-format.vue": __glob_6_10, "./editor-menu-order-list.vue": __glob_6_11, "./editor-menu-quote.vue": __glob_6_12, "./editor-menu-redo.vue": __glob_6_13, "./editor-menu-split.vue": __glob_6_14, "./editor-menu-strike-through.vue": __glob_6_15, "./editor-menu-table-cell-background-color.vue": __glob_6_16, "./editor-menu-table-cells-merge-or-split.vue": __glob_6_17, "./editor-menu-task-list.vue": __glob_6_18, "./editor-menu-text-and-title.vue": __glob_6_19, "./editor-menu-underline.vue": __glob_6_20, "./editor-menu-undo.vue": __glob_6_21, "./editor-menu-unorder-list.vue": __glob_6_22, "./editor-menu-unset-mark.vue": __glob_6_23 });
const _sfc_main$4 = defineComponent({
  name: "editor-fixed-menu",
  components: __spreadValues({
    Icon
  }, components$1),
  directives: { tips: tipsDirective },
  props: {
    fullMenu: {
      type: Boolean,
      default: false
    }
  },
  setup() {
    const editorStatus = inject("editorStatus");
    const expand = () => {
      if (!(editorStatus == null ? void 0 : editorStatus.value))
        return;
      editorStatus.value = "full";
    };
    const collapse = () => {
      if (!(editorStatus == null ? void 0 : editorStatus.value))
        return;
      editorStatus.value = "compact";
    };
    return {
      expand,
      collapse
    };
  }
});
const _withScopeId$1 = (n) => (pushScopeId("data-v-750e7f3c"), n = n(), popScopeId(), n);
const _hoisted_1$2 = { class: "editor-fixed-menu" };
const _hoisted_2$1 = /* @__PURE__ */ _withScopeId$1(() => /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M99.5 890.504v-77.818l0.482-292.372a33.75 33.75 0 0 1 34.232-33.557H177.8c18.61 0 33.75 15.043 33.75 33.557l-0.579 258.718c0 18.61 15.043 33.654 33.75 33.654l258.622 0.964c18.514 0 33.557 15.043 33.557 33.654v43.682c0 18.707-15.043 33.75-33.557 33.75l-292.372-0.579H133.25a33.75 33.75 0 0 1-33.75-33.75z m681.075-679.147l-258.718-0.386a33.75 33.75 0 0 1-34.04-33.75l0.29-43.971a33.75 33.75 0 0 1 33.75-33.75l292.275 0.482 77.818 0.482a33.75 33.75 0 0 1 33.75 33.75l-0.579 77.24v292.371c0 19.093-15.525 34.136-34.232 34.136l-43.682-0.579a33.557 33.557 0 0 1-33.557-33.557l0.482-258.718a33.75 33.75 0 0 0-33.75-33.653z" })
], -1));
const _hoisted_3$1 = /* @__PURE__ */ _withScopeId$1(() => /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M384.69806 669.137v55.925L384.00006 969.844a41.89 41.89 0 0 1-41.751 42.17l-14.313-0.349a41.821 41.821 0 0 1-41.821-41.89l0.419-202.892a41.542 41.542 0 0 0-41.821-41.821l-202.962-0.35A42.1 42.1 0 0 1 0.00006 682.543V668.37c0-22.9 18.85-41.89 41.751-41.89l245.132 0.418 56.064 0.35a41.89 41.89 0 0 1 41.751 41.89z m382.953-382.254l202.961 0.419c23.25 0 41.752 18.85 41.752 41.82v14.174c0 23.32-18.851 41.89-41.752 41.89l-245.201-0.488h-56.064a42.03 42.03 0 0 1-41.751-41.751l0.349-56.064 0.419-244.992c0-23.459 18.85-41.891 41.75-41.891h14.314a41.89 41.89 0 0 1 41.82 42.17l-0.418 202.892c0 22.97 18.85 41.89 41.82 41.89z" })
], -1));
function _sfc_render$4(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_editor_menu_insert_card = resolveComponent("editor-menu-insert-card");
  const _component_editor_menu_split = resolveComponent("editor-menu-split");
  const _component_editor_menu_undo = resolveComponent("editor-menu-undo");
  const _component_editor_menu_redo = resolveComponent("editor-menu-redo");
  const _component_editor_menu_unset_mark = resolveComponent("editor-menu-unset-mark");
  const _component_editor_menu_text_and_title = resolveComponent("editor-menu-text-and-title");
  const _component_editor_menu_font_size = resolveComponent("editor-menu-font-size");
  const _component_editor_menu_bold = resolveComponent("editor-menu-bold");
  const _component_editor_menu_italic = resolveComponent("editor-menu-italic");
  const _component_editor_menu_underline = resolveComponent("editor-menu-underline");
  const _component_editor_menu_link = resolveComponent("editor-menu-link");
  const _component_editor_menu_font_color = resolveComponent("editor-menu-font-color");
  const _component_editor_menu_unorder_list = resolveComponent("editor-menu-unorder-list");
  const _component_editor_menu_order_list = resolveComponent("editor-menu-order-list");
  const _component_editor_menu_alignment = resolveComponent("editor-menu-alignment");
  const _component_editor_menu_quote = resolveComponent("editor-menu-quote");
  const _component_icon = resolveComponent("icon");
  const _component_editor_menu_strike_through = resolveComponent("editor-menu-strike-through");
  const _component_editor_menu_more_text_format = resolveComponent("editor-menu-more-text-format");
  const _component_editor_menu_background_color = resolveComponent("editor-menu-background-color");
  const _component_editor_menu_table_cell_background_color = resolveComponent("editor-menu-table-cell-background-color");
  const _component_editor_menu_table_cells_merge_or_split = resolveComponent("editor-menu-table-cells-merge-or-split");
  const _component_editor_menu_task_list = resolveComponent("editor-menu-task-list");
  const _component_editor_menu_indent = resolveComponent("editor-menu-indent");
  const _component_editor_menu_horizontal_line = resolveComponent("editor-menu-horizontal-line");
  const _directive_tips = resolveDirective("tips");
  return openBlock(), createElementBlock("div", _hoisted_1$2, [
    !_ctx.fullMenu ? (openBlock(), createElementBlock(Fragment$1, { key: 0 }, [
      createVNode(_component_editor_menu_insert_card),
      createVNode(_component_editor_menu_split),
      createVNode(_component_editor_menu_undo),
      createVNode(_component_editor_menu_redo),
      createVNode(_component_editor_menu_unset_mark),
      createVNode(_component_editor_menu_split),
      createVNode(_component_editor_menu_text_and_title),
      createVNode(_component_editor_menu_font_size),
      createVNode(_component_editor_menu_bold),
      createVNode(_component_editor_menu_italic),
      createVNode(_component_editor_menu_underline),
      createVNode(_component_editor_menu_link),
      createVNode(_component_editor_menu_font_color),
      createVNode(_component_editor_menu_split),
      createVNode(_component_editor_menu_unorder_list),
      createVNode(_component_editor_menu_order_list),
      createVNode(_component_editor_menu_alignment),
      createVNode(_component_editor_menu_quote),
      withDirectives(createVNode(_component_icon, {
        class: "editor-expand-button",
        onClick: _ctx.expand
      }, {
        default: withCtx(() => [
          _hoisted_2$1
        ]),
        _: 1
      }, 8, ["onClick"]), [
        [_directive_tips, "\u5168\u5C4F\u7F16\u8F91"]
      ])
    ], 64)) : (openBlock(), createElementBlock(Fragment$1, { key: 1 }, [
      createVNode(_component_editor_menu_insert_card),
      createVNode(_component_editor_menu_split),
      createVNode(_component_editor_menu_undo),
      createVNode(_component_editor_menu_redo),
      createVNode(_component_editor_menu_unset_mark),
      createVNode(_component_editor_menu_split),
      createVNode(_component_editor_menu_text_and_title),
      createVNode(_component_editor_menu_font_size),
      createVNode(_component_editor_menu_split),
      createVNode(_component_editor_menu_bold),
      createVNode(_component_editor_menu_italic),
      createVNode(_component_editor_menu_strike_through),
      createVNode(_component_editor_menu_underline),
      createVNode(_component_editor_menu_more_text_format),
      createVNode(_component_editor_menu_split),
      createVNode(_component_editor_menu_font_color),
      createVNode(_component_editor_menu_background_color),
      createVNode(_component_editor_menu_table_cell_background_color),
      createVNode(_component_editor_menu_split),
      createVNode(_component_editor_menu_alignment),
      createVNode(_component_editor_menu_table_cells_merge_or_split),
      createVNode(_component_editor_menu_split),
      createVNode(_component_editor_menu_unorder_list),
      createVNode(_component_editor_menu_order_list),
      createVNode(_component_editor_menu_task_list),
      createVNode(_component_editor_menu_indent),
      createVNode(_component_editor_menu_split),
      createVNode(_component_editor_menu_link),
      createVNode(_component_editor_menu_quote),
      createVNode(_component_editor_menu_horizontal_line),
      withDirectives(createVNode(_component_icon, {
        class: "editor-collapse-button",
        onClick: _ctx.collapse
      }, {
        default: withCtx(() => [
          _hoisted_3$1
        ]),
        _: 1
      }, 8, ["onClick"]), [
        [_directive_tips, "\u9000\u51FA\u5168\u5C4F"]
      ])
    ], 64))
  ]);
}
var EditorFixedMenu = /* @__PURE__ */ _export_sfc(_sfc_main$4, [["render", _sfc_render$4], ["__scopeId", "data-v-750e7f3c"]]);
var editorBubbleMenu_vue_vue_type_style_index_0_scoped_true_lang = "";
var editorBubbleMenu_vue_vue_type_style_index_1_lang = "";
const components = importComponents({ "./editor-menu-alignment.vue": __glob_6_0, "./editor-menu-background-color.vue": __glob_6_1, "./editor-menu-bold.vue": __glob_6_2, "./editor-menu-font-color.vue": __glob_6_3, "./editor-menu-font-size.vue": __glob_6_4, "./editor-menu-horizontal-line.vue": __glob_6_5, "./editor-menu-indent.vue": __glob_6_6, "./editor-menu-insert-card.vue": __glob_6_7, "./editor-menu-italic.vue": __glob_6_8, "./editor-menu-link.vue": __glob_6_9, "./editor-menu-more-text-format.vue": __glob_6_10, "./editor-menu-order-list.vue": __glob_6_11, "./editor-menu-quote.vue": __glob_6_12, "./editor-menu-redo.vue": __glob_6_13, "./editor-menu-split.vue": __glob_6_14, "./editor-menu-strike-through.vue": __glob_6_15, "./editor-menu-table-cell-background-color.vue": __glob_6_16, "./editor-menu-table-cells-merge-or-split.vue": __glob_6_17, "./editor-menu-task-list.vue": __glob_6_18, "./editor-menu-text-and-title.vue": __glob_6_19, "./editor-menu-underline.vue": __glob_6_20, "./editor-menu-undo.vue": __glob_6_21, "./editor-menu-unorder-list.vue": __glob_6_22, "./editor-menu-unset-mark.vue": __glob_6_23 });
const _sfc_main$3 = defineComponent({
  name: "editor-bubble-menu",
  components: __spreadValues({
    Icon,
    BubbleMenu
  }, components),
  directives: { tips: tipsDirective },
  setup() {
    const editor2 = inject("editor");
    const beforeDownload = inject("beforeDownload");
    const isEditable = computed(() => {
      var _a;
      return (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isEditable;
    });
    const isLinkActive = () => {
      var _a;
      return (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("link");
    };
    const isDownloadable = () => {
      var _a, _b, _c;
      return ((_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.isActive("audio")) || ((_b = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _b.isActive("video")) || ((_c = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _c.isActive("enclosure"));
    };
    const download = async () => {
      const attrs = (() => {
        var _a, _b, _c;
        switch (true) {
          case (editor2 == null ? void 0 : editor2.value.isActive("audio")): {
            return (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.getAttributes("audio");
          }
          case (editor2 == null ? void 0 : editor2.value.isActive("video")): {
            return (_b = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _b.getAttributes("video");
          }
          case (editor2 == null ? void 0 : editor2.value.isActive("enclosure")): {
            return (_c = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _c.getAttributes("enclosure");
          }
          default:
            return null;
        }
      })();
      if (!attrs)
        return;
      const { src, filename } = await (async () => {
        try {
          const { src: src2, filename: filename2 } = attrs;
          const downloadUrl = await (beforeDownload == null ? void 0 : beforeDownload.value(filename2, src2));
          if (!downloadUrl)
            throw new Error("Invalid download URL");
          return { filename: filename2, src: downloadUrl };
        } catch (error) {
          console.log("fancy-editor before download handler error: ", error.message);
          return attrs;
        }
      })();
      downloadByUrl(src, filename);
    };
    const openLink = () => {
      var _a;
      const attrs = (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.getAttributes("link");
      if (!attrs)
        return;
      window.open(attrs.href, attrs.target);
    };
    const unsetLink = () => {
      var _a;
      (_a = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a.chain().focus().unsetLink().run();
    };
    return {
      editor: editor2,
      isEditable,
      isLinkActive,
      isDownloadable,
      download,
      openLink,
      unsetLink
    };
  }
});
const _withScopeId = (n) => (pushScopeId("data-v-77f5ae7c"), n = n(), popScopeId(), n);
const _hoisted_1$1 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M505.7 661c3.2 4.1 9.4 4.1 12.6 0l112-141.7c4.1-5.2 0.4-12.9-6.3-12.9h-74.1V168c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8v338.3H400c-6.7 0-10.4 7.7-6.3 12.9l112 141.8zM878 626h-60c-4.4 0-8 3.6-8 8v154H214V634c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8v198c0 17.7 14.3 32 32 32h684c17.7 0 32-14.3 32-32V634c0-4.4-3.6-8-8-8z" })
], -1));
const _hoisted_2 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg",
  "p-id": "2274"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M176.232 258.757v568h568v-252a8 8 0 0 1 8-8h60a8 8 0 0 1 8 8v296c0 17.674-14.327 32-32 32h-656c-17.673 0-32-14.326-32-32v-656c0-17.673 14.327-32 32-32h392a8 8 0 0 1 8 8v60a8 8 0 0 1-8 8h-348z m628.054 50.557l-318.551 318.55a8 8 0 0 1-11.314 0l-56.568-56.568a8 8 0 0 1 0-11.314L736.404 241.43l-73.273-73.273c-6.393-6.393-2.677-17.36 6.383-18.405l242.149-28.427c6.962-0.856 12.878 5.06 12.022 12.022l-28.427 242.149c-0.95 8.965-12.013 12.776-18.405 6.383l-72.567-72.566v0.001z" })
], -1));
const _hoisted_3 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("svg", {
  viewBox: "0 0 1024 1024",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg",
  "p-id": "2484"
}, [
  /* @__PURE__ */ createElementVNode("path", { d: "M449.918 358.501a8 8 0 0 0 11.314 0.014l0.014-0.014 116.16-116.224c53.824-53.76 144.64-59.52 204.032 0 56.342 55.828 56.758 146.76 0.93 203.102-0.309 0.312-0.619 0.622-0.93 0.93L665.214 562.533a8 8 0 0 0 0 11.264l39.808 39.808a8 8 0 0 0 11.314 0.014l0.014-0.014 116.16-116.224c84.477-84.379 84.557-221.264 0.178-305.742l-0.178-0.178c-84.478-84.476-221.442-84.476-305.92 0l-116.288 116.16a8 8 0 0 0 0 11.264l39.68 39.68-0.064-0.064z m47.36 473.984l90.368-90.112a8 8 0 0 0 0.014-11.314l-0.014-0.014-39.68-39.68a8 8 0 0 0-11.314-0.014l-0.014 0.014-90.112 90.112c-53.824 53.824-144.64 59.52-204.032 0-59.52-59.52-53.76-150.144 0-203.968l90.176-90.176a8 8 0 0 0 0-11.264l-39.808-39.808a8 8 0 0 0-11.314-0.014l-0.014 0.014-90.112 90.176c-84.456 84.536-84.456 221.512 0 306.048 84.379 84.477 221.264 84.557 305.742 0.178l0.178-0.178h-0.064zM400.19 665.253a8 8 0 0 0 11.264 0l102.4-102.272c3.136-3.072 0-11.328 0-11.328l-39.616-39.552a8 8 0 0 0-11.264 0L360.702 614.309a8 8 0 0 0-0.014 11.314l0.014 0.014 39.488 39.552v0.064z m177.664-177.664a8 8 0 0 0 11.314 0.014l0.014-0.014 95.552-95.488c3.136-3.136 0-11.328 0-11.328l-39.552-39.552a8 8 0 0 0-11.314-0.014l-0.014 0.014-95.36 95.36a8 8 0 0 0-0.014 11.314l0.014 0.014 39.424 39.616-0.064 0.064z m235.733 321.988l-27.153 27.153c-6.034 6.034-12.068 6.034-18.102 0L198.121 266.519c-6.034-6.034-6.034-12.068 0-18.102l27.153-27.153c6.034-6.034 12.068-6.034 18.102 0l570.211 570.211c6.034 6.034 6.034 12.068 0 18.102z" })
], -1));
function _sfc_render$3(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_icon = resolveComponent("icon");
  const _component_bubble_menu = resolveComponent("bubble-menu");
  const _directive_tips = resolveDirective("tips");
  return _ctx.editor ? (openBlock(), createBlock(_component_bubble_menu, {
    key: 0,
    editor: _ctx.editor,
    tippyOptions: { theme: "bubble-menu", arrow: false },
    class: "editor-bubble-menu"
  }, {
    default: withCtx(() => [
      _ctx.isDownloadable() ? withDirectives((openBlock(), createBlock(_component_icon, {
        key: 0,
        onClick: _ctx.download
      }, {
        default: withCtx(() => [
          _hoisted_1$1
        ]),
        _: 1
      }, 8, ["onClick"])), [
        [_directive_tips, "\u4E0B\u8F7D"]
      ]) : createCommentVNode("", true),
      _ctx.isEditable && _ctx.isLinkActive() ? withDirectives((openBlock(), createBlock(_component_icon, {
        key: 1,
        onMousedown: withModifiers(_ctx.openLink, ["left", "prevent"])
      }, {
        default: withCtx(() => [
          _hoisted_2
        ]),
        _: 1
      }, 8, ["onMousedown"])), [
        [_directive_tips, "\u6253\u5F00\u94FE\u63A5"]
      ]) : createCommentVNode("", true),
      _ctx.isEditable && _ctx.isLinkActive() ? withDirectives((openBlock(), createBlock(_component_icon, {
        key: 2,
        onMousedown: withModifiers(_ctx.unsetLink, ["left", "prevent"])
      }, {
        default: withCtx(() => [
          _hoisted_3
        ]),
        _: 1
      }, 8, ["onMousedown"])), [
        [_directive_tips, "\u6E05\u9664\u94FE\u63A5"]
      ]) : createCommentVNode("", true)
    ]),
    _: 1
  }, 8, ["editor"])) : createCommentVNode("", true);
}
var EditorBubbleMenu = /* @__PURE__ */ _export_sfc(_sfc_main$3, [["render", _sfc_render$3], ["__scopeId", "data-v-77f5ae7c"]]);
var base = "";
var blockQuote = "";
var codeBlock = "";
var code = "";
var link = "";
var list = "";
var mention = "";
var placeholder = "";
var table = "";
var taskList = "";
var uploader = "";
var editorContent_vue_vue_type_style_index_0_scoped_true_lang = "";
const __default__ = defineComponent({
  name: "editor-content",
  components: { TiptapEditorContent: EditorContent$1 },
  setup() {
    const editor2 = inject("editor");
    if (!editor2)
      throw new Error("\u7F16\u8F91\u5668\u521D\u59CB\u5316\u9519\u8BEF\uFF01");
    onBeforeUnmount(() => {
      var _a;
      return (_a = viewerMap.get(editor2.value.options.element)) == null ? void 0 : _a.destroy();
    });
    return { editor: editor2, DEFAULT_FONT_SIZE, DEFAULT_FONT_COLOR, DEFAULT_LINE_HEIGHT };
  }
});
const __injectCSSVars__ = () => {
  useCssVars((_ctx) => ({
    "897951d6": _ctx.DEFAULT_FONT_SIZE,
    "a76ecaa2": _ctx.DEFAULT_FONT_COLOR,
    "db931014": _ctx.DEFAULT_LINE_HEIGHT
  }));
};
const __setup__ = __default__.setup;
__default__.setup = __setup__ ? (props, ctx) => {
  __injectCSSVars__();
  return __setup__(props, ctx);
} : __injectCSSVars__;
const _sfc_main$2 = __default__;
function _sfc_render$2(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_tiptap_editor_content = resolveComponent("tiptap-editor-content");
  return openBlock(), createBlock(_component_tiptap_editor_content, {
    editor: _ctx.editor,
    class: "editor-content"
  }, null, 8, ["editor"]);
}
var EditorContent = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["render", _sfc_render$2], ["__scopeId", "data-v-8719cd00"]]);
var editor_vue_vue_type_style_index_0_lang = "";
var editor_vue_vue_type_style_index_1_lang = "";
const _sfc_main$1 = defineComponent({
  name: "editor",
  components: { EditorFixedMenu, EditorBubbleMenu, EditorContent },
  emits: ["update:modelValue", "focus", "preserve", "change", "blur"],
  props: {
    modelValue: {
      type: String,
      default: ""
    },
    onlyFull: {
      type: Boolean,
      default: false
    },
    to: {
      type: [String, HTMLElement],
      default: "body"
    },
    action: {
      type: String,
      default: ""
    },
    placeholder: {
      type: String,
      default: "\u6B64\u5904\u8F93\u5165\u5185\u5BB9"
    },
    feeds: {
      type: Array,
      default: () => ["Barney", "Lily", "Marshall", "Robin", "Ted"]
    },
    setEditor: Function,
    beforeUpload: Function,
    afterUpload: Function,
    beforeDownload: Function
  },
  setup(props, { emit }) {
    var _a;
    const { modelValue: content2, onlyFull, action, placeholder: placeholder2, feeds: feeds2, setEditor, beforeUpload, afterUpload, beforeDownload } = toRefs(props);
    const _content = ref(content2.value);
    const editor2 = useEditor({
      extensions,
      content: content2.value,
      onUpdate: () => {
        var _a2;
        const value = (_a2 = editor2.value) == null ? void 0 : _a2.getHTML();
        if (!value)
          return;
        _content.value = value;
        emit("update:modelValue", value);
        emit("change", value);
      },
      onFocus: () => emit("focus"),
      onBlur: () => emit("blur")
    });
    (_a = setEditor.value) == null ? void 0 : _a.call(setEditor, editor2);
    const editorStatus = ref(onlyFull.value ? "full" : "compact");
    const isShowFullEditor = computed(() => onlyFull.value ? true : editorStatus.value === "full");
    const emitPreserveEvent = () => {
      var _a2;
      return emit("preserve", (_a2 = editor2.value) == null ? void 0 : _a2.getHTML());
    };
    watchEffect(() => {
      nextTick(() => {
        var _a2;
        if (content2.value !== _content.value) {
          (_a2 = editor2.value) == null ? void 0 : _a2.chain().setContent(content2.value).run();
        }
      });
    });
    watchEffect(() => {
      var _a2, _b;
      (_b = (_a2 = document.body.classList)[isShowFullEditor.value ? "add" : "remove"]) == null ? void 0 : _b.call(_a2, "full-editor-open");
    });
    watchEffect(() => {
      var _a2, _b;
      const options = (_b = (_a2 = editor2.value) == null ? void 0 : _a2.extensionManager.extensions.find((extension) => (extension == null ? void 0 : extension.name) === "placeholder")) == null ? void 0 : _b.options;
      if (!options)
        return;
      options.placeholder = placeholder2.value;
    });
    watchEffect(() => {
      var _a2, _b;
      const options = (_b = (_a2 = editor2.value) == null ? void 0 : _a2.extensionManager.extensions.find((extension) => (extension == null ? void 0 : extension.name) === "uploader")) == null ? void 0 : _b.options;
      if (!options)
        return;
      options.action = action.value;
    });
    watchEffect(() => {
      var _a2, _b;
      const options = (_b = (_a2 = editor2.value) == null ? void 0 : _a2.extensionManager.extensions.find((extension) => (extension == null ? void 0 : extension.name) === "uploader")) == null ? void 0 : _b.options;
      if (!options)
        return;
      options.beforeUpload = beforeUpload.value;
    });
    watchEffect(() => {
      var _a2, _b;
      const options = (_b = (_a2 = editor2.value) == null ? void 0 : _a2.extensionManager.extensions.find((extension) => (extension == null ? void 0 : extension.name) === "uploader")) == null ? void 0 : _b.options;
      if (!options)
        return;
      options.afterUpload = afterUpload.value;
    });
    watchEffect(() => {
      var _a2, _b;
      const options = (_b = (_a2 = editor2.value) == null ? void 0 : _a2.extensionManager.extensions.find((extension) => (extension == null ? void 0 : extension.name) === "mention")) == null ? void 0 : _b.options;
      if (!options)
        return;
      options.feeds.splice(0, Infinity, ...feeds2.value);
    });
    provide("editor", editor2);
    provide("emitPreserveEvent", emitPreserveEvent);
    provide("editorStatus", editorStatus);
    provide("onlyFull", onlyFull);
    provide("beforeDownload", beforeDownload);
    return {
      editor: editor2,
      isShowFullEditor,
      emitPreserveEvent
    };
  }
});
function _sfc_render$1(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_editor_fixed_menu = resolveComponent("editor-fixed-menu");
  const _component_editor_bubble_menu = resolveComponent("editor-bubble-menu");
  const _component_editor_content = resolveComponent("editor-content");
  return openBlock(), createElementBlock(Fragment$1, null, [
    !_ctx.onlyFull ? (openBlock(), createElementBlock("div", {
      key: 0,
      editor: "",
      onKeydown: _cache[0] || (_cache[0] = withKeys(withModifiers((...args) => _ctx.emitPreserveEvent && _ctx.emitPreserveEvent(...args), ["ctrl", "prevent"]), ["s"])),
      class: "fancy-editor compact-editor"
    }, [
      createVNode(_component_editor_fixed_menu),
      !_ctx.isShowFullEditor ? (openBlock(), createElementBlock(Fragment$1, { key: 0 }, [
        createVNode(_component_editor_bubble_menu),
        createVNode(_component_editor_content)
      ], 64)) : createCommentVNode("", true)
    ], 32)) : createCommentVNode("", true),
    _ctx.isShowFullEditor ? (openBlock(), createBlock(Teleport, {
      key: 1,
      to: _ctx.to
    }, [
      createElementVNode("div", {
        editor: "",
        onKeydown: _cache[1] || (_cache[1] = withKeys(withModifiers((...args) => _ctx.emitPreserveEvent && _ctx.emitPreserveEvent(...args), ["ctrl", "prevent"]), ["s"])),
        class: "fancy-editor full-editor"
      }, [
        createVNode(_component_editor_fixed_menu, { "full-menu": "" }),
        _ctx.isShowFullEditor ? (openBlock(), createElementBlock(Fragment$1, { key: 0 }, [
          createVNode(_component_editor_bubble_menu),
          createVNode(_component_editor_content)
        ], 64)) : createCommentVNode("", true)
      ], 32)
    ], 8, ["to"])) : createCommentVNode("", true)
  ], 64);
}
var editor = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["render", _sfc_render$1]]);
const _sfc_main = defineComponent({
  name: "reader",
  components: { EditorBubbleMenu, EditorContent },
  props: {
    content: {
      type: String,
      default: ""
    },
    setReader: {
      type: Function,
      require: true
    },
    beforeDownload: Function
  },
  setup(props) {
    var _a;
    const { content: content2, setReader, beforeDownload } = toRefs(props);
    const editor2 = useEditor({ extensions, content: content2.value, editable: false });
    (_a = setReader.value) == null ? void 0 : _a.call(setReader, editor2);
    watch(content2, (content22) => {
      var _a2, _b;
      return (_b = (_a2 = editor2 == null ? void 0 : editor2.value) == null ? void 0 : _a2.chain().setContent(content22)) == null ? void 0 : _b.run();
    });
    provide("editor", editor2);
    provide("beforeDownload", beforeDownload);
  }
});
const _hoisted_1 = { reader: "" };
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_editor_bubble_menu = resolveComponent("editor-bubble-menu");
  const _component_editor_content = resolveComponent("editor-content");
  return openBlock(), createElementBlock("div", _hoisted_1, [
    createVNode(_component_editor_bubble_menu),
    createVNode(_component_editor_content)
  ]);
}
var reader = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { editor as Editor, reader as Reader };
